Sommaire

AMR WinControl - Vue d'ensemble

Installation et démarrage du programme

AMR WinControl en quelques points

Intégration et mise en réseau

Initiation rapide

AMR WinControl - Les fenêtres de programme

La fenêtre principale

La fenêtre "Points de mesure, appareils et connexions"

L'affichage des valeurs de mesure

Le graphique à barres

L'affichage analogique

Le graphique en courbe

Le graphique XY

Le tableau

La fenêtre de vue d'ensemble du fichier

Les images de projet

La liste des événements

AMR WinControl - Les menus

Le menu "Fichier"

Le menu "Edition"

Le menu "Vue"

Le menu "Mesures"

Le menu "Programmation"

Le menu "Paramètres"

Le menu "Fenêtre"

Le menu "Aide"

AMR WinControl - Le serveur de données

Mode serveur

Interface du serveur

Exemples d'application

AMR WinControl - Le serveur Web

Etendue des fonctions

Configuration minimale

Fonctionnement de serveur web

Paramètres étendus

Comment...

modifier les propriétés de la fenêtre actuelle

établir la liaison avec l'appareil de mesure

établir une liaison par modem

commander un réseau ALMEMO avec le logiciel

définir la vitesse de scrutation

générer un nouvel affichage des valeurs de mesure

créer un nouveau graphique à barres

imprimer un graphique à barres

créer un nouveau tableau

imprimer un tableau

créer une image de projet

créer un nouveau graphique en courbe

imprimer un graphique en courbe

imprimer les graphiques en courbes sur plusieurs pages

imprimer la liste des points de mesure

définir des voies de calcul globales

définir des voies de calcul locales

définir les compteurs, les sommes et les valeurs moyennes sur toute la mesure

établir des valeurs moyennes quotidiennes ou horaires pour des intervalles de temps à définir

analyser l'évolution d'une courbe

représenter les courbes en superposé

enregistrer et appliquer les propriétés de représentation

créer un nouveau graphique en courbe ayant les propriétés d'un modèle donné

fusionner les fichiers avec un modèle par défaut automatiquement à l'ouverture

attribuer ou modifier ultérieurement des commentaires aux points de mesure

saisir des remarques concernant un fichier de valeurs de mesure

intégrer un objet WinControl dans un document texte

créer un fichier de valeurs de mesures

sauvegarder une plage d'un jeu de données

charger des valeurs de mesure depuis un fichier

fusionner des fichiers de mesure entre eux

générer automatiquement des fichiers quotidiens

sauvegarder automatiquement plusieurs fichiers par jour sur le disque dur

enregistrer automatiquement une liste d'événements

exporter une liste d'événements

poursuivre la mesure automatiquement après panne de courant

représenter des valeurs de mesure dans une feuille de calcul

transmettre en ligne les données vers Excel

effectuer un DDE par Excel

obtenir des informations sur les appareils raccordés

lire la mémoire des mesures de l'appareil

lire une sélection de la mémoire de l'appareil

lire la mémoire des systèmes 5590-3

mettre à l'échelle automatiquement une plage de capteur

effectuer un zéro temporaire

enregistrer une nouvelle plage de mesure

éditer les fichiers de programmation

utiliser les fonctions de calcul de moyenne des centrales d'acquisition

trouver la configuration

gérer plusieurs configurations de programme

charger automatiquement une configuration donnée au démarrage du programme

travailler avec plusieurs instances de WinControl

transmettre les paramètres d'appel à un programme à lancer en cas d'alarme

envoyer automatiquement un courriel en cas d'alarme

définir un répertoire par défaut pour les fichiers de mesures

gérer l'enregistrement du serveur OLE sous Windows 2000

démarrer automatiquement des programmes externes au lancement de l'application

démarrer le logiciel sur plusieurs processeurs

changer la taille de l'historique des mesures

Annexe

Conventions pour la saisie de formule

Gestion de l'affichage exponentiel des valeurs mesurées

Connexion d'un modem à l'appareil

Formats de données de la fonction exportation

Paramètres spéciaux pour l'envoi de messages d'alarme par courriel

Particularités lors de l'utilisation de commentaires et d'unités spécifiques à l'utilisateur

Mesure en ligne à 50/100 Hz

Travailler sans appareil de mesure

Mesure de bien-être selon DIN EN ISO 7730

La protection par mot de passe

Le gestionnaire de poste d'essais et de mesures

L'exportation OPC

Graphique en courbe - Impression du rapport

Clé matérielle serveur - Prise en charge d'une clé matérielle de réseau

La configuration système

Impression automatique du journal

Lecture automatique de la mémoire

Connexion pilotée par calendrier

Les protocoles supplémentaires optionnels


Installation et démarrage du programme

voir également :

Configuration minimale

Installation

Démarrage du programme

Enregistrement

Protection matérielle contre la copie

Mise à niveau

lisez-moi.wri


Configuration minimale

AMR WinControl nécessite un PC compatible IBM avec Windows XP, 2003, Vista, 7, 8 ou 2008 R2 comme système d'exploitation 32 bits ou 64 bits. Selon le système d'exploitation, il faut disposer d'au moins 256 Moctets de mémoire vive. Vous devez de plus disposer de 25 Moctets d'espace sur le disque dur.

Dans tous les cas il faut pouvoir disposer d'une interface RS232 tamponnée libre.


Installation

Afin d'installer AMR WinControl sur votre ordinateur, veuillez effectuer les étapes suivantes :

· Insérer le CD dans votre lecteur de CD-ROM

· Un programme est lancé automatiquement au bout de quelques secondes, lequel vous permet de voir le contenu du CD.

· Sélectionnez (si nécessaire) la langue désirée.

· Sélectionnez "Logiciel" puis WinControl et suivez les étapes de l'installation.

Attention !

Si votre lecteur CDROM ne gère pas le démarrage automatique, vous pouvez également lancer le CD depuis l'explorateur Windows. A cet effet, cliquez dans le répertoire racine du CD sur le fichier cdstart.exe.


Démarrage du programme

Après l'installation, lancez AMR WinControl par un double clic sur l'icône du programme, dans le menu Démarrer en l'appelant par l'entrée "AMR WinControl" ou dans le menu Démarrer, sous Exécuter en tapant "répertoire\ AMR32.exe".


Enregistrement

AMR WinControl - Vue d'ensemble > Installation et démarrage du programme

Enregistrement

Si après avoir lancé le programme la boîte de dialogue "Informations sur la licence AMR WinControl" apparaît, votre licence n'a pas encore été enregistrée. La durée d'une version non enregistrée du programme est limitée à une période d'essai maximum de 30 jours. La durée respective restant à courir est indiquée sous "Période d'essai restante".

Afin d'obtenir la licence pour le logiciel que vous avez acheté, vous pouvez en cliquant dans la boîte de dialogue "Informations sur la licence AMR WinControl" sur l'adresse Internet indiquée sous "Enregistrement", accéder directement sur le site Internet correspondant. Vous pourrez alors y renseigner les indications nécessaires (par ex. ID disque, numéro de série) dans un formulaire et nous le renvoyer.

Dès réception et vérification de vos renseignements nous vous enverrons votre code de débridage. Après l'avoir saisi dans le champ "Code de débridage" de la boîte de dialogue "Informations sur la licence AMR WinControl", la limitation de la durée d'utilisation est supprimée.

Vous pouvez naturellement nous contacter par téléphone ou par télécopie. Vous trouverez notre numéro de téléphone et de fax aussi bien dans la boîte de dialogue Aide/A propos de que dans la boîte de dialogue "Informations sur la licence AMR WinControl".

Si vous voulez vous enregistrer dès maintenant, cliquez sur l'adresse suivante: http://www.akrobit.de/amr/register.htm


Protection matérielle contre la copie

AMR WinControl peut également fonctionner à l'aide d'une clé matérielle (dongle). Dans ce cas, il n'est pas nécessaire de débrider le logiciel. Les clés matérielles sont disponibles pour différentes interfaces (série/parallèle, USB, ISA, PCI).

La solution clé matérielle est particulièrement recommandée lorsque l'on utilise le même logiciel sur différents ordinateurs (p. ex. PC portable et de table).


Mise à niveau

Il est possible d'étendre la version standard d'AMR WinControl avec des fonctions individuelles en option (mémorisation à commande temporelle, liaison par modem et fonctions d'alarme) ou de la convertir en version professionnelle (avec toutes les fonctions optionnelles disponibles).

A cet effet, la boîte de dialogue "Aide/A propos de" vous propose le bouton de commande de Mise à niveau. Ce bouton vous permet d'ouvrir la boîte de dialogue "Informations sur la licence AMR WinControl". La procédure de débridage des fonctions supplémentaires acquises ou de la mise à niveau à la version professionnelle est la même que pour l'enregistrement.


lisez-moi.wri

Les modifications et compléments à AMR WinControl non disponibles au moment de l’impression sont documentés dans le fichier lisez-moi.wri.


AMR WinControl en quelques points

voir également :

Description sommaire

Les fenêtres de programme

Calculs en et hors ligne - Voies de calcul

Les Assistants

Curseurs de mesure / Fonction statistique

Menus contextuels


Description sommaire

Points de mesure gérés

AMR WinControl vous permet de commander sous Windows de multiples appareils de mesure équipés chacun de multiples points de mesure. Les appareils de mesure gérés sont les appareils ALMEMO de la société AMR . Après avoir établi la liaison entre l’ordinateur (programme) et l'appareil de mesure , les points de mesure sont détectés et listés automatiquement. La lecture des mesures se fait à une vitesse de scrutation (échantillonnage) que vous pouvez choisir librement.

Programmation

La programmation des appareils de mesure peut être effectuée à l'aide d'AMR WinControl. Vous pouvez vous servir d'AMR WinControl pour effectuer la programmation (configuration) des capteurs et des appareils. Une fois paramétrées, vous pouvez sauvegarder les programmations dans un fichier et les lire quand vous le souhaitez. Les fichiers de programmation s'éditent comme pour un tableau EXCEL.

Protocoles

En option, outre le protocole standard ALMEMO , le logiciel gère également d'autres protocoles (voir également : Les protocoles supplémentaires optionnels).

Connexions

Dans AMR WinControl, tout branchement sur un appareil de mesure ou sur un réseau via une interface est considéré comme une connexion. Une interface (série, réseau ou modem) est affectée à chaque connexion. Plusieurs connexions peuvent être exploitées simultanément avec des types d'interface identiques ou différents (voir également : Gestion des connexions).

Fonctionnement modem

Si vous voulez lire les mesures sur des appareils installés à distance de l’ordinateur, vous pouvez également utiliser une liaison par modem.

Télémétrie, fonctionnement modem

Si vous ne pouvez pas établir la liaison entre l'appareil de mesure et l’ordinateur par fil (en direct ou par téléphone), vous avez la possibilité d’établir la communication entre l’ordinateur et les appareils de mesure par modules radio.

Connexions par Ethernet

Les appareils connectés par Ethernet ou disposant d'une liaison Internet peuvent être interrogés individuellement ou collectivement comme système de mesure, au moyen d'une connexion TCP/IP.

AMR WinControl comme serveur de données

En mode de fonctionnement serveur de données d'AMR WinControl on peut transmettre les données acquises à 200 clients au maximum. L'accès à un serveur de données WinControl à volonté via le réseau (réseau d'entreprise ou Internet).

Accès distant

Avec AMR WinControl, il est possible de récupérer les mesures acquises avec le serveur de données WinControl et de les traiter à l'aide de toutes les fonctions disponibles, y compris celles d'AMR WinControl.

Affichage des mesures

Vous pouvez représenter les données saisies lors d’une mesure sous forme numérique, de graphique à barres, d'affichage analogique, de tableau, de graphique en courbe ou de diagramme XY. Vous pouvez également afficher simultanément un ou plusieurs points de mesure de manière différente.

Mémorisation des mesures

Pour l’archivage des mesures vous avez plusieurs possibilités: Sauvegarde automatique sur disque dur, enregistrement d’un graphique en courbe ou d’un tableau, des séries de mesure d’un graphique en courbe ou d’un tableau dans différents formats.

Rapport des valeurs de défaut

Vous pouvez afficher les dépassements de seuil momentanés et les ruptures de capteur dans un tableau comportant les points de mesure (liste des points de mesure) existants, dans les affichages analogiques et dans les graphiques à barres. La représentation des lignes limites dans le graphique en courbe permet de détecter des dépassements de limites sur toute la durée de mesure. Les interruptions de mesure et ruptures de capteurs sont immédiatement visibles par les interruptions de la courbe de mesure. Dans les tableaux, les violations de limite s'affichent en couleur.

Traitement des alarmes

Vous pouvez déduire les situations d’alarme aussi bien à partir des mesures que des données calculées. Selon le paramétrage vous pouvez établir une liste spéciale d’événements et déclencher des réactions à l’alarme (per ex. démarrage d’un programme, envoi d'un courriel ou d'un SMS).

Valorisation

Vous pouvez à l'aide de voies de calcul que vous avez définies, calculer et représenter aussi bien en ligne que hors ligne les données acquises. Deux curseurs de mesure permettent d’observer les graphiques en courbe avec précision et de les évaluer à l'aide de la fonction statistique correspondante. Vous avez en outre la possibilité de transmettre les données par DDE, OLE, presse-papiers et sous différents formats de fichier à d'autres programmes de valorisation et de les traiter ensuite en fonction de la tâche à effectuer.

Impression

Pour réaliser votre documentation technique, vous pouvez imprimer directement sous AMR WinControl des graphiques, des tableaux ainsi que la liste de tous les points de mesure avec les valeurs de correction correspondantes. Vous pouvez d’abord afficher le résultat dans un aperçu avant impression. Le logiciel gère toutes les imprimantes et tables traçantes pour lesquelles un pilote Windows existe.

Documentation

Pour élaborer rapports standards, vous pouvez transférer les graphiques en courbe ou XY, les tableaux et les listes à des programmes de traitement de texte par DDE, OLE et par le presse-papiers.

Systèmes d’exploitation

AMR WinControl est disponible en tant que programme 32 bits et est exécutable sur les systèmes d'exploitation 32 bits ou 64 bits Windows XP, 2003, Vista, 7, 8 et 2008 R2.

Fonctionnement hors ligne

Le programme AMR WinControl vous permet de travailler en mode en ligne et hors ligne (même simultanément).

Manipulation

Les raccourcis clavier et la barre d’outils vous permettent un accès rapide aux fonctions essentielles. Les descriptions des fonctions dans la barre d’état, les info-bulles de la barre d’outils ainsi qu’une aide contextuelle complète vous assisteront pour réaliser votre tâche.


Les fenêtres de programme

voir également :

Points de mesure, appareils de mesure et connexions

Affichages des mesures

Graphique à barres

Affichage analogique

Graphique en courbe

Diagramme XY

Tableau

Vue d'ensemble du fichier

Images de projet

Liste des événements


Points de mesure, appareils de mesure et connexions

Après avoir démarré le programme ou établi la liaison entre l’ordinateur et l'appareil de mesure à partir du dialogue Paramètres de la connexion, la zone de travail d'AMR WinControl affiche la fenêtre "Points de mesure, appareils de mesure et connexions". Cette fenêtre contient sur l'onglet "Points de mesure" une liste de tous les points de mesure disponibles ainsi que toutes les voies de calcul définies. Le dialogue Propriétés des points de mesure et de la liste des points vous permet de modifier la disposition de la liste des points de mesure, les limites de ceux-ci et la définition des canaux de calcul.

L’onglet "Appareils de mesure" donne la liste de tous les appareils de mesure branchés.

Outre le type d’appareil et l’occupation de la mémoire, l’affichage comporte entre autres les paramétrages du cycle d’impression et de mesure essentiels pour le fonctionnement de la centrale d’acquisition ainsi que les réglages de début et de fin de l’enregistrement. Le dialogue Propriétés des appareils de mesure et de la liste des appareils vous permet de modifier le paramétrage de la liste des appareils et la programmation des appareils.

L’onglet "connexions" permet de lister toutes les connexions actives. Outre les propriétés de la ou des liaison(s) telles que le port COM et la vitesse de transfert ou l'adresse IP et le port TCP, il affiche également des informations sur les erreurs survenues et sur l'état actuel. La boîte de dialogue "Propriétés de connexion" permet de modifier les réglages d'une connexion donnée.

Cette fenêtre est active pendant toute la durée d'exécution d'AMR WinControl et ne peut pas être fermée.


Affichages des mesures

Pour afficher les mesures en numérique, vous disposez du type de fenêtre "Affichage des valeurs de mesure". Par la boîte de dialogue "Propriétés de l'affichage des valeurs de mesure", vous pouvez sélectionner les points de mesure que vous voulez représenter.

Si des seuils ont été prévus pour les points de mesure affichés, les dépassements et soupassements sont indiqués en couleur. L'affichage des chiffres est noir en l'absence de violation de seuil, rouge en cas de dépassement et bleu en cas de soupassement.

Vous pouvez ouvrir des affichages de mesure à volonté et les représenter simultanément.


Graphique à barres

Les graphiques à barres sont une variante pour représenter les mesures sous forme de graphique. La surveillance automatique du seuil, le repérage des seuils et l’affichage du minimum / maximum mesuré comptent parmi les caractéristiques essentielles. La sélection des points de mesure à afficher ainsi que le paramétrage des caractéristiques d'affichage s'effectuent à l’aide du dialogue Propriétés du graphique à barres.

Vous pouvez ouvrir de multiples fenêtres de graphique à barres et les représenter simultanément. Dans chaque fenêtre vous pouvez afficher tous les points de mesure existants dans le système.


Affichage analogique

Le type de fenêtre Affichage analogique sert à visualiser facilement les mesures. Servez-vous pour ceci des instruments symboliques Arc et Aiguille. Dans chaque fenêtre, l'un de ces instruments peut représenter les valeurs d'un point de mesure. En plus de la forme analogique, la valeur mesurée s'affiche également comme nombre.

Si des seuils ont été prévus pour le point de mesure affiché, les dépassements et soupassements sont indiqués en couleur. L'affichage est vert si aucun seuil n'est franchit, rouge en cas de dépassement et bleu en cas de soupassement.

Vous pouvez ouvrir des affichages analogiques à volonté et les afficher simultanément. Dans chaque fenêtre vous pouvez choisir tous les points de mesure existants dans le système.


Graphique en courbe

Vous pouvez représenter les mesures également sous forme de graphiques en courbe. A la différence de l’affichage numérique de la mesure, de l'affichage analogique et des graphiques à barres, les données pour un graphique en courbe sont tamponnées en mémoire vive de l’ordinateur et vous pouvez les sauvegarder pendant ou après une prise de mesure sous forme de fichier, ainsi que les transmettre à un logiciel de valorisation (par ex. un tableur) par DDE ou par le presse-papiers. A l’instar des autres fenêtres, la boîte de dialogue Propriétés du graphique en courbe vous permet de déterminer les paramètres du graphique et de sélectionner les points de mesure à représ.

Deux curseurs de mesure permettent d’observer les courbes des graphiques avec précision et de les évaluer à l'aide de la fonction statistique correspondante. Ces curseurs de mesure sont disponibles en ligne et hors ligne pour tous les graphiques en courbe ouverts (même simultanément).

Vous pouvez ouvrir de multiples fenêtres de ce type et les afficher simultanément. Pour chaque diagramme vous pouvez afficher de multiples points de mesure, sur quatre échelles au maximum. Vous pouvez à tout moment représenter les mesures sous forme de tableau ou de diagramme XY.


Diagramme XY

A la différence d’un graphique en courbe qui représente l'évolution de la mesure en fonction du temps, un diagramme XY permet de représenter des mesures en fonction d’une autre grandeur physique mesurée ou calculée. Comme pour le graphique en courbe, les données d’un diagramme XY sont tamponnées en mémoire vive de l’ordinateur et vous pouvez les sauvegarder pendant ou après une prise de mesure sous forme de fichier ainsi que les transmettre à un logiciel de valorisation (par ex. un tableur) par DDE, OLE ou par le presse-papiers. A l’instar des autres fenêtres, la boîte de dialogue Propriétés du graphique XY vous permet de déterminer tous les paramètres du graphique et de sélectionner les points de mesure à afficher.

Vous pouvez ouvrir de multiples fenêtres de ce type et les afficher simultanément. Pour chaque diagramme vous pouvez afficher de multiples points de mesure, sur quatre échelles au maximum. Vous pouvez à tout moment représenter les mesures sous forme de tableau ou de graphique en courbe.


Tableau

L’affichage sous forme de tableau permet de représenter les mesures en numérique et simultanément de les tamponner en mémoire vive de l’ordinateur, comme pour le graphique en courbe. Vous pouvez les sauvegarder dans un fichier pendant ou après la prise de mesure ainsi que les transmettre à un logiciel de valorisation par DDE, OLE ou par presse-papiers pour traitement ultérieur. A l’instar des autres fenêtres, le dialogue Propriétés du tableau vous permet de définir les paramètres du tableau et de sélectionner les points de mesure à afficher.

Vous pouvez ouvrir de multiples fenêtres de ce type et les afficher simultanément. Pour chaque tableau vous pouvez afficher tous les points de mesure que vous souhaitez. Vous pouvez à n’importe quel moment représenter les mesures sous forme de graphique en courbe ou de diagramme XY.


Vue d'ensemble du fichier

Lorsqu’un fichier a été enregistré à l’aide des fonctions Mesures/Enregistrement automatique ou Mesures/Lecture mémoire appareil, ce fichier est représenté à l'ouverture sous forme de fenêtre de vue d'ensemble du fichier. Dans cette fenêtre apparaît un texte vous informant sur les principales caractéristiques comme la durée d’enregistrement, les points de mesure, certaines caractéristiques des points de mesure, des annotations et le cas échéant une remarque sur l'importation des données.

Pour créer un nouveau graphique en courbe, un nouveau tableau ou un nouveau diagramme XY à partir d’une fenêtre active de vue d'ensemble du fichier, sélectionnez la fonction Mesures/Nouveau graphique en courbe, Mesures/Nouveau tableau ou Mesures/Nouveau graphique XY.

Pour modifier la vue du jeu de données, sélectionnez selon l'objectif l’une des commandes Vue/Représentation en courbe , Vue/Représentation en tableau ou Vue/Représentation en graphique XY.

Vous pouvez ouvrir de multiples fenêtres de ce type et les afficher simultanément.


Images de projet

AMR WinControl vous permet d’afficher un montage de mesure dans une fenêtre prévue à cet effet. Pour le mettre en forme, vous pouvez afficher des graphiques (bitmaps, Enhanced Metafiles), des zones de texte à placer librement, les mesures acquises dans des zones à positionnement libre (uniquement la valeur chiffrée et le cadre) ainsi que des graphiques en courbe.

Vous pouvez matérialiser les dépendances entre points de mesure en reliant des afficheurs de mesure par des lignes (de couleur), ce qui permet ainsi de représenter sans peine des synoptiques.

Les graphiques en courbe insérés par le presse-papiers comme métafichiers étendus, peuvent faire l'objet de commentaires à l'aide de zones de texte (sur fond transparent).

En utilisant des liens, les images de projet peuvent devenir une centrale de commande : on peut par un clic sur un champ de mesure, ouvrir par ex. un graphique en courbe ayant certaines propriétés ou une autre image de projet.

Pour réaliser une image de projet, exécutez la commande Mesures/Nouvelle image de projet. Afin de pouvoir définir les propriétés de l'image de projet, sélectionnez dans le menu Vue/Propriétés du graphique la commande Propriétés du graphique dans le menu contextuel ou par <Entrée>, ouvrez la boîte de dialogue des propriétés associée.

Pour insérer les objets désirés dans une image de projet, il existe la fonction Edition/Insérer objet… Avec la commande Edition/Dessin vous pouvez insérer des objets de dessin (courbes, polygones etc…).

Une image de projet peut intégrer un nombre quelconque d’objets de types différents. Il est également possible d'activer simultanément un nombre quelconque d’images de projet dans le programme. Vous pouvez ainsi afficher simultanément des vues d’ensemble et de détail d’un même projet.

Lorsque l’image de projet a été créée, vous pouvez l’enregistrer sous forme de fichier et la charger à nouveau si vous le désirez. Au chargement d'une image de projet enregistrée, sélectionnez dans la boîte de dialogue standard le type de fichier "Images de projet AMR (*.amb)".


Liste des événements

Vous pouvez définir la création d'un rapport sur toutes les situations d'alarme survenues. Si cette fonction est activée, le début et la fin d'un défaut seront portés dans une liste (fenêtre) spéciale en cas d'alarme.

Cette liste peut être sauvegardée (et même automatiquement) avec les valeurs de mesures associées.


Calculs en et hors ligne - Voies de calcul

Les fonctions mathématiques du programme vous permettent de calculer les grandeurs physiques à l’aide des valeurs mesurées.

Les grandeurs désirées se définissent à l’aide d’un éditeur de formule et sont considérées comme un canal de calcul (point de mesure virtuel).

Les données acquises par ces canaux de calcul peuvent être traitées et représentées aussi bien en ligne que hors ligne. Selon la définition, une voie de calcul utilisée comme point de mesure virtuel est disponible dans le programme entier ou seulement de manière locale dans un jeu de données (graphique en courbe ou diagramme XY et tableau).

voir également :

Voies de calcul globale

Voies de calcul locales


Voies de calcul globale

Lorsqu’une voie de calcul doit être disponible dans le système entier, définissez-la à l’aide de la boîte de dialogue "Propriétés des points de mesure et de la liste des points". Pour appeler celle-ci, assurez-vous que la fenêtre des points de mesure soit active, choisissez la commande Vue/Propriétés et sélectionnez l’onglet "Voies de calcul".

APPEL !

Voici d'autres possibilités pour exécuter cette commande:

· en double-cliquant avec le bouton gauche de la souris dans la fenêtre actuelle des points de mesure .

· en cliquant une fois avec le bouton droit de la souris dans la fenêtre actuelle des points de mesure et en sélectionnant la fonction "Voies de calcul" dans le menu contextuel.

· avec <ENTREE> et en sélectionnant l’onglet "Voies de calcul".

· avec la commande Programmation/Voies de calcul.


Voies de calcul locales

Lorsqu’un canal de calcul ne doit être disponible que dans un seul jeu de données (diagramme ou tableau), définissez-le à l’aide de la fonction Edition/Ajouter voie de calcul.

Cette commande n’est disponible que si un jeu de données est actif (graphique en courbe ou diagramme XY et tableau).

APPEL !

Une autre possibilité pour appeler cette commande est la suivante :

· en cliquant une fois avec le bouton droit de la souris dans la fenêtre actuelle des points de mesure et en sélectionnant la fonction "Ajouter voie de calcul" du menu contextuel.


Les Assistants

Afin de faciliter la détermination de valeurs complexes et les interdépendances à l'aide des fonctions de calcul, des assistants ont été mis en œuvre en option dans AMR WinControl. Ces assistants sont à votre disposition aussi bien pour les mesures en ligne que pour les données hors ligne. Après avoir appelé la fonction correspondante du menu, les affectations et définitions sont alors demandées pas à pas pour la détermination désirée.

Pour déterminer de valeurs complexes à l’aide des fonctions de calcul, le logiciel propose optionnels assistants. Ces assistants sont disponibles aussi bien pour les mesures en ligne que pour les données hors ligne. En appelant la fonction du menu Mesure, les affectations et paramétrages nécessaires pour le calcul sont appelées étape par étape.

Les assistants suivants sont disponibles:

· L'assistant valeur U (voir : Assistant de coefficient U)

· Le Calcul du confort thermique (voir : Mesure de bien-être selon DIN EN ISO 7730)

· Le Calcul de quantité de chaleur (voir : Calcul de quantité de chaleur)


Curseurs de mesure / Fonction statistique

Une autre fonction d'analyse interne au programme est donnée par les deux curseurs de mesure à l'aide desquels vous pouvez observer les graphiques en courbe en détail et les évaluer à l'aide de la fonction statistique correspondante. Ces curseurs de mesure sont disponibles en ligne et hors ligne pour tous les graphiques en courbe ouverts (même simultanément).

Pour analyser une courbe, ouvrez d’abord le fichier des valeurs de mesure puis affichez-le dans la vue "Graphique en courbe". Le menu Vue et le menu contextuel offrent la fonction "Curseurs" à l’aide de laquelle vous pouvez activer et désactiver les curseurs de mesure (voir : Curseurs).

Lorsque les curseurs sont activés, ceux-ci sont représentés dans le graphique sous forme de deux lignes verticales et dans la partie inférieure du graphique en courbe s’affiche un tableau donnant les valeurs de mesure de toutes les courbes en dessous des curseurs. A la première ligne de ce tableau, les horodatages s'affichent sous le curseur correspondant ainsi que leurs différences.

De plus, pour chaque courbe que contient le graphique, la fonction de statistique intégrée calcule les valeurs suivantes :

· Différence entre les deux valeurs de mesure figurant en-dessous des curseurs.

· Minimum, maximum et valeur moyenne de la plage délimitée par les curseurs.

· Différence entre minimum et maximum.

· Ecart type.

Ces valeurs sont également affichées dans le tableau.

Le rapport de taille entre le graphique en courbe et le tableau de statistiques peut être déterminé individuellement. Si le pointeur de la souris est déplacé sur la ligne de séparation entre le diagramme et le tableau, il change d’aspect et vous pouvez déplacer cette ligne de séparation en maintenant le bouton gauche de la souris enfoncé. La taille du graphique en courbe est alors adaptée et le tableau est affiché en entier ou avec une barre de défilement verticale.

Impression

Pour procéder à l’impression, voici les différentes possibilités:

· impression directe du graphique et du tableau des statistiques.

· impression directe du tableau des statistiques.

· copie du graphique ou du tableau des statistiques à l’aide du presse-papiers, p. ex. dans des documents de texte ou les tableurs.


Menus contextuels

En raison des différentes caractéristiques et fonctions des fenêtres de programme, chaque fenêtre dispose de fonctions de menu différentes. La barre de menu d'AMR WinControl s'adapte donc automatiquement à chaque fenêtre active. La méthode la plus efficace pour disposer des fonctions les plus importantes en une seule vue sont les menus contextuels. Vous pouvez les ouvrir en cliquant avec le bouton droit de la souris dans la fenêtre momentanément active.


Intégration et mise en réseau

AMR WinControl offre de nombreuses possibilités d'acquisition de données de mesure, issues de types d'appareil les plus divers, et de les mettre également à disposition d'autres logiciels. Un système de mesure existant peut ainsi être simplifié, étendu d'une nouvelle instrumentation ou intégré dans un nouveau système de mesure avec AMR WinControl. Les possibilités sont alors vastes, tant pour l'importation que pour l'exportation des données de mesure.

Bon à savoir!

Si vous disposez d'un système de mesure pour lequel AMR WinControl procède à l'acquisition ou que vous souhaitez alimenter de données de mesure provenant de notre logiciel, merci de nous contacter (courriel: support@akrobit.de).

voir également :

Acquisition des mesures

Transmission des mesures


Acquisition des mesures

AMR WinControl peut exploiter différentes liaisons vers divers appareils de mesure en parallèle. Il est alors possible d'intégrer différents types d'appareil au sein d'AMR WinControl. Tous les protocoles disponibles peuvent être choisis pour chaque connexion dans AMR WinControl (voir: Paramètres de la connexion).

voir également :

Acquisition de données climatiques

Systèmes de mesure universels

Intégration des autres logiciels

Accès distant WinControl

Acquisition sur d'autres systèmes


Acquisition de données climatiques

· Feutron: acquisition des données issues des enceintes climatiques de la société Feutron.

· VIT/ASCII-2: acquisition des enceintes climatiques de la société Weiss Umwelttechnik.

· CTS/ITC: acquisition des enceintes climatiques de la société Weiss Umwelttechnik.


Systèmes de mesure universels

· Lecture de la mémoire ALMEMO: lecture automatique de données issues des centrales d'acquisition ALMEMO de la société Ahlborn (voir également : Lecture automatique de la mémoire).


Intégration des autres logiciels

· SimpleASCII: acquisition des données venant d'autres logiciels via un protocole littéral (texte) (voir aussi: Le protocole SimpleASCII).

· Importation OPC: acquisition de données venant de variables d'un serveur OPC (voir aussi: Le protocole Import OPC).


Accès distant WinControl

· Serveur de données WinControl: acquisition de données provenant d'autres WinControls et de produits de la gamme WinControl (voir aussi: Serveur de données WinControl).


Acquisition sur d'autres systèmes

· DPM 373: acquisition de l'hygromètre à point de rosée 373 de la société MBW Calibration (voir aussi: Le protocole d'hygromètre à point de rosée 373).

· Simeas-T: acquisition sur les appareils Simeas-T, de Siemens.

· LiquiSonic: acquisition sur les appareils de mesure LiquiSonic, de la société SensoTech.

· XStream X2: acquisition des analyseurs de gaz XStream X2, de Emerson Processmanagement.

· Modbus: acquisition des données issues d'autres appareils de mesure, à l'aide du protocole MODBUS RTU et MODBUS TCP (voir également : Le Protocole Modbus).

Bon à savoir!

Dans le cadre d'une adaptation spécifique, nous pouvons à tout moment mettre en œuvre d'autres protocoles pour vous dans AMR WinControl.


Transmission des mesures

voir également :

Exportation Excel en ligne

Exportation OPC en ligne

Exportation hors ligne

Connexions avec le monde Windows


Exportation Excel en ligne

Avec la connexion Excel, les mesures actuelles peuvent être transmises en ligne à MS Excel. Il est alors possible d'activer plusieurs liaisons Excel, de transmettre les données dans différents dossiers de travail (voir également: Mesures/Nouveau lien Excel).


Exportation OPC en ligne

AMR WinControl peut en option fonctionner comme Client selon le standard OPC-DA. Par l'exportation OPC, il est ensuite possible de transférer les mesures actuelles de tout point de mesure, en ligne depuis AMR WinControl sur un serveur OPC du réseau (voir également: L'exportation OPC).


Exportation hors ligne

Naturellement il est possible d'exporter les données de mesure après leur acquisition, dans différents formats (voir également: Fichier/Exporter). Ceci peut s'effectuer manuellement ou automatiquement après changement de fichier de l'enregistrement automatique (voir également: Enregistrement automatique).


Connexions avec le monde Windows

DDE

Si vous avez démarré simultanément plusieurs applications dans votre environnement Windows, par ex. l’acquisition de valeurs de mesure et un tableur, il est possible d’échanger des données entre ces programmes sans les enregistrer au préalable dans un fichier ou dans le presse-papiers. Vous pouvez ainsi immédiatement analyser dans votre tableur et comme d'habitude les données de mesure acquises (même en cours de mesure).

OLE

L'association par ex. entre traitement de texte et acquisition des valeurs de mesure est particulièrement recommandée pour établir le rapport sur des mesures qui se répètent souvent. Vous pouvez ainsi insérer un graphique en courbe sous forme d’objet dans votre texte de rapport, l’utiliser pour accéder directement depuis le traitement de texte aux fonctions d’acquisition des valeurs de mesure et immédiatement après avoir terminé la mesure, le document désiré est entièrement disponible (voir également: intégrer un objet WinControl dans un document texte).


Initiation rapide

Pour vous initier rapidement à votre programme, vous pouvez prendre connaissance des traitements de base grâce aux "premiers pas". Vous disposez à cet effet de l’assistant en ligne "Premiers pas avec AMR WinControl". Si vous préférez travailler avec le manuel, vous trouverez également dans la suite les explications de l’assistant sous le titre "Premiers pas".

voir également :

L'assistant "Premiers pas"

Les premiers pas


L'assistant "Premiers pas"

AMR WinControl - Vue d'ensemble > Initiation rapide

L’assistant "Premiers pas"

L’assistant "Premiers pas avec AMR WinControl" explique en ligne les premiers pas pour travailler avec AMR WinControl.

Selon le paramétrage de votre programme, vous pouvez appeler cet assistant automatiquement lors du démarrage du programme ou l’activer le cas échéant à l’aide de la commande de menu Aide/Premiers pas ou de la touche de fonction <F2>.

Afin d'obtenir des informations sur certains sujets, sélectionnez cette rubrique dans la liste (à gauche) d'un clic de souris.

Dans les textes comportant les explications de chaque point détaillé, des liens ont été insérés. Ceux-ci ressortent du texte par une couleur différente. Ces liens ouvrent soit des rubriques connexes dans l'assistant, soit la boîte de dialogue se rapportant au sujet dans le programme.

Si l’assistant n’apparaît pas lors du démarrage du programme, désactivez la case à cocher dans la partie inférieure de cette fenêtre. Servez-vous du bouton "Fermer" pour fermer l’assistant.

Attention!

Le bon fonctionnement nécessite d'avoir installé Internet explorer 3.0 ou plus (conseillé: au moins la version 5.5).


Les premiers pas

Raccorder les appareils de mesure

Raccordez vos appareils de mesure sur un port série libre de votre ordinateur (COM1 à COM9) et définissez la vitesse du port de l’appareil (par ex. 9600 baud). A l'aide de la commande Paramètres/Ajouter une connexion, ouvrez la boîte de dialogue Paramètres de la connexion de l’interface, sélectionnez-y les mêmes paramètres (interface et vitesse de transmission) et confirmez les entrées par OK. Si les entrées sont correctes, le dialogue se ferme et peu de temps après les points et l'appareil de mesure s'affichent dans la fenêtre Points de mesure, appareils de mesure et connexions d'AMR WinControl.

Créer un fichier de mesure

Pour créer un fichier dans lequel enregistrer toutes les mesures, sélectionnez dans le menu "Valeurs de mesure" la fonction Enregistrement automatique ou <F8>. Un dialogue s'affiche dans lequel vous sélectionnez le(s) point(s) de mesure (clic simple à l’aide du bouton gauche de la souris dans les cases à cocher de la liste à gauche des libellés des points de mesure). Servez-vous du bouton Démarrage pour ouvrir un dialogue de fichier dans lequel vous saisissez le nom du fichier dans le champ de saisie "Nom de fichier " et le confirmez par OK. Une fois la lecture des valeurs de mesure lancée, les données de tous les points de mesure sélectionnés sont enregistrées dans ce fichier.

Démarrer la mesure

Pour lire les mesures sur les appareils de mesure connectés, vous devez activer la lecture des mesures (menu Mesures/Lecture des mesures ou <F12>). Les valeurs de mesure sont alors scrutées de manière cyclique. Selon le paramétrage du programme, la boîte de dialogue Enregistrement automatique s'affiche d’abord (voir "Créer un fichier de valeurs de mesures"). Si vous ne voulez pas enregistrer les mesures, choisissez Annuler. Le temps de cycle est représenté dans la ligne d’état (champ dt:…). Vous pouvez le modifier à l'aide du menu Paramètres/Cycle de mesure (ou Ctrl+Z). Vous pouvez maintenant observer les mesures dans l’affichage des valeurs de mesure, le graphique à barres, le tableau, le graphique en courbe ou le diagramme XY.

Nouvel affichage des valeurs de mesure

A l’aide de la commande de menu Mesures/Nouvel affichage des valeurs de mesure (ou en cliquant avec le bouton gauche de la souris sur l’icône Affichage des valeurs de mesure dans la barre d'outils), vous pouvez ouvrir une fenêtre d’affichage numérique. Dans la boîte de dialogue préalable "Propriétés de l'affichage des valeurs de mesure" sélectionnez le/les point(s) de mesure désiré(s) (touche <CTRL> + clic du bouton gauche de la souris sur le point de mesure de la liste) et confirmez par OK. L’affichage s’ouvre et vous pouvez le positionner et modifier sa taille comme vous le souhaitez. Lorsque la lecture des valeurs de mesure est activée (voir rubrique "Démarrer la mesure"), les valeurs de mesure actuelles apparaissent au cycle de mesure suivant.

Nouveau graphique à barres

A l'aide de la commande de menu Mesures/Nouveau graphique à barres ou <F6>, ouvrez une fenêtre de graphique à barres. Dans la boîte de dialogue "Propriétés du graphique à barres" qui s’ouvre maintenant, vous pouvez sélectionner le(s) point(s) de mesure désiré(s) pour le graphique. Pour ceci, sélectionnez le point de mesure dans la liste et activez la case à cocher à gauche de l’entrée. Lorsque vous avez fait votre choix, confirmez par OK. Lorsque la lecture des valeurs de mesure est activée (voir rubrique "Démarrer la mesure"), les valeurs de mesure actuelles s'affichent au cycle de mesure suivant. Vous pouvez positionner la fenêtre et modifier sa taille comme vous le désirez.

Nouveau tableau

A l'aide de la commande de menu Mesures/Nouveau tableau ou <F10>, ouvrez une fenêtre de tableau. Dans la boîte de dialogue "Propriétés du tableau" qui s’ouvre, vous pouvez sélectionner le(s) point(s) de mesure pour le tableau. Pour ceci, sélectionnez le point de mesure dans la liste et activez la case à cocher à gauche de l’entrée. Lorsque vous avez fait votre choix, confirmez par OK. Lorsque la lecture des valeurs de mesure est activée (voir rubrique "Démarrer la mesure"), les valeurs de mesure actuelles sont portées dans le tableau au cycle de mesure suivant. Vous pouvez positionner la fenêtre et modifier sa taille comme vous le désirez.

Nouveau graphique XY

La commande de menu Mesures/Nouveau graphique XY ou <F11> vous permet d'ouvrir une fenêtre de graphique. Dans la boîte de dialogue "Propriétés du graphique XY" qui s’ouvre maintenant, vous pouvez sélectionner les points de mesure désirés pour le graphique. Définissez dans la zone de liste un point de mesure comme axe des X. Pour les axes des Y, faites votre choix dans la liste des points de mesure en activant les cases à cocher. Les autres paramétrages s'effectuent de façon analogue au graphique en courbe. Confirmez par OK. Lorsque la lecture des valeurs de mesure est activée (voir rubrique "Démarrer la mesure"), les valeurs de mesure actuelles s'affichent au cycle de mesure suivant. Vous pouvez positionner la fenêtre et modifier sa taille comme vous le désirez.

Nouveau graphique en courbe

A l'aide de la commande de menu Mesures/Nouveau graphique en courbe ou <F5>, ouvrez une fenêtre de graphique en courbe. Dans la boîte de dialogue "Propriétés du graphique en courbe" qui s’ouvre maintenant, vous pouvez sélectionner le(s) point(s) de mesure désiré(s) pour le graphique. Pour ceci sélectionnez les points de mesure dans la liste en activant les cases à cocher. Confirmez par OK. Lorsque la lecture des valeurs de mesure est activée (voir rubrique "Démarrer la mesure"), les valeurs de mesure actuelles s'affichent au cycle de mesure suivant. Vous pouvez positionner la fenêtre et modifier sa taille comme vous le désirez.

Changer graphique en courbe

Ouvrez la boîte de dialogue des propriétés du graphique en courbe en appuyant sur <ENTRÉE> lorsque la fenêtre du graphique est active. Pour modifier la ou les couleur(s) de la (des) ligne(s) de courbe, choisissez le point de mesure correspondant dans la liste et ensuite la couleur désirée dans la liste des couleurs. Pour représenter les valeurs limites d’un point de mesure, sélectionnez celui-ci dans la liste et activez la case à cocher "Afficher valeurs limites". Si vous voulez affecter un autre axe Y à un point de mesure, sélectionnez ce point de mesure dans la liste et cliquez ensuite sur l'axe Y désiré. Pour faire apparaître le graphique avec une grille, activez la case à cocher "Afficher grille".

Enregistrer graphique en courbe

Pour enregistrer un graphique en courbe, activez-le (clic avec le bouton gauche de la souris dans la fenêtre) et activez ensuite la commande de menu "Fichier/Enregistrer sous". Dans la boîte de dialogue qui s’affiche, saisissez dans le champ d’entrée "Nom de fichier" le nom du fichier. Choisissez également le lecteur et le répertoire dans lequel vous voulez enregistrer le fichier.

Copier graphique en courbe

Vous pouvez également intégrer un graphique en courbe AMR WinControl dans vos textes de rapports! Pour ceci, activez dans AMR WinControl le graphique en courbe (clic avec le bouton gauche de la souris dans la fenêtre) et activez la commande de menu Edition/Copier. Ouvrez votre traitement de texte et le document texte désiré et positionnez le curseur à l’endroit où vous voulez insérer le graphique en courbe. Dans le traitement de texte, exécutez la commande de menu Edition/Insérer.

Alarme et liste des événements

La commande "Paramètres/Alarme" ouvre une boîte de dialogue permettant de paramétrer toutes les alarmes. Les paramètres sont répartis sur différents onglets selon les catégories:

· Sur l'onglet "Alarme" vous définissez s'il doit ou non y avoir déclenchement d'alarme. Tous les autres réglages ne seront opérationnels que si cette option est activée.

· Dans l'onglet "Réactions d'alarme", vous pouvez activer l'option "Inscrire dans liste d'événements" afin d'afficher un rapport à l'écran pour les alarmes et les messages d'état.

· Dans l'onglet "Rappel", vous pouvez régler un intervalle > 0 afin d'inhiber pendant un certain temps les messages d'alarme si un acquittement a eu lieu à l'écran mais que la situation d'alarme perdure.

Arrêter la mesure

Terminez la lecture des valeurs de mesure avec la commande de menu Mesures/Lecture des mesures, avec la touche de fonction <F12> ou en cliquant sur le bouton Démarrage/Arrêt rouge, à l'extrême gauche de la barre d'outils. Le champ dt de la ligne d’état affiche maintenant "ARRET". Pour fermer le fichier des valeurs de mesure (voir "Créer un fichier de valeurs de mesures") appelez la ligne de commande Mesures/Enregistrement automatique et sélectionnez "Arrêter".

Visualiser un fichier de valuer de mesures

La commande de menu Fichier/Ouvrir vous permet de lire un fichier sauvegardé. En fonction du paramétrage s'ouvre un graphique en courbe, un graphique XY, un tableau ou une fenêtre de texte avec les données de fichier les plus importantes. La commande de menu Vue/Représentation en… permet d'afficher le jeu de données ouvert dans les différentes présentations. Vous pouvez modifier chaque vue à l'aide de la boîte de dialogue des propriétés.

Attention!

Si vous supprimez des points de mesure, ceux-ci seront supprimés dans le fichier. Pour individualiser les points de mesure utilisez les commandes Valeurs de mesure/Nouveau… (voir "Isoler des séries de mesure").

Isoler des séries de mesures

Pour isoler les séries de mesure d'un fichier, sélectionnez pour ce fichier la "Vue d'ensemble" (Vue//Vue d'ensemble). Cliquez avec le bouton droit de la souris dans la fenêtre active pour ouvrir le menu contextuel. Exécutez selon votre objectif l'une des commandes "Nouveau tableau", "Nouveau graphique en courbe" ou "Nouveau graphique XY". Dans la boîte de dialogue des propriétés, sélectionnez les points de mesure souhaités pour le nouveau fichier et confirmez par OK. Ensuite activez à nouveau la fenêtre intégrant les données du fichier, exécutez à nouveau la fonction "Nouveau…" et sélectionnez le ou les points de mesure.


La fenêtre principale

La fenêtre principale est le cadre de tous les travaux sous AMR WinControl. Toutes les actions se déroulent au sein de cette fenêtre et peuvent être réduites en icône dans cette fenêtre ou avec celle-ci et rester actives en arrière-plan. Toutes les tâches exécutables se lancent via les lignes de commande dans les menus. Seules s'affichent les commandes que vous pouvez exécuter dans la situation donnée. Pour une manipulation plus rapide, vous disposez pour les étapes de travail les plus fréquentes des raccourcis clavier et icônes de la barre d'outils. Les descriptions de fonction dans la ligne d'état, les info-bulles de la barre d'outils ainsi qu'un système d'aide contextuelle complet (voir: "Menu contextuelle") vous assisteront dans votre tâche.

Dès le lancement du programme s'affiche la fenêtre "Points de mesure, appareils de mesure et connexions" ainsi que toutes les autres fenêtres ouvertes lors de la dernière fermeture du programme. Si l'appel automatique de "l'assistant premier pas" a été désactivé et qu'aucune connexion n'est paramétrée vers un appareil de mesure, la boîte de dialogue Paramètres de la connexion apparaît.

Bon à savoir !

Si des connexions sont déjà configurées et désactivées, la boîte de dialogue Gestion des connexions.


La fenêtre "Points de mesure, appareils et connexions"

Points de mesure

Tous les capteurs raccordés à l'appareil ou aux appareils de mesure sont détectés dès l'établissement de la liaison entre l'appareil et le logiciel et affichés sur l'onglet "Points de mesure" de la fenêtre Points de mesure, appareils et connexions.

La liste affichée contient entre autres les éléments suivants : Commentaire, appareil, point de mesure, grandeur de mesure, capteur, mode moyenne pour centrale d'acquisition, valeurs limites ainsi que les symboles des dépassements de limite, ruptures de ligne, enregistrement automatique et calcul de valeur moyenne lors de l'enregistrement automatique.

La colonne "Etat" décrit l'état actuel d'un point de mesure. Vous disposez pour cela des symboles suivants:

· Dépassement et soupassement de limite ( [image] [image] )

· Rupture de ligne ( [image] )

· Alarme ( [image] )

· Enregistrement automatique ( [image] )

· Calcul de moyenne lors de l'enregistrement automatique ( [image] )

· Attente du départ de l'enregistrement automatique à commande temporelle ( [image] )

Chacun des symboles ne s'affiche que tant que dure l'état correspondant. En cas de franchissement de limite, KwikScript permet de déclencher différentes actions.

Dans la colonne "Contrôle" s'affichent tous les états d'alarme survenus jusqu'ici. Vous disposez pour cela des symboles suivants:

· Dépassement et soupassement de limite ( [image] [image] )

· Rupture de ligne ( [image] )

Cet affichage est maintenu même si le défaut n'existe plus. Le bouton Fermer surveill. Dans la boîte de dialogue Propriétés de la liste des points de mesure permet de supprimer cet affichage.

Si vous utilisez des appareils de mesure de série ALMEMO V6, les informations supplémentaires concernant les points de mesure et mises à disposition par ces appareils sont également affichées. Il s'agit des valeurs de correction point zéro et pente, des alarmes programmées en réaction sur dépassement de limite par valeur supérieure ou inférieure ainsi que des modes de verrouillage des connecteurs et du canal de référence programmé.

En outre, la liste reprend également tous les canaux de calcul définis comme points de mesure virtuels.

Appareils de mesure

Outre la liste des points de mesure, dès que la connexion entre le logiciel et l'appareil de mesure est activée, vous disposez sur l'onglet "Appareils de mesure" d'une liste des appareils.

Attention!

Les serveurs de données WinControl ne sont pas des appareils de mesure et ne sont donc pas affichés dans cette liste.

Ce tableau liste tous les appareils de mesure connectés. Outre le type d'appareil et l'occupation mémoire, l'affichage comporte entre autres les paramétrages du cycle d'impression et de mesure essentiels pour le fonctionnement de la centrale d'acquisition ainsi que les réglages de début et de fin d'enregistrement.

Connexions

Dans AMR WinControl, tout branchement sur un appareil de mesure ou réseau d'appareils via une interface est considéré comme une connexion. Une interface (série, réseau ou modem) est affectée à chaque connexion. Plusieurs connexions peuvent être exploitées simultanément avec des types d'interface identiques ou différents (selon la version de logiciel achetée).

L’onglet "connexions" permet de lister toutes les connexions actives. Outre les propriétés de la ou des liaison(s) telles que le port COM et la vitesse de transfert ou l'adresse IP et le port TCP, il affiche également des informations sur les erreurs survenues et sur l'état actuel. Par la boîte de dialogue Gestion des connexions pouvez modifier les réglages des connexions.

La fenêtre "Points de mesure, appareils et connexions" est active pendant toute la durée du programme et est actualisée automatiquement en cas de suppression ou de rajout appareils ou points de mesure et de connexions.

voir également :

Caractéristiques des points de mesure et de la liste des points

Propriétés des appareils de mesure et de la liste des appareils

Gestion des connexions

Les paramètres de la connexion


Caractéristiques des points de mesure et de la liste des points

AMR WinControl - Les fenêtres de programme > La fenêtre "Points de mesure, appareils et connexions"

Caractéristiques des points de mesure et de la liste des points

La boîte de dialogue "Propriétés des points de mesure et de la liste des points" vous permet de modifier les caractéristiques de la liste des points de mesure, la programmation de ceux-ci, la définition des voies de calcul, ainsi que d'effectuer une correction du zéro.

En fonction des paramétrages que vous voulez effectuer, vous pouvez afficher au premier plan la fiche désirée de la boîte de dialogue en cliquant avec le bouton gauche de la souris sur le talon de l'onglet correspondant.

voir également :

Propriétés de la liste des points de mesure

Propriétés des points de mesure

Dialogue "Ajouter un point de mesure"

Externe

Propriétés des voies de calcul

Boîte de dialogue "Ajouter une voie de calcul"

Relais d'alarme

Compensation du zéro


Propriétés de la liste des points de mesure

AMR WinControl - Les fenêtres de programme > La fenêtre "Points de mesure, appareils et connexions" > Caractéristiques des points de mesure et de la liste des points

Propriétés de la liste des points de mesure

Les cases à cocher de l'onglet "liste des points de mesure" vous permettent de sélectionner les informations concernant les points de mesure que vous voulez afficher dans la liste. Pour ceci, cliquez avec le bouton gauche de la souris sur le texte correspondant ou sur la case à cocher à gauche de ce texte.

Si vous avez choisi "surveillance continue", les valeurs en défaut apparaissant au cours de la mesure seront affichées. Cet affichage est maintenu même si le défaut n'existe plus. Le bouton Fermer surveill permet de supprimer cet affichage. Indépendamment de cela, toutes les valeurs en défaut apparaissent dans un affichage momentané à la première colonne de la liste des points de mesure.

Le champ de saisie "Titre de fenêtre" vous permet de saisir un autre nom plus évocateur pour la fenêtre.

Le bouton OK vous permet de valider les paramétrages actuels. Choisissez Annuler si vous voulez fermer la boîte de dialogue. Dans ce cas, les paramétrages d'origine sont conservés. Choisissez Aide pour démarrer le système d'aide sur ce texte.


Propriétés des points de mesure

Sur l'onglet "Point de mesure", vous pouvez reprogrammer les propriétés des points de mesure. Vous disposez pour cela des options de la boîte de dialogue suivante.

Point de mesure:

En cliquant une fois avec le bouton gauche de la souris sur le point de mesure affiché, vous ouvrez une liste de tous les points de mesure disponibles. Pour sélectionner le point de mesure désiré dans la zone de liste, cliquez sur celui-ci avec le bouton gauche de la souris. Tous les autres champs contiennent maintenant les paramétres actuels de ce point de mesure.

Bon à savoir!

Un double clic avec le bouton gauche de la souris sur la ligne d'un point de mesure dans la fenêtre "points de mesure" ouvre cette boîte de dialogue avec le paramétrage de ce point.

Zone "Interne au programme"

Cette zone sert au paramétrage du commentaire et de l'unité du/des point(s) de mesure qui ne sont valables que dans le logiciel. Vous ne pouvez pas programmer ces valeurs dans l'appareil de mesure ou dans l'EEPROM du capteur (ALMEMO). La raison en est que les commentaires et unités placés dans le capteur sont limités à 10 et 2 caractères respectivement. Il est souvent souhaitable de pouvoir disposer de plus de place pour une description plus précise en commentaire du point de mesure ou pour utiliser des unités plus longues.

Sur tous les points pour lesquels sont affichés et utilisés les commentaires et unités s'affichent les libellés internes au logiciel si ceux-ci ont été définis. On peut cependant afficher en plus les colonnes des valeurs programmées dans le capteur, sur la page "Points de mesure" de la fenêtre Points de mesure, appareils et connexions. Il faut pour cela que cocher les options correspondantes dans la boîte de dialogue des propriétés pour cette fenêtre.

Attention!

Tenez compte des consignes indiquées en section Particularités lors de l'utilisation de commentaires et d'unités spécifiques à l'utilisateur.

Commentaire:

Il est possible d'affecter à chaque point de mesure un commentaire (interne au logiciel) sur quinze caractères. Outre le numéro du point de mesure, le programme utilise ce commentaire pour repérer les séries de mesure, ce qui en facilite ensuite l'affectation.

Unité:

Il est possible d'affecter à chaque point de mesure une unité (interne au logiciel) sur quatre caractères.

Bon à savoir!

Si l'utilisateur n'a rien défini comme long commentaire et unités, les champs de la zone "Interne au programme" sont renseignés avec les mêmes indications que les champs correspondants de la zone "Programmation du capteur".

Bon à savoir!

Si le commentaire ou l'unité défini(e) par l'utilisateur a été changé(e), le programme enregistre cette affectation. Si sur les points de mesures ayant fait l'objet de commentaires et unités définis par l'utilisateur, ces commentaires et unités ont été reprogrammés dans le capteur, alors les indications définies par l'utilisateur seront prises en compte. Il faut pour cela effectuer la programmation dans la boîte de dialogue "Points de mesure" sous AMR WinControl.

Zone Programmation du capteur

Vous pouvez dans cette zone effectuer tous les paramétrages pouvant être programmés dans l'appareil de mesure ou dans l'EEPROM du capteur (ALMEMO).

Commentaire:

Vous pouvez affecter un commentaire (dix caractères) aux points de mesure des appareils. Outre le numéro du point de mesure, le programme utilise ce commentaire pour repérer les séries de mesure, ce qui en facilite ensuite l'affectation (voir également: "Zone Interne au programme").

Plage de mesure:

En cliquant avec le bouton gauche de la souris sur la plage de mesure affichée, vous ouvrez la liste de toutes les plages de mesure disponibles. Pour faciliter la vue d'ensemble, cette liste affiche en plus des mnémoniques les noms complets de la plage de mesure. Pour sélectionner la plage de mesure désirée dans la zone de liste, cliquez sur celle-ci avec le bouton gauche de la souris.

le fichier sensors.dat

Toutes les plages de mesure connues du programme sont enregistrées dans le fichier sensors.dat et sont chargées au lancement du programme. Si une plage ne vous est pas proposée, quittez AMR WinControl, inscrivez cette plage dans le fichier sensors.dat et démarrez à nouveau AMR WinControl (voir également: enregistrer une nouvelle plage de mesure).

Unité:

En sélectionnant une plage de mesure, l'unité est affectée automatiquement. Si vous voulez la modifier suite à l'utilisation d'un autre capteur, vous pouvez saisir l'unité désirée (sur deux caractères) dans le champ d'édition (voir également: "Zone Interne au programme").

Mode valeur moyenne:

Sur les appareils ALMEMO plus anciens, le mode valeur moyenne permet de calculer en interne une valeur moyenne et de l'enregistrer. Cette valeur moyenne dépend du cycle de mesure et d'impression ajusté. Il est possible de moyenner ou pas les valeurs de mesure acquises en continu, sur toute la durée de la mesure et par cycle d'impression.

Limite inférieure/supérieure:

Saisissez les valeurs désirées dans les champs d'édition correspondants. Il est obligatoire d'utiliser le point comme séparateur décimal.

Base, facteur et exposant:

Saisissez les valeurs de correction désirées dans les champs d'édition correspondants. Il est obligatoire d'utiliser le point comme séparateur décimal.

Mise à l'échelle:

La fonction Echelle vous permet de déterminer les valeurs de correction (base, facteur) nécessaires pour adapter des capteurs tiers. Pour ceci, saisissez les valeurs de la plage de mesure et les valeurs de sortie du capteur dans la boîte de dialogue "Mise à l'échelle" qui s'ouvre.

Mise à l'échelle

Outre les données relatives à la plage définie dans le connecteur ALMEMO , les valeurs de la plage de mesure et les valeurs de sortie correspondantes du capteur tiers s'affichent dans une même vue et peuvent être affectées sans ambiguïté. Lorsque vous avez saisi les valeurs du capteur tiers et confirmé par OK, les valeurs de correction Base et Facteur sont calculées et enregistrées automatiquement dans les champs de saisie de la boîte de dialogue des propriétés du point de mesure.

Le bouton Programmer dans la boîte de dialogue des propriétés du point de mesure vous permet d'enregistrer ces valeurs dans le connecteur ALMEMO .

Programmer:

En cliquant avec le bouton gauche de la souris sur le bouton Programmer, vous programmez le point de mesure avec les valeurs actuelles.

Supprimer:

En cliquant avec le bouton gauche de la souris sur le bouton Suppression, vous supprimez le point de mesure affiché dans votre appareil.

Attention!

Si vous voulez reprogrammer une propriété d'un point de mesure à l'aide du logiciel, le système vérifie si vous êtes autorisé à le faire avec le verrouillage paramétré. Si tel n'est pas le cas, un message s'affiche et vous signale que pour réaliser la programmation prévue, vous devez d'abord modifier le mode de verrouillage (voir également: Verrouillage).

Ajouter:

Le bouton Ajouter permet d'ajouter des points de mesure à l'appareil (dans la limite des possibilités du matériel). Dans la boîte de dialogue "Ajouter un point de mesure" saisissez le numéro complet du point de mesure et sélectionnez la plage de mesure désirée.


Dialogue "Ajouter un point de mesure"

La boîte de dialogue "Ajouter un point de mesure" permet d'ajouter un point de mesure à l'appareil (dans la limite des possibilités du matériel). Vous disposez pour cela des options suivantes de la boîte de dialogue:

Point de mesure:

Saisissez le numéro complet du nouveau point de mesure (l'adresse de l'appareil ou le numéro du circuit et du point de mesure) sous la forme "aa:np" dans le champ "point".

Plage de mesure:

En cliquant avec le bouton gauche de la souris sur la plage de mesure affichée, vous ouvrez la liste de toutes les plages de mesure disponibles. Pour sélectionner la plage de mesure désirée dans la zone de liste, cliquez sur celle-ci avec le bouton gauche de la souris.


Externe

Sur l'onglet "Externe", vous pouvez définir les propriétés des points de mesure externes. Ici, vous pouvez définir le commentaire, l'unité, les valeurs limite, un facteur, un décalage ainsi que la précision.

Par le biais des paramètres Facteur, Décalage et Précision, il est possible de convertir la valeur d'un point de mesure en une valeur de mesure. A cet effet, l'opération utilisée est la suivante :

· Lorsqu'un facteur est indiqué, la valeur est tout d'abord multipliée par celui-ci.

· Si un décalage est indiqué, celui-ci est ensuite ajouté.

· Si un facteur est indiqué, l'arrondi est effectué sur le nombre de décimales indiqué.

Remarque : Sans indication de précision, la valeur est arrondie à 0 décimales !

Attention!

Facteur, décalage et précision ne peuvent pas être définis pour tous les types d'appareil de mesure. Ces champs sont désactivés pour tous les points de mesure issus d'appareils de mesure pour lesquels ces réglages ne sont pas pris en charge.

Les réglages effectués de cette manière sont enregistrés dans la configuration actuelle. Au démarrage suivant du logiciel, ces définitions sont automatiquement disponible à nouveau.


Propriétés des voies de calcul

L'onglet "Voies de calcul" vous permet de définir des canaux de calcul globaux. Vous disposez pour cela des options de la boîte de dialogue suivante.

Pt de mesure:

En cliquant une fois avec le bouton gauche de la souris sur le point de mesure affiché, vous ouvrez une liste de tous les points de mesure virtuels disponibles. Pour sélectionner le canal de calcul désiré dans la zone de liste, cliquez sur celui-ci avec le bouton gauche de la souris. Tous les autres champs contiennent maintenant les paramétres actuels de ce point de mesure virtuel.

Bon à savoir!

Un double clic avec le bouton gauche de la souris sur la ligne du canal de calcul dans la fenêtre "points de mesure" ouvre cette boîte de dialogue avec le paramétrage de cette voie de calcul.

Commentaire:

A l'instar des points de mesure des appareils AMR , vous pouvez affecter un commentaire (quinze caractères) aux voies de calcul. Outre le numéro du point de mesure, le programme utilise ce commentaire pour repérer les séries de mesure, ce qui en facilite ensuite l'affectation.

Unité:

Vous pouvez saisir l'unité de la grandeur à calculer dans ce champ d'édition (quarte caractères).

Limite inférieure/supérieure:

Saisissez les valeurs désirées dans les champs d'édition correspondants. Il est obligatoire d'utiliser le point comme séparateur décimal.

Nb de décimales:

Indiquez dans ce champ le nombre de décimales désirées pour représenter la grandeur à calculer. Indépendamment de votre choix, le calcul s'effectue toujours avec une précision de six décimales.

Formule:

Saisissez la formule nécessaire pour le calcul dans ce champ d'édition. Veuillez veiller aux conventions régissant l'établissement des formules (voir également: Conventions pour la saisie de formule).

Vous pouvez mémoriser une formule paramétrée et la rappeler ultérieurement. Servez-vous pour ceci des boutons Enregistrer et Charger. En cliquant avec le bouton gauche de la souris sur l'un des boutons, une boîte de dialogue de fichier standard s'ouvre dans laquelle vous pouvez saisir un nom pour le fichier que vous voulez enregistrer (formule) ou sélectionner la formule désirée et la charger avec OK.

Pour éditer la formule, vous pouvez bien entendu utiliser les fonctions standards d'édition.

Valider:

En cliquant avec le bouton gauche de la souris sur le bouton Valider, le canal de calcul est enregistré avec les valeurs actuelles en tant que point de mesure virtuel dans la liste des points de mesure. A chaque mesure réalisée, la valeur est calculée avec les données de mesure actuelles et mise à disposition de l'utilisateur comme pour les points de mesure physiques.

Supprimer:

En cliquant avec le bouton gauche de la souris sur le bouton Supprimer, vous supprimez le canal de calcul affiché de la liste des points de mesure.

Ajouter:

Le bouton Ajouter vous permet d'ajouter de nouveaux canaux de calcul dans la liste des points de mesure. Dans la boîte de dialogue "Ajouter voie de calcul" qui s'affiche, saisissez le numéro de la voie de calcul. Afin de définir plus de 100 voies de calcul, il est possible d'attribuer les numéros d'appareil 80 à 85 pour ajouter une voie de calcul.

Attention!

En attribuant les numéros d'appareil 80 à 85 aux voies de calcul, il n'est cependant pas exclu à 100 % qu'une double affectation des numéros d'appareils soit effectuée par ajout ultérieur de points de mesure physiques ou par ajout de voies de calcul dans les graphiques ou tableaux.


Boîte de dialogue "Ajouter une voie de calcul"

La boîte de dialogue "Ajouter une voie de calcul" permet de définir un nouveau canal de calcul. Définissez le numéro de voie, le commentaire, l'unité, les limites, le nombre de décimales ainsi que la formule de la grandeur à calculer (voir également : Conventions pour la saisie de formule).


Relais d'alarme

L'onglet "Relais alarme" de la boîte de dialogue "Propriétés des points de mesure et de la liste des points" permet d'affecter des relais d'alarme aux dépassements de limite de certains points de mesure.

Vous ne pouvez accéder à l'onglet "Relais d'alarme" que si un câble d'alarme est branché sur la sortie A2 de l'appareil de mesure correspondant et avec la programmation "Relais Rx affecté en interne" (voir également: Onglet "Divers").

Vous pouvez dans la liste des points de mesure, sélectionner les points de mesure désirés (par simple clic avec le bouton gauche de la souris sur l'entrée de liste). Lorsque vous avez sélectionné un point de mesure, le paramétrage actuel apparaît dans les champs "Activer relais" en cas de soupassement du seuil minimal et de dépassement du seuil maximal.

En sélectionnant les réactions possibles dans les listes, vous pouvez affecter un relais (0-3) au point de mesure sélectionné en cas de soupassement du seuil minimal et/ou en cas de dépassement du seuil maximal ou bien affecter la mention "aucune réaction".


Compensation du zéro

Le point zéro des différents capteurs peut se décaler suite à un changement de position ou une variation de température. Il est donc recommandé de procéder à la compensation du zéro avant chaque mesure. De même, certains montages de mesure peuvent nécessiter une correction du point zéro.

L'onglet "Compensation zéro" vous permet d'effectuer une compensation. Pour ceci, sélectionnez le point de mesure désiré dans la liste et cliquez avec le bouton gauche de la souris sur le bouton Compensation du zéro pour lancer la compensation.

Si cette fonction ne déclenche pas la compensation du point zéro, vérifiez dans les descriptions de fonction des appareils et des capteurs si ceux-ci gèrent cette fonction.

Attention!

Ne lancez pas cette fonction en cours de mesure (avec des cycles de mesure courts).


Propriétés des appareils de mesure et de la liste des appareils

A l'instar de la boîte de dialogue "Propriétés des points de mesure et de la liste des points", ce dialogue est disponible pour paramétrer et programmer les caractéristiques de la liste des appareils et des appareils. Lorsque la liste des appareils est affichée, ce dialogue peut être appelé en lançant la fonction "Vue/Propriétés", en activant la touche <ENTRÉE> ou en double-cliquant avec le bouton gauche de la souris sur une entrée de liste.

voir également :

Propriétés de la liste des appareils

Onglet "Commutation"

Onglet "Centrale d'acquisition"

Onglet "Divers"


Propriétés de la liste des appareils

Les cases à cocher de l'onglet "liste des appareils" vous permettent de sélectionner les données concernant les appareils de mesure que vous voulez afficher dans la liste. Pour ceci, cliquez avec le bouton gauche de la souris sur le texte correspondant ou sur la case à cocher à gauche de ce texte.

Le champ de saisie "Titre de fenêtre" vous permet de saisir un autre nom plus évocateur pour la fenêtre.


Onglet "Commutation"

AMR WinControl - Les fenêtres de programme > La fenêtre "Points de mesure, appareils et connexions" > Propriétés des appareils de mesure et de la liste des appareils

Onglet "Commutation"

L'onglet "Commutation" vous permet de régler les paramètres de l'appareil ayant une influence sur la vitesse de conversion et de la mémoire interne.

Dans la liste "appareil de mesure" vous pouvez sélectionner l'appareil pour lequel vous voulez effectuer le paramétrage. Si vous sélectionnez l'option "Tous", les paramètres réglés seront programmés sur tous les appareils raccordés.

Dans la liste "Vitesse de commutation", vous pouvez choisir à quelle vitesse de commutation interne les appareils doivent fonctionner (trois, dix, quinze ou cent commutations par seconde). En activant les cases à cocher "Scrutation en continu" et "Enregistrement en continu", vous pouvez sélectionner ces modes de fonctionnement. En activant le bouton Programmer, les paramétrages effectués sont programmés sur l'appareil / les appareils. Lorsque la programmation a été effectuée, les nouveaux paramètres s'affichent immédiatement dans la liste des appareils.


Onglet "Centrale d'acquisition"

AMR WinControl - Les fenêtres de programme > La fenêtre "Points de mesure, appareils et connexions" > Propriétés des appareils de mesure et de la liste des appareils

Onglet "Centrale d’acquisition"

L'onglet "Centrale" vous permet d'effectuer le paramétrage nécessaire pour le fonctionnement de l'appareil en centrale d'acquisition.

Le programme affiche d'abord la programmation existante de l'appareil de mesure sélectionné dans la liste "appareil". Pour sélectionner un autre appareil, cliquez avec le bouton gauche de la souris dans la zone de liste et activez l'appareil désiré.

Bon à savoir!

Afin de programmer les mêmes paramètres sur toutes les centrales d'acquisition présentes sur le réseau en une seule étape, sélectionnez "tous" dans la liste "appareil". En sélectionnant "tous", c'est la programmation du premier appareil qui s'affiche.

Vous pouvez ensuite modifier la programmation à l'aide des options suivantes la de boîte de dialogue:

Début:

Dans le champ "Date" indiquez la date de début sous la forme "jj:mm:aa" et dans le champ "Heure" l'heure de début sous la forme "hh:mm:ss".

Fin:

Dans le champ "Date" indiquez la date de début sous la forme "jj:mm:aa" et dans le champ "Heure" l'heure de début sous la forme "hh:mm:ss".

Cycle de mesure:

Dans le champ de saisie "Cycle de mesure" saisissez la vitesse de scrutation en heures, minutes et secondes (hh:mm:ss).

Cycle d'impression:

Il faut saisir le cycle d'impression pour calculer les valeurs moyennes en mode centrale d'acquisition. A chaque cycle d'impression, les valeurs acquises au cycle de mesure sont moyennées. La valeur moyennée ainsi que la dernière valeur de mesure acquise sont sauvegardées en mémoire.

Vous pouvez enregistrer des moyennes en continu et cycliques. La programmation correspondante s'effectue séparément pour chaque point de mesure et ceci p. ex. à l'aide de la boîte de dialogue "Propriétés des points de mesure" (voir également: Mode valeur moyenne).

La saisie s'effectue également en heures, minutes et secondes (hh:mm:ss).

Mode de fonctionnement:

· Standard
La centrale d'acquisition enregistre les mesure en mémoire interne. Dans ce mode de fonctionnement, aucune communication avec AMR WinControl par interface n'est prévue.

· Moniteur
La centrale d'acquisition peut à l'occasion être surveillée par AMR WinControl. Lorsque dans AMR WinControl "l'initialisation sécurisée des appareils" est désactivée, alors la scrutation cyclique interne n'est pas influencée par la scrutation logicielle.

· Fail-Save
Ce mode de fonctionnement permet d'enregistrer automatiquement les mesures en interne si la scrutation logicielle n'a pas lieu. Dans ce mode de fonctionnement, il faut programmer dans l'appareil un plus grand cycle comme il est utilisé pour la scrutation logicielle.

Attention!

En utilisant un appareil de mesure comme centrale d'acquisition, il faut désactiver "l'initialisation sécurisée des appareils" car sinon, la mémorisation interne dans l'appareil peut être interrompue par logiciel (voir également : Paramètres étendus).

Bon à savoir!

Le choix du mode de fonctionnement n'est disponible que lorsqu'un appareil ALMEMO V6 est raccordé et qu'il ne fonctionne pas en réseau avec un appareil V5.

MAJ horloge:

Si vous avez coché cette option, l'heure de l'ordinateur est récupérée pour programmer l'appareil. Vous pouvez l'activer par un simple clic de souris sur le texte.

Le bouton Programmer vous permet de valider le paramétrage actuel dans l'appareil. Le bouton Effacer mémoire permet d'effacer la mémoire des appareils de mesure. Si cette fonction n'est pas exécutée, les valeurs de mesure sont mises à la suite des valeurs de mesure déjà existantes.


Onglet "Divers"

Sur l'onglet "Divers" vous pouvez programmer les valeurs de pression atmosphérique, l'hystérésis et la configuration des modules de sortie raccordés sur la prise A2.

Le programme affiche d'abord la programmation existante de l'appareil de mesure sélectionné dans la liste "appareils". Pour sélectionner un autre appareil, cliquez avec le bouton gauche de la souris dans la zone de liste et activez l'appareil désiré.

Bon à savoir!

Afin de programmer les mêmes paramètres sur tous les équipements présents sur le réseau en une seule étape, sélectionnez "tous" dans la liste "appareil". En sélectionnant "tous", c'est la programmation du premier appareil qui s'affiche.

Pour effectuer une mesure correcte des grandeurs liées aux conditions atmosphériques comme les grandeurs humidité et saturation en oxygène, vous pouvez saisir une valeur de pression atmosphérique dans le champ de saisie correspondant.

En gestion interne à l'appareil des alarmes, un dépassement de seuil par valeur supérieure reste valable jusqu'à ce que la valeur de mesure soupasse la limite de la valeur programmée pour l'hystérésis (valeur par défaut=10 digits)). En fonction de la résolution d'une plage de mesure, il peut être avantageux d'adapter l'hystérésis. Vous pouvez pour cela saisir une valeur entre 00 et 99 dans le champ correspondant.

Le logiciel offre dans la liste "Configuration du module de sortie" les options possibles pour configurer le module de sortie. En cliquant avec le bouton gauche de la souris sur l'option affichée, vous ouvrez une liste de toutes les possibilités de configuration. Pour sélectionner l'option souhaitée dans la liste, cliquez sur celle-ci avec le bouton gauche de la souris. Cette fonction n'est disponible que si vous avez branché un module configurable.

En activant le bouton Programmer, les paramétrages effectués sont programmés sur l'appareil / les appareils. Lorsque la programmation a été effectuée, les nouveaux paramètres s'affichent immédiatement dans la liste des appareils.


Gestion des connexions

D'un double clic sur la liste des connexions existantes dans la fenêtre "Points de mesure, appareils et connexions" ou en ouvrant le menu "Paramétres/Gestion des connexions…", vous obtenez la boîte de dialogue "Gestion des connexions". Après avoir sélectionné une connexion dans la liste affichée, vous pouvez activer ou désactiver celle-ci, supprimer ou ajouter des connexions et ouvrir la boîte de dialogue des propriétés associée.

L'ordre des connexions dans le tableau résulte du premier numéro d'appareil respectif dans la connexion.

Ajouter

Le bouton Ajouter ouvre tout d'abord la boîte de dialogue "Paramètres de la connexion", dans laquelle on peut définir toutes les caractéristiques de la nouvelle connexion. Après avoir quitté ce dialogue avec OK, cette nouvelle connexion est ensuite disponible.

Supprimer

Le bouton Supprimer permet de retirer de la liste une connexion sélectionnée. Cela supprime tous les réglages et propriétés effectués sur la connexion et celle-ci n'est ensuite plus disponible.

Propriétés

Le bouton de commande Propriétés appelle la boîte de dialogue "Paramètres de la connexion". Celle-ci permet de visualiser et de modifier les propriétés de la connexion.

Activer / Déactiver

Les boutons Activer et Désactiver offrent la possibilité d'activer et de désactiver les connexions. Une connexion active transmet les données, les points de mesure et appareils de cette connexion sont disponibles sous AMR WinControl. Une connexion désactivée ne transmet aucune donnée, les points de mesure et appareils de cette connexion ne sont pas disponibles sous AMR WinControl.

On peut créer autant de connexions que désiré, dont on peut activer un nombre quelconque (selon la version de logiciel achetée). Cependant, afin d'effectuer une acquisition de mesures, il faut au moins une connexion active et par cette connexion, il faut qu'un appareil avec au moins un point de mesure soit accessible.

Attention!

Même en cas d'utilisation simultanée de plusieurs connexions, les numéros d'appareil doivent être uniques dans toutes les liaisons! Le logiciel génère un message d'erreur correspondant lorsqu'une connexion doit être créée ou activée et qu'un numéro d'appareil réglé pour celle-ci est déjà utilisé dans une autre connexion active.

Bon à savoir!

Sur les systèmes de PC modernes, la durée de transmission maximum est influencée moins par la puissance de calcul disponible que par la bande passante des voies de communication, il est possible d'augmenter la vitesse maximum de l'acquisition de données avec plusieurs appareils de mesure en raccordant chaque appareil sur une autre interface et d'affecter une connexion propre à chaque interface.

Toutes les connexions qui étaient actives à la fermeture du programme seront activées automatiquement au prochain démarrage, les connexions désactivées resteront inactives.


Les paramètres de la connexion

Les boutons Propriétés et Ajouter de la boîte de dialogue "Gestion des connexions" et le menu "Paramètres/Ajouter une connexion" ouvrent la boîte de dialogue "Paramètres de la connexion". Ce dialogue permet de définir une nouvelle connexion ou de visualiser et/ou modifier les propriétés d'une connexion existante.

En font partie l'attribution en option d'un libellé pour la connexion, le protocole désiré, le type d'interface à utiliser (série, réseau ou modem) ainsi que ses paramètres spécifiques.

voir également :

Choix du protocole

Interface série

Réseau

Modem

Numéros d'appareil

Paramètres étendus


Choix du protocole

Le protocole par défaut est le protocole ALMEMO , lequel est préréglé automatiquement pour les nouvelles connexions et qui est toujours disponible.

D'autres protocoles sont disponibles en option en modules supplémentaires, par exemple le protocole simpleASCII (pour les détails voir : Le protocole SimpleASCII).


Interface série

Au raccordement des appareils de mesure sur l'interface RS232, ce type de liaison doit être sélectionné. Il est indispensable d'indiquer le port COM sur lequel est raccordé l'appareil de mesure ainsi que le réglage de la vitesse de transmission correcte, si une communication par cette liaison doit avoir lieu.

Les ports COM réellement installés sur le système sont mis en évidence en gras dans le champ de sélection.


Réseau

S'il faut relier l'appareil au PC par le réseau (Internet, Intranet), alors il faut sélectionner le type de liaison "Réseau". L'indication de l'adresse correcte du destinataire, soit sous forme d'adresse IP, soit comme nom symbolique ainsi que du port correct est absolument nécessaire si une communication doit s'effectuer par cette liaison.


Modem

AMR WinControl peut établir la connexion avec l'appareil de mesure également par modem. Sélectionner à cet effet le type de connexion "Modem".

Le port sélectionné doit être celui sur lequel le modem est raccordé et la vitesse de transfert doit être réglée sur la valeur également utilisée par le modem.


Numéros d'appareil

La sélection des numéros d'appareil est indépendante du type d'interface et du protocole. Celle-ci peut s'effectuer directement dans la case correspondante. Les plages contigües sont indiquées sous la forme "Premier numéro d'appareil" - "Dernier numéro d'appareil", les appareils isolés ou les plages sont séparés par des virgules.

Attention !

Pour la bonne utilisation du logiciel, il faut n'indiquer ici que des adresses d'appareil existantes effectivement, car le logiciel part du principe qu'une communication doit être établie avec les appareils indiqués. A tout numéro d'appareil inexistant, il tentera régulièrement d'envoyer des commandes de lecture de la configuration ou de sortie des valeurs de mesure. Aucune réponse n'arrivant dans ce cas, le temps d'attente réglé s'écoulera toujours, ce qui conduit à des retards dans l'acquisition des mesures !

Afin de simplifier la saisie sur plusieurs appareils, on peut à l'aide du bouton "Sélection" ouvrir une boîte de dialogue dans laquelle on sélectionne tout simplement tous les équipements existants avec la souris.

Le bouton de commande Rechercher... dans la boîte de dialogue "Paramétres de la connexion" permet de rechercher automatiquement les appareils ALMEMO raccordés. Cela sert particulièrement lorsque les adresses d'appareil sont inconnues.

Pendant la recherche les appareils de mesure trouvés ainsi que la progression en cours s'affichent. Un clic sur le bouton OK permet d'arrêter la recherche à tout instant. Les appareils trouvés à ce stade seront validés automatiquement.

Le bouton "Paramètres" dans la boîte de dialogue de recherche permet d'afficher à l'écran d'autres éléments de service, afin d'adapter au besoin la plage d'appareils sur laquelle rechercher ainsi que l'intervalle de temps de réponse.

Bon à savoir !

Les paramètres modifiés sont pris en compte seulement après avoir cliqué sur "Relancer la recherche" !

Le bouton "Annuler" permet de fermer la boîte de dialogue à tout moment, les appareils de mesure trouvés ne seront cependant pas repris dans la boîte de dialogue connexion !

Bon à savoir !

La recherche automatique d'appareils n'est disponible que lorsque le protocole ALMEMO est réglé et ne fonctionne que lorsque l'interface sélectionnée n'est pas déjà utilisée. C'est par exemple le cas également lorsque la recherche est lancée sur une connexion déjà activée. Dans ce cas, il est conseillé de commencer par désactiver la connexion puis de rouvrir la boîte de dialogue de paramétrage.


Paramètres étendus

Le bouton de commande Etendu… permet d'ouvrir la boîte de dialogue "Paramètres de connexion étendus", laquelle autorise d'autres réglages. Les champs de saisie de ces paramètres sont classés par thème sur les onglets suivants :

· Protocole ALMEMO 1 / ALMEMO 2

· Reconnexion

· Port COM

· Modem

· Connexion à numérotation

Selon le type de liaison sélectionné, seuls sont disponibles parmi eux ceux qui sont importants pour ce type de connexion.

Onglet "Protocole ALMEMO (1)"

Cet onglet est disponible pour toutes les connexions permettant d'accéder aux appareils ALMEMO. On effectue ici tous les réglages généraux agissant spécialement sur les appareils ALMEMO.

En particulier les réglages ont les incidences suivantes :

Protocole CRC : si cette option est activée et que la connexion comporte exclusivement des appareils ALMEMO de micrologiciel V6, alors la communication avec l'appareil sécurisée par utilisation de sommes de contrôle. On peut en outre atteindre une plus grande vitesse de transfert pour la transmission.

Utiliser les réglages Bluetooth : si cette option est activée, le logiciel modifie la gestion des liaisons défectueuses. Les commandes ayant reçu des réponses erronées ne sont alors pas répétées, et considérées plus rapidement comme défaillance de l'appareil. Ceci permet, en cas de liaison perturbée temporairement, de retrouver les appareils de mesure plus rapidement.

à savoir !

Les réglages Bluetooth permettent d'éliminer les appareils de mesure de la liste des points de mesure après 3 requêtes de mesure erronées ou après une actualisation erronée des réglages de l'appareil. Ensuite, ces appareils sont recherchés de nouveau 30 secondes plus tard.

Initialisation sécurisée : En activant cette option, il est demandé au logiciel d'interrompre le traitement interne des commandes ou au profit d'une communication impeccable entre l'appareil et le logiciel.

Attention !

Si l'appareil doit être exploité comme centrale d'acquisition autonome, il ne faut pas activer cette option car sinon, le risque existe que la mémoire interne de l'appareil s'arrête également !

Informations sur l'appareil en marche à vide : indiqué une durée en seconde enjoint le logiciel à lire la configuration actuelle de l'appareil en dehors de la mesure, au plus tôt après écoulement de cette durée. C'est particulièrement pour les connexions réseau ou les connexions arrêtées après transmission des données que l'on peut par ce biais réduire significativement le volume de données arrivant.

Attention !

Sur les appareils de mesure avec afficheur, il est possible de modifier les paramètres de configuration essentiels directement sur l'appareil. Si cela est effectuer pendant la mesure en cours avec l'option "Mettre à jour la configuration appareil même pendant la mesure" désactivée, le logiciel ne peut pas reconnaître ces changements !

Recommandation : les appareils ALMEMO à partir de la V6 gèrent le protocole CRC. Les possibilités étendues de ce protocole réduisent la scrutation de la configuration systématiquement au minimum nécessaire. Si possible, il faut utiliser des appareils V6 et activer dans le logiciel l'option "Utiliser le protocole CRC, si possible".

Informations sur l'appareil lors de la mesure : en activant cette option, le programme est déclenché à lire la configuration actuelle de l'appareil, même pendant une mesure en cours.

Actualiser date et heure des appareils de mesure : en activant cette option, AMR WinControl actualise la date et l'heure sur tous les appareils ALMEMO lors de l'activation de la connexion, du passage de l'heure d'été à l'heure d'hiver (et vice-versa) et en

fonctionnement continu toutes les 24 heures.

Onglet "ALMEMO (2)"

Cet onglet est disponible pour toutes les connexions permettant d'accéder aux appareils ALMEMO. On effectue ici tous les réglages relatifs aux retards et temporisation agissant spécialement sur les appareils ALMEMO.

Dans le détail, les réglages ont les incidences suivantes :

Régulateur à coulisse "Temporisations instruction" : en déplaçant ce curseur, les deux temporisations pour les commandes sont raccourcies ou prolongées en parallèle. D'un clic de la touche gauche de la souris sur le bouton "Détails >>", vous pouvez régler les deux temporisations (standard et mesure) aussi individuellement.

Le bouton "Valeurs standard" : remet toutes les temporisations à leurs valeurs standard.

Temps d'attente standard : indication d'un intervalle de temps en millisecondes que AMR WinControl doit attendre l'arrivée d'une réponse à la commande émise par l'appareil. Seulement après écoulement de cette durée, la commande est répétée le cas échéant ou l'on procède à la commande suivante. Cette temporisation se règle en affichage simplifié, à l'aide du curseur "Temporisations instruction".

Temps d'attente mesure : indication d'un intervalle de temps en millisecondes que AMR WinControl doit attendre l'arrivée d'une réponse à la commande d'acquisition de mesure émise par l'appareil. Seulement après écoulement de cette durée, la commande est répétée le cas échéant ou l'on procède à la commande suivante. Cette temporisation se règle en affichage simplifié, à l'aide du curseur "Temporisations instruction".

Temps d'attente lecture mémoire : indication d'un intervalle de temps en millisecondes que AMR WinControl doit attendre avant l'arrivée d'une réponse de l'appareil, lors de la lecture de la mémoire de l'appareil de mesure. Seulement après écoulement de cette durée, la commande est répétée le cas échéant ou l'on procède à la commande suivante.

Retard de commutation : si plusieurs appareils sont sur cette connexion, on peut alors régler un intervalle de temps que le logiciel doit attendre avant de commuter de l'appareil actuel au suivant.

Bon à savoir !

Les temps d'attente ne définissent qu'un scénario le plus défavorable. Si la réponse arrive plus rapidement que définie par le temps d'attente, le logiciel envoie immédiatement après traitement de la réponse la commande suivante, ce qui n'engendre aucun retard en fonctionnement normal si le temps d'attente a été réglé trop grand. Le retard à la commutation intervient en revanche également lorsque tout fonctionne en fait correctement et qu'il peut ainsi éviter une mesure rapide si la valeur a été réglée trop grande. En règle générale, il ne faut pas effectuer de modification sur les valeurs standard (1800, 4500, 0). Ce n'est qu'en cas de défauts fréquents dans le fonctionnement du réseau ou du modem que l'on peut essayer de trouver un remède par ce biais. La règle générale doit alors être que des temps d'attente de 20000 millisecondes et plus ne sont plus pertinents. On peut augmenter le retard à la commutation par pas de 50 ms, jusqu'à 500 ms au maximum !

Onglet "ALMEMO (3)"

Cet onglet n'est disponible qu'en version V/surveillance. En activant l'option "Activer la sécurité intégrée", un enregistrement sans interruption des données est également possible en cas de défaillance de connexion. Vous trouverez plus d'informations sur la sécurité intégrée sous Enregistrement des données sans interruption.

Onglet "Reconnexion"

Cet onglet est toujours disponible. Il faut indiquer ici en seconde la durée au bout de laquelle le programme rétablit automatiquement une connexion interrompue. Ce réglage est important en particulier pour les connexions réseau, afin que le logiciel puisse continuer de fonctionner sans problème automatiquement après de brèves interruptions.

Onglet "Port COM"

Cet onglet sert aux connexions série et modem. Il permet d'adapter tous les paramètres de communication du port COM. Pour les appareils ALMEMO , il n'est en général pas nécessaire de procéder à des modifications.

Attention !

Modifier ces paramètres peut conduire à ce que la communication entre appareil de mesure et logiciel soit perturbée un certain temps !

Onglet "Modem"

Cet onglet ne s'affiche que pour les connexions par modem. Il est possible de régler ici le mode de numérotation. Normalement on utilise aujourd'hui les fréquences vocales, dans des cas exceptionnels il peut être nécessaire de régler l'ancien mode de numérotation décimale.

De plus, on peut indiquer ici la séquence d'initialisation pour le modem. Il s'agit normalement de ATZ. Le AT étant préfixé sur toutes les commandes modem (commandes AT), il ne faut pas le saisir encore une fois. Si d'autres commandes AT sont nécessitées dans la chaîne d'initialisation, celles-ci peuvent être insérées en plus ici.

On peut ensuite continuer à travailler dans la boîte de dialogue supérieure "Paramètres de la connexion" : le bouton "OK" insère dans le programme la connexion nouvellement créée. En cas de modification d'une connexion existante, ce bouton de commande est libellé "Valider" et après sélection, les modifications de la connexion deviennent effectives. Dans les deux cas la boîte de dialogue se ferme quand la validation des données a réussi.

Onglet "Connexion à numérotation"

Cet onglet ne s'affiche que pour les connexions par réseau. Les appareils de mesure activés par réseau ne se trouvent pas toujours sur le même réseau que l'ordinateur d'acquisition avec AMR WinControl. Jusqu'ici, la liaison devait être établie manuellement et rester active le cas échéant pendant une période assez longue sans être utilisée, ce qui cause des frais si la communication passe par modem à numérotation.

AMR WinControl est capable d'établir la liaison sans assistance : l'utilisateur établit la connexion par numérotation ou VPN souhaitée une fois pour toutes dans le système d'exploitation et l'affecte à la connexion sous AMR WinControl :

Dès que la liaison (vers l'appareil de mesure ) est activée dans AMR WinControl, le logiciel établit d'abord la liaison à numérotation ou VPN souhaitée.

Si vous activez l'option "Couper automatiquement la liaison établie", la liaison à numérotation ou VPN est coupée automatiquement dès que la connexion sous AMR WinControl est désactivée ou supprimée.


L'affichage des valeurs de mesure

Pour afficher les mesures en numérique, vous disposez en plus de l'affichage en tableau, du type de fenêtre "Affichage des valeurs mesurées". L'affichage comprend la valeur et l'unité. En cas d'un dépassement du seuil par valeur supérieure la valeur de mesure s'affiche en rouge, en cas de dépassement par valeur inférieure en bleu.

Si vous ne sélectionnez qu'un seul point de mesure pour l'affichage, le nom du point de mesure (numéro et/ou commentaire) apparaît automatiquement dans la barre de titre de la fenêtre. En sélectionnant plusieurs points de mesure, leur nom respectif est indiqué au-dessus de la valeur et de l'unité.

Vous pouvez choisir librement la taille et l'emplacement de cette fenêtre dans la zone de travail d'AMR WinControl. Vous pouvez ouvrir de multiples fenêtres et les représenter simultanément. Le dialogue "Propriétés de l’affichage des valeurs de mesures" vous permet de sélectionner les points de mesure que vous voulez représenter.

voir également :

Boîte de dialogue "Propriétés de l'affichage des valeurs de mesures"


Boîte de dialogue "Propriétés de l'affichage des valeurs de mesures"

La boîte de dialogue "Propriétés de l'affichage des valeurs de mesures" offre une liste de tous les points de mesure disponibles. Vous pouvez sélectionner autant de points de mesure que vous voulez par fenêtre d'affichage. Cliquez pour cela avec le bouton gauche de la souris sur le point de mesure désiré et confirmez par OK ou en cas de sélection d'un seul point de mesure, double-cliquez sur celui-ci avec le bouton gauche de la souris.

Si vous voulez supprimer des points de mesure de l'affichage, cliquez avec le bouton gauche de la souris sur une entrée préalablement sélectionnée.

Le champ de saisie "Titre de la fenêtre" vous permet de définir un titre individuel pour l'affichage des mesures. La chaîne de caractères qui y sera saisie servira de titre à l'affichage de mesure actuel. Si vous ne saisissez rien, le logiciel utilise les valeurs par défaut, à savoir le texte "Affichage des points de mesure XY" (p. ex. Affichage des points de mesure 5) pour plusieurs points de mesure ou "NuméroAppareil.NuméroVoie – commentaire point de mesure" (par ex. 0.5 – Laboratoire) pour un seul point de mesure.

Attention !

Les titres vides sont interdits. Si le titre saisi n'est constitué que d'espaces, le titre utilisé sera celui par défaut.

APPEL !

Appel d'un nouvel affichage de valeurs de mesure :

· à partir de la commande de menu Mesures/Nouvel affichage des valeurs de mesure.

· Touche fonction <F7>.

· Clic simple de la souris sur l'icône "Nouvel affichage de valeur de mesure" dans la barre d'outils.


Le graphique à barres

Le type de fenêtre "Graphique à barres" vous permet d'afficher sous forme de graphique à barres les valeurs de mesure relevées, individuellement ou en groupe.

On compte parmi les caractéristiques essentielles d'un graphique à barres la surveillance automatique de limite, le repérage des limites et l’affichage du minimum / maximum mesuré.

Bon à savoir !

Les couleurs utilisées pour afficher l'état actuel et les franchissements de seuil peuvent être adaptées dans le menu Paramètres/Couleurs.

Vous pouvez ouvrir de multiples fenêtres de graphique à barres et les représenter simultanément. Dans chaque fenêtre vous pouvez afficher tous les points de mesure existants dans le système.

voir également :

Boîte de dialogue "Propriétés du graphique à barres"


Boîte de dialogue "Propriétés du graphique à barres"

Dans la boîte de dialogue "Propriétés du graphique à barres" sélectionnez les points de mesure désirés ainsi que la représentation du graphique à l'aide des options suivantes de la boîte de dialogue.

Titre de la fenêtre :

Saisissez dans le champ un titre pour le graphique à barres que vous voulez représenter.

Points de mesure :

Pour la représentation en graphique à barres, vous pouvez sélectionner dans la liste autant de points de mesure que vous voulez. Pour faciliter la sélection, vous pouvez choisir l'une des méthodes suivantes :

· Double clic sur le point de mesure désiré

· Clic simple avec la touche gauche de la souris sur la case à cocher à gauche du texte du point de mesure.

· Clic sur le bouton "Sélection des points de mesure" sous la liste des points de mesure et sélection des options "Sélectionner tous", "Désélectionner tous" ou "Inverser sélection".

· Sélection d'un point de mesure dans la liste et modification d'une des caractéristiques "Etendue" ou "Eléments".

Représentation du point de mesure sélectionné :

Etendue :

Les valeurs "de" et "jusqu'à" permettent de déterminer l'étendue de mesure affichée. Les valeurs affectées automatiquement par le programme lors de la sélection d'un point, ne sont valables à ce niveau qu'à titre indicatif. Une adaptation aux conditions physiques existantes peut être effectuée à n'importe quel moment, même pendant la mesure par l'utilisateur.

Eléments :

Commentaire/point de mesure - le commentaire et le numéro du point de mesure visibles dans la liste des points sont affichés au-dessus de la barre de mesure s'ils sont sélectionnés. L'option "priorité" vous permet de masquer le numéro de point de mesure ou le commentaire si vous n'avez pas suffisamment de place pour pour représenter les deux propriétés dans la même fenêtre.

Valeur minimale et maximale - si elles sont sélectionnées, les valeurs arrivées lors de la mesure sont représentées sous forme d'une mince barre à droite de la barre de mesure actuelle. Ceci permet de détecter immédiatement les dépassements de seuil, même par la suite.

Valeur numérique - si sélectionnée, la valeur de mesure actuelle est représentée au-dessous de la barre de mesure.

Les éléments disponibles sont activés ou désactivés en cliquant une fois avec le bouton gauche de la souris sur le texte ou sur la case à cocher à gauche du texte.

Mise à zéro Min/Max :

Si vous avez activé l'enregistrement du minimum et maximum mesuré pour une barre, il peut être utile de remettre à zéro cet affichage à un moment donné. Pour ce faire, vous disposez du bouton Mise à zéro Min/Max.

APPEL !

Appel d'une nouvelle fenêtre de graphique à barres :

· à partir de la commande de menu Mesures/Nouveau graphique à barres.

· Touche de fonction <F6>.

· Clic avec le bouton gauche de la souris sur l'icône "Nouveau graphique à barres" dans la barre d'outils.

Impression

Impression d'un graphique à barres :

· Activer le graphique à imprimer.

· exécuter la commande Imprimer du menu Fichier.

· ou clic de souris sur l'icône imprimante de la barre d'outils.


L'affichage analogique

Le type de fenêtre Affichage analogique sert à simplement visualiser les mesures. Servez-vous pour ceci des instruments symboliques Arc, Rose des vents et Aiguille. Dans chaque fenêtre, l'un de ces instruments peut représenter les valeurs d'un point de mesure. En plus de la forme analogique, la valeur mesurée s'affiche également comme nombre.

Si des seuils ont été prévus pour le point de mesure affiché, les dépassements et soupassements sont indiqués en couleur. L'affichage est vert si aucun seuil n'est franchit, rouge en cas de dépassement et bleu en cas de soupassement.

voir également :

Boîte de dialogue "Propriétés de l'affichage analogique"


Boîte de dialogue "Propriétés de l'affichage analogique"

La boîte de dialogue "Propriétés de l'affichage analogique" vous permet de configurer la fenêtre de l'affichage de la manière suivante :

Points de mesure :

Définissez ici les points de mesure devant être affichés dans la fenêtre. Pour sélectionner un point de mesure, cliquez simplement sur celui-ci avec le bouton gauche de la souris.

Vous pouvez saisir un point de mesure par fenêtre. Vous pouvez ouvrir autant de fenêtres d'affichage analogique que vous voulez.

Instrument :

Sélectionnez ici d'un simple clic sur le bouton le mode de représentation désiré. L'arc et l'aiguille représentent les données sur une échelle semi-circulaire dont il faut indiquer les valeurs initiale et finale (cf. ci-dessous), tandis que la rose des vents affiche les valeurs en cercle, ce qui fait recommencer au début en cas de dépassement de plage.

Etendue (de à) :

Saisir ici la valeur de départ et la valeur finale de l'échelle de l'arc et de l'aiguille. Attention à ce que la valeur initiale soit inférieure à la valeur finale. Si l'instrument réglé est la rose des vents, vous ne pouvez rien saisir dans ces champs, mais l'étendue qui correspond à une rotation complète de la rose des vents s'affiche en contrôle.

Unité de la rose des vents :

L'unité de la rose des vents détermine comment la mesure doit être interprétée et affichée.

Deg : L'étendue d'affichage de la rose correspond à 360°.

Rad : L'étendue d'affichage est de 2*π.

Grd : L'étendue d'affichage vaut 100.

L'étendue d'affichage correspond à un parcours complet de l'aiguille. Les valeurs de mesure situées à l'extérieur de cette plage sont converties dans cette plage.

Tous les paramètres peuvent être modifiés à n'importe quel moment, même pendant la mesure.

Valeurs min et max :

Pour les instruments Arc et Aiguille, vous pouvez définir ici en cochant la case si la plage de mesure parcourue doit être mise en évidence visuellement. Cette mise en évidence peut s'annuler à tout moment en appuyant sur le bouton "Réinitialiser min/max".

APPEL !

Appel d'une nouvelle fenêtre d'affichage analogique :

· à partir de la commande de menu Mesures/Nouvel affichage analogique.

· Clic simple de la souris sur l'icône "Nouvel affichage analogique" dans la barre d'outils.


Le graphique en courbe

Un graphique en courbe vous permet de représenter l'évolution dans le temps d'un nombre quelconque de grandeurs de mesure. Pour ceci, vous disposez de quatre axes Y et d'une plage de temps au choix. A l’instar des autres fenêtres, la boîte de dialogue Propriétés du graphique en courbe vous permet de déterminer les paramètres du graphique et de sélectionner les points de mesure à représenter.

A la différence de l’affichage des valeurs de mesure numériques et des graphiques en barre, les données d’un graphique en courbe sont tamponnées en mémoire vive de l’ordinateur et vous pouvez les sauvegarder pendant ou après une prise de mesure sous forme de fichier ainsi que les transmettre à un logiciel de valorisation (p. ex. un tableur) par DDE ou en passant par le presse-papiers pour établir un rapport avec un traitement de texte.

La fonction de menu Vue/Curseurs vous permet d'activer deux curseurs de mesure à l'aide desquels vous pouvez suivre exactement l'évolution des graphiques en courbe ainsi que les évaluer grâce à la fonction statistique correspondante.

Lorsque vous déplacez le pointeur de souris à proximité d'une courbe dans un diagramme, AMR WinControl incruste une petite fenêtre de remarque dans laquelle on peut voir le nom du point de mesure correspondant ainsi que la valeur de mesure sous le pointeur de souris. Si plusieurs courbes se trouvent à proximité du pointeur, les informations sur toutes ces courbes s'affichent.

Si le tableau des statistiques est activé en-dessous du graphique, alors l'incrustation des valeurs de mesure est automatiquement désactivé car les informations désirées peuvent maintenant être lues dans le tableau.

Vous pouvez ouvrir de multiples fenêtres de ce type et les afficher simultanément. Vous pouvez représenter les valeurs de mesure sous forme de tableau à n’importe quel moment. Pour ceci, sélectionnez la commande Vue/Représentation en tableau ou ouvrez le menu contextuel en cliquant avec le bouton droit de la souris dans le graphique en courbe et choisissez-y la fonction Représentation en tableau. En choisissant la commande Vue/Représentation en graphique XY ou le menu contextuel et la fonction Représentation en graphique XY , il est également possible à n'importe quel moment de représenter le jeu de données dans un graphique XY.

voir également :

Boîte de dialogue "Propriétés du graphique en courbe"


Boîte de dialogue "Propriétés du graphique en courbe"

Dans la boîte de dialogue des propriétés du graphique en courbe, sélectionnez les points de mesure désirés et choisissez les paramètres d'affichage du graphique.

En fonction du paramétrage à effectuer, vous pouvez afficher en premier plan la fiche correspondante de la boîte de dialogue en cliquant avec le bouton gauche de la souris sur son onglet.

Onglet "Points de mesure"

Sur l'onglet "points de mesure", sélectionnez les points de mesure désirés, le type et la couleur du trait ainsi que la représentation des axes à l'aide des options suivantes de la boîte de dialogue.

Points de mesure:

Pour la représentation en graphique en courbe, vous pouvez sélectionner dans la liste autant de points de mesure que vous voulez. Pour faciliter la sélection, vous pouvez choisir l'une des méthodes suivantes:

· Clic dans la case d'option (case à cocher) dans la première colonne de la liste des mesures.

· Cliquez sur le bouton "Sélection des points de mesure" dans la liste des points de mesure afin de changer le choix des points de mesure ou leur visibilité. Vous disposez ici des options "Sélectionner tout", "Désélectionner tout", "Inverser sélection", "Toutes sélections visibles", "Toutes sélections invisibles" et "Inverser visibilité".

Axe Y:

Dans cette colonne de tableau s'affiche l'axe Y sur lequel le point de mesure est représenté. Par un simple clic dans la cellule correspondante apparaît sur le côté droit du champ une flèche de déroulement qui, lorsqu'on la clique, ouvre une liste de sélection des axes Y possibles et permet ainsi de changer l'affectation.

Il est possible d'affecter à chaque point de mesure l'un des axes Y, 4 au maximum, qui peuvent être configurés dans le tableau "Axes Y" dans la même boîte de dialogue. Il est alors possible d'affecter plusieurs points de mesure au même axe Y.

Couleur:

Dans cette colonne de tableau s'affiche la couleur actuellement sélectionnée pour ce point de mesure dans le graphique en courbe. Par un simple clic sur la couleur, une fenêtre de sélection s'ouvre. Dans cette fenêtre de sélection, il est possible d'un seul clic de sélectionner une autre couleur pour ce point de mesure. Ce paramétrage peut être modifié à n'importe quel moment, même pendant la mesure.

Type de ligne:

Dans cette colonne de tableau s'affiche le type de courbe actuellement sélectionné pour ce point de mesure. Par un simple clic sur la courbe, une fenêtre de sélection s'ouvre. Dans cette fenêtre de sélection, il est possible d'un seul clic de sélectionner un autre type de courbe pour ce point de mesure. Ce paramétrage peut être modifié à n'importe quel moment, même pendant la mesure.

Affichage des limites:

Un simple clic de la souris sur ce texte permet d'afficher les limites du point de mesure sélectionné dans le graphique en courbe.

Point de mesure invisible:

Cette option permet de masquer la représentation de certaines séries de mesure d'un jeu de données.

Pour ceci, sélectionnez l'option "point de mesure invisible" en cliquant avec le bouton gauche de la souris dans la case à cocher dans la dernière colonne du point de mesure correspondant.

Ce point de mesure n'est alors plus représenté dans le graphique. Ce paramétrage est évidemment possible pour chacun des points de mesure ainsi que pour plusieurs points simultanément.

Attention!

Aucun axe Y ne doit être affecté aux points de mesure marqués invisibles.

voir également :

La zone "Axe Y":

La zone "Axe des temps":

Onglet "Disposition"

Onglet "Historique"

Onglet "Récupération des mesures"

Onglet Min / Max

Voies de calcul locales

Fonction loupe à l'aide de la souris

APPEL !

Impression

Documentation

Curseur de mesure / fonction statistique


La zone "Axe Y":

En sélectionnant un point de mesure dans un graphique en courbe, toutes les possibilités de paramétrage de l'axe Y sont sélectionnées automatiquement. Cette sélection s'effectue par rapport à la plage du point de mesure enregistré et peut être modifiée à n'importe quel moment, même pendant la mesure:

Bon à savoir!

Si lors de la fermeture de la boîte de dialogue par OK, le système trouve des points de mesure auxquels aucun axe Y n'a été affecté, un message d'erreur est émis. Ce message d'erreur comporte le premier de ces points de mesure avec le numéro et le commentaire. De plus, ce point de mesure est sélectionné automatiquement dans la boîte de dialogue du graphique, de sorte que vous pouvez corriger vos saisies immédiatement.

Libellé:

Dans le champ "Libellé" vous pouvez saisir un texte pour décrire en détail l'axe en question. Ce texte apparaît ensuite tourné de 90° le long de l'axe correspondant du graphique.

Etendue:

Les valeurs "de" et "jusqu'à" permettent de déterminer l'étendue de mesure affichée. L'affectation du programme ne pouvant être réalisée qu'à titre indicatif à cette étape, souvent l'utilisateur sera obligé de procéder à une correction. Une modification est recommandée lorsque les valeurs de mesure dépassent l'étendue sélectionnée et lorsque vous voulez afficher en détail un extrait de la mesure.

Unité:

Un changement de l'unité ne s'effectuera que lorsque la plage de capteur sélectionnée pour ce point de mesure est utilisée pour représenter une autre grandeur physique. Pour ceci, saisissez cette unité dans le champ d'édition.

Logarithmique:

Lorsque vous activez cette option (clic simple du bouton gauche de la souris sur le texte), l'axe Y sélectionné s'affiche en échelle logarithmique.

Afficher grille:

Lorsque vous activez cette option (clic de souris sur le texte), le graphique en courbe est affiché sur fond de grille. Nous vous recommandons d'afficher la grille seulement pour un axe Y.

Couleur:

Dans cette colonne de tableau s'affiche la couleur actuellement sélectionnée pour cet axe Y dans le graphique en courbe. Par un simple clic sur la couleur, une fenêtre de sélection s'ouvre. Dans cette fenêtre de sélection, il est possible d'un seul clic de sélectionner une autre couleur pour cet axe Y. Ce paramétrage peut être modifié à n'importe quel moment, même pendant la mesure. On peut ainsi affecter à un point de mesure en couleur un axe Y de la même couleur.


La zone "Axe des temps":

La saisie des jours, heures et minutes permet de déterminer la plage de représentation de l'axe des temps. Ce paramétrage peut être modifié à n'importe quel moment, même pendant une mesure.

Représentation:

Si vous avez sélectionné l'option "absolue", les données de mesure sont représentées par rapport au temps absolu.

Si la représentation doit se baser sur le temps relatif, choisissez l'option "relative".

Un autre mode permet de représenter avec la même origine temporelle des valeurs de mesure issues d'un regroupement de fichiers. Pour le sélectionner, choisissez l'option "Superposée".

Cette fonction permet la comparaison directe dans un même graphique entre deux courbes enregistrées à des moments différents.

Attention!

Des courbes regroupées ayant le même numéro de point de mesure ont toujours les mêmes propriétés de courbe.


Onglet "Disposition"

L'onglet "Disposition" vous permet de choisir les libellés à l'aide des options suivantes de la boîte de dialogue.

Commentaire:

Dans le champ de saisie "Commentaire", vous pouvez indiquer l'affectation des données de mesure du graphique au comportement physique correspondant. Le commentaire (nombre quelconque de caractères) s'affiche dans la barre de titre de la fenêtre du graphique. Si les séries de mesure du graphique sont enregistrées dans un fichier, le commentaire sera également porté dans le fichier.

Libellé au-dessus /au-dessous:

Dans ces champs de saisie vous pouvez saisir un autre texte pour décrire le graphique. Celui-ci apparaît dans une ligne au-dessus ou au-dessous de la représentation graphique.

Légende:

Vous pouvez déterminer si vous voulez représenter la légende au-dessus ou au-dessous des graphiques ou si vous ne voulez pas du tout l'afficher. Pour ceci, cliquez sur le bouton d'option à gauche du texte respectif.


Onglet "Historique"

Le serveur de données AMR WinControl dispose d'un tampon des valeurs mesurées reposant sur un fichier (tampon circulaire).

Les données tamponnées peuvent être intégrées dans de nouveaux tableaux ou graphiques. A cet effet, les boîtes de dialogue de propriétés correspondantes possèdent un onglet supplémentaire "Historique" disponible lors de la création d'un nouveau graphique ou d'un nouveau tableau.

A l'aide de l'option "Ne valider aucune donnée issue de l'historique" (standard), le graphique ou le tableau est créé comme d'habitude. Avec "Valider toutes les données disponibles dans l'historique", toutes les données présentes dans le tampon et relatives aux points de mesure sélectionnés dans l'onglet "Points de mesure" sont validées dans le graphique ou le tableau. La dernière option vient également lire les données dans le tampon mais uniquement celles comprises dans l'intervalle de temps réglé.

Après avoir récupéré les données du tampon dans le graphique ou le tableau, les valeurs actualisées sont ajoutées comme d'habitude dès que la scrutation des mesures est activée.


Onglet "Récupération des mesures"

La récupération des mesures peut s'effectuer en fonction de valeurs mesurées ou calculées. Vous pouvez effectuer les paramétrages nécessaires à cet effet sur l'onglet "Récupération des mesures".

Le paramétrage par défaut est la prise en compte de toutes les mesures. Alternativement, il est possible de sélectionner un point de mesure de référence et une condition (supérieur à / inférieur à) ainsi qu'une valeur de seuil.

Les mesures ne seront alors récupérées dans le tableau ou le graphique que lorsque la condition définie est remplie. Tous les points de mesure matériels ainsi que toutes les voies de calcul globales sont autorisés comme point de mesure de référence. La récupération ou non-récupération s'effectue toujours pour les données d'un cycle complet de mesure.

Attention!

Les canaux locaux de calcul dans le tableau ou le graphique ne continuent de calculer que lorsque dans le cycle de mesure en cours les valeurs ont été récupérées dans le tableau ou le graphique. Même le calcul de valeur moyenne spécifique au tableau ou au graphique n'est effectué que sur la base des données effectivement récupérées.


Onglet Min / Max

Dans la boîte de dialogue "Propriétés du graphique en courbe" se trouve l'onglet "Min / Max". Celui-ci affiche une liste de tous les points de mesure et voies de calcul disponibles dans le graphique en courbe.

Dans la colonne "Fonction valorisation", il est possible de choisir pour chaque entrée de cette liste de mesure parmi les options suivantes:

· (rien)

· Entrer minima locaux

· Entrer maxima locaux

· Entrer minima et maxima locaux

A l'aide du réglage du "rayon de recherche standard", on agit sur la taille de la fenêtre de temps que le logiciel définit comme "local" lors de la détermination des maxima ou minima.

Attention!

Tous les points de mesure et voies de calcul disponibles s'affichent dans la liste des points de mesure. Y sont également inscrits ceux qui ne sont pas utilisés dans le graphique en courbe actuel (qui ne sont affectés à aucun axe Y ou qui sont invisibles). Pour ces points de mesure non utilisés, les réglages effectués sur cet onglet ne sont pas enregistrés.

Bon à savoir!

Les modifications effectuées sur l'onglet "Min / Max" sont validées immédiatement après leur confirmation. Les maxima ou minima peuvent alors être ajoutés aussi bien pour les mesures en cours (en ligne) qu'à postériori dans des fichiers de mesures (hors ligne).

Attention !

L'onglet "Min / Max" n'est pas disponible dans chaque version du programme (voir également : Les fonctions de valorisation).

Onglet Lissage|linktag=HIDD_LNSMOOTHPROPS|contextid=131473

Sur l'onglet "Lissage", il est possible d'activer et de désactiver le lissage et de déterminer le nombre de mesures à moyenner. Les valeurs possibles vont de 2 à 1000.

Ce lissage n'a d'effet que sur l'affichage et non pas sur les valeurs comprises dans le graphique en courbe.

Le lissage s'effectue toujours pour tous les points de mesure d'un graphique en courbe avec les mêmes paramètres. Dans chaque graphique en courbe affiché, différents réglages de lissage peuvent être effectués.

Les réglages de lissage sont enregistrés dans la configuration et dans le fichier des valeurs de mesure.

Remarques :

· Plus le moyennage comporte de valeurs, plus le lissage est intense en calcul.

· En cas d'interruptions de la courbe, le lissage est également interrompu.

· Puisque les courbes lissées divergent (ou peuvent diverger) des mesures effectives, aucune mesure n'est affichée sous le pointeur de souris et l'affichage du tableau des statistiques (curseurs de mesure) n'est pas non plus possible. Ceci évite des incohérences visuelles. La partie gauche du graphique affiche un message si le lissage est activé.


Voies de calcul locales

Si vous désirez qu'un canal de calcul ne soit disponible que dans ce jeu de données ou si vous voulez effectuer des calculs avec des données déjà acquises, utilisez la fonction Edition/Ajouter voie de calcul.

Dans la boîte de dialogue "Ajouter voie de calcul" qui s'affiche, définissez le numéro de voie, le commentaire, l'unité, les limites, le nombre de décimales ainsi que la formule de la grandeur à calculer (voir également : Conventions pour la saisie de formule).

Pour un jeu de données, vous pouvez déterminer autant de voies de calcul que vous voulez.


Fonction loupe à l'aide de la souris

Lorsque vous êtes dans un graphique en courbe, vous pouvez représenter un extrait de celui-ci en agrandi. Pour ceci, servez-vous soit de la boîte de dialogue des propriétés (en modifiant la plage de représentation et la taille de l'axe des temps), soit en sélectionnant la plage désirée à l'aide de la souris. Maintenez à cet effet le bouton gauche de la souris enfoncé et tirez le pointeur de la souris sur la zone que vous voulez afficher agrandie.

Avec la fonction de menu Edition/Annuler, vous rétablissez l'état d'origine du graphique en courbe.


APPEL !

Appel d'une nouvelle fenêtre de graphique en courbe:

· par la commande Mesures/Nouveau graphique en courbe.

· par la commande Mesures/Nouveau graphique en courbe avec caractéristique de comparaison.

· Touche fonction <F5>.

· Clic avec le bouton gauche de la souris sur l'icône "Nouveau graphique en courbe" dans la barre d'outils.


Impression

Impression d'un graphique en courbe:

· activer le graphique en courbe à imprimer.

· exécutez la commande Imprimer du menu Fichier.

· ou clic de souris sur l'icône imprimante de la barre d'outils.


Documentation

AMR WinControl - Les fenêtres de programme > Le graphique en courbe > Boîte de dialogue "Propriétés du graphique en courbe"

Documentation

Pour compléter par un graphique en courbe un texte écrit dans un traitement de texte Windows, copiez ce graphique dans le presse-papiers à l'aide de la commande Edition/Copier (<CTRL+C>). Vous pouvez ensuite positionner ce graphique en courbe à l'emplacement désiré dans votre texte en utilisant par ex. la commande Edition/Insérer.


Curseur de mesure / fonction statistique

Pour analyser l'évolution d'une courbe, ouvrez un fichier de valeurs de mesure, puis ouvrez la vue "Graphique en courbe" (menu Vue/Représentation en graphique en courbe). Le menu Vue et le menu contextuel offrent la fonction "Curseurs" à l'aide de laquelle vous pouvez activer et désactiver les curseurs de mesure.

Lorsque les curseurs sont activés, ceux-ci sont représentés dans le graphique sous forme de deux lignes verticales et dans la partie inférieure du graphique en courbe s’affiche un tableau donnant les valeurs de mesure de toutes les courbes en dessous des curseurs.

De plus, pour chaque courbe que contient le graphique, la fonction de statistique intégrée calcule les valeurs suivantes :

· Différence entre les deux valeurs de mesure figurant en dessous des curseurs.

· Minimum, maximum et valeur moyenne de la plage délimitée par les curseurs.

· Différence entre et valeur moyenne de minimum et maximum.

· Valeur moyenne

· Ecart type

Les curseurs peuvent être déplacés individuellement à l'aide de la souris. Si lors du déplacement, vous maintenez la touche (<Maj>) enfoncée, les deux curseurs sont déplacés ensembles. La commande de menu Vue/position du curseur… permet d'indiquer la position des curseurs directement sous forme d'horodatage. La saisie des horodatages est limitée à l'intervalle de temps pour lequel le graphique en courbe comporte des données. S'il ne comporte pas (encore) de données, seules les positions de curseurs disponibles dans la zone d'affichage actuelle peuvent être sélectionnées.

Propriétés du tableau des statistiques:

Dans le dialogue des propriétés du tableau statistique il est possible de paramétrer les colonnes devant être visibles et celles qui ne le doivent pas ainsi que de définir un facteur de zoom (50% à 130%) pour l'impression. Le facteur de zoom standard de 80% assure de faire tenir le tableau des statistiques sur une même page A4 orientation portrait avec marges latérales de 10 mm des deux côtés, largeur automatique de colonnes et toutes les colonnes activées visibles. Cela n'est cependant possible qu'avec une petite police de caractères.

En réglant manuellement le facteur de grossissement, les marges, les largeurs de colonne et/ou en masquant des colonnes on peut créer pour le tableau statistique une mise en page définie par l'utilisateur, aux propriétés définies rigoureusement et d'une grande lisibilité.

Pour ouvrir la boîte de dialogue des caractéristiques du tableau, vous pouvez vous servir du menu contextuel Propriétés.

Bon à savoir!

En fermant la boîte de dialogue de l'affichage des statistiques, les paramètres actuels (colonnes à afficher, facteur de grossissement etc.) sont mémorisés dans la configuration comme présélection pour afficher le tableau statistique et ils seront utilisés dans tous les fichiers de mesures créés ultérieurement. En outre, cette présélection est appliquée lorsqu'un ancien fichier de mesure ne possède encore aucune indication sauvegardée en interne sur la manière d'afficher le tableau statistique. Lors de l'enregistrement d'un fichier de mesures, les propriétés d'affichage du tableau statistique sont intégrées dans le fichier et à la lecture suivante de ce fichier, ce seront ces propriétés d'affichage qui seront rétablies pour ce fichier, indépendamment des valeurs présélectionnées placées dans la configuration.

Cependant, les fichiers ainsi sauvegardés ne sont plus compatibles avec les anciennes versions de programme et ne peuvent plus être lus par celles-ci. Pour pouvoir visualiser ou éditer ces fichiers également avec d'anciens programmes, il faut que toutes les colonnes soient visibles et le facteur de zoom réglé sur 80%. En enregistrant le fichier maintenant, il peut être ouvert également avec d'anciennes versions du programme.

Bon à savoir!

La proportion entre le graphique en courbe et le tableau de statistiques peut être définie individuellement. Si vous déplacez le pointeur de la souris sur la ligne de séparation entre le graphique et le tableau, il change d’aspect et vous pouvez déplacer cette ligne de séparation en maintenant le bouton gauche de la souris enfoncé. La taille du graphique en courbe est alors adaptée et le tableau s'affiche en entier ou avec une barre de défilement verticale.

Impression

Pour procéder à l’impression, voici les différentes possibilités:

· impression directe du graphique et du tableau des statistiques.

· impression directe du tableau des statistiques (par un clic sur le tableau avec le pointeur de la souris).

· copie du graphique ou du tableau des statistiques à l’aide du presse-papiers, p. ex. dans les documents texte ou les tableurs.

Bon à savoir !

Vous pouvez sélectionner le tableau des statistiques en le tirant en totalité ou partiellement avec la souris. La partie sélectionnée peut être copiée par la commande de menu Editer/Copier ou par <Ctrl>+C dans le presse-papiers, et elle est de ce fait disponible pour d'autres applications en tant que texte séparé par tabulation ou tableau HTML . Lors de l'insertion du contenu depuis le presse-papiers, le programme utilisé sélectionne généralement lui-même le format à gérer. Si les deux formats sont gérés, les programmes reconnaissent généralement le format HTML comme supérieur et lui accordent la préférence. Selon le programme (par ex. MS Word), il est également possible de forcer l'un des deux formats à l'aide de "Edition/Insérer des contenus".


Le graphique XY

Dans un graphique XY, vous pouvez représenter quatre grandeurs de mesure au maximum en fonction d'une grandeur physique mesurée. Vous pouvez pour ceci choisir parmi quatre axes Y et un axe X, ce dernier étant à définir librement. A l’instar des autres fenêtres, la boîte de dialogue Propriétés du graphique XY vous permet de déterminer tous les paramètres du graphique et de sélectionner les points de mesure à afficher.

Comme pour le graphique en courbe, les données d’un graphique XY sont tamponnées en mémoire vive de l’ordinateur et vous pouvez les sauvegarder pendant ou après une prise de mesure sous forme de fichier ainsi que les transmettre pour traitement, par DDE à un logiciel de valorisation (par ex. un tableur).

Vous pouvez ouvrir de multiples fenêtres de ce type et les afficher simultanément. Vous pouvez à tout moment représenter les mesures sous forme de tableau ou de graphique en courbe. Pour ceci, sélectionnez la commande Vue/Représentation en tableau ou Vue/Représentation en graphique en courbe ou ouvrez le menu contextuel en cliquant avec le bouton droit de la souris dans le graphique et choisissez-y la fonction Représentation en tableau ou Représentation en courbe.

voir également :

Boîte de dialogue "Propriétés du graphique XY"


Boîte de dialogue "Propriétés du graphique XY"

Dans la boîte de dialogue des propriétés du graphique XY, sélectionnez les points de mesure désirés et choisissez les paramètres d'affichage du graphique.

En fonction du paramétrage à effectuer, vous pouvez afficher en premier plan la fiche correspondante de la boîte de dialogue en cliquant avec le bouton gauche de la souris sur son onglet.

Onglet "Points de mesure"

Sur l'onglet "points de mesure", sélectionnez les points de mesure désirés, le type et la couleur du trait ainsi que la représentation des axes à l'aide des options suivantes de la boîte de dialogue.

Points de mesure:

Pour la représentation en graphique XY, vous pouvez sélectionner dans la liste autant de points de mesure que vous voulez. Pour faciliter la sélection, vous pouvez choisir l'une des méthodes suivantes :

· Clic dans la case d'option (case à cocher) dans la première colonne de la liste des mesures.

· Cliquez sur le bouton "Sélection des points de mesure" dans la liste des points de mesure afin de changer le choix des points de mesure ou leur visibilité. Vous disposez ici des options "Sélectionner tout", "Désélectionner tout", "Inverser sélection", "Toutes sélections visibles", "Toutes sélections invisibles" et "Inverser visibilité".

Axe Y:

Dans cette colonne de tableau s'affiche la couleur actuellement sélectionnée pour ce point de mesure dans le graphique en courbe. Par un simple clic sur la couleur, une fenêtre de sélection s'ouvre. Dans cette fenêtre de sélection, il est possible d'un seul clic de sélectionner une autre couleur pour ce point de mesure. Ce paramétrage peut être modifié à n'importe quel moment, même pendant la mesure.

Il est possible d'affecter à chaque point de mesure l'un des axes Y, 4 au maximum, qui peuvent être configurés dans le tableau "Axes Y" dans la même boîte de dialogue. Il est alors possible d'affecter plusieurs points de mesure au même axe Y.

Couleur:

Dans cette colonne de tableau s'affiche la couleur actuellement sélectionnée pour ce point de mesure dans le graphique en courbe. Par un simple clic sur la couleur, une fenêtre de sélection s'ouvre. Dans cette fenêtre de sélection, il est possible d'un seul clic de sélectionner une autre couleur pour ce point de mesure. Ce paramétrage peut être modifié à n'importe quel moment, même pendant la mesure.

Type de ligne:

Dans cette colonne de tableau s'affiche le type de courbe actuellement sélectionné pour ce point de mesure. Par un simple clic sur la courbe, une fenêtre de sélection s'ouvre. Dans cette fenêtre de sélection, il est possible d'un seul clic de sélectionner un autre type de courbe pour ce point de mesure. Ce paramétrage peut être modifié à n'importe quel moment, même pendant la mesure.

Affichage des limites:

Un simple clic de la souris sur ce texte permet d'afficher les limites du point de mesure sélectionné dans le graphique en courbe.

Point de mesure invisible:

Cette option permet de masquer la représentation de certaines séries de mesure d'un jeu de données.

Pour ceci, sélectionnez le point de mesure désiré dans la liste (clic simple avec le bouton gauche de la souris dans l'entrée de liste) et activez l'option "point de mesure invisible" en cliquant avec le bouton gauche de la souris dans la case à cocher dans la dernière colonne du point de mesure correspondant.

Ce point de mesure n'est alors plus représenté dans le graphique. Ce paramétrage est évidemment possible pour chacun des points de mesure ainsi que pour plusieurs points simultanément.

Attention !

Aucun axe Y ne doit être affecté aux points de mesure marqués invisibles.

voir également :

La zone "Axe Y":

La zone "Axe X":

Onglet "Disposition"

Onglet "Historique"

Onglet "Récupération des mesures"

Voies de calcul locales

Fonction loupe à l'aide de la souris

APPEL !

Impression


La zone "Axe Y":

En sélectionnant un point de mesure dans un graphique en courbe, toutes les possibilités de paramétrage de l'axe Y sont sélectionnées automatiquement. Cette sélection s'effectue par rapport à la plage du point de mesure enregistré et peut être modifiée à n'importe quel moment, même pendant la mesure :

Bon à savoir !

Si lors de la fermeture de la boîte de dialogue par OK, le système trouve des points de mesure auxquels aucun axe Y n'a été affecté, un message d'erreur est émis. Ce message d'erreur comporte le premier de ces points de mesure avec le numéro et le commentaire. De plus, ce point de mesure est sélectionné automatiquement dans la boîte de dialogue du graphique, de sorte que vous pouvez corriger vos saisies immédiatement.

Libellé:

Dans le champ "Libellé" vous pouvez saisir un texte pour décrire en détail l'axe en question. Ce texte apparaît ensuite tourné de 90° le long de l'axe correspondant du graphique.

Etendue:

Les valeurs "de" et "jusqu'à" permettent de déterminer l'étendue de mesure affichée. L'affectation du programme ne pouvant être réalisée qu'à titre indicatif à cette étape, souvent l'utilisateur sera obligé de procéder à une correction. Une modification est recommandée lorsque les valeurs de mesure dépassent l'étendue sélectionnée et lorsque vous voulez afficher en détail un extrait de la mesure.

Unité:

Un changement de l'unité ne s'effectuera que lorsque la plage de capteur sélectionnée pour ce point de mesure est utilisée pour représenter une autre grandeur physique. Pour ceci, saisissez cette unité dans le champ d'édition.

Logarithmique:

Lorsque vous activez cette option (clic simple du bouton gauche de la souris sur le texte), l'axe Y sélectionné s'affiche en échelle logarithmique.

Afficher grille:

Lorsque vous activez cette option (clic de souris sur le texte), le graphique en courbe s'affiche sur fond de grille. Nous vous recommandons d'afficher la grille seulement pour un axe Y.

Couleur :

Dans cette colonne de tableau s'affiche la couleur actuellement sélectionnée pour cet axe Y dans le graphique en courbe. Par un simple clic sur la couleur, une fenêtre de sélection s'ouvre. Dans cette fenêtre de sélection, il est possible d'un seul clic de sélectionner une autre couleur pour cet axe Y. Ce paramétrage peut être modifié à n'importe quel moment, même pendant la mesure. On peut ainsi affecter à un point de mesure en couleur un axe Y de la même couleur.


La zone "Axe X":

Sélectionnez ici le point de mesure dont la grandeur physique doit servir à représenter les autres grandeurs de mesure. Pour ceci, cliquez avec le bouton gauche de la souris sur la zone de liste figurant à droite du texte "Point de mesure" et cliquez sur le point de mesure désiré.

Attention !

Si le point de mesure sélectionné est déjà utilisé pour un axe Y, une erreur s'affiche. Si vous le désirez, vous pouvez annuler la liaison existante avec l'axe Y ou définir un autre point de mesure pour l'axe X.

Les indications de l'étendue et de l'unité sont traitées comme pour les points de mesure de l'axe Y.


Onglet "Récupération des mesures"

La récupération des mesures peut s'effectuer en fonction de valeurs mesurées ou calculées. Vous pouvez effectuer les paramétrages nécessaires à cet effet sur l'onglet "Récupération des mesures".

Le paramétrage par défaut est la prise en compte de toutes les mesures. Alternativement, il est possible de sélectionner un point de mesure de référence et une condition (supérieur à / inférieur à) ainsi qu'une valeur de seuil.

Les mesures ne seront alors récupérées dans le tableau ou le graphique que lorsque la condition définie est remplie. Tous les points de mesure matériels ainsi que toutes les voies de calcul globales sont autorisés comme point de mesure de référence. La récupération ou non-récupération s'effectue toujours pour les données d'un cycle complet de mesure.

Attention !

Les canaux locaux de calcul dans le tableau ou le graphique ne continuent de calculer que lorsque dans le cycle de mesure en cours les valeurs ont été récupérées dans le tableau ou le graphique. Même le calcul de valeur moyenne spécifique au tableau ou au graphique n'est effectué que sur la base des données effectivement récupérées.


Fonction loupe à l'aide de la souris

Lorsque vous êtes dans un graphique XY, vous pouvez représenter un extrait de celui-ci en agrandi. Pour ceci, servez-vous soit de la boîte de dialogue des propriétés (en modifiant la plage de représentation et la taille de l'axe des temps), soit en sélectionnant la plage désirée à l'aide de la souris. Maintenez à cet effet le bouton gauche de la souris enfoncé et tirez le pointeur de la souris sur la zone que vous voulez afficher agrandie.

Avec la fonction Vue/Annuler zoom vous rétablissez l'état d'origine du graphique XY.

Attention !

La fonction loupe à l'aide du pointeur de la souris n'est disponible que pour les fichiers de valeurs de mesure enregistrés.


APPEL !

Appel d'une nouvelle fenêtre de graphique XY:

· à partir de la commande de menu Mesures/Nouveau graphique XY.

· Touche de fonction <F11>.

· Clic simple avec le bouton gauche de la Souris sur l'îcone "Nouveau graphique XY" dans la barre d'outils.


Impression

Imprimer un graphique XY:

· activez le graphique XY à imprimer.

· lancez la commande Fichier/Imprimer ou cliquez avec le bouton gauche de la souris sur l'icône imprimante de la barre d'outils.


Le tableau

Un tableau permet de représenter un nombre quelconque de points de mesure. Pour ce faire, vous disposez des colonnes "numéro", "date" et "heure" à côté des colonnes de valeurs de mesure. A l’instar des autres fenêtres, le dialogue Propriétés du tableau vous permet de définir les paramètres de celui-ci et de sélectionner les points de mesure à afficher.

A l'instar du graphique en courbe et du graphique XY, les données de mesure acquises sont tamponnées en mémoire vive de l'ordinateur. Vous pouvez les sauvegarder dans un fichier pendant ou après la prise de mesure ainsi que les transmettre à un logiciel de valorisation par DDE ou par presse-papiers pour traitement ultérieur.

Vous pouvez ouvrir de multiples fenêtres de ce type et les afficher simultanément. Pour chaque tableau vous pouvez afficher tous les points de mesure que vous souhaitez. Vous pouvez représenter des valeurs de mesure sous forme de graphique en courbe ou de diagramme XY à tout moment. Pour ceci, sélectionnez la commande Vue/Représentation en courbe ou Vue/Représentation en graphique XY ou en cliquant avec le bouton droit de la souris dans le tableau, ouvrez le menu contextuel et choisissez-y la fonction Représentation en courbe ou Représentation en graphique XY.

voir également :

Boîte de dialogue "Propriétés du tableau"


Boîte de dialogue "Propriétés du tableau"

Dans la boîte de dialogue "Propriétés du tableau", sélectionnez dans les onglets suivants les points de mesure désirés, les propriétés d'affichage du tableau et les réglages particuliers pour la récupération des mesures.

voir également :

Onglet "Points de mesure et affichage"

Onglet "Historique"

Onglet "Récupération des mesures"

Voies de calcul locales

Modification des réglages de mise en page

APPEL !

Impression


Onglet "Points de mesure et affichage"

Commentaire:

Dans le champ "Commentaire", vous pouvez indiquer l'affectation des données de mesure du tableau en fonction du comportement physique correspondant. Le commentaire (nombre quelconque de caractères) s'affiche dans la barre de titre de la fenêtre de tableau. Si les séries de mesure du tableau sont enregistrées dans un fichier, le commentaire sera également porté dans le fichier.

Points de mesure:

Pour la représentation en tableau, vous pouvez sélectionner dans la liste autant de points de mesure que vous voulez. Pour faciliter la sélection, vous pouvez choisir l'une des méthodes suivantes :

· Double clic sur le point de mesure désiré.

· Clic simple sur la case à cocher à gauche du texte du point de mesure.

· Cliquez sur les boutons correspondants au-dessous de la liste des points de mesure afin de sélectionner/désélectionner tous les points de mesure.

Afficher date:

Lorsque vous activez cette option, une colonne est ajoutée au tableau dans laquelle la date est affichée pour chaque valeur de mesure.

Numérotation des lignes:

Lorsque cette option est activée (clic simple de souris sur la case à cocher à gauche du texte), une colonne est ajoutée au tableau et comporte un numéro en continu affecté aux valeurs de mesure.

Afficher le temps en centièmes de seconde:

Activez cette option si vous voulez représenter et horodater des données de mesure acquises à une fréquence supérieure à 1 Hz ou sauvegardées en mémoire de l'appareil.

Taille de police à l'impression:

Pour imprimer les mesures, il est possible de définir un facteur de zoom réglable en continu jusqu'à 120 % maximum. En cas de grandes quantités de données et un facteur de zoom inférieur à 100 %, le nombre de pages nécessaire peut ainsi être significativement réduit.


Onglet "Historique"

Le serveur AMR WinControl dispose d'un tampon des valeurs mesurées reposant sur un fichier (tampon circulaire).

Les données tamponnées peuvent être intégrées dans de nouveaux tableaux ou graphiques. A cet effet, les boîtes de dialogue de propriétés correspondantes possèdent un onglet supplémentaire "Historique" disponible lors de la création d'un nouveau graphique ou d'un nouveau tableau.

A l'aide de l'option "Ne valider aucune donnée issue de l'historique" (standard), le graphique ou le tableau est créé comme d'habitude. Avec "Valider toutes les données disponibles dans l'historique", toutes les données présentes dans le tampon et relatives aux points de mesure sélectionnés dans l'onglet "Points de mesure" sont validées dans le graphique ou le tableau. La dernière option vient également lire les données dans le tampon mais uniquement celles comprises dans l'intervalle de temps réglé.

Après avoir récupéré les données du tampon dans le graphique ou le tableau, les valeurs actualisées sont ajoutées comme d'habitude dès que la scrutation des mesures est activée.


Modification des réglages de mise en page

Certains réglages nécessaires à l'affichage des tableaux dans AMR WinControl peuvent être modifiés dans la configuration. Vous disposez alors des entrées suivantes:

TabShowDate = 0 / 1

Avec cette entrée dans la zone [settings], il est possible d'indiquer si pour les tableaux de valeurs de mesure nouvellement ouverts dans AMR WinControl, il faut afficher la date en plus de l'heure d'une valeur de mesure. Les valeurs possibles sont : 0 pour non et 1 pour oui.

TabPrecision = -1 / 0..5

Cette entrée dans la zone [settings] permet de limiter le nombre de décimales des données de mesure dans un tableau d'AMR WinControl à un certain nombre. Les valeurs possibles pour cette entrée vont de 0 à 5. La valeur -1 indique l'affichage automatique des décimales (pas de limitation).

FooterText = Text

L'entrée FooterText dans la zone [settings] a pour effet que AMR WinControl ajoute lors de l'impression de tous les documents, tableaux et graphique une ligne de pied de page supplémentaire avec le texte défini par cette entrée. Ce texte est toujours imprimé centré dans la ligne de pied de page d'un document.

Bon à savoir !

Comment trouver la configuration et ce qu'il faut alors observer, se trouve au chapitre trouver la configuration.


APPEL !

Appel d'une nouvelle fenêtre de tableau:

· depuis la commande de menu Mesures/Nouveau tableau.

· Touche de fonction <F10>.

· Clic simple de la souris sur l'icône "Nouveau tableau" dans la barre d'outils.


Impression

Impression d'un tableau:

· Activez le tableau que vous voulez imprimer.

· Exécutez la commande Imprimer du menu Fichier.

· ou clic de souris sur l'icône imprimante de la barre d'outils.


La fenêtre de vue d'ensemble du fichier

Si un fichier a été créé avec la fonction Mesures/Enregistrement automatique, ce fichier s'affiche à l'ouverture comme fenêtre de vue d'ensemble du fichier. Dans cette fenêtre apparaît un texte vous informant sur les principales caractéristiques comme la durée d’enregistrement, les points de mesure, certaines caractéristiques des points de mesure, des annotations et le cas échéant une remarque sur l'importation des données.

voir également :

Création d'un nouveau graphique en courbe

Création d'un nouveau graphique XY

Créer un nouveau tableau

Modifier la vue du jeu de données


Création d'un nouveau graphique en courbe

Pour créer un nouveau graphique en courbe à partir d'une fenêtre active de vue d'ensemble de fichier, sélectionnez la fonction Mesures/Nouveau graphique en courbe ou cliquez avec le bouton droit de la souris dans la fenêtre de vue d'ensemble du fichier, ouvrez le menu contextuel et sélectionnez l'option Nouveau graphique en courbe.

Dans la boîte de dialogue Propriétés du graphique en courbe qui s'affiche, tous les derniers paramètres enregistrés dans le fichier sont déjà présélectionnés. Si vous confirmez par OK, vous obtenez le graphique en courbe tel qu'enregistré. A partir du jeu de données existant, vous pouvez également créer le nombre désiré de nouveaux graphiques en courbe et les enregistrer séparément sous un autre nom.


Création d'un nouveau graphique XY

Pour créer un nouveau graphique XY à partir d'une fenêtre active de vue d'ensemble de fichier, sélectionnez la fonction Mesures/Nouveau graphique XY ou cliquez avec le bouton droit de la souris dans la fenêtre de vue d'ensemble du fichier pour ouvrir le menu contextuel et sélectionnez-y l'option Nouveau graphique XY.

Dans la boîte de dialogue Propriétés du graphique XY qui s'affiche, tous les derniers paramètres enregistrés dans le fichier sont déjà présélectionnés. Si vous confirmez par OK, vous obtenez le graphique XY tel qu'enregistré. A partir du jeu de données existant, vous pouvez également créer le nombre désiré de nouveaux graphiques en courbe et les enregistrer séparément sous un autre nom.


Créer un nouveau tableau

Pour créer un nouveau tableau à partir d'une fenêtre active de vue d'ensemble de fichier, sélectionnez la fonction Mesures/Nouveau tableau ou d'un clic du bouton droit de la souris dans le tableau, ouvrez le menu contextuel et sélectionnez-y l'option Nouveau tableau.

Dans la boîte de dialogue Propriétés du tableau qui s'affiche, tous les derniers paramètres enregistrés dans le fichier sont déjà présélectionnés. Si vous confirmez par OK, vous obtenez le tableau tel qu'enregistré. A partir du jeu de données existant, vous pouvez également créer le nombre désiré de nouveaux tableaux et les enregistrer séparément sous un autre nom.


Modifier la vue du jeu de données

Si vous voulez représenter les valeurs de mesure du fichier dans une autre vue, sélectionnez la commande Vue/Représentation en courbe, Vue/Représentation en graphique XY ou Vue/Représentation en tableau. Toutes les fonctions sont également disponibles dans le menu contextuel de la fenêtre de vue d'ensemble du fichier. Vous pouvez ouvrir celle-ci en cliquant avec le bouton droit de la souris dans la fenêtre.

Dans la boîte de dialogue des propriétés qui s'affiche, les paramètres par défaut ont été présélectionnés. En fonction de votre tâche, vous pouvez les modifier ou confirmer par OK. Le dialogue des propriétés n'apparaît que lorsque des données nécessaires à la représentation manquent. Dans le cas contraire, la nouvelle vue s'affiche immédiatement. Bien entendu, les propriétés peuvent ensuite être modifiées en appelant la boîte de dialogue des propriétés.

Attention!

Si vous voulez représenter dans une autre vue les données de mesure acquises et supprimer des points de mesure dans la boîte de dialogue des propriétés qui s'affiche, les données de ce point de mesure sont supprimées dans le fichier. Si vous voulez subdiviser des séries de mesure, sélectionnez toujours les fonctions Nouveau graphique en courbe, Nouveau graphique XY ou Nouveau tableau.


Les images de projet

AMR WinControl vous permet d’afficher un montage de mesure dans une fenêtre prévue à cet effet. Pour le mettre en forme, vous pouvez afficher des graphiques (bitmaps, Enhanced Metafiles), des zones de texte à placer librement, les mesures acquises dans des zones à positionnement libre (uniquement la valeur chiffrée et le cadre), des éléments de commutation (commutateurs et boutons) ainsi que des graphiques en courbe.

Vous pouvez matérialiser les dépendances entre points de mesure en reliant des affichages de mesure par des lignes (de couleur), ce qui permet ainsi de représenter sans peine des synoptiques.

Les graphiques en courbe, insérés par le presse-papiers comme métafichiers étendus, peuvent faire l'objet de commentaires à l'aide de zones de texte (sur fond transparent).

En utilisant des éléments de commande et des liens, les images de projet peuvent devenir une centrale de commande :

En cliquant sur un élément de commande, il est possible de commander des relais ou de modifier des valeurs prédéfinies. Leur aspect est facilement adaptable à l'aide d'images.

On peut par un clic sur un champ de mesure, ouvrir par ex. un graphique en courbe ayant certaines propriétés ou une autre image de projet.

Pour réaliser une image de projet, exécutez la commande Mesures/Nouvelle image de projet. Afin de pouvoir définir les propriétés de l'image de projet, sélectionnez dans le menu Vue/Propriétés du graphique, la commande Propriétés du graphique dans le menu contextuel ou par <Entrée>, ouvrez la boîte de dialogue des propriétés associée.

Pour insérer les objets désirés dans une image de projet, il existe la fonction Edition/Insérer objet. Avec la commande Edition/Dessin, vous pouvez insérer des objets de dessin (courbes, polygones etc…).

Une image de projet peut intégrer un nombre quelconque d’objets de types différents. Il est également possible d'activer simultanément un nombre quelconque d’images de projet dans le programme. Vous pouvez ainsi afficher simultanément des vues d’ensemble et de détail d’un même projet.

Lorsque l’image de projet a été créée, vous pouvez l’enregistrer sous forme de fichier et la charger à nouveau si vous le désirez. Au chargement d'une image de projet enregistrée, sélectionnez dans la boîte de dialogue standard le type de fichier "Images de projet AMR (*.amb)".

Confirmez vos entrées par OK. Une fenêtre vide apparaît. Dans cette fenêtre vous pouvez maintenant représenter les objets et éléments de dessin souhaités (champs de valeur de mesure, zones de texte, bitmaps…) Vous disposez pour cela des fonctions des menus Edition et Vue ainsi que d’un menu contextuel. Les fonctions respectives ne sont visibles que si une image de projet est activée.

Bon à savoir !

Lorsque vous ouvrez ou activez une image de projet, une barre d'outils spéciale pour les images de projet s'incruste à l'écran. Vous accédez aisément par celle-ci aux actions essentielles avec la souris.

Bon à savoir !

Toutes les fonctions d'édition d'images de projet ne sont disponibles que si la fenêtre en cours est une image de projet.

voir également :

Boîte de dialogue "Propriétés de l'image de projet"

Positionnement

Adapter le cadre à la taille du texte

Zones de texte

Champs de valeur de mesure

Bitmaps et metafichiers étendus

Éléments de commande

Dessiner des objets

Eléments de description des objets d'image de projet

Barre d'outils des images de projet


Boîte de dialogue "Propriétés de l'image de projet"

Dans la boîte de dialogue "Propriétés de l’image de projet", vous déterminez d'abord la taille de l’image et décidez ensuite si vous voulez vous servir d’une grille comme support au dessin. Vous pouvez appeler à nouveau cette boîte de dialogue à tout moment et y modifier les caractéristiques de l’image de projet. Vous pouvez dans le détail définir les propriétés suivantes :

Zone de dessin

Saisissez ici la taille de la surface de dessin en pixels (points à l'écran) en horizontale et en verticale.

Couleur de fond

Choix de la couleur dans laquelle sera représenté l'arrière plan.

Afficher grille :

Active la grille (visible seulement à l'écran, pas à l'impression) donnant des lignes de repère pour positionner les objets et éléments dessinés.

Aligner sur la grille

Le coin supérieur gauche des objets complexes (bitmaps, zones de texte etc…) ou les sommets des éléments dessinés (lignes, cercles, rectangles etc…) sont toujours poussés dans l'angle de grille le plus proche lorsque l'on déplace ou que l'on insère des objets.

Couleur de grille

Choix de la couleur dans laquelle sera représentée la grille.

Taille de grille horizontale/verticale

On porte ici la distance entre les points de la grilles dans le sens horizontal et vertical. L'unité est le pixel.

Afficher les marges

Si cette option est activée, les sauts de ligne s'affichent à l'écran en ligne pointillée, conformément au paramétrage de l'imprimante. Cela sert d'aide à l'orientation lors de l'impression de certaines images de projet.

Permettre les modifications sur le graphique

Les propriétés des objets et éléments de dessin peuvent être modifiées et ceux-ci effacés ou ajoutés seulement si cette option est activée. On peut ainsi éviter toute modification involontaire de l'image de projet.


Positionnement

AMR WinControl - Les fenêtres de programme > Les images de projet

Positionnement

Pour procéder au positionnement de tous les objets (champ de valeur de mesure, zone de texte et bitmap), sélectionnez l'objet désiré en cliquant avec le bouton gauche de la souris sur celui-ci et déplacez le pointeur de la souris en maintenant le bouton de la souris enfoncé. Pour sélectionner plusieurs objets en même temps, cliquez sur ceux-ci avec le bouton gauche de la souris en maintenant la touche Majuscule (shift) enfoncée ou tirez un cadre autour de ceux-ci en maintenant enfoncé le bouton gauche de la souris.

Vous pouvez en outre positionner des objets sélectionnés à l'aide des fonctions de menu Edition/Ordre/Objet au premier plan, .../Objet à l'arrière plan, .../Objet en avant, .../Objet en arrière, ainsi que par les fonctions Edition/Alignement/Aligner en haut, .../Aligner en bas, .../Aligner à droite, .../Aligner à gauche, .../Centrer, et .../Justifier.


Adapter le cadre à la taille du texte

A l'aide de la fonction Edition/Adapter le cadre à la taille du texte, les cadres des zones de texte peuvent être ajustés exactement au texte respectivement disponible.


Zones de texte

Vous pouvez avec la fonction Insérer objet/zone de texte du menu Edition ou du menu contextuel, insérer une nouvelle zone de texte dans une image de projet. Vous pouvez tout d'abord définir la position dans l'image de projet à l'aide du pointeur de souris. Par un simple clic du bouton gauche s'affiche la zone de texte et vous pouvez remplacer le texte "Texte" sélectionné, par celui que vous voulez. Pour ouvrir à nouveau la boîte de dialogue "Propriétés : zone de texte", sélectionnez une fois la zone de texte sélectionnée la fonction Propriétés de l'objet dans le menu Vue ou par le menu contextuel. Cette boîte de dialogue vous offre les éléments suivants (onglets) pour modifier le texte, le lien pour appeler un fichier et la mise en forme (p. ex. police, couleur) de la zone de texte :

· Texte

· Ligne

· Remplissage

· Police

· Lien

Vous trouverez une description exhaustive des éléments sous Eléments de description des objets d'image de projet.


Champs de valeur de mesure

Vous pouvez avec la fonction Insérer objet/champ de mesure du menu Edition ou du menu contextuel, insérer un nouveau champ de mesure dans une image de projet. Vous pouvez tout d'abord définir la position dans l'image de projet à l'aide du pointeur de souris. D'un clic simple du bouton gauche de la souris vous ouvrez ensuite la boîte de dialogue "Propriétés : Affichage de mesure". Cette boîte de dialogue vous offre les éléments suivants (onglets) pour sélectionner le point de mesure désiré, le lien pour appeler un fichier ainsi que la mise en forme (par ex. police, couleur) du champ de mesure :

· Points de mesure

· Ligne

· Remplissage

· Police

· Lien

Vous trouverez une description exhaustive des éléments sous Eléments de description des objets d'image de projet.

Pour ouvrir à nouveau la boîte de dialogue "Propriétés : affichage de mesure", sélectionnez une fois le champ de mesure sélectionné la fonction Propriétés de l'objet dans le menu Vue ou par le menu contextuel.


Bitmaps et metafichiers étendus

Vous pouvez avec la fonction Insérer objet/Bitmap et Insérer objet/Metafichier étendu du menu Edition ou du menu contextuel, insérer un nouveau graphique dans une image de projet. A l'exécution de la fonction apparaît une boîte de dialogue de fichier standard dans laquelle vous pouvez sélectionner le graphique désiré sous forme de fichier bmp ou ehm et le charger après confirmation par OK.

Vous pouvez modifier la taille de l'image en tirant le pointeur de la souris en maintenant le bouton gauche de la souris enfoncé. Pour ce faire, sélectionnez l'objet et déplacez le pointeur de la souris sur l'un des coins de l'image jusqu'à ce que la flèche se transforme en une double flèche. Appuyez ensuite sur le bouton gauche de la souris et tirez le pointeur de la souris pour agrandir ou réduire l'objet.

Après avoir présélectionné le graphique, sélectionnez la fonction Propriétés de l'objet dans le menu Vue ou par le menu contextuel afin d'ouvrir la boîte de dialogue "Propriétés : Bitmap" ou "Propriétés : Metafichier avancé". Cette boîte de dialogue offre les éléments suivants (onglets) de mise en forme du graphique :

· Bitmap ou metafichier étendu

· Lien

Vous trouverez une description exhaustive des éléments sous Eléments de description des objets d'image de projet.


Éléments de commande

Vous pouvez avec la fonction Insérer objet/Elément de commande du menu Edition ou du menu contextuel, insérer un nouveau graphique dans une image de projet.

En cliquant deux fois sur l'élément, un libellé est automatiquement créé pour l'élément de commande, c.-à-d. qu'une zone de texte est créée au milieu de l'élément et vous pouvez immédiatement saisir un texte correspondant.

Pour activer et désactiver des éléments de commande, vous pouvez utiliser des commandes KwikScript. L'aspect peut être adapté par une image appropriée pour l'état enfoncé et non enfoncé.

Vous pouvez modifier la taille de l'élément de commande en tirant le pointeur de la souris tout en maintenant le bouton gauche de la souris enfoncé. Pour ce faire, sélectionner l'objet et déplacer le pointeur de la souris sur l'un des angles de l'image, jusqu'à ce que la flèche se transforme en une double flèche. Appuyer ensuite sur le bouton gauche de la souris et tirer le pointeur de la souris pour agrandir ou réduire l'objet.

Après avoir présélectionné l'élément de commande, sélectionner la fonction Propriétés de l'objet dans le menu Vue ou par le menu contextuel afin d'ouvrir la boîte de dialogue "Propriétés : élément de commande". Dans cette boîte de dialogue, les éléments suivants (onglets) sont disponibles :

· Commutateur

· Effets

· Libellé

· Ligne

Vous trouverez une description exhaustive des éléments sous Eléments de description des objets d'image de projet.


Dessiner des objets

Afin de relier visuellement entre eux des objets dans une image de projet, de les repérer de manière distincte ou pour dessiner des objets individuels, sélectionnez la fonction Dessin dans le menu Edition ou par le menu contextuel. Vous pouvez dessiner les objets suivants :

Ligne

En choisissant cet élément, vous définissez le point de départ d'une ligne en appuyant sur le bouton gauche de la souris à l'endroit désiré. En maintenant la touche enfoncée, déplacez la souris vers le point final désiré puis relâchez la touche. Une ligne est alors tirée entre les points de départ et d'arrivée.

Ligne multiple

On place un point de départ avec le bouton gauche de la souris. En relâchant le bouton, on déplace la souris vers le point angulaire suivant que l'on clique à nouveau etc… Un double clic avec le bouton gauche termine la ligne, un clic du bouton droit efface tous les points déjà définis sans interrompre le mode "Dessiner ligne multiple".

Polygone

Un polygone est une ligne multiple dont les points de départ et d'arrivée sont automatiquement reliés. L'insertion d'un polygone s'effectue de la même manière que celle d'une ligne multiple.

Rectangle

En appuyant sur le bouton gauche de la souris on détermine l'angle supérieur gauche du rectangle, en maintenant le bouton gauche enfoncé on tire le pointeur jusqu'à l'angle inférieur droit désiré. En relâchant le bouton gauche de la souris, le rectangle est dessiné entre ces points

Courbe en arc

On place un point de départ avec le bouton gauche de la souris. Tout nouveau clic de la souris insère à la position actuelle un point sur lequel sera tendu un arc vers le premier point. Double clic avec le bouton gauche de la souris ferme la courbe. Quatre points est nécessaire par segment de courbe: le point de départ, le point d'arrivée ainsi que deux points de contrôle. Lorsque plusieurs courbes se suivent, le point de départ de la courbe suivante est le point d'arrivée de la courbe actuelle.

Courbe fermée

Cette fonction dessine une courbe pour laquelle les points de départ et d'arrivée sont reliés après avoir terminé par un double clic.

Ellipse (cercle)

En enfonçant le bouton gauche et en tirant avec la souris, ont tend un rectangle dans lequel s'inscrit une ellipse. Le centre du rectangle est ici le centre de l'ellipse et la longueur et la largeur du rectangle forment les diamètres de l'ellipse. Si le rectangle est carré, on obtient un cercle.

Après avoir présélectionné l'objet dessin, sélectionnez la fonction Propriétés de l'objet dans le menu Vue ou par le menu contextuel afin d'ouvrir la boîte de dialogue "Propriétés : objet dessin". Cette boîte de dialogue offre les éléments suivants (onglets) de mise en forme de l'objet :

· Ligne

· Remplissage

Vous trouverez une description exhaustive des éléments sous Eléments de description des objets d'image de projet.


Eléments de description des objets d'image de projet

Les propriétés des objets dans une image de projet se définissent par leurs boîtes de dialogue de propriétés respectives. Celles-ci s'ouvrent pour chaque objet présélectionné à l'aide de la fonction Propriétés de l'objet dans le menu Vue ou par le menu contextuel. Cette boîte de dialogue vous offre les éléments suivants (onglets) pour sélectionner le point de mesure désiré, le lien pour appeler un fichier ainsi que la mise en forme (p. ex. police, couleur) de l'objet :

Texte

Saisissez ici le texte devant s'afficher dans l'élément (de texte). Si le texte doit être édité sur plusieurs lignes, sélectionner "Plusieurs lignes". Dans ce cas on peut en outre activer le saut de ligne, de sorte que le texte s'adapte automatiquement à la taille de la zone de texte.

Attention !

Si les dimensions externes de la zone de texte sont inférieures aux dimensions du texte, en tenant compte de la taille de la police sélectionnée, la zone de texte ne sera pas agrandie mais le texte sera (selon son alignement) tronqué sur les bords.

Points de mesure

Dans la liste des points de mesure du système, vous pouvez sélectionner le point de mesure désiré. Chaque affichage peut contenir un point de mesure.

Ligne

La couleur servant à représenter la bordure se sélectionne à l'aide du bouton du même nom. Si "transparent" a été réglé, cette couleur est ignorée et la ligne sera affichée invisible.

Si une largeur de 0 (= 1 pixel) a été sélectionnée, il est possible de représenter la ligne dans l'un des cinq styles affichés. Pour les plus grandes largeurs, seul un style est disponible (base).

Acceptez les modifications par Valider, de sorte que la propriété modifiée soit immédiatement visible à l'écran.

Remplissage

Les éléments fermés peuvent être remplis en deux couleurs. Vous disposez pour cela de toute une série de hachures. Si la couleur du fond est réglée sur "transparent" et que "aucune rayure" n'est pas activé, les éléments se trouvant dessous sont visibles du fait du motif de remplissage.

Pour représenter un élément entièrement transparent, il faut régler sur "transparent" à la fois la couleur de premier plan que celle de fond.

Police

Toutes les polices disponibles sur l'ordinateur sont indiquées, il suffit d'en choisir une. Dans les types et les tailles disponibles, sélectionnez celle qui vous convient. Le texte dans un élément ne peut être représenté que dans une seule police, un seul style et une seule couleur.

Attention !

Si sur le PC sur lequel on observe l'image de projet, la police ayant été choisie à la création de l'image n'est pas disponible, alors c'est la police Windows par défaut qui est utilisée.

Lien

Saisir ici le nom d'un fichier y compris tout son chemin d'accès. L'existence du fichier n'est pas vérifiée car

· on peut ainsi créer une image de projet sur un ordinateur sur lequel le fichier cible n'existe pas, mais qui existe sur l'ordinateur sur lequel l'image de projet doit être observée.

· la création de l'image de projet est ainsi indépendante de la création du fichier cible.

Afin de simplifier la saisie pour un fichier existant, vous disposez du bouton de commande "Parcourir…" qui vous permet d'ouvrir une boîte de dialogue de sélection de fichier.

Bitmap ou Enhanced Metafile

Vous pouvez définir si la couleur du bitmap doit s'afficher en transparent et si oui, vous pouvez choisir cette couleur. La sélection s'effectue sur la base du paramétrage couleur actuel de Windows, de sorte que pour les images de plus de 256 couleurs celle à afficher en transparent doit être connue.

Afin de passer la couleur de fond d'un graphique Enhanced Metafile sur transparent, il faut que la composante "Fond" soit définie dans celui-ci.

Commutateur

A l'aide du type de commutateur, vous pouvez déterminer si l'élément de commande se comporte comme un commutateur ou comme un bouton-poussoir. Dans les champs Commande à l'activation et Commande à la désactivation, vous pouvez saisir une liste de commandes KwikScript séparées par des points virgules. Vous trouverez une description des commandes KwikScript au chapitre KwikScript.

Effets

L'aspect des éléments de commande peut être défini pour les états actif et inactif. Si aucune modification n'a été effectuée dans les configurations, l'aspect correspond à un bouton de commande des systèmes Windows actuels.

Deux couleurs peuvent être définies. Le bouton de commande adoptera l'une ou l'autre en fonction de son état. Les couleurs ne sont visibles que si aucune image n'a été activée pour l'état respectif ou si des parties de l'image sont transparentes. Pour définir aucune couleur, vous pouvez sélectionner l'option Transparent.

Il est également possible de sélectionner une image (fichier graphique) pour chaque état, à l'aide d'une boîte de dialogue de fichier. Vous pouvez définir une couleur devant être transparente dans le graphique. Ceci est utile par ex. pour remplacer un arrière-plan blanc par la couleur ajustée pour l'élément de commande, en fonction de son état.

Libellé

Si le libellé a été activé en mode de modification par double clic sur un élément de commande, l'onglet Libellé est disponible. Ici, il est possible de déterminer l'orientation et de définir un décalage en X et en Y. Toutes les indications se réfèrent aux coordonnées de l'élément de commande.

Franchissement de seuil

Les franchissements de seuil sur les points de mesure peuvent être visualisés dans l'image du projet par changement automatique de la couleur du texte et/ou de la couleur du fond dans les affichages de mesures. Par l'onglet "Franchissement de seuil" dans la boîte de dialogue de propriétés des affichages des mesures dans les images de projet, il est possible d'effectuer les réglages suivants :

En activant/désactivant l'option "Changer couleur texte sur franchissement de seuil", la visualisation est autorisée ou masquée pour l'affichage de mesure sélectionné. Si l'option est activée, il est possible de choisir les couleurs désirées pour les dépassements et soupassement de limite dans le cadre du haut.

De la même manière, il est possible de sélectionner les couleurs pour le fond à l'aide de l'option "Changer couleur fond sur franchissement de seuil" et des boutons de commande situés dans le cadre du bas. Si pour ce fond une rayure et/ou des effets de transparence (à onglet "Remplissage") sont réglés, ceux-ci ne serviront pas en cas d'alarme, le fond sera entièrement rempli de la couleur sélectionnée.

Le bouton de commande Valider active les nouveaux réglages de couleur dans l'affichage des mesures, sans fermer la boîte de dialogue. Il est ainsi facile de constater si les couleurs choisies sont adaptées au concept de l'image du projet ou s'il faut encore effectuer des modifications.

Attention !

Les couleurs de seuil peuvent se régler pour tous les points de mesure, indépendamment du fait que des limites soient programmées ou non pour les points de mesure associés.

La couleur de police se réglant à volonté dans les affichages de mesure, il faut veiller à choisir les couleurs de seuil de sorte à ce que les couleurs pour l'état "Soupassement de seuil", "Pas de franchissement de seuil" et "Dépassement de seuil" soient différenciées. Même les couleurs de police et de fond doivent être choisies différentes !


Barre d'outils des images de projet

Lorsque vous créez ou activez une image de projet, une barre d'outils spéciale s'incruste à l'écran. Vous accédez ainsi aisément aux actions essentielles avec la souris :

Sélectionner objet

Déplacer sommet

Ouvrir la boîte de dialogue des propriétés

Editer l'image de projet

Dessiner une ligne

Dessiner une ligne multiple

Dessiner un polygone

Dessiner un rectangle

Dessiner une courbe

Dessiner une courbe fermée

Dessiner une ellipse (cercle)

Insérer une zone de texte

Insérer un champ de valeur de mesure

Insérer un bitmap

Insérer un métafichier avancé

Insérer un élément de commande

Avancer d'une position dans la direction z

Reculer d'une position dans la direction z

Aligner les éléments sélectionnés (au moins deux) sur leurs bords supérieurs

Aligner les éléments sélectionnés (au moins deux) sur leurs bords inférieurs

Aligner les éléments sélectionnés (au moins deux) sur leurs bords gauches

Aligner les éléments sélectionnés (au moins deux) sur leurs bords droits

Bon à savoir !

Les symboles pour dessiner et créer des objets ne sont actifs que si l'image de projet est en mode Edition. Pour orienter des objets, sélectionner au moins un objet.


La liste des événements

Vous pouvez définir la création d'un rapport sur toutes les situations d'alarme survenues. Si cette fonction est activée, le début et la fin d'un défaut seront portés dans une liste (fenêtre) spéciale en cas d'alarme.

La liste des événements est toujours enregistrée codée au format "AMR evt". Les fichiers de ce format peuvent être réouverts, consultés, enregistrés, exportés et/ou imprimés.

Attention !

Les événements actuels ne sont portés que dans la liste des événements actuels, pas dans des fichiers enregistrés puis rouverts !

Bon à savoir !

Cette liste peut être sauvegardée (et même automatiquement) avec les valeurs de mesures associées. De même il existe une fonction spéciale d'exportation. L'exportation peut alors s'effectuer dans un format texte ou xml.

Bon à savoir !

Dans les versions spéciales d'AMR WinControl, il existe une liste des événements avec jeu de fonctions étendu (vior également : La liste des événements étendue).

voir également :

Déclarations de situations d'alarme

Saisie d'informations supplémentaires

La liste des événements étendue


Déclarations de situations d'alarme

Les événements portés dans la liste des événements sont les suivants :

· Dépassement de limite

· Soupassement de limite

· Rupture de ligne (de capteur)

· Perte de points de mesure (par ex. panne d'un appareil)

A chaque situation survenue est enregistrée le début et, le cas échéant la fin de l'événement.


Saisie d'informations supplémentaires

Afin de simplifier la valorisation des situations d'alarme ultérieurement, les événements suivants ont été définis et sont également portés dans la liste des événements :

· Lecture des mesures lancée

· Lecture des mesures terminée

· Traitement d'alarme activé

· Traitement d'alarme désactivé

· Protocole activé (activation d'une connexion dans AMR WinControl)

· Protocole désactivé

· Connexion établie XYZ (XYZ = numéros d'appareil de la connexion)

· Connexion interrompue XYZ

Rapport des modifications des caractéristiques des points de mesure

Si le logiciel détecte qu'un point de mesure a été modifié, il crée pour chaque caractéristique modifiée une entrée sous la forme "Modification du libellé de la caractéristique, ancien : valeur ancienne, nouveau : valeur actuelle.

Le logiciel tient alors compte des modifications effectuées par le logiciel et de celles effectuées directement sur l'appareil. Cette fonction n'est gérée que pour les appareils ALMEMO et présuppose que la liaison s'effectue en mode CRC ou que la fonction "Actualiser informations d'appareil également pendant la scrutation des mesures" est activée.

Si les valeurs sont des valeurs numériques, le système affiche "- - -" si la valeur n'a pas été réglée, c.-à-d. si une limite a par ex. été reprogrammée, il affiche "ancien" : - - -" dans la liste d'événements et si une limite a été supprimée, l'entrée est "nouveau : - - -“.

Bon à savoir !

Les informations supplémentaires et les modifications des caractéristiques des points de mesure sont enregistrées dans une liste d'événements déjà ouverte puisqu'il s'agit d'informations supplémentaires concernant des événements éventuels.

Suppression d'informations

En enregistrement automatique et lors de la création de fichiers quotidiens, la liste des événements peut comporter de très nombreuses entrées, ce qui limite la vue d'ensemble. C'est pourquoi il a été prévu la possibilité de supprimer automatiquement, lors de la création d'un nouveau fichier et après sauvegarde de la liste des événements, les entrées dans la liste d'événements qui peuvent être considérés comme effectuées par un début et une fin, ou qui n'ont qu'un caractère informatif comme "alarme acquittée". La liste des événements ainsi à jour ne comporte que les seules entrées survenues lors du fichier quotidien concerné ou qui étaient encore d'actualité à cet instant.

Si vous ne souhaitez pas cette fonction, vous pouvez le définir dans la configuration au chapitre : [Settings]

ReduceEventList=0

De manière analogue, vous pouvez réactiver la fonction par

ReduceEventList=1

Bon à savoir !

Comment trouver la configuration et ce qu'il faut alors observer, se trouve au chapitre trouver la configuration.

Titres

Afin de pouvoir ordonner plus rapidement les listes d'événements ultérieurement, le titre "de DEBUT jusqu'à FIN" est mentionné à l'impression et à l'exportation.

Liste des événements vide

Afin de permettre une reconstruction sans blancs des événements lors de mesures sur de longues périodes, la mention "Aucun événement survenu" est enregistrée dans la liste des événements si aucun n'est survenu. Cela peut p. ex. être le cas si, lorsque le nettoyage de la liste des événements est activé (voir également : "Suppression d'informations") tous les événements sont traités et que la liste est vide.


La liste des événements étendue

Dans certaines versions spéciales d'AMR WinControl, une liste étendue spéciale des événements est mise à disposition.

En plus de son spectre normal, la liste étendue des événements offre les contenus ou fonctions suivantes en plus:

voir également :

Inscription de la liste des points de mesure

La barre d'outils de la liste des événements

Protection contre les manipulations


Inscription de la liste des points de mesure

Au démarrage d'AMR WinControl une liste de tous les points de mesure est automatiquement inscrite dans la liste étendue des événements. Ceci permet de documenter la configuration du système au démarrage du programme (voir également: La configuration système).


La barre d'outils de la liste des événements

La liste des événements contient une barre d'outils de six boutons de commande : les premiers définissent les événements à afficher. Les autres pilotent le tri.

Affichage: |
"Points de mesure" à | Affichage de la liste des points de mesure (à La configuration système)
"Alarmes" à | Affichage des alarmes survenues (par ex. franchissement de seuil, rupture de ligne)
"Evénements" à | affichage des événements système (par ex. "lecture des mesures terminée")

Tri: |
"Heure" à | Tri selon la date/l'heure, ordre croissant
"Type de message" à | Tri selon le type de signalement (alarme, événement système, ...)
"Point de mesure" à | Tri selon le point de mesure, ordre croissant

Bon à savoir!

Lorsque le tri est effectué selon le point de mesure ou le type de signalement, le logiciel adopte toujours l'heure comme deuxième critère de tri.


Protection contre les manipulations

Dans la boîte de dialogue "Enregistrement automatique", il est possible de définir dans l'onglet "Fichiers" que la liste des événements sera enregistrée en parallèle aux fichiers (journaliers) créés automatiquement. Ce réglage est également nécessaire afin de protéger la liste des événements de toute manipulation, car elle ne peut être refermée pendant la durée de l'enregistrement automatique et contient ainsi un état sans blancs de toutes les alarmes et événements système.


Le menu fichier

voir également :

Ouvrir

Fermer

Enregistrer

Enregistrer sous

Enregistrer intervalle

Importer

Exporter

Envoyer comme courriel

Fusionner

Réduction de données

Aperçu avant impression

Imprimer

Imprimer les valeurs de mesure entre les curseurs

Imprimer rapport

Mise en page

Configuration imprimante

Liste des derniers fichiers utilisés

Charger la configuration

Enregistrer la configuration

Charger voies de calcul

Enregistrer voies de calcul

Enregistrer comme modèle

Appliquer le modèle

Rayer utilisateur

Quitter le programme


Ouvrir

La commande Fichier/Ouvrir vous permet d'ouvrir dans une nouvelle fenêtre un fichier de valeurs de mesure existant. Dans la boîte de dialogue standard de fichier qui apparaît, sélectionner le fichier à l'aide de son nom, de son type, du lecteur et du répertoire.

Lorsqu'un fichier a été créé à l'aide des fonctions Mesures/Enregistrement automatique ou Mesures/Appareils de mesuresystème ce fichier s'affiche à l'ouverture sous forme de fenêtre de vue d'ensemble du fichier. Dans cette fenêtre vous verrez apparaître un texte qui vous informe sur les principales caractéristiques comme la durée d’enregistrement et les points de mesure.

Si dans la boîte de dialogue "Paramètres/Divers" vous n'avez pas sélectionné la fonction "Représenter si poss. fichier de mesures à l'ouverture sous forme de courbe", tous les fichiers enregistrés sous forme de graphique en courbe seront également ouverts sous forme de vue d'ensemble de fichier.

Les fichiers enregistrés sous forme de tableau s'ouvrent toujours sous forme de tableau.

Pour créer un nouveau graphique en courbe ou un nouveau tableau à partir d'une vue d'ensemble de fichier active, sélectionner la fonction Mesures/Nouveau graphique en courbe ou Mesures/Nouveau tableau. Dans le dialogue des propriétés qui s'affiche, les derniers paramètres enregistrés dans le fichier sont déjà présélectionnés. Si vous confirmez par OK, vous obtenez le nouveau graphique en courbe ou le nouveau tableau dans le même état que le fichier d'origine.

Si les mesures du fichier doivent s'afficher dans une autre vue, alors choisir selon l'objectif la commande Vue/Représentation en courbe, , Vue/Représentation en tableau ou Vue/Représentation en vue d'ensemble. Toutes ces fonctions sont également disponibles dans le menu contextuel de la fenêtre de vue d'ensemble de fichier. Ouvrir celui-ci en cliquant avec le bouton droit de la souris dans la fenêtre active.

AMR WinControl mémorise les fichiers que vous avez traités en dernier. Vous pouvez ouvrir un tel fichier de manière simple en cliquant sur le nom correspondant dans la partie inférieure du menu fichier.

Si vous voulez créer un nouveau tableau, un nouveau graphique en courbe ou à barres ou un affichage numérique de valeurs de mesure, vous pouvez vous servir des commandes Nouveau tableau, Nouveau graphique en courbe, Nouveau graphique à barres ou Nouvel affichage des valeurs de mesure du menu Mesures.

Bouton "Ouvrir"

Dans la barre d'outils, cliquer sur le bouton "Ouvrir" pour ouvrir un document de la manière la plus simple.

Boîte de dialogue Fichier standard

Dans une boîte de dialogue de fichier standard, sélectionner le fichier à traiter à l'aide d'une des options suivantes de la boîte de dialogue :

Nom de fichier :

Saisir le nom du fichier que vous voulez traiter ou sélectionner un nom dans la liste. Dans ce champ s'affichent les fichiers comportant l'extension de nom de fichier sélectionné dans le champ "Type de fichier". Si vous voulez afficher une liste de fichiers comportant une extension précise, saisir une étoile (*), un point et l'extension de fichier composée de trois lettres et appuyer sur la touche ENTRÉE.

Type de fichier :

Choisir le type de fichier que vous voulez afficher dans le champ "Nom de fichier". Ensuite, tous les fichiers de ce type dans le lecteur actuel sont listés. Les types de fichier sélectionnables sont les suivants :

· Tous les fichiers (*.*)

· Fichiers de mesure (*.amr)

· Fichier de programmation (*.prg)

· Image de projet (*.amb)

· Paramètres de liaison Excel (*.amx)

· WinControl OPC Export (*.AMR 2opc)

Attention !

L'exportation OPC est une fonction en option, devant être commandée avec le logiciel puis débridée. Si cette option n'est pas débridée, le type de fichier "WinControl OPC Export (*.AMR 2opc)" n'est pas disponible.

Bon à savoir !

Les fichiers issus d'autres produits WinControl et les fichiers d'ALMEMO View peuvent s'ouvrir également. Pour ceci, saisir le type de fichier Tous les fichiers (*.*) et indiquer le filtre correspondant (par ex. *.fks ou *.almvw) dans le champ Nom du fichier.

Lecteurs :

Sélectionner le lecteur sur lequel se trouve le fichier à traiter.

Répertoires :

Sélectionner le répertoire sur lequel se trouve le fichier à traiter.


Fermer

La commande Fermer vous permet de fermer le fichier actif des valeurs de mesure. Si vous avez fait des modifications depuis le dernier enregistrement et que vous ne les avez pas enregistrées, AMR WinControl vous demande si vous voulez enregistrer les modifications avant de fermer le fichier. Si vous fermez un fichier de valeurs de mesure sans les enregistrer, vous perdez toutes les modifications non sauvegardées.

Attention !

Lors de la fermeture d'un fichier, AMR WinControl ne vous demande si vous voulez enregistrer les modifications avant la fermeture que si cette requête a été paramétrée dans la boîte de dialogue "Paramètres divers".

Par le menu système

Vous pouvez également fermer le document actif en utilisant le menu système du document. Cliquer pour cela sur le symbole situé dans l'angle en haut à gauche de la fenêtre et choisir la commande Fermer.


Enregistrer

La commande Fichier/Enregistrer vous permet d'enregistrer les valeurs de mesure du jeu de données actif selon les informations saisies dans la boîte de dialogue "Enregistrer sous" (nom, chemin d'accès). Si vous enregistrez un graphique pour la première fois, AMR WinControl affiche la boîte de dialogue "Enregistrer sous". Utiliser la commande Fichier/Enregistrer sous pour modifier le nom ou le chemin d'accès d'un fichier de valeurs de mesure existant.

Bon à savoir !

Le répertoire par défaut proposé par AMR WinControl pour cette fonction peut être réglé dans la commande "Paramètres/Répertoires" (voir également : Répertoires).

Bouton de commande pour "Enregistrer"

Dans la barre d'outils cliquer sur le bouton "Enregistrer" pour enregistrer très simplement un fichier de valeurs de mesure sous son nom, son chemin d'accès et son format de fichier existants.

Format de fichier

Sélectionner la commande Fichier/Exporter pour enregistrer les données de mesure dans un autre format de fichier (par ex. format tableur).


Enregistrer sous

Si vous choisissez cette commande (menu Fichier), la boîte de dialogue de fichier standard Enregistrer sous s'affiche. Dans cette boîte de dialogue vous pouvez paramétrer le nom et le chemin d'accès du fichier des valeurs de mesure actif.

Bon à savoir !

Le répertoire par défaut proposé par AMR WinControl pour cette fonction peut être réglé dans la commande "Paramètres/Répertoires" (voir également : Répertoires).

Bouton de commande pour "Enregistrer sous"

Dans la barre d'outils, cliquer sur le bouton "Enregistrer sous" pour enregistrer très simplement un fichier de valeurs de mesure sous son nom, son chemin d'accès et son format de fichier existants.

Format de fichier

Sélectionner la commande Fichier/Exporter pour enregistrer les données de mesure dans un autre format de fichier (par ex. format tableur).


Enregistrer intervalle

La fonction de menu Fichier/Enregistrer intervalle vous permet d'enregistrer un certain intervalle de temps des fichiers de valeurs de mesure dans un nouveau fichier. En lançant cette fonction, vous ouvrez la boîte de dialogue "Enregistrer intervalle".

voir également :

Boîte de dialogue "Enregistrer intervalle"


Boîte de dialogue "Enregistrer intervalle"

Vous pouvez définir les points et l'intervalle temporel désirés à enregistrer à l'aide des options suivantes de la boîte de dialogue :

Points de mesure à enregistrer

Sélectionner d'abord les points de mesure dont vous voulez enregistrer séparément les données.

Intervalle temporel

Les entrées "Date et heure de début/de fin" vous permettent de définir l'intervalle de temps pour lequel vous voulez enregistrer les valeurs de mesure.

En cliquant sur le bouton Intervalle total, vous pouvez inscrire dans les champs "Date" et "Heure" les valeurs de la première et de la dernière valeur de mesure du fichier respectif. En cliquant sur le bouton Intervalle zoom s'inscrivent dans les champs "Date" et "Heure" les valeurs de la première et la dernière valeur de mesure du dernier intervalle zoom affiché.

En cliquant sur le bouton Intervalle curseur, vous pouvez inscrire dans les champs "Date" et "Heure" les valeurs de la première et de la dernière valeur de mesure de l'intervalle délimité par les curseurs dans la vue des curseurs.

Attention !

Le bouton Intervalle des curseurs ne peut être activé que si cette fonction est activée pour un fichier dans la vue des curseurs.

Bon à savoir !

Si dans la vue tableau du fichier actif des valeurs de mesure un intervalle a été sélectionné, le début et la fin de cet intervalle temporel seront proposés automatiquement lors du prochain appel de la fonction Fichier/Enregistrer intervalle comme début et fin de l'intervalle à enregistrer. Vous disposez alors du bouton Sélection à la place du bouton Zoom intervalle.

Choisir OK si vous voulez accepter les valeurs prédéfinies. Une boîte de dialogue de fichier standard s'ouvre alors. Après avoir saisi le nom du fichier et le répertoire et confirmé votre choix par OK, l'intervalle sélectionné est sauvegardé dans un fichier.

Bon à savoir !

Le répertoire par défaut proposé par AMR WinControl pour cette fonction peut être réglé dans la commande "Paramètres/Répertoires" (voir également : Répertoires).

Choisir Annuler pour fermer la boîte de dialogue sans modification et sans enregistrement de fichier, choisir Aide pour lancer le système d'aide sur ce texte.


Importer

Cette commande vous permet de lire des données de mesure ayant été sauvegardées dans les formats suivants, et de les éditer comme des données de programme :

· Format texte AMR (N0)

· Format texte AMR (N2)

· Cartes mémoire ALMEMO MMC/SD

Dans la boîte de dialogue de fichier standard qui apparaît, sélectionner le fichier à l'aide de son nom, de son type, du lecteur et du répertoire.

Bon à savoir !

Les fichiers des cartes MMC ou SD ont l'extension .001, .002, .003 etc. Si lors de l'importation de données au format mémoire des appareils ALMEMO (par ex. des cartes mémoire), un nouveau numéro de mémoire est détecté, le logiciel interrompt la courbe à cet endroit dans le graphique en courbe, de manière à ce que les différentes mesures soient séparées les unes des autres dans l'affichage du graphique.

Importation depuis des centrales d'acquisition ESCORT

De plus, vous pouvez récupérer des données de mesure enregistrées avec une centrale d'acquisition ESCORT et sauvegardées sous forme de fichier ASCII, dans le programme ESCORT pour WINDOWS. Toutes les options d'édition du programme AMR WinControl sont ensuite également disponibles pour ce fichier.

Pour procéder à l'importation de fichiers de texte ESCORT des différents appareils ESCORT dans AMR WinControl, vous pouvez affecter à chaque appareil un numéro d'appareil individuel.

Pour ce faire, un numéro d'appareil individuel sera affecté à chaque numéro de série d'un appareil ESCORT dans la configuration de AMR WinControl. Ce numéro permet à AMR WinControl de gérer de manière univoque les valeurs de mesure de tout appareil ESCORT. Il est également possible de regrouper des données de plusieurs appareils ESCORT dans un même fichier.

A cet effet, il faut créer la section [EscortDevices] dans la configuration. Les entrées dans cette section doivent s'effectuer selon le modèle suivant :

Numéro de série Escort = numéro d'appareil WinControl

Si l'entrée correspondant au numéro de série de l'appareil Escort n'existe pas, le numéro d'appareil 70 est automatiquement utilisé pour cet appareil dans AMR WinControl.

Exemple :

Sous [EscortDevices] il faut saisir :

9709-092=70

9738-529=30

Vous avez de même la possibilité de réimporter des fichiers ASCII préalablement exportés par AMR WinControl.

Bon à savoir !

Comment trouver le fichier de configuration et ce qu'il faut alors observer, se trouve au chapitre Trouver la configuration.


Exporter

Pour enregistrer des données de mesure acquises sous un autre format de fichier (tableur, ASCII, FAMOS, QS-STAT) ou pour les transmettre à d'autres applications par échange de données dynamique (DDE), utiliser la commande Fichier/Exporter. La boîte de dialogue qui s'affiche permet d'enregistrer dans un fichier ainsi que l'échange de données en dynamique. En fonction de l'action que vous voulez effectuer, vous pouvez afficher en premier plan la fiche désirée en cliquant avec le bouton gauche de la souris sur l'onglet correspondant.

voir également :

Exporter des données - Fichier

Boîte de dialogue "Format du texte"

Exporter : "Microsoft Excel"

Exporter : "DDE"

Exporter la liste des événements


Exporter des données - Fichier

L'onglet "Fichier" permet d'effectuer toutes les paramètres nécessaires pour enregistrer les données de mesure dans le format de fichier désiré.

Vous disposez pour cela des options suivantes de la boîte de dialogue :

Point(s) de mesure :

Sélectionner d'abord les points de mesure dont vous voulez exporter les données. Pour ce faire, procéder de la manière suivante :

· Simple clic avec le bouton gauche de la souris sur le point de mesure de la liste que vous voulez enregistrer.

· Sélection d'une zone de liste (du point de mesure x jusqu'au point y) en appuyant simultanément sur la touche <MAJ> et en cliquant avec le bouton gauche de la souris sur le premier et le dernier point de mesure de la zone de liste désirée.

· Sélection de points de mesure individuels par appui simultané sur la touche <CTRL> et clic du bouton gauche de la souris sur les points de mesure désirés.

Format du texte :

Le bouton Format du texte vous permet d'ouvrir la boîte de dialogue "Format du texte" dans laquelle vous pouvez définir les paramètres concrets (séparateur de champ, point décimal, commentaire, date/heure) d'un fichier ASCII.

Enregistrer :

Le bouton Enregistrer permet d'ouvrir une boîte de dialogue standard dans laquelle vous pouvez indiquer le nom du fichier, le répertoire, le format du fichier et enregistrer le fichier.


Boîte de dialogue "Format du texte"

La boîte de dialogue "Format du texte" permet de définir les caractéristiques spécifiques d'un fichier ASCII. Vous disposez pour cela des options suivantes de la boîte de dialogue :

Disposition des valeurs de mesure

L'option "Toutes les valeurs d'un instant sur une même ligne" vous permet de sélectionner le format ASCII le plus compact. L'option "Chaque valeur sur une ligne distincte" permet de définir des formats pouvant servir entre autres à l'exportation vers des banques de données (par ex. DBase).

Une fois la sélection effectuée, toutes les options de paramétrage sans importance pour le format sélectionné sont grisées et ne peuvent pas être activées.

Caractères spéciaux

Cette option vous permet de définir les caractères de séparation de champ, de délimitation de texte et de point décimal. Pour ceci, sélectionner les caractères correspondants dans les listes (clic avec le bouton gauche de la souris sur la flèche à droite du champ de saisie respectif) ou saisir les caractères directement dans le champ de saisie correspondant.

Instant des mesures

En activant ou en désactivant les options "Date" et "Heure", vous déterminez si vous voulez incorporer celles-ci dans le fichier ASCII. Pour ce faire, cliquer avec le bouton gauche de la souris sur la case à cocher à gauche du texte respectif.

Informations sur les points de mesure

Dans le format "Chaque valeur sur une ligne distincte" les paramètres peuvent être intégrés dans le fichier d'exportation en plus de la valeur de mesure. Pour ce faire, cliquer avec le bouton gauche de la souris sur la case à cocher à gauche du texte respectif.


Exporter : "Microsoft Excel"

L'onglet "Microsoft Excel" permet d'effectuer tous les paramétrages nécessaires pour copier les données de mesure dans une feuille de calcul Excel. Vous disposez pour cela des options suivantes de la boîte de dialogue :

Point(s) de mesure :

Sélectionner d'abord les points de mesure dont vous voulez exporter les données. Pour ce faire, procéder de la manière suivante :

· Simple clic avec le bouton gauche de la souris sur le point de mesure de la liste que vous voulez enregistrer.

· Sélection d'une zone de liste (du point de mesure x jusqu'au point y) en appuyant simultanément sur la touche <MAJ> et en cliquant avec le bouton gauche de la souris sur le premier et le dernier point de mesure de la zone de liste désirée.

· Sélection de points de mesure individuels par appui simultané sur la touche <CTRL> et clic du bouton gauche de la souris sur les points de mesure désirés.

Libellé

Si vous voulez transmettre la date et l'heure ainsi que le commentaire relatif aux points de mesure, activer ces options d'un simple clic du bouton gauche de la souris dans les boutons d'option à gauche du texte correspondant.

Cellule de départ

Dans ce champ de saisie vous définissez la première cellule du tableau dans laquelle les valeurs de mesure seront transmises.

Classeur de travail

Dans le champ de saisie "Classeur de travail" vous définissez le nom du fichier dans lequel vous voulez transmettre les valeurs de mesure. Si ce fichier n'existe pas encore, il est créé automatiquement. Le bouton Parcourir vous permet d'ouvrir une boîte de dialogue de fichier standard et d'y choisir un fichier Excel existant.

Tableau

Dans ce champ de saisie vous définissez le nom du tableau dans lequel les valeurs de mesure seront transmises.


Exporter : "DDE"

L'onglet "DDE" permet d'effectuer toutes les paramétrages nécessaires pour transmettre les données de mesure à une autre application Windows à l'aide d'un échange dynamique de données. Vous disposez pour cela des options suivantes de la boîte de dialogue :

Point(s) de mesure :

Sélectionner d'abord les points de mesure dont vous voulez exporter les données. Pour ce faire, procéder de la manière suivante :

· Simple clic avec le bouton gauche de la souris sur le point de mesure de la liste que vous voulez enregistrer.

· Sélection d'une zone de liste (du point de mesure x jusqu'au point y) en appuyant simultanément sur la touche <MAJ> et en cliquant avec le bouton gauche de la souris sur le premier et le dernier point de mesure de la zone de liste désirée.

· Sélection de points de mesure individuels par appui simultané sur la touche <CTRL> et clic du bouton gauche de la souris sur les points de mesure désirés.

Ensuite vous définissez les paramètres de transfert à l'aide de "Service", "Rubrique" et "Elément". Ces indications s'expliquent de la manière suivante :

Service : | Application avec laquelle l'échange de données doit être effectué.
Rubrique : | Document dans lequel les données de mesure seront écrites
Elément : | Zone du document dans laquelle les données de mesure doivent être écrites.

Pour un transfert DDE depuis un point de mesure sous Excel, les entrées sont les suivantes :

Service : | Excel
Rubrique : | Tableau 1 (ou pour Excel version 5 ou sup. [Mappe1]Tableau1 )
Elément : | z1s1:z100s3 (colonne 1 et 2 pour date/heure)

En fonction de l'application, ces entrées peuvent varier. Si vous disposez des versions de programme actuelles, vous serez automatiquement assisté pour les entrées "Service" et "Rubrique". Pour ce faire, vous pouvez consulter la liste respective (clic avec le bouton gauche de la souris sur la flèche à côté du champ de saisie) et faire votre choix parmi les applications et documents proposés.

Pour travailler sous Quattro Pro, les entrées sont les suivantes :

Service : | QPW
Rubrique : | répertoire-qpw\classeur1
Elément : | a1 (QPW définit la plage automatiquement en commençant à a1)

Attention !

Lors de la transmission des données, la date et l'heure de chaque valeur de mesure sont transmises aux deux premières colonnes. Celles-ci n'étant pas représentées en chaînes de caractères mais en tant que date et heure réelles, les cellules de la première colonne sont à formater pour la date et les cellules de la deuxième colonne pour l'heure. Ceci vaut aussi bien pour Excel que pour Quattro Pro.


Exporter la liste des événements

Outre les données de mesure l'utilisateur peut enregistrer une liste d'événements générée en cas d'alarme sous forme d'un fichier ASCII. Vous disposez pour cela de la commande Fichier/Exporter lorsque la liste des événements est activée. Sur appel de cette fonction une boîte de dialogue de fichier standard s'affiche dans laquelle vous pouvez saisir le nom et le répertoire dans lequel vous voulez enregistrer le fichier.

Bon à savoir !

Si la fonction "Enregistrement automatique" est activée, la liste des événements peut également être sauvegardée automatiquement. Pour ceci, l'option "Enregistrement automatique de la liste des événements" dans la boîte de dialogue Enregistrement automatique doit être activée. A l'aide du bouton gauche de la souris, cliquer sur le bouton d'option à gauche du texte de sorte qu'une petite croix s'affiche.


Envoyer comme courriel

Tous les fichiers de valeurs de mesure (tableau, graphique en courbe, diagramme XY, vue d'ensemble) peuvent être envoyés directement comme e-mail par AMR WinControl. Vous disposez pour cela de la fonction "Envoyer comme courriel" dans le menu "Fichier".

A l'appel de cette fonction, le programme de messagerie installé sur l'ordinateur est lancé et un nouveau message est créé. Dès l'appel de cette fonction, ce message obtient automatiquement le fichier actuel des mesures (fenêtre active) en pièce jointe. Il ne reste plus qu'à rechercher l'adresse désirée et le fichier de mesures peut être expédié.

Attention !

Lorsque l'envoi par courriel est activé, en cas d'alarme il faut observer la section Paramètres spéciaux pour l'envoi de messages d'alarme par courriel.


Fusionner

Vous avez la possibilité de fusionner des fichiers de valeurs de mesure créés sous AMR WinControl. Ceci est valable aussi bien pour les fichiers créés dans le même intervalle temporel que pour les fichiers créés à des temps différents.

Vous pouvez fusionner des fichiers de deux manières différentes :

· Ajouter :
permet d'ajouter des données de mesure issues d'autres fichiers à un fichier de valeurs de mesure existant. Pour ceci, il faut ouvrir un fichier de données de mesure.

· Assembler :
plusieurs fichiers de mesure sont associés pour former un nouveau. Les fichiers source restent inchangés.

voir également :

Ajouter fichiers

Assembler fichiers

Boîte de dialogue "Fusionner fichiers"


Ajouter fichiers

Ouvrez d'abord l'un des fichiers à fusionner. Vous pouvez ouvrir ce fichier dans n'importe quelle vue. Sélectionnez ensuite la commande Fichier/Fusionner ou bien choisissez la fonction Fusionner dans le menu contextuel (clic avec le bouton droit de la souris dans la fenêtre actuelle). Une boîte de dialogue standard apparaît, dans laquelle vous pouvez sélectionner un ou plusieurs fichiers. En quittant la boîte de dialogue avec OK , le ou les fichier(s) sélectionné(s) sont associés au fichier initial.

Pour une sélection multiple, procéder comme sous Windows en marquant les entrées de fichier (à l'aide du bouton gauche de la souris) en maintenant la touche <MAJ> enfoncée pour la sélection d'une plage ou en appuyant sur la touche <CTRL> pour sélectionner des fichiers individuels.

Attention !

Le résultat est un fichier dont l'intervalle temporel correspond à la somme des intervalles de temps des deux fichiers et qui comprend tous les points de mesure des deux fichiers. Ce fichier porte le même nom que le fichier cible. Si vous appelez ensuite la fonction Fichier/Enregistrer, le fichier cible serait écrasé. Nous vous recommandons de sélectionner la fonction Fichier/Enregistrer sous après avoir fusionné les fichiers.

Si la boîte de dialogue de fichier standard est confirmée par OK, si plus d'un fichier a été sélectionné pour l'ajout, alors une boîte de dialogue listant tous les fichiers à fusionner. AMR WinControl traite cette liste, marque la progression actuelle par des symboles et des textes et affiche le cas échéant des avertissements et des remarques dans la liste (voir également : boîte de dialogue "Fusionner fichiers").

Si vous voulez fusionner des fichiers dans lesquels les mêmes points (numéros) de mesure sont occupés par des plages différentes, une erreur s'affiche et la procédure est annulée.


Assembler fichiers

Le menu Fichiers/Fusionner/Assembler comporte une fonction permettant d'intégrer automatiquement des valeurs de mesure et des informations supplémentaires issues de plusieurs fichiers de valeurs de mesure dans un nouveau fichier de valeurs de mesure. Pour ceci, les fichiers à assembler doivent figurer dans le même répertoire. Le choix des fichiers à utiliser s'effectue dans une boîte de dialogue dans laquelle vous pouvez choisir un échantillon pour le nom de fichier, une plage temporelle et les points de mesure (voir également : Les fonctions de valorisation).

Le résultat s'affiche comme fichier de valeurs de mesure non enregistré dans une nouvelle fenêtre de programme. La représentation (aperçu, tableau, graphique en courbe ou en XY) se base sur les informations issues des fichiers source. Lors de l'affichage graphique, le système ouvre le cas échéant automatiquement la boîte de dialogue des caractéristiques si les informations de représentation ne sont pas suffisantes pour tous les points de mesure (axe, courbes, plages etc.).

Si vous confirmez le dialogue "Assembler fichiers" par OK, le système affiche une boîte de dialogue donnant la liste de tous les fichiers à fusionner. AMR WinControl traite cette liste, marque la progression actuelle par des symboles et des textes et affiche le cas échéant des avertissements et des remarques dans la liste (voir également : boîte de dialogue "Fusionner fichiers").


Boîte de dialogue "Fusionner fichiers"

En confirmant la boîte de dialogue de fichier standard ou le dialogue "Assembler fichiers" par OK, une boîte de dialogue "Fusionner fichier" apparaît. Cette boîte de dialogue indique une liste de tous les fichiers à fusionner ainsi que l'état de traitement actuel :

La colonne "Etat" indique l'état actuel de traitement du fichier, la colonne Remarque comporte un texte exhaustif à ce sujet.

· aucune indication : le fichier n'a pas encore été traité.

· en cours de traitement : ce fichier est actuellement analysé.

· OK : des données ont été récupérées avec succès de ce fichier.

· Avertissement : Aucune donnée n'a été validée depuis ce fichier, où bien parce qu'il ne comprend aucun des points de mesure indiqués ou parce qu'aucune donnée concernant l'intervalle de temps indiqué n'a été trouvée dans le fichier.

· Erreur : Lors de l'accès au fichier ou lors du traitement des données, des erreurs sont survenues.

Remarque : le système ne récupère les données que si les informations relatives aux points de mesure issue du fichier source actuel correspondent aux informations déjà existantes, c.-à-d. qu'au minimum le capteur et l'unité du même point de mesure doivent coïncider. Si ceci n'est pas le cas, le logiciel affiche un avertissement et propose une des possibilités suivantes au choix :

· aucun point de mesure du fichier source actuel n'est adapté aux données déjà existantes :
la procédure peut être annulée ou poursuivie avec le prochain fichier.

· certains points de mesure ne sont pas adaptés aux données existantes :
vous pouvez récupérer les données des autres points de mesure, poursuivre avec le prochain fichier ou interrompre complètement la procédure.

Le bouton de commande "Annuler" permet d'interrompre l'assemblage en tenant compte du fait que le traitement des données demande un travail intense et que la réaction aux saisies de l'utilisateur peut éventuellement tarder un peu !

Lorsque tous les fichiers de la liste ont été traités, la boîte de dialogue reste ouverte pour information et le bouton de commande "Annuler" est remplacé par le bouton de commande "Fermer".

Si aucune donnée n'a été récupérée dans le nouveau fichier parce que

· aucun fichier adapté au modèle n'a été trouvé

· aucun des fichiers n'a pu être ouvert

· il ne contient aucun des points de mesure indiqués

· aucune valeur de mesure n'a été trouvée dans la plage de mesure indiquée

alors le système (après émission d'une info) ouvre la boîte de dialogue des propriétés pour effectuer une nouvelle saisie.


Réduction de données

Pour évaluer et réduire des données déjà enregistrées (par ex. des valeurs lues depuis les mémoires des appareils), la fonction Fichier/Réduction de données a été mise en œuvre. Cette fonction vous permet d'effectuer un calcul de moyenne cyclique sur le temps. Bien entendu, cette fonction n'est disponible qu'en cas de présence d'un jeu de données dans la fenêtre active et sur lequel on peut appliquer cette fonction.

voir également :

Boîte de dialogue "Réduction des données"


Boîte de dialogue "Réduction des données"

Sur appel de la fonction Fichier/Réduction de données, la boîte de dialogue "Réduction de données" s'affiche. Elle vous permet de saisir une durée de cycle sur laquelle sont calculées cycliquement les valeurs moyennes. Un nouveau fichier est créé contenant tous les points de mesure du fichier source sélectionnés dans la liste et dont les données correspondent aux valeurs moyennes cycliques calculées.

Le fichier que vous venez de créer dispose bien entendu de toutes les possibilités de représentation et de traitement offertes par AMR WinControl.

Bon à savoir !

L'avantage du calcul de moyenne cyclique sur le temps par rapport au calcul de moyenne cyclique sur un certain nombre de valeurs de mesure consiste à pouvoir déterminer des moyennes exactes sur la durée désirée, même si cette durée n'offre pas un nombre constant de valeurs de mesure.


Aperçu avant impression

La commande Fichier/Aperçu avant impression montre à quoi ressemblera l'impression d'un graphique en courbe, d'un tableau, d'une liste de points de mesure, d'un ou de plusieurs graphiques à barres. Le bouton Fermer vous permet de retourner à la vue de programme. Le bouton Imprimer lance l'impression.

Si vous appelez la fonction Fichier/Aperçu avant impression pour un graphique en courbe n'affichant pas tout l'intervalle de temps, une boîte de dialogue s'affiche dans laquelle vous pouvez choisir si vous voulez afficher la section actuellement représentée du graphique en courbe actif sur une page ou représenter un aperçu entier du fichier des valeurs de mesure sur plusieurs pages. En fonction de votre sélection, la page/les pages correspondante(s) est/sont affichée(s). En aperçu sur plusieurs pages, la taille de l'intervalle temporel de chaque page correspond à la taille de l'intervalle temporel du graphique en courbe sélectionné au moment de l'appel.


Imprimer

La commande Fichier/Imprimer lance l'impression. Avant d'utiliser cette commande, vous devez avoir installé une imprimante Windows. Si elle n'a pas été paramétrée comme imprimante standard, sélectionnez-la depuis votre programme. Vous trouverez des informations concernant l'installation de l'imprimante dans votre documentation Windows. D'autres informations relatives à la sélection d'une imprimante sont disponibles sous "Configuration de l'imprimante".

Bouton "Imprimer"

Dans la barre d'outils, cliquer sur le bouton "Imprimer" pour imprimer le contenu de la fenêtre actuelle selon les paramètres actuels de l'imprimante.

voir également :

Boîte de dialogue "Impression"


Boîte de dialogue "Impression"

La boîte de dialogue standard d'impression vous permet de sélectionner les paramètres d'impression désirés à l'aide des options suivantes de la boîte de dialogue :

Imprimante

Indique le nom de l'imprimante actuelle ainsi que la liaison de celle-ci.

Plage d'impression

Indiquer les pages que vous voulez imprimer :

· Tout – Toutes les pages sont imprimées

· Pages – Seules les pages que vous indiquez sont imprimées

· Sélection – Impression de l'intervalle temporel actuellement affiché pour un graphique en courbe

Copies

Indiquer le nombre de copies que vous voulez imprimer.

Copies assemblées

Trie les pages par exemplaire si vous imprimez plusieurs exemplaires d'un document. AMR WinControl imprime le premier exemplaire entièrement avant d'imprimer l'exemplaire suivant.

Configuration

Sélectionner une imprimante et une liaison d'imprimante. Vous pouvez également changer les paramètres standards de l'imprimante sélectionnée. Vous trouverez des informations à ce sujet à la rubrique "Configuration imprimante".


Imprimer les valeurs de mesure entre les curseurs

Pour un graphique en courbe vous pouvez à partir de la position des deux curseurs et à l'aide de la fonction Fichier/Imprimer les valeurs de mesure entre les curseurs, créer un tableau comportant pour chaque point du fichier des valeurs de mesure représenté, les valeurs de l'intervalle entre les positions des curseurs. Le nombre des valeurs est alors limité à 100 par point de mesure, en commençant par la position gauche du curseur.

Boîte de dialogue "Sélection des points de mesure à imprimer"

Dans la boîte de dialogue "Sélection des points de mesure à imprimer" vous pouvez définir pour la vue en tableau si vous voulez représenter et imprimer tous les points de mesure du fichier ou uniquement une sélection. L'impression du tableau contient le commentaire, le numéro des points de mesure qu'il contient ainsi que la date d'impression. De plus, vous pouvez définir un commentaire d'une ligne pour renseigner le tableau. Le commentaire par défaut est celui du fichier des valeurs de mesure.

Boîte de dialogue "Impression des valeurs de mesure"

Avec le bouton Suivant vous pouvez ouvrir la boîte de dialogue "Impression des valeurs de mesure" qui vous offre un aperçu du tableau à imprimer. Sur confirmation par OK, une boîte de dialogue d'impression standard s'ouvre et vous pouvez lancer l'impression comme d'habitude.

Attention !

Cette fonction n'est disponible que pour les graphiques en courbe de la vue curseur.


Imprimer rapport

Pour intégrer un graphique en courbe dans un rapport et l'imprimer, la fenêtre du graphique dans AMR WinControl doit être activée. A cette fin, le menu contextuel et le menu "Fichier" comportent le sous-menu "Impression du rapport" dans lequel figurent tous les rapports du répertoire défini. En cliquant sur un de ces rapports, l'opération réglée (impression ou ouverture immédiate) est exécutée.

Remarques :

· L'ouverture des rapports (avec impression manuelle) a été testée avec succès avec OpenOffice 1.1, Wordpad et Microsoft Word.

· L'impression immédiate était possible avec Wordpad et Microsoft Word. Lors de la tentative d'utiliser OpenOffice, c'est Microsoft Word qui a été lancé.

· Les rapports générés sont enregistrés dans le répertoire temporaire du système d'exploitation. Le nom se compose du modèle de rapport ainsi que de la date et de l'heure. A la fermeture de WinControl ou une heure après l'impression, tous les fichiers sont automatiquement supprimés du répertoire temporaire. Si un autre programme utilise encore ce fichier à ce moment, la suppression doit être effectuée ultérieurement manuellement ou à l'aide des fonctions du système d'exploitation.

Remarque : Pour de plus amples informations sur l'impression et la création de rapports, veuillez lire le chapitre Graphique en courbe - Impression du rapport.

Paramétrage de l'impression du rapport

Dans la section [Settings] de la configuration, l'entrée ProtocolTemplateDir indique un répertoire dans lequel sont recherchés des rapports. Si cette entrée n'existe pas, les rapports sont recherchés dans le sous-répertoire "ReportTpl" du répertoire AMR WinControl.

Bon à savoir !

Le répertoire indiqué dans ProtocolTemplateDir peut également être paramétré dans la commande "Paramètres/Répertoires" (voir également : Répertoires).

L'entrée ProtocolOperation permet de déterminer quelle opération doit être effectuée lors de l'impression du rapport. Les entrées valides sont open et print, cette dernière étant l'opération par défaut. Si l'opération print a été paramétrée, le rapport est imprimé immédiatement avec l'application paramétrée dans le système d'exploitation pour l'impression de fichiers rtf. Si l'opération open a été activée, le rapport est ouvert par l'application paramétrée dans le système d'exploitation pour l'ouverture de documents rtf, l'impression proprement dite doit alors être déclenchée manuellement. L'avantage de la deuxième méthode consiste à ce que le rapport peut être visualisé et le cas échéant modifié manuellement avant l'impression.

Bon à savoir !

Comment trouver le fichier de configuration et ce qu'il faut alors observer, se trouve au chapitre Trouver la configuration.

Exemple :

[Settings]

ProtocolTemplateDir=C:\Protocols

ProtocolOperation=open

Explication :

Avec les paramétrages indiqués dans l'exemple, WinControl cherche les modèles au format rtf dans le répertoire "C:\Protocols" et lors de l'exécution de la fonction "Impression rapport", le rapport correspondant est ouvert avec l'application paramétrée dans le système d'exploitation pour l'ouverture de documents rtf (impression pas automatique).


Mise en page

Pour imprimer des graphiques et des listes, vous pouvez définir les marges de page individuellement. A cet effet, appeler la fonction de menu Fichier/Mise en page. Dans la boîte de dialogue qui s'affiche vous pouvez indiquer les marges de la page. Ces indications s'effectuent en millimètres et doivent être comprises entre 10 et 50. Le bouton OK vous permet de valider les paramètres. Les marges définies valent pour l'impression de tous les objets AMR WinControl.


Configuration imprimante

Cette commande permet d'afficher une liste des imprimantes installées sur votre système. Dans la boîte de dialogue Configuration imprimante de l'imprimante par défaut, vous pouvez définir une imprimante et sélectionner d'autres options d'impression pour l'imprimante de votre choix.

voir également :

Boîte de dialogue "Configuration imprimante"


Boîte de dialogue "Configuration imprimante"

La boîte de dialogue Configuration imprimante vous permet de sélectionner les paramètres d'impression désirés à l'aide des options suivantes de la boîte de dialogue :

Imprimante :

Indique le nom de l'imprimante à utiliser ainsi que la connexion de celle-ci. Ici, l'imprimante sélectionnée comme standard dans le système d'exploitation est sélectionnée automatiquement. Pour utiliser une autre imprimante, sélectionnez-la dans la liste des imprimantes disponibles. Vous trouverez des informations concernant l'installation des imprimantes dans votre documentation Windows.

Format :

Déterminer ici si vous voulez imprimer au format portrait ou paysage. A cet effet, cliquer sur le bouton à gauche devant les textes à l'aide du bouton gauche de la souris.

Papier :

En fonction du papier utilisé et de l'alimentation papier, sélectionner les paramètres correspondants dans les listes.

Options :

Elles permettent de commander les options d'impression de l'imprimante par défaut ou spécifique sélectionnée. Les options disponibles varient en fonction du pilote d'imprimante installé. Pour obtenir de l'aide concernant l'imprimante sélectionnée, cliquer sur le bouton Options et sélectionner ensuite le bouton Aide.

Réseau :

Il permet de relier votre ordinateur à une imprimante réseau. Le bouton n'est disponible que si votre ordinateur est branché sur un réseau. Vous obtenez de l'aide concernant l'imprimante réseau en cliquant sur le bouton Réseau et en sélectionnant le bouton Aide.


Liste des derniers fichiers utilisés

Servez-vous des chiffres et des noms dans la partie inférieure du menu fichier pour ouvrir rapidement l'un des fichiers (graphique en courbe, tableau) que vous avez traités dernièrement. Sélectionner le numéro ou le nom du fichier désiré.


Charger la configuration

Si vous avez sauvegardé une configuration d'interface utilisateur à l'aide de la commande de menu Fichier/Enregistrer configuration, vous pouvez réactiver cette interface à l'aide de la commande Fichier/Charger configuration. Si la connectique des appareils de mesure est identique, vous pouvez immédiatement acquérir et traiter les données comme habituellement sans devoir rétablir les paramètres manuellement.

Dans la boîte de dialogue de fichier standard qui apparaît, sélectionner le fichier à l'aide de son nom, de son type, du lecteur et du répertoire.

Bon à savoir !

Le répertoire par défaut proposé par AMR WinControl pour cette fonction peut être réglé dans la commande "Paramètres/Répertoires" (voir également : Répertoires).


Enregistrer la configuration

Les configurations d'interface que vous avez créées peuvent être sauvegardées dans un fichier à l'aide de la commande de menu Fichier/Enregistrer configuration. Au besoin, cette interface peut être chargée à nouveau à l'aide de Fichier/Charger configuration. Si la connectique des appareils de mesure est identique, vous pouvez immédiatement acquérir et traiter les données comme habituellement sans devoir rétablir les paramètres manuellement.

Dans la boîte de dialogue de fichier standard qui apparaît, sélectionner le nom et le type de fichier ainsi que le lecteur et le répertoire.

Bon à savoir !

Le répertoire par défaut proposé par AMR WinControl pour cette fonction peut être réglé dans la commande "Paramètres/Répertoires" (voir également : Répertoires).


Charger voies de calcul

Les voies de calcul globales que contient la liste des points de mesure ainsi que les voies de calcul locales comprises dans les fichiers de valeurs de mesure peuvent respectivement être sauvegardées dans un fichier sous forme de liste. Au besoin vous pouvez charger à nouveau une liste ainsi sauvegardée. Il n'est dans ce cas pas nécessaire de redéfinir les voies de calcul à l'aide des formules mémorisées.

Pour charger des voies de calcul préalablement sauvegardées sur une liste de points de mesure, activer la liste des points de mesure et exécuter la fonction Fichier/Charger voies de calcul. Dans la boîte de dialogue de fichier standard qui s'affiche, choisir le fichier désiré et confirmer par OK. Les canaux de calcul définis dans le fichier sont ensuite portés dans la liste des points de mesure. Si la liste des points comporte déjà un canal de calcul au même numéro que celui défini pour le fichier, le système vous demande si vous voulez supprimer ce canal par écrasement.

Pour charger dans un fichier de mesures des voies de calcul préalablement sauvegardées, activer le fichier des valeurs de mesure et exécuter la fonction Fichier/Charger voies de calcul.

Attention !

Les voies de calcul globales d'une liste de points de mesure sauvegardées dans un fichier ne peuvent pas être chargées comme voies de calcul locales dans un fichier de mesures et inversement !


Enregistrer voies de calcul

Les voies de calcul globales que contient la liste des points de mesure ainsi que les voies de calcul locales comprises dans les fichiers de valeurs de mesure peuvent respectivement être sauvegardées dans un fichier sous forme de liste. Au besoin vous pouvez charger à nouveau une liste ainsi sauvegardée. Il n'est dans ce cas pas nécessaire de redéfinir les voies de calcul à l'aide des formules mémorisées.

Pour enregistrer la liste des voies de calcul globales, activer la liste des points de mesure et sélectionner la fonction Fichier/Enregistrer voies de calcul. Dans la boîte de dialogue "Enregistrement des voies de calcul" qui s'affiche, vous pouvez sélectionner tous les canaux désirés disponibles dans la liste correspondante. En confirmant par OK, une boîte de dialogue de fichier standard s'affiche. Après avoir choisi le répertoire, saisi le nom de fichier et confirmé par OK, les définitions des voies de calcul sélectionnées sont enregistrées sous forme de liste dans un fichier à l'extension "mth".

Pour enregistrer une liste de voies de calcul locales, activer le fichier de points de mesure désiré et sélectionner la fonction Fichier/Enregistrer voies de calcul.


Enregistrer comme modèle

Vous pouvez enregistrer les propriétés d'affichage des fichiers de valeurs de mesure de AMR WinControl dans un format de fichier spécifique. Ce type de fichier est appelé "modèle de format".

Pour cela, lorsque le fichier des valeurs de mesure est activé, exécuter la commande de menu Fichier/Enregistrer modèle. Une boîte de dialogue standard de fichier s'affiche alors. Lorsque vous avez défini le répertoire et saisi le nom du fichier, les propriétés d'affichage du fichier de mesure sélectionné sont sauvegardées comme modèle dans un fichier à l'extension "amv".

Bon à savoir !

Le répertoire par défaut proposé par AMR WinControl pour cette fonction peut être réglé dans la commande "Paramètres/Répertoires" (voir également : Répertoires).


Appliquer le modèle

Les propriétés de l'affichage sauvegardées dans un modèle de format à l'aide de la commande Fichier/Enregistrer modèle peuvent être appliquées à un fichier de valeurs de mesure AMR WinControl existant. Dans ce cas, le fichier de mesures existant s'affiche avec les propriétés issues du modèle.

Bon à savoir !

Tous les points de mesure enregistrés dans le fichier de mesures, mais pas dans le modèle, sont configurés automatiquement comme "invisibles". Après avoir appliqué le modèle, il est possible de supprimer ce réglage dans les caractéristiques du fichier de mesures.

Pour cela, lorsque le fichier des valeurs de mesure est activé, exécuter la commande de menu Fichier/Appliquer modèle. Une boîte de dialogue standard de fichier s'affiche alors, dans laquelle vous pouvez sélectionner le fichier modèle désiré. Après avoir confirmé par OK, les propriétés de représentation du fichier modèle sélectionné sont validées pour le fichier de valeurs de mesure existant et les valeurs de mesure sont représentées en fonction de ces caractéristiques.

Bon à savoir !

Le répertoire par défaut proposé par AMR WinControl pour cette fonction peut être réglé dans la commande "Paramètres/Répertoires" (voir également : Répertoires).

Bon à savoir !

Vous disposez dans la barre d'outils du bouton Appliquer modèle. En cliquant du bouton gauche de la souris sur ce bouton, une liste de tous les modèles enregistrés dans le répertoire de AMR WinControl apparaît. Sélectionner le modèle désiré dans cette liste ou bien ouvrir la boîte de dialogue de fichier standard à l'aide de l'entrée de liste "Rechercher" afin de rechercher le modèle désiré dans un autre répertoire.


Rayer utilisateur

La commande Fichier/Fin de session utilisateur permet de mettre fin à la session de l'utilisateur actuel et une boîte de dialogue apparaît permettant de saisir le nom d'un utilisateur et d'un mot de passe (voir également : Ouverture de session par un utilisateur).

Bon à savoir !

AMR WinControl offre des possibilités de paramétrage multiples et détaillées grâce à l'option Protection par mot de passe. La commande Paramètres/Protection par mot de passe est destinée à attribuer ou à retirer aux utilisateurs le droit d'accès à chaque fonction de AMR WinControl.

Attention !

La protection par mot de passe de AMR WinControl est en option et n'est pas disponible dans chaque version du programme. Si l'option Protection par mot de passe n'est pas validée, la commande Fichier/Fin de session utilisateur n'existe pas non plus.


Quitter le programme

La commande Fichier/Quitter vous permet de quitter l'application et de fermer le programme. Si vous êtes en train d'éditer des graphiques ou des fichiers à cet instant, le système vous demande si vous voulez sauvegarder les modifications avant la fin du programme. Le menu Paramètres/Divers vous permet de ne pas faire apparaître cette requête et de quitter le programme sans enregistrement des dernières modifications.

Les autres possibilités pour quitter AMR WinControl sont les suivantes :

· le bouton Fermer (X) dans la barre de titres de la fenêtre de programme

· double clic avec le bouton gauche de la souris dans le menu système

· la combinaison de touches <ALT + F4>

Pour éviter la fermeture accidentelle du programme à l'aide d'une requête de sécurité, saisir l'entrée WarnOnExit=1 dans la section [Settings] de la configuration. De plus, il est possible dans la même partie d''indiquer l'entrée NoExitWhilePolling=1 pour éviter la fermeture du programme lorsque la scrutation des mesures est en cours.

Bon à savoir !

Comment trouver le fichier de configuration et ce qu'il faut alors observer, se trouve au chapitre Trouver la configuration.

·


Le menu "Edition"

Suivant le principe de n'afficher que les commandes de menu permettant d'exécuter des actions pour la fenêtre active, le menu Edition ou les fonctions correspondantes du menu n'apparaissent que si une fenêtre à laquelle ces fonctions peuvent être appliquées est active.

voir également :

Copier

Couper

Insérer

Supprimer

Annuler

Répéter

Sélectionner tout

Charger caractéristique de comparaison

Effacer les courbes de comparaison

Ajouter voie de calcul

Propriétés de voie de calcul


Copier

La commande Edition/Copier permet de copier dans le presse-papiers le contenu de la fenêtre active sous forme de graphique en courbe ou de tableau. La copie est sauvegardée simultanément sous forme de graphique et d'objet. Cette dernière vous permet d'insérer le graphique en courbe WinControl en tant qu'objet dans un autre programme à l'aide de la commande Edition/Insérer des contenus ou bien automatiquement à l'aide de la commande Edition/Insérer.


Couper

Cette commande permet de couper l'objet sélectionné dans la fenêtre active et de le placer dans le presse-papiers.


Insérer

Insère le contenu du presse-papiers dans la fenêtre active.


Supprimer

Supprime des éléments de texte et graphiques préalablement sélectionnés (objets).


Annuler

Cette commande annule la dernière commande exécutée.

Attention !

Dans les graphiques en courbes, cette commande n'opère que sur les propriétés visuelles. L'ajout ou la suppression de points de mesure ou de données de mesure n'est pas possible avec cette commande.


Répéter

Répète la dernière commande ou la dernière action.

Attention !

Dans les graphiques en courbes, cette commande n'opère que sur les propriétés visuelles. L'ajout ou la suppression de points de mesure ou de données de mesure n'est pas possible avec cette commande.


Sélectionner tout

Permet de sélectionner le texte entier ainsi que tous les graphiques de la fenêtre active (tous les objets).


Charger caractéristique de comparaison

Ouvre les points de mesure d'un fichier de valeurs de mesures AMR WinControl existant comme courbes caractéristiques de comparaison dans le graphique en courbe actif (voir également : Les fonctions de valorisation).


Effacer les courbes de comparaison

Supprime tous les points de mesure du graphique en courbes actif, ouverts comme caractéristiques de comparaison (voir également : Les fonctions de valorisation).


Ajouter voie de calcul

Si une voie de calcul ne doit être disponible que localement dans un jeu de données (graphique en courbe, XY ou tableau), définissez-la à l’aide de la fonction Editer/Ajouter voie de calcul.

voir également :

Boîte de dialogue "Ajouter une voie de calcul"

Suppression d'une voie de calcul locale


Boîte de dialogue "Ajouter une voie de calcul"

Dans la boîte de dialogue "Ajouter voie de calcul", vous pouvez définir des voies de calcul pour le jeu de données actuel. Vous disposez pour cela des options de la boîte de dialogue suivante.

Numéro de voie :

Dans ce champ d'édition, saisissez le numéro de la nouvelle voie de calcul.

Attention !

Le programme fait précéder le numéro de voie saisi du chiffre "90". Ceci évite dans une large mesure une double affectation du numéro de point de mesure en cas d'ajout ultérieur de points de mesure physiques ou de voies de calcul globales.

Commentaire :

A l'instar des points de mesure des appareils , vous pouvez affecter un commentaire (dix caractères) aux voies de calcul. Outre le numéro du point de mesure, le programme utilise ce commentaire pour repérer les séries de mesure, ce qui en facilite ensuite l'affectation.

Unité :

Vous pouvez saisir l'unité de la grandeur à calculer dans ce champ d'édition (trois caractères).

Limite inférieure/supérieure :

Saisissez les valeurs désirées dans les champs d'édition correspondants. Il est obligatoire d'utiliser le point comme séparateur décimal.

Nb de décimales :

Indiquez dans ce champ le nombre de décimales désirées pour représenter la grandeur à calculer. Indépendamment de votre choix, le calcul s'effectue toujours avec une précision de six décimales.

Formule :

Saisissez la formule nécessaire pour le calcul dans ce champ d'édition. Veuillez veiller aux conventions régissant l'établissement des formules (voir également : Conventions pour la saisie de formule).

Vous pouvez mémoriser une formule paramétrée et la rappeler ultérieurement. Servez-vous pour ceci des boutons Enregistrer et Charger. En cliquant avec le bouton gauche de la souris sur l'un des boutons, une boîte de dialogue de fichier standard s'ouvre dans laquelle vous pouvez saisir un nom pour le fichier que vous voulez enregistrer (formule) ou sélectionner la formule désirée et la charger avec OK.

Pour éditer la formule, vous pouvez bien entendu utiliser les fonctions standard d'édition.

Valider les modifications / quitter la boîte de dialogue

D'un simple clic avec le bouton gauche de la souris sur le bouton OK, vous validez la voie de calcul dans le jeu de données correspondant. Simultanément, les valeurs sont calculées en fonction de la formule saisie préalablement et représentées pour toutes les données de mesure existantes. Pour toutes les données de mesure à venir, les valeurs de la voie de calcul sont calculées et représentées à chaque cycle.

Pour permettre la représentation dans un graphique en courbe ou XY, la boîte de dialogue correspondante des propriétés apparaît après confirmation par OK. Elle vous permet d'affecter les axes et de procéder à tous les autres paramètres désirés.

Choisissez Annuler pour fermer la boîte de dialogue sans modification, choisissez Aide pour lancer le système d'aide sur ce texte.

APPEL !

Une autre possibilité pour appeler cette commande est la suivante :

· en cliquant une fois avec le bouton droit de la souris dans la fenêtre des points de mesure actuelle et en sélectionnant la fonction "Ajouter voies de calcul" dans le menu contextuel.


Suppression d'une voie de calcul locale

Pour supprimer une voie de calcul locale dans un jeu de données, ouvrez la boîte de dialogue des propriétés du graphique ou du tableau, désactivez l'entrée désirée dans la liste et confirmez avec OK.


Propriétés de voie de calcul

Si vous voulez vérifier ou modifier les propriétés d'une voie de calcul locale, vous pouvez ouvrir la boîte de dialogue correspondante à l'aide de la fonction Edition/Propriétés voie de calcul.

voir également :

Boîte de dialogue "Propriétés voie de calcul"

Suppression d'une voie de calcul locale


Boîte de dialogue "Propriétés voie de calcul"

Dans la boîte de dialogue "Propriétés d'une voie de calcul", vous pouvez modifier le commentaire, l'unité et les limites de la voie de calcul sélectionnée. Pour sélectionner le canal de calcul désiré, cliquez sur celui indiqué dans "numéro de voie" à l'aide du bouton gauche de la souris. Dans la zone de liste qui s'affiche maintenant, cliquez sur le canal désiré.

Si vous voulez modifier le nombre de décimales ou la formule établie pour une voie de calcul locale, vous devez redéfinir cette voie. A cet effet, supprimez le canal de calcul du jeu de données, puis sélectionnez la fonction Ajouter voie de calcul et redéfinissez les caractéristiques désirées.


Le menu "Vue"

Le menu "Vue" vous permet de démarrer toutes les actions qui se réfèrent à la représentation des valeurs de mesure. Notez que les lignes de commande correspondantes n'apparaissent que lorsqu'il est possible de les appeler pour la fenêtre actuelle.

voir également :

Propriétés

Remarques

Commentaires des points de mesure

Représentation en courbe

Représentation en tableau

Représentation en graphique XY

Représentation en vue d'ensemble

Curseurs

Toujours afficher tout

Afficher tout

Zoom


Propriétés

Vous pouvez appeler la boîte de dialogue des propriétés de la fenêtre actuellement active à l'aide de la commande Vue/Propriétés, puis procéder au paramétrage désiré.

Démarrage !

Voici d'autres possibilités pour exécuter cette commande :

· en double-cliquant avec le bouton gauche de la souris dans la fenêtre actuelle.

· en cliquant une fois avec le bouton droit de la souris dans la fenêtre actuelle et en sélectionnant la fonction Propriétés dans le menu contextuel.

· en appuyant sur <ENTRÉE>.


Remarques

Pour chaque fichier de valeurs de mesure vous pouvez faire des remarques pour proposer à l'utilisateur une documentation plus exhaustive. Vous avez la possibilité de faire ces remarques librement, c.-à-d. sans vous référer à un instant particulier. Il est également possible de procéder à des entrées horodatées, p. ex. pour commenter une procédure de mesure. Pour ce type de remarques, l'axe du temps des graphiques en courbe est alors repéré conformément à l'horodatage.

Bien entendu, les remarques concernant un fichier sont sauvegardées avec celui-ci et seront à nouveau disponibles au moment voulu.

Pour saisir des remarques dans un fichier de valeurs de mesure, exécutez la commande de menu Vue/Remarques. Elle vous permet d'ouvrir une boîte de dialogue dans laquelle vous pouvez saisir les remarques désirées. Vous pouvez également appeler cette boîte de dialogue à l'aide du menu contextuel de la vue correspondante du fichier des valeurs de mesure.

Pour saisir une entrée temporelle, cliquez avec le bouton gauche de la souris sur le bouton Nouvelle remarque. Le tableau est ensuite augmenté d'une ligne dans laquelle la date et l'heure actuelles sont déjà affichées. A la colonne "Remarques", vous pouvez saisir le texte désiré. Choisissez OK pour valider cette entrée. L'axe du temps des graphiques en courbe comporte ensuite d'office un repère.

Pour faire une entrée non horodatée, supprimez la date et l'heure ou ajoutez une ligne au tableau.

A cet effet, sélectionnez une ligne du tableau en cliquant avec le bouton gauche de la souris sur le premier élément d'une ligne et en appuyant ensuite sur la touche <Insérer>. Dans le cas où aucune entrée n'a été faite, sélectionnez l'en-tête du tableau avant de procéder à l'insertion.

Le bouton Imprimer permet d'imprimer le tableau entier.

Choisissez OK pour fermer la boîte de dialogue sans modification, choisissez Aide pour lancer le système d'aide sur ce texte.


Commentaires des points de mesure

Dans les fichiers de valeurs de mesure dans lesquels aucun commentaire n'a été affecté/n'a pu être affecté aux courbes, la fonction Vue/Commentaires de points de mesure permet l'insertion ultérieure d'un commentaire. Bien entendu, il est également possible de modifier des commentaires déjà existants.

La boîte de dialogue "Commentaires des points de mesure" contient un tableau comportant tous les points de mesure du fichier de mesures ainsi que le commentaire correspondant (le cas échéant pas d'entrée). Ce tableau vous permet d'effectuer les modifications désirées. Lorsque vous le fermez avec OK, elles seront validées.

Comme en mode en ligne cette modification serait immédiatement écrasée par le nouveau commentaire saisi sur l'appareil, cette fonction n'est disponible que pour les fichiers enregistrés (hors ligne) ou pour les fichiers lus depuis la mémoire de l'appareil de mesure.


Représentation en courbe

Cette commande permet de représenter le jeu de données actuel (dans la vue "Vue d'ensemble du ficher", le tableau ou le graphique XY) sous forme de graphique en courbe. S'il manque des informations pour la représentation, la boîte de dialogue des propriétés s'affiche. Sélectionnez les propriétés nécessaires et validez par OK pour représenter les valeurs de mesure avec ces caractéristiques sous forme de graphique en courbe. Si les informations sont complètes, la nouvelle vue est affichée immédiatement. Bien entendu, les propriétés peuvent ensuite être modifiées en appelant la boîte de dialogue des propriétés.


Représentation en tableau

Cette commande permet de représenter le jeu de données actuel (dans la Vue d'ensemble du ficher, le Graphique en courbe ou XY) sous forme de tableau. S'il manque des informations pour la représentation, la boîte de dialogue des propriétés s'affiche. Sélectionnez les propriétés nécessaires et validez par OK pour représenter les valeurs de mesure avec ces caractéristiques sous forme de tableau. Si les informations sont complètes, la nouvelle vue est affichée immédiatement. Bien entendu, les propriétés peuvent ensuite être modifiées en appelant la boîte de dialogue des propriétés.


Représentation en graphique XY

Cette commande permet de représenter le jeu de données actuel (dans la Vue d'ensemble du ficher, le graphique en courbe ou le tableau) sous forme de graphique XY. S'il manque des informations pour la représentation, la boîte de dialogue des propriétés s'affiche. Sélectionnez les propriétés nécessaires et validez par OK pour représenter les valeurs de mesure avec ces caractéristiques sous forme de graphique XY. Si les informations sont complètes, la nouvelle vue est affichée immédiatement. Bien entendu, les propriétés peuvent ensuite être modifiées en appelant la boîte de dialogue des propriétés.


Représentation en vue d'ensemble

Cette commande permet de représenter le jeu de données actuel (dans la vue Tableau, Graphique en courbe ou XY) sous forme de vue d'ensemble de fichier.


Curseurs

Pour analyser la courbe d'un graphique, vous pouvez activer deux curseurs de mesure à l'aide de la fonction Vue/Curseurs.

Lorsque les curseurs sont activés, ceux-ci sont représentés dans le graphique sous forme de deux lignes verticales et dans la partie inférieure du graphique en courbe s’affiche un tableau donnant les valeurs de mesure en dessous des curseurs de toutes les courbes.

De plus, pour chaque courbe que contient le graphique en courbe, la fonction de statistique intégrée calcule les valeurs suivantes :

· Différence entre les deux valeurs de mesure figurant en dessous des curseurs.

· Minimum, maximum, valeur moyenne et écart type de la plage délimitée par les curseurs.

Ces valeurs sont également affichées dans le tableau.

Si vous appelez la fonction à nouveau, les curseurs seront désactivés.

Cette fonction est également disponible dans le menu contextuel du graphique respectif.


Toujours afficher tout

A l'activation de cette option, les courbes du graphique ne se décalent pas vers la gauche lorsque les valeurs actuelles quittent le domaine d'affichage visible, mais la zone d'affichage actuelle est grossie de sorte que toutes les valeurs de mesure jusqu'alors visibles ainsi que les nouvelles mesures soient visibles. L'adaptation du domaine d'affichage englobe aussi bien l'axe X que les axes Y du graphique.


Afficher tout

Pour accéder depuis une vue partielle d'un graphique en courbe ou XY à une vue complète, choisissez la fonction Vue/Afficher tout. Cette fonction est également disponible dans le menu contextuel du graphique respectif.


Zoom

Cette fonction loupe est spécialement destinée à l'édition et à la mise en forme des images de projet. Vous pouvez à volonté agrandir ou réduire l'image de projet affichée.


Le menu "Mesures"

Le menu "Mesures" vous permet de démarrer toutes les actions qui se réfèrent à l'acquisition, l'affichage et la sauvegarde des valeurs de mesure.

voir également :

Lecture des mesures

Nouveau graphique en courbe

Nouveau graphique en courbe avec caractéristique de comparaison

Nouveau graphique à barres

Nouvel affichage des valeurs de mesure

Nouvel affichage analogique

Nouveau tableau

Nouveau graphique XY

Nouveau lien Excel

Nouvelle image de projet

Nouvelle exportation OPC

Assistant de coefficient U

Calcul de quantité de chaleur

Enregistrement automatique

Impression automatique de fichiers enregistrés automatiquement

Lecture mémoire appareil

Calcul de valeur moyenne

Effacer les valeurs de mesure


Lecture des mesures

La commande Mesures/Lecture des mesures vous permet de démarrer ou d'arrêter la scrutation des valeurs de mesure. Vous pouvez ainsi procéder à tous les paramétrages et définitions dans AMR WinControl avant de lancer la mesure et de démarrer puis aussi de terminer la mesure à un instant défini.

APPEL !

Voici d'autres possibilités pour exécuter cette commande:

· Clic simple de la souris sur le bouton "Démarrer/arrêter" dans la barre d'outils.

· Touche fonction <F9>.


Nouveau graphique en courbe

Pour ouvrir une nouvelle fenêtre de graphique en courbe, vous disposez de la commande Mesures/Nouveau graphique en courbe. La boîte de dialogue "Propriétés du graphique en courbe" s'ouvre. Sélectionnez les caractéristiques désirées et choisissez OK pour ouvrir un nouveau graphique en courbe avec ces caractéristiques (voir également : Boîte de dialogue "Propriétés du graphique en courbe").

Bon à savoir !

Pour créer un nouveau graphique en courbe ayant les propriétés d'un modèle, vous disposez dans la barre d'outils du bouton de commande subdivisé de création de nouveau graphique en courbe.

La partie gauche avec le graphique stylisé permet d'ouvrir (comme d'habitude) une boîte de dialogue de création d'un nouveau graphique en courbe.

La partie droite du bouton de commande (triangle) ouvre un menu dans lequel tous les modèles existant dans le répertoire de programmes ou dans un répertoire défini, sont listés (voir également : créer un nouveau graphique en courbe ayant les propriétés d'un modèle donné).

APPEL !

Voici d'autres possibilités pour exécuter cette commande :

· Clic simple de la souris sur le bouton "Graphique en courbe" dans la barre d'outils

· Touche fonction <F5>


Nouveau graphique en courbe avec caractéristique de comparaison

La commande Mesures/Nouveau graphique en courbe avec caractéristique de comparaison ouvre tout d'abord une boîte de dialogue "Ouvrir fichier", par laquelle on peut sélectionner et ouvrir le fichier avec les caractéristiques de comparaison.

Ce fichier permet de récupérer dans le nouveau graphique les caractéristiques comparatives ainsi que les axes que celles-ci utilisent. Ensuite s'ouvre la boîte de dialogue des propriétés du graphiques en courbes (voir également : Boîte de dialogue "Propriétés du graphique en courbe"), de sorte à pouvoir sélectionner d'autres points de mesure, dont les données doivent s'afficher dans le graphique au cours d'une mesure en ligne (voir également : Les fonctions de valorisation).


Nouveau graphique à barres

Pour ouvrir une nouvelle fenêtre de graphique à barres, servez-vous de la commande Mesures/Nouveau graphique à barres. La boîte de dialogue "Propriétés du graphique à barres" s'ouvre. Sélectionnez les caractéristiques désirées et choisissez OK pour ouvrir un nouveau graphique à barres avec ces caractéristiques (voir également : Boîte de dialogue "Propriétés du graphique à barres").

APPEL !

Voici d'autres possibilités pour exécuter cette commande :

· Clic simple de la souris sur le bouton "Graphique à barres" dans la barre d'outils

· Touche de fonction <F6>


Nouvel affichage des valeurs de mesure

Pour ouvrir une nouvelle fenêtre d'affichage des valeurs de mesure, servez-vous de la commande Mesures/Nouvel affichage de valeur de mesure. La boîte de dialogue "Propriétés de l'affichage de valeur de mesure" s'ouvre. Sélectionnez les caractéristiques désirées et choisissez OK pour ouvrir un nouvel affichage de valeur de mesure avec ces caractéristiques (voir également : Boîte de dialogue "Propriétés de l'affichage des valeurs de mesures").

APPEL !

Voici d'autres possibilités pour exécuter cette commande :

· Clic simple de la souris sur le bouton "Affichage de valeur de mesure" dans la barre d'outils

· Touche fonction <F9>


Nouvel affichage analogique

Pour ouvrir une nouvelle fenêtre d'affichage analogique, servez-vous de la commande Mesures/Nouvel affichage analogique. La boîte de dialogue "Propriétés de l'affichage analogique" s'ouvre. Sélectionnez les caractéristiques désirées et choisissez OK pour ouvrir un nouvel affichage analogique avec ces caractéristiques (voir également : Boîte de dialogue "Propriétés de l'affichage analogique").

APPEL !

Vous pouvez également lancer cette commande d'un simple clic du bouton gauche de la souris sur le bouton "Affichage analogique" dans la barre d'outils.


Nouveau tableau

Pour ouvrir une nouvelle fenêtre en tableau des valeurs de mesure, servez-vous de la commande Mesures/Nouveau tableau. La boîte de dialogue "Propriétés du tableau" s'ouvre. Sélectionnez les caractéristiques désirées et choisissez OK pour ouvrir un nouveau tableau avec ces caractéristiques (voir également : Boîte de dialogue "Propriétés du tableau").

APPEL !

Voici d'autres possibilités pour exécuter cette commande :

· Clic simple de la souris sur le bouton "Tableau" dans la barre d'outils

· Touche de fonction <F10>


Nouveau graphique XY

Pour ouvrir une nouvelle fenêtre de graphique XY, servez-vous de la commande Mesures/Nouveau graphique XY. La boîte de dialogue "Propriétés du graphique XY" s'ouvre. Sélectionnez les caractéristiques désirées et choisissez OK pour ouvrir un nouveau graphique XY avec ces caractéristiques (voir également : Boîte de dialogue "Propriétés du graphique XY").

APPEL !

Voici d'autres possibilités pour exécuter cette commande :

· Clic simple avec le bouton gauche de la souris sur le bouton "Graphique XY" dans la barre d'outils

· Touche de fonction <F11>


Nouveau lien Excel

Outre la possibilité qui existe d'exporter par bloc vers MS Excel des valeurs de mesure hors ligne et aussi pendant la mesure, il est également possible de transmettre les données en ligne dans le cycle de mesure.

A cet effet, vous disposez de la fonction Mesures/Nouveau lien Excel. En appelant cette fonction, le système vous demande (par défaut) de saisir les caractéristiques de l'objet "Nouveau lien Excel". Procédez à l'entrée correspondante. Le système ouvre maintenant une fenêtre vous informant de l'état du lien avec Excel.

Comme pour tous les objets valeurs de mesure d'AMR WinControl, vous pouvez ouvrir un nombre quelconque de fenêtres de type "lien Excel" (c.-à-d. plusieurs liaisons Excel peuvent transmettre simultanément des valeurs de mesure). L'affectation des points de mesure pouvant ici être définie librement. Bien entendu, il est raisonnable comme pour la définition des autres objets de ne pas dépasser un certain nombre.

voir également :

Boîte de dialogue "Propriétés de la liaison avec Excel"

Fenêtre "Liaison avec Excel"


Boîte de dialogue "Propriétés de la liaison avec Excel"

Dans la boîte de dialogue "Propriétés de la liaison avec Excel" vous pouvez dans la rubrique respective procéder aux configurations suivantes :

Points de mesure :

D'un clic simple de la souris sur l'entrée correspondante de la liste, sélectionnez ici les points de mesure désirés pour la transmission.

Type de transmission

Vous pouvez en choisissant le type de transmission, définir si l'écriture des données de mesure dans le tableau Excel se fera en continu ou si l'écriture des valeurs sera toujours effectuée dans les mêmes cellules (en tant que valeurs momentanées).

Libellé

Dans la rubrique "Libellé", définissez si vous voulez transmettre l'heure et la date ainsi que les commentaires des points de mesure en même temps que les valeurs de mesure.

Classeur de travail

Dans le champ d'entrée "Classeur de travail" vous définissez le classeur de travail Excel (fichier) dans lequel vous voulez transmettre les valeurs de mesure. Si ce fichier n'existe pas encore, il est créé automatiquement. Le bouton Parcourir permet d'ouvrir une boîte de dialogue standard qui vous permet de rechercher et de sélectionner un fichier particulier sur le disque dur.

Le tableau

Le champ de saisie "Tableau" vous permet de définir le tableau désiré dans le classeur de travail défini. Ici aussi si un tableau n'existe pas encore, il est créé automatiquement.

Cellule de départ

Le champ "cellule de départ" permet d'indiquer la position à partir de laquelle les valeurs de mesure seront portées dans le tableau.

Méthode d'accès

Dans cette zone vous pouvez définir ce qu'il doit advenir des données contenues éventuellement dans un tableau déjà existant. Les règles suivantes sont applicables :

· Insérer/écraser les données : A partir de la cellule de départ, toutes les entrées déjà existantes sont écrasées par des données entrantes. Les entrées dans d'autres cellules ne sont pas modifiées.

· Attacher les données : Les données arrivantes sont portées à la ligne qui suit la dernière cellule renseignée du document. Les entrées déjà existantes ne sont pas modifiées.

· Insérer/écraser les données : Toutes les entrées déjà existantes dans le tableau cible seront supprimées. Les données nouvellement arrivées sont inscrites à partir de la cellule de départ.

Valider les modifications / quitter la boîte de dialogue

Choisissez OK pour valider les paramètres. Le système affiche la fenêtre "Liaison avec Excel". Cette fenêtre affiche des informations relatives à cette liaison. Les valeurs de mesure ne sont pas encore en transfert. Pour lancer celle-ci, choisissez le bouton Début dans la fenêtre "Liaison avec Excel" lorsque la mesure est en cours. Si vous activez le bouton Lancer tout de suite, la transmission des données vers Excel en cours de mesure est lancée dès la validation des propriétés et l'ouverture de la fenêtre "Liaison avec Excel".


Fenêtre "Liaison avec Excel"

La fenêtre "Liaison avec Excel" permet d'afficher différentes informations relatives à la liaison avec Excel. La zone "Etat" décrit de façon littérale l'état actuel de la liaison.

Début et Arrêt permet de lancer ou d'interrompre la transmission vers Excel. Propriétés permet d'ouvrir la boîte de dialogue des caractéristiques de cette liaison. Notez que la boîte de dialogue des propriétés ne peut être ouverte que si la transmission a été arrêtée.

Attention !

Si l'utilisateur intervient lors de la transmission des données dans Excel (ouverture de boîtes de dialogue), Excel provoque l'arrêt de la transmission (le serveur OLE interrompt son service). AMR WinControl continuant malgré tout à enregistrer des données et à les sauvegarder en mémoire-tampon jusqu'à ce qu'une transmission soit à nouveau possible, le système nécessite un volume croissant de mémoire vive en fonction de la vitesse de scrutation et des points de mesure transmis. C'est pourquoi l'utilisateur, pour ne jamais perturber la transmission des données ni le bon fonctionnement de l'ordinateur, peut opter pour l'omission de ces actions, les exécuter rapidement ou en plusieurs étapes :

· Ouvrir fichier

· Fermer fichier

· Réorganiser fenêtres

· Renommer tableau

· Démarrer des assistants (p. ex. des assistants graphiques)

· Edition (longue) de cellules

Attention !

La transmission de données en ligne n'est disponible que dans la version AMR WinControl 32 bits et fonctionne avec Excel 97 ou supérieur.


Nouvelle image de projet

AMR WinControl vous permet d’afficher un montage de mesure dans des fenêtres prévues à cet effet (images de projet). Pour le mettre en forme, vous pouvez afficher des graphiques (bitmaps, Enhanced Metafiles), des zones de texte à placer librement, les mesures acquises dans des zones à positionnement libre (uniquement la valeur chiffrée et le cadre) ainsi que des graphiques en courbe.

Pour réaliser une image de projet, exécutez la commande Mesures/Nouvelle image de projet. Afin de pouvoir définir les propriétés de l'image de projet, sélectionnez dans le menu Vue/Propriétés du graphique la commande Propriétés du graphique dans le menu contextuel ou par <Entrée> ouvrez la boîte de dialogue "Propriétés de l'image de projet".

Pour insérer les objets désirés dans une image de projet, il existe la fonction Edition/Insérer objet… Avec la commande Edition/Dessin…, vous pouvez insérer des objets de dessin (courbes, polygones etc…).

Vous trouverez de plus amples informations sur l'image du projet au chapitre Les images de projet.


Nouvelle exportation OPC

En plus de l'exportation en ligne de données de mesure vers Excel, AMR WinControl offre la possibilité de transmettre en ligne chaque point de mesure et chaque voie de calcul à autant de serveurs OPC que vous le désirez.

AMR WinControl fonctionnant en tant que client, l'exportation peut se faire vers n'importe quel serveur OPC qui gère les standards "OPC Data Access" dans les versions 2 ou 3 et qui est accessible par le réseau informatique existant.

Pour créer une nouvelle exportation OPC, veuillez exécuter la fonction de menu Valeurs de mesure/Nouvelle exportation OPC. La fenêtre "WinControl OPC Export" apparaît et affiche différentes informations concernant l'exportation (voir également : L'exportation OPC). En cliquant sur le bouton Propriétés…, la boîte de dialogue "Propriétés de l'exportation OPC" s'affiche, dans laquelle vous pouvez effectuer les paramétrages de cette exportation OPC (voir également : boîte de dialogue "Propriétés de l'exportation OPC"). Les paramètres d'une exportation OPC peuvent être mémorisés puis réutilisés ultérieurement et éventuellement être adaptés.

Attention !

Cette fonction n'est pas disponible dans chaque version logicielle d'AMR WinControl. Avec l'acquisition de cette fonction, une description détaillée est également mise à disposition. Si celle-ci vous intéresse, vous pouvez aussi la demander séparément.


Assistant de coefficient U

contient un assistant de calcul du coefficient de transfert thermique (anciennement valeur k). Celui-ci calcule la valeur appelée valeur U à l'aide des formules issues de la norme DIN 4108 :

·

Coefficients d'échange thermique superficiel : | Valeurs de mesure utilisées : · Densité de flux thermique (q) · Température intérieure (Ti) · Température extérieure (Ta) · Température intérieure de cloison (Ci) · Température extérieure de cloison (Ca)
Conductivité thermique :

Valeur U selon DIN :

Peuvent servir de source de données les mesures acquises en ligne ou les données mémorisées issues de fichiers de valeurs de mesure.

Le calcul s'effectue depuis les températures intérieure et extérieure (Ti et Te) ainsi que depuis la densité de flux thermique (q) :

Le calcul se base sur la "détermination expérimentale".

Les conditions nécessaires pour utiliser l'assistant de valeur U sont les suivantes :

· L'option "Assistant valeur U" a été débridée.

· Fichier de valeurs de mesure (hors ligne) ou appareils de mesure (en ligne) avec au moins trois points de mesure.

Le menu "Mesures/Calcul valeur U" permet de lancer l'assistant. Si la fenêtre active est un fichier de mesures (graphique en courbes ou XY ou tableau), le calcul se base sur ces données, sinon un calcul en ligne est lancé.

voir également :

Boîte de dialogue "Calcul valeur U" : Etape 1

Boîte de dialogue "Calcul valeur U" : Etape 2

Boîte de dialogue "Calcul valeur U" : Etape 3

Résultat de l'assistant


Boîte de dialogue "Calcul valeur U" : Etape 1

Brève description de la fonction mise à disposition par l'assistant. Il est possible de sélectionner ici avec quelles grandeurs d'entrée le calcul de la valeur U doit être effectué. Le bouton "Suivant" permet de continuer la saisie et le bouton "Annuler" de quitter l'assistant. Le bouton "Aide" permet d'appeler l'aide en ligne relative au contexte actuel.

Le calcul peut s'effectuer selon les méthodes suivantes :

Avec températures de l'air

Le calcul s'effectue d'après les températures intérieure et extérieure (Ti et Te) ainsi que d'après la densité de flux thermique (q) :

Le calcul se base sur la "détermination expérimentale".

Avec températures de l'air et des parois

Le calcul s'effectue à l'aide de la formule issue de la norme DIN 4108 avec :

· Densité de flux thermique (q)

· Température intérieure (Ti)

· Température extérieure (Ta)

· Température intérieure de cloison (Ci)

· Température extérieure de cloison (Ca)

Avec températures de cloison

Le calcul s'effectue à l'aide de la formule issue de la norme DIN 4108 avec :

· Densité de flux thermique (q)

· Température intérieure de cloison (Ci)

· Température extérieure de cloison (Ca)

Pour les coefficients d'échange thermique superficiel, au lieu des températures atmosphériques ce sont les constantes αi = 7,69 W/m²K et αa = 25 W/m²K qui sont prises en compte dans le calcul.

Cette méthode a été autrefois désignée comme "Valeur de calcul administrative".


Boîte de dialogue "Calcul valeur U" : Etape 2

Il faut effectuer ici l'affectation des points de mesure désirés aux grandeurs physiques. Si un point de mesure ne correspond pas à la grandeur sélectionné en termes d'unité, le programme génère une alerte.

Bon à savoir !

Selon le mode de calcul sélectionné à l'étape 1, les températures non nécessaires ici sont désactivées et non sélectionnables.

Le bouton "Suivant" permet de continuer la saisie et le bouton "Précédent", d'ouvrir à nouveau la page de démarrage.


Boîte de dialogue "Calcul valeur U" : Etape 3

Cette page permet de régler les données issues du calcul : il est possible de calculer la valeur instantanée à chaque instant et/ou la valeur moyenne mobile qui en résulte.

Le bouton "Terminer" permet de fermer l'assistant, "Précédent" ouvre à nouveau la page d'affectation des points de mesure.


Résultat de l'assistant

Après avoir cliqué sur "Terminer", un nouveau graphique en courbes est créé et affiché. Dans le cas du calcul en ligne, après départ de la mesure, le calcul de la valeur U actuelle est effectué dans chaque cycle de mesure et le diagramme est actualisé. Pour la mesure hors ligne, le calcul est effectué immédiatement et la(les) courbe(s) de la valeur U s'affichent dans le graphique.

Les graphiques ainsi créés peuvent comme tous les autres fichiers de mesure dans AMR WinControl être affichés, imprimé, mémorisés et exportés sous différentes formes.


Calcul de quantité de chaleur

AMR WinControl comporte un assistant permettant de calculer la quantité de chaleur traversant un système.

Le calcul peut s'effectuer aussi bien en ligne, c.-à-d. au cours de la mesure, que déconnecté, c.-à-d. en s'appuyant sur des données déjà mémorisées.

Attention !

Cet assistant n'est pas disponible dans chaque version de programme d'AMR WinControl. Avec l'acquisition de cette option, une description détaillée est également mise à disposition. Si celle-ci vous intéresse, vous pouvez aussi la demander séparément.

Le menu Mesures/Calcul de quantité de chaleur permet de lancer l'assistant. En fonction de la fenêtre de programme actuelle, la version en ligne ou hors ligne est appelée.

Si la fenêtre actuelle comporte également des données de mesure (graphiques en courbe ou XY, tableaux, aperçus), le calcul est effectué sur la base de ces données et le résultat est affiché immédiatement dans un nouveau graphique. Dans ce cas, il n'est pas nécessaire de brancher un appareil de mesure. C'est pourquoi ce mode s'appelle "hors ligne". Si la fenêtre actuelle ne comporte pas de données de mesure (par ex. affichage des valeurs instantanées comme graphique à barres ou affichage analogique, fenêtre de points de mesure, liste d'événements etc.), un nouveau graphique en courbe vide est créé sur la base d'une sélection de points de mesure actifs, et dans lequel un jeu de voies de calcul détermine une nouvelle valeur pour la quantité de chaleur à chaque cycle de mesure successif ("en ligne").

voir également :

Boîte de dialogue "Calcul de quantité de chaleur - introduction"

Boîte de dialogue "Calcul de quantité de chaleur : points de mesure"

Boîte de dialogue "Calcul de quantité de chaleur : densité et capacité calorifique"

Boîte de dialogue "Calcul de quantité de chaleur - Propriétés d'affichage"


Boîte de dialogue "Calcul de quantité de chaleur - introduction"

Après avoir appelé l'assistant, le système affiche d'abord la page d'introduction avec quelques remarques sur le mode de fonctionnement actuel (En ligne /hors ligne) et les étapes suivantes.

En partie basse se trouvent les boutons Précédent et Suivant, qui permettent de passer entre chacune des pages de l'assistant.


Boîte de dialogue "Calcul de quantité de chaleur : points de mesure"

Sur la page suivante, vous sélectionnez les points de mesure de la température d'entrée et de sortie ainsi que le débit. Pour que le calcul soit correct, il est nécessaire que les températures soient mesurées en °C et le débit en l/h. Si les points de mesure sélectionnés présentent d'autres unités, le logiciel délivre un avertissement mais l'assistant peut continuer.

Conseil :

Si les températures sont acquises par exemple en °F ou le débit en impulsions/secondes (ou l'on été), il est très simple de créer des voies de calcul dans lesquelles la conversion est réalisée dans l'unité attendue. Dans l'assistant, ces voies de calcul sont alors sélectionnées à la place des points de mesure matériels. Dans le cas En ligne, les voies de calcul doivent être créées en global et dans le cas Hors ligne, elles sont ajoutées localement au fichier de sortie. Vous trouverez les détails à ce sujet dans le manuel du logiciel.


Boîte de dialogue "Calcul de quantité de chaleur : densité et capacité calorifique"

Sur la page "Densité et capacité calorifique spécifique", indiquez les principales propriétés spécifiques de la matière, nécessaires à un calcul correct. Pour la plupart des fluides et des gaz, ces propriétés sont fonction de la température. C'est pourquoi le logiciel offre ici de nombreuses possibilités de réglage afin de pouvoir couvrir un domaine d'utilisation le plus large possible.

A la base, il est possible de choisir entre deux catégories :

· les données nécessitées sont lues dans des tableaux intégrés (ou élaborés personnellement).

· les données ou sources de données sont pré-renseignées manuellement.

Afin d'utiliser les tableaux de données, il faut sélectionner la matière désirée dans la liste. Le logiciel est livré avec deux tableaux pour l'eau (un sur la base de l'approximation selon B. Glück et l'autre se basant sur des valeurs de barème).

Outre la matière, il faut indiquer le point de mesure de température sur le débitmètre. Ce point de mesure peut être identique à celui pour la température d'entrée ou de sortie car le système permet de combiner l'un de ces points de mesure avec le débitmètre. Mais si le débitmètre est installé séparément, il faut également effectuer l'acquisition de température à cet endroit !

Pour chaque matière il faut un tableau avec les données de densité en fonction de la température et un tableau avec la capacité calorifique spécifique en fonction de la température. L'assistant utilise la température sur le débitmètre afin de déterminer la densité à partir du tableau. Pour la capacité calorique spécifique on utilise en revanche la moyenne de la température d'entrée et de sortie afin de trouver la valeur actuelle du tableau nécessitée.

Bon à savoir !

Il est possible de compléter et d'étendre très simplement les tableaux fournis à l'aide d'arrangements de données personnels. Pour chaque matière, deux fichiers sont nécessaires : l'un contient un tableau avec l'affectation "température" à "densité" (extension de fichier : ".rqm") et un autre contient un tableau avec l'affectation "température" à "capacité calorifique spéc." (Extension de fichier : ".cpqm"). Ces fichiers doivent se trouver dans le répertoire "DataTables" du répertoire programme de AMR WinControl, par exemple :

C :\Programme\WinControl\DataTables

Les noms de fichier d'un même matériau doivent être identiques (excepté l'extension), sinon la matière n'est pas listée dans l'assistant.

Chaque fichier possède deux colonnes séparées par une virgule : dans la première colonne se trouve la température, dans la deuxième la densité (par ex. la capacité calorifique spécifique). Vous pouvez ajouter des commentaires à l'aide de points-virgules. En début de ligne et entre les colonnes, vous pouvez placer des espaces afin d'augmenter la lisibilité.

Exemple :

; Densité en fonction de la température

; Temp [°C] , Densité [kg/l]

0.0 , 2.7

1.0 , 2.9

2.0 , 3.4 ; à partir d'ici : densité strictement linéaire !

25.0 , 5.8

95.0 , 7.2

Le nombre de valeurs contenues dans le fichier dépend de la matière, de l'utilisation et de la précision requise. Les valeurs intermédiaires sont établies par le logiciel par interpolation linéaire des valeurs voisines. La zone de valeurs est constituée automatiquement par la plus petite et la plus grande température dans le fichier. Aucun calcul n'est effectué en dehors de cette plage de valeurs !

Pour que l'assistant fonctionne correctement, il est important que dans ces fichiers la température soit toujours indiquée en °C, la densité en kg/l et la capacité calorifique spécifique en kJ/kg/K !

Les algorithmes qui en diffèrent peuvent être réalisés par indication manuelle de la source de données. Il existe alors deux possibilités :

On peut indiquer une valeur constante qui sera utilisée pendant tout le calcul pour la grandeur correspondante. Cela peut par exemple être intéressant lorsque au sein de la plage de température attendue, la densité (ou capacité calorifique spécifique) du medium utilisé ne varie pas ou seulement dans un ordre de grandeur négligeable.

Alternativement, il est possible de choisir un point de mesure comme source de données pour la densité ou la capacité calorifique spécifique. Aucun capteur n'est certes disponible, qui pourrait mesurer directement ces données, mais à l'aide des voies de calcul il est possible dans AMR WinControl d'établir pratiquement autant de relations que désiré entre les grandeurs mesurées et de les traiter mathématiquement. La complexité de la formule n'est alors soumise à quasiment aucune limite. Et à l'aide des fonctions "extinter" et "extnear", il est également possible de prendre en compte les tableaux de données ou vos propres tableaux et de les valoriser à l'aide de vos algorithmes personnels. Vous trouverez tous les détails sur les fonctions de voie de calcul en section Conventions pour la saisie de formule.


Boîte de dialogue "Calcul de quantité de chaleur - Propriétés d'affichage"

Le graphique en courbe créé à l'aide de l'assistant peut naturellement être ultérieurement adapté aux représentations personnelles, mais cependant, pour simplifier la procédure, l'assistant offre d'emblée quelques fonctions fondamentales :

Il est possible de choisir quelles grandeurs doivent être affichées, l'utilisateur restant libre de toutes les désélectionner ici - le résultat donne cependant un graphique dans lequel rien n'est visible ! Le logiciel délivre dans ce cas un avertissement afin d'exclure toute fausse manœuvre non intentionnelle. Un avertissement apparaît également lorsque dans le graphique généré par l'assistant de quantité de chaleur, aucune quantité de chaleur ne doit être affichée !

Le choix de l'unité pour l'affichage de la quantité de chaleur dépend de l'utilisation concrète. Normalement le meilleur choix est le kWh pour les systèmes techniques tels que les chauffages et systèmes frigorifiques, tandis que le Joule convient plutôt aux dispositifs d'essai.

Conseil : Si dans l'assistant pour la mesure en ligne, une unité a été sélectionnée et que celle-ci s'avère moins adaptée par la suite, il est possible de choisir le graphique généré par l'assistant simplement comme source de données pour la valorisation hors ligne ! Dans la dernière étape on règle alors l'autre unité et les deux résultats sont alors disponibles !

Le bouton de commande Suivant a été remplacé sur cette page par Terminer. En cliquant dessus, l'assistant se ferme et lance la génération du graphique ainsi que (dans le cas hors ligne), le calcul.


Enregistrement automatique

Pour lancer l'enregistrement automatique des données de mesure sur le disque dur de votre ordinateur, servez-vous de la commande Mesures/Enregistrement automatique. Dans la boîte de dialogue qui apparaît, sélectionnez les points de mesure que vous voulez enregistrer et définissez le nom du fichier. Pour terminer l'enregistrement dans le fichier, lancez cette commande encore une fois.

Pour signaler quels points de mesure ont été enregistrés en ligne sur le disque dur, la fenêtre "Points de mesure, appareils et connexions" dans la liste des points de mesure affiche une icône de disque dur ( [image] ) dans la ligne correspondante.

Bon à savoir !

Si vous avez activé le gestionnaire du poste d'essai et de mesures optionnel avec plusieurs gestionnaires Autosave, la fenêtre du gestionnaire du poste d'essai et de mesures s'ouvre lors de l'appel de l'enregistrement automatique (voir : Le gestionnaire de poste d'essais et de mesures), dans lequel vous trouverez une liste des actions d'enregistrement automatique paramétrées.

Indépendamment de l'onglet actuellement sélectionné, vous trouverez trois boutons de commande en partie basse : Commencer, Fermer, et Aide. Le bouton de commande Commencer permet d'indiquer une cible pour le ou les fichiers, puis l'enregistrement commence.

Si l'enregistrement automatique est déjà activé lorsque l'on ouvre la boîte de dialogue, alors tous les champs de saisie sont verrouillés et au lieu du bouton Commencer, on voit le bouton de commande Arrêter à l'aide duquel on arrête l'enregistrement automatique.

Si vous avez sélectionné la fonction "Toujours écrire dans un fichier au démarrage de la mesure" dans Paramètres/Divers, le système vous demande automatiquement lors du départ d'une mesure, d'entrer les points de mesure et le nom de fichier que vous voulez enregistrer.

APPEL !

Voici d'autres possibilités pour exécuter cette commande :

· Clic simple de la souris sur le bouton "Enregistrement automatique" dans la barre d'outils.

· Touche fonction <F8>

Attention !

Les associations possibles entre mémoire commandée sur événement, récupération conditionnelle de mesures et calcul (variable) de moyenne peuvent conduire à des paramétrages dont les résultats sont contraires. Le logiciel n'effectue aucune vérification si ce n'est pas le cas, afin de laisser à l'utilisateur la plus grande liberté possible pour solutionner des applications individuelles.

Boîte de dialogue "Enregistrement automatique"

La boîte de dialogue "Enregistrement automatique" vous permet de saisir toutes les informations nécessaires pour écrire automatiquement les valeurs de mesure dans un fichier sur le disque dur en cours de mesure. Les points de mesure à enregistrer, les options spécifiques d'enregistrement et le(s) fichier(s) de valeurs de mesure à créer se définissent de la manière suivante :

voir également :

Onglet "Points de mesure"

Onglet "Valeurs moyennes"

Onglet "Récupération des mesures"

Onglet "Lancement"

Onglet "Fichiers"

Onglet "E-mail"

Onglet "Conserver les paramètres"


Onglet "Points de mesure"

L'onglet "Points de mesure" sert à procéder à tous les paramétrages de sélection des points de mesure, de calcul de moyenne et d'attribution d'un commentaire sur le fichier.

Commentaire :

Dans le champ "Commentaire", vous pouvez indiquer l'affectation des données de mesure à mémoriser selon le comportement physique correspondant. Le commentaire (nombre quelconque de caractères) s'affiche lors de l'ouverture du fichier.

Points de mesure à enregistrer :

Sur ouverture de la boîte de dialogue, tous les points de mesure que le système tient à votre disposition pour l'enregistrement dans le fichier des valeurs de mesure vous sont proposés dans le tableau "Points de mesure à enregistrer". Sélectionnez d'abord dans ce tableau tous les points de mesure dont vous voulez enregistrer les valeurs. Pour ce faire, cliquez avec le bouton gauche de la souris sur la case à cocher à gauche du libellé du point de mesure. Si vous voulez choisir tous les points de mesure, sélectionnez la première colonne du tableau et cliquez sur le bouton Sélectionner tout. Si vous voulez désélectionner tous les points de mesure, sélectionnez également la première colonne du tableau et cliquez sur le bouton Désélectionner tout.

Pour sélectionner une colonne du tableau, déplacez le pointeur de la souris dans l'en-tête de cette colonne de sorte que le pointeur de la souris se transforme en flèche verticale pointant vers le bas. D'un clic simple du bouton gauche de la souris vous sélectionnez la colonne. Pour désélectionner une colonne, cliquez avec le bouton gauche de la souris sur un élément quelconque du tableau (à l'exception de l'en-tête).

Enregistrer uniquement les valeurs moyennes :

Pour définir l'enregistrement de valeurs cycliques moyennes au lieu des valeurs de mesure d'un point donné, cliquez avec le bouton gauche de la souris sur la case à cocher respective de la colonne "moyenner".

La sélection ou désélection du calcul de la moyenne de tous les points de mesure s'effectue en présélectionnant la colonne "moyenner" à l'aide des boutons Sélectionner tous et Désélectionner tous.

On détermine le nombre de valeurs moyennes sur lesquelles effectuer la moyenne dans l'onglet "Valeurs moyennes".

Attention !

Les valeurs moyennes cycliques d'un point de mesure ne sont enregistrées que si ce point de mesure a été sélectionné pour l'enregistrement automatique (case à cocher activée dans la colonne gauche). Possibilité d'effectuer d'autres paramétrages de calcul de moyenne sur l'onglet "Valeurs moyennes".


Onglet "Valeurs moyennes"

A l'onglet "Points de mesure", vous pouvez définir pour chaque point s'il faut effectuer une moyenne. Vous pourrez alors procéder au paramétrage à l'onglet "Valeurs moyennes". Pour les points de mesure sélectionnés pour le calcul de moyenne, seules les valeurs moyennes seront récupérées dans le fichier à créer. Pour tous les autres points ce sera toutes les mesures.

Calcul de moyenne sur un nombre fixe

L'option "Calcul de moyenne sur un nombre défini de mesures", permet d'effectuer une moyenne sur un nombre prédéfini de valeurs de mesure. Le nombre des mesures peut être choisi librement. Dès l'obtention de ce nombre de valeurs de mesure, la moyenne est calculée puis récupérée dans le fichier avec l'horodatage du cycle de mesure actuel.

Calcul de moyenne sur un nombre variable

Au lieu d'une moyenne définie, cela peut également être une valeur d'un point de mesure (de préférence un canal de calcul) qui détermine sur combien de mesures la moyenne doit être effectuée. Il faut pour cela activer l'option "Nombre de mesures défini par point de mesure :" et sélectionner un point de mesure correspondant. Si la valeur du point de mesure indiqué varie, le cycle actuel de calcul de moyenne se termine et les valeurs moyennes sont récupérées dans le fichier. Enfin un nouveau cycle de calcul de moyenne commence avec la nouvelle valeur du point de mesure pilote.


Onglet "Récupération des mesures"

Il est possible sur l'onglet "Récupération des mesures" de sélectionner un point de mesure et une condition commandant si les valeurs du cycle de mesure en cours doivent être récupérées dans le fichier : les données ne sont récupérées que lorsque la condition indiquée est remplie.

Attention !

En associant la récupération conditionnelle des mesures au calcul de moyenne, il faut noter que les données des cycles de mesure pour lesquels la condition de récupération n'est pas remplie, n'entreront pas non plus dans le calcul de moyenne.


Onglet "Lancement"

L'onglet "Lancement" détermine les paramètres de début et de fin de l'enregistrement automatique.

Vous pouvez définir si vous voulez enregistrer les données acquises "immédiatement", "à commande temporelle" (par ex. sous forme de fichiers journaliers) ou "sur commande événementielle". Pour faire votre choix, cliquez sur le bouton d'option respectif.

Dans le cas où "commande temporelle" a été sélectionné, les champs de saisie auparavant grisés, c.-à-d. Date, Heure, Jours et Temps (hh :mm) sont représentés en noir pour signaler leur validité.

Attention !

Si l'option "commande temporelle" et "commande événementielle" ne peuvent être sélectionnées, elles ne sont pas autorisées dans la présente version du logiciel. Dans ce cas, veuillez contacter votre distributeur ou les auteurs du programme.

Indications sur l'enregistrement à commande temporelle

Heure de début

Lorsque l'heure définie ici est atteinte, l'enregistrement des données de mesure commence automatiquement.

Jour de départ

Le jour de départ définie à quels jours de la semaine l'heure de départ réglée doit engendrer le départ de l'enregistrement.

Durée

Définissez ici la durée de l'enregistrement des données de mesure dans un fichier. Le nombre de jours doit être indiqué en jours entiers. Vous pouvez combiner des jours avec des heures et des minutes. Vous pouvez également indiquer plus de vingt-quatre heures. L'unité de temps minimale est de 5 minutes.

Après écoulement de cette durée

Dans cette zone, vous pouvez définir si vous désirez redémarrer l'enregistrement automatique à commande de temps après écoulement de la durée. Pour ceci, les options suivantes sont disponibles :

· Ne pas redémarrer : les paramétrages sont exécutés une fois et ne sont pas lancés à nouveau.

· Redémarrer immédiatement : après écoulement de la durée réglée, le fichier suivant est immédiatement commencé et s'étend lui-même sur la durée réglée. L'heure de départ indiquée n'est plus prise en compte lors des répétitions.

· Redémarrer au prochain instant de départ : après écoulement de la durée réglée, le système attend l'heure de démarrage indiquée avant de générer le fichier suivant, qui s'étend lui-même sur la durée réglée.

Bon à savoir !

Si vous enregistrez automatiquement des fichiers d'une durée de 24 heures ou d'un multiple de cette durée, nous vous recommandons de sélectionner l'option "Après écoulement de cette durée : Redémarrer immédiatement".

Les noms des fichiers sont attribués automatiquement. Ils sont attribués en fonction de la date et de l'heure de création du fichier respectif selon le principe suivant : aammjj-hhmmxx. L'indice "xx" est prévu comme compteur pour le cas (plutôt théorique) où plusieurs fichiers sont créés au même instant.

Si un texte a été saisi dans le champ de saisie en bas de la boîte de dialogue, alors il précède le nom de fichier généré automatiquement.

Si vous avez sélectionné l'option "Demander à chaque démarrage le texte à placer devant", une boîte de dialogue de saisie de texte apparaît lors du démarrage d'un nouveau fichier en enregistrement automatique, texte qui doit précéder la partie du nom de fichier générée automatiquement. Si aucune saisie n'est effectuée, c'est le texte figurant dans la boîte de dialogue 'Enregistrement automatique" qui précède le nom du fichier.

Bon à savoir !

Si vous quittez l'enregistrement automatique avant que l'utilisateur ait confirmé le dialogue de saisie du texte à placer devant, celui-ci se ferme automatiquement et le nom du fichier préalablement défini reste inchangé.

Indications sur l'enregistrement sur événement

Vous pouvez en sélectionnant l'option "commande événementielle", définir que le début et la fin de la mémorisation soit commandées par dépassement positif ou négatif de valeurs d'un point de mesure. De façon similaire au fonctionnement d'un régulateur tout ou rien, la mémorisation commencera lorsque le seuil supérieur sera franchi. La mémorisation se terminera dès que le seuil inférieur sera franchi par valeur inférieure. Les informations suivantes sont obligatoires :

Pt mes

Sélectionnez dans la liste le point de mesure (ou la voie de calcul) devant servir à commander la mémorisation.

Lancer enregistrement si mesure supérieure à

Portez ici la valeur sur dépassement de laquelle la mémorisation automatique doit commencer.

Arrêter l'enregistrement si mesure inférieure à

Portez ici la valeur sur dépassement négatif de laquelle la mémorisation automatique doit cesser.

Nom de fichier

L'attribution des noms de fichiers est effectuée automatiquement lors de l'enregistrement à commande temporelle ou événementielle. Un nom est constitué d'une chaîne de caractères prédéfinie en option ainsi que de la date et de l'heure du début de l'enregistrement. La chaîne de caractères est saisie dans le champ "Texte placé devant le nom généré".

Attention !

Les valeurs de mesure n'étant présentes qu'en cours de mesure, celle-ci doit être lancée manuellement afin que l'enregistrement sur événement puisse être déclenché.


Onglet "Fichiers"

L'onglet "Fichiers" permet d'effectuer toutes les paramétrages pour mémoriser la liste des événements et convertir les données de mesure.

Enregistrement automatique de la liste des événements

Pour enregistrer automatiquement une liste d'événements sous forme d'un fichier en cas d'alarme, activez l'option "Enregistrement automatique de la liste des événements". A l'aide du bouton gauche de la souris, cliquez sur le bouton d'option à gauche du texte de sorte qu'une petite croix s'affiche.

La liste des événements est alors enregistrée dans le même répertoire et sous le même nom (mais avec l'extension .amrevt) que le fichier des mesures.

Impression automatique de la liste des événements

Cette option déclenche l'impression de la liste d'événements actuelle à chaque fois que l'on procède à un changement de fichier ou que l'on arrête l'enregistrement automatique. Cela ne peut être activé que si la liste des événements est mémorisée automatiquement.

Attention !

Cette fonction n'est pas disponible dans toutes les versions du programme. Vous trouverez de plus amples informations au chapitre " Impression automatique de la liste des événements".

Conversion du fichier après la fermeture

Si vous voulez poursuivre le traitement des fichiers de valeurs de mesure créés à l'aide de la commande "Enregistrement automatique" dans un autre format de fichier, vous pouvez définir que le fichier des valeurs de mesure soit converti automatiquement au format désiré une fois l'enregistrement terminé (ou au changement de fichier).

Vous pouvez alors régler si vous voulez conserver ou non le fichier d'origine. Pour ceci, sélectionnez dans la liste en partie inférieure de la boîte de dialogue la conversion désirée (clic du bouton gauche de la souris sur le petit bouton à droite du texte et sélection de l'entrée désirée d'un clic du bouton gauche de la souris).

Si les fichiers doivent être convertis en un format texte, le bouton de commande Format de texte... ouvre la boîte de dialogue "Format du texte....", dans laquelle vous pouvez définir le format.

Après fermeture, imprimer le fichier comme tableau de mesure

Avec cette option, les données de mesure d'un fichier automatiquement mémorisé peuvent être, après avoir terminé la mémorisation (ou sur changement de fichier), imprimées automatiquement sous forme de tableau de mesures.

Attention !

Cette fonction n'est pas disponible dans toutes les versions du programme. Vous trouverez de plus amples informations au chapitre " Impression automatique de fichiers enregistrés automatiquement".

Après fermeture, imprimer le fichier comme graphique en courbe

Avec cette option, les données de mesure d'un fichier automatiquement mémorisé peuvent être, après avoir terminé la mémorisation (ou sur changement de fichier), imprimées automatiquement sous forme de graphique en courbe. Pour cela, il faut avoir défini au préalable les paramétrages correspondants dans la configuration.

Bon à savoir !

Comment trouver la configuration et ce qu'il faut alors observer se trouve dans le au chapitre Trouver la configuration.

Attention !

Cette fonction n'est pas disponible dans toutes les versions du programme. Vous trouverez de plus amples informations au chapitre Impression automatique de fichiers enregistrés automatiquement.


Onglet "E-mail"

Vous pouvez sur l'onglet "E-mail" indiquer s'il faut envoyer la liste des événements, le fichier des mesures ou les deux par courriel à un ou plusieurs destinataires. Les définitions et réglages de base s'appliquant à l'envoi de courriels sont également ceux qui s'appliquent à l'envoi par courriel en cas d'alarme.

L'indication d'un objet et d'un texte est une option, il est cependant conseillé d'indiquer au moins un objet. AMR WinControl vous averti si aucun message ou objet n'a été indiqué.

Il faut indiquer au moins un destinataire.

Attention !

Si la liste des événements n'est pas enregistrée automatiquement, alors celle-ci ne sera pas non plus envoyée par courriel ! Si le fichier de mesures a été supprimé après conversion, alors il ne peut pas non plus être expédié automatiquement par courriel ! Aucun courriel n'est généré si aucun fichier n'est disponible à l'expédition !

Attention !

Si l'on constate que lors de l'enregistrement automatique après terminaison d'un fichier, celui-ci doit être converti en un autre format, ce fichier peut également être envoyé par courriel. Il faut pour cela définir dans la configuration, qu'il faut envoyer les fichiers de mesure ayant une extension particulière.

Exemple :

Dans la section: [Auto Save #0]

Attachments=amr;txt

Après fermeture d'un fichier et lors du changement de fichier après enregistrement automatique, tous les fichiers aux extensions ".amr" et ".txt" sont envoyés.

Bon à savoir !

Comment trouver la configuration et ce qu'il faut alors observer se trouve dans le au chapitre Trouver la configuration.


Onglet "Conserver les paramètres"

Sur l'onglet "Conserver les paramètres" il est possible de définir en cochant l'option "Conserver les paramètres" si les paramètres préalablement configurés doivent être conservés après un redémarrage du programme ou au lancement suivant de l'enregistrement automatique.

Si cette option n'est pas activée c'est la boîte de dialogue avec les paramètres par défaut qui s'ouvre, sinon les champs de saisie des pages suivantes sont prérenseignés avec les dernières valeurs :

· Points de mesure

· Valeurs moyennes

· Récupération conditionnelle des mesures

· Fichiers

· Courriel

· Conserver les paramètres

La page "Démarrer" doit toujours être renseignée à nouveau !

Attention !

Si le gestionnaire du poste d'essai et de mesures en option a été activé, cet onglet n'existe pas.


Impression automatique de fichiers enregistrés automatiquement

AMR WinControl - Les menus > Le menu "Mesures"

Impression automatique de fichiers enregistrés automatiquement

AMR WinControl peut imprimer automatiquement les fichiers de mesures créés lors de l'enregistrement automatique, une fois ceux-ci terminés. Peu importe alors si le fichier de mesures a été établi par mémorisation continue, sur commande temporelle ou événementielle.

Attention !

L'impression automatique est en option et n'est pas disponible dans chaque version du programme.

voir également :

Tableau des valeurs de mesure

Graphiques en courbe

Impression automatique de la liste des événements


Tableau des valeurs de mesure

Si en enregistrement automatique, l'option "Après fermeture, imprimer le fichier comme tableau de mesure" est activée dans l'onglet "Fichiers", alors AMR WinControl édite les acquisitions de mesure sous forme de tableau de valeurs mesurées. L'imprimante utilisée est alors toujours l'imprimante par défaut, paramétrée dans Windows.

Bon à savoir !

Le tableau des mesures imprimé alors est généré avec les réglages par défauts d'AMR WinControl. Ceux-ci peuvent être modifiés par des entrées dans la configuration (voir également : Modification des réglages de mise en page ").


Graphiques en courbe

AMR WinControl - Les menus > Le menu "Mesures" > Impression automatique de fichiers enregistrés automatiquement

Graphiques en courbe

Si en enregistrement automatique, l'option "Après fermeture, imprimer le fichier comme graphique en courbe" est activée dans l'onglet "Fichiers", alors AMR WinControl édite les acquisitions de mesure sur les imprimantes définies.

L'impression de graphiques en courbe peut s'effectuer en utilisant différents modèles sur différentes imprimantes.

Paramètres de l'impression automatique

Afin d'activer l'impression automatique, deux modifications sur la configuration sont nécessaires :

Il faut recréer la section [Auto Save #0 AutoPrint]. On doit indiquer ici l'imprimante et le modèle à utiliser sous la forme Imprimante=Modèle

Imprimante est ici le nom de l'imprimante sur laquelle doit s'effectuer l'impression, tandis que Modèle contient le chemin d'accès complet au modèle à utiliser. Pour les imprimantes réseau, il faut indiquer outre le nom de l'imprimante, l'ordinateur ou le serveur d'impression sur lequel l'imprimante est raccordée : \\Nom_serveur\Nom_imprimante

Bon à savoir !

Comment trouver la configuration et ce qu'il faut alors observer, se trouve au chapitre trouver la configuration ".

Exemple :

Dans la section: [Auto Save #0 AutoPrint]

PDF Printer=C :\Templates\fichier_du_jour.amv

LaserJet=C :\Templates\toutes_températures.amv

LaserJet=C :\Templates\températures_bureau.amv

LaserJet=C :\Templates\températures_labo.amv

\\myserver\FS-1900=C :\Templates\toutes_températures.amv

\\myserver\FS-1900=C :\Templates\températures_bureau.amv

\\myserver\FS-1900=C :\Templates\températures_labo.amv

Explication :

Tout d'abord le fichier est édité, en utilisant le modèle fichier_du_jour.amv, sur l'imprimante virtuelle "PDF Printer", laquelle en crée un fichier PDF. Ensuite, l'impression du fichier s'effectue en utilisant trois modèles différents sur l'imprimante "LaserJet", laquelle est raccordée localement sur le PC. Enfin le fichier (à nouveau avec les trois modèles) est édité sur le réseau avec l'imprimante "FS-1900" sur le PC "myserver".

Remarque :

Sous Windows 2000, XP et Vista, le système d'exploitation recherche tout seul dans le réseau les imprimantes et affiche celles-ci dans le panneau de configuration avec le libellé

Nom_imprimante automatiquement sur Ordinateur

ou bien

Nom_imprimante sur Ordinateur

Ce libellé est en partie utilisé dans les boîtes de dialogue de sélection d'imprimante et de configuration d'imprimante et de configuration d'imprimante.

En section [Auto Save #0 AutoPrint] cette désignation ne doit pas être utilisée, mais doit être mise dans la forme \\Ordinateur\Nom_imprimante !

Attention !

Différentes imprimantes virtuelles, comme les programmes s'appuyant sur GhostScript pour créer des fichiers PDF, ne mettent parfois aucune file d'attente d'imprimante en œuvre. Cela mène à ce qu'en cas de plusieurs appels successifs, chaque demande d'impression interrompe la demande d'impression précédente non encore terminée et que du point de vue de l'utilisateur, seule la dernière impression s'effectue pratiquement. C'est pourquoi il est déconseillé d'exécuter plus d'une impression sur une telle imprimante.

Les modèles à utiliser doivent être créés sous AMR WinControl. Veiller à ce que les modèles conviennent également au fichier créé. Afin de s'en assurer, il est conseillé de démarrer l'enregistrement automatique et de créer un petit fichier.

On ouvre ensuite ce fichier dans AMR WinControl, on l'affiche comme graphique en courbes puis on le sauvegarde comme modèle (Menu Fichier/Enregistrer comme modèle). On peut maintenant modifier à volonté les propriétés du graphique en courbe et toujours l'enregistrer comme modèle, jusqu'à ce que pour tous les types d'affichage il existe le modèle adéquat.

Conseil : Les points de mesure ne devant pas être représentés dans un modèle devraient tout de même être contenus dans le modèle, mais ils doivent être marqués comme "invisibles". Vous trouverez d'autres remarques à ce sujet dans le manuel aux chapitres relatifs aux Propriétés des graphiques en courbes et à la création/utilisation de modèles !


Impression automatique de la liste des événements

De même dans l'onglet "Fichiers" de la boîte de dialogue "Enregistrement automatique" il est possible de définir par l'option "Impression automatique de la liste des événements" qu'après avoir terminé l'enregistrement automatique, la liste des événements actuelle est imprimée automatiquement. L'impression s'effectue sur une imprimante quelconque sur le PC local ou sur le réseau, qu'il faut indiquer aux configuration en section [Settings] dans la commande Eventprinter=nom_imprimante.

Bon à savoir !

Comment trouver la configuration et ce qu'il faut alors observer, se trouve au chapitre trouver la configuration ".

Exemples :

Imprimante locale dans la section : [Settings]
EventPrinter=FS2000-D

Imprimante réseau :
EventPrinter=\\serveur\FS2000-D


Lecture mémoire appareil

Si vous utilisez votre appareil de mesure comme centrale d'acquisition de données, vous pouvez récupérer dans l'ordinateur les données de mesure ainsi acquises et enregistrées sur l'appareil à l'aide de la commande Mesures/Lecture mémoire appareil.

Si plusieurs appareils de mesure sont reliés en un réseau ALMEMO , vous pouvez lire toutes les mémoires en même temps ou seulement un certain nombre (donc même individuellement). Il est également possible de valider les données enregistrées de manière sélective.

voir également :

Boîte de dialogue "Lecture de la mémoire de appareil"


Boîte de dialogue "Lecture de la mémoire de appareil"

Dans la boîte de dialogue "Lecture mémoire appareil" vous pouvez procéder à tous les paramétrages nécessaires pour lire la mémoire complète de appareil ou seulement une certaine partie. Vous disposez pour cela des options suivantes de la boîte de dialogue :

Provenance des données :

Dans la rubrique "Provenance des données", vous pouvez choisir si vous voulez lire les données de mesure depuis les mémoires des appareils ou des modules ou, le cas échéant, depuis une mémoire de système.

Mémoire de système :

Si vous avez sélectionné cette option, les données de mesure seront lues dans la mémoire du système et non dans les mémoires de modules.

Attention !

L'option "Mémoire de système" n'est disponible que si vous disposez d'un système d'acquisition de mesures. Il est cependant possible qu'un système n'envoie pas le code correspondant au logiciel. Il est dans ce cas il faut avant de démarrer le programme, ouvrir la configuration et dans la section [Settings], inscrire AnlagenSupport=1 pour que l'option "Mémoire de système" soit disponible.

Bon à savoir !

Comment trouver la configuration et ce qu'il faut alors observer, se trouve au chapitre trouver la configuration.

Appareils individuels / Modules :

Cette option permet de déterminer si les données de mesure sont lues depuis les mémoires d'appareils ou de modules. Le champ de saisie correspondant contient une liste de tous les appareils et modules présents dans le système (adresses). Toutes les autres actions sont exécutées à l'aide des appareils activés ici. D'un simple clic du bouton gauche de la souris sur les adresses d'appareils figurant dans la liste, vous désactivez ou activez celles-ci (=affichage sur fond de couleur).

Bon à savoir !

Les appareils de mesure gérant plus de 100 points de mesure offrent des appareils dits virtuels, de sorte que malgré une connexion physique sur un appareil, il existe plusieurs appareils à disposition dans AMR WinControl. Chacun de ces appareil contient au maximum 100 points de mesure (0 à 99).

Attention !

Dans les précédentes versions du programme, les numéros d'appareils virtuels n'étaient dans quelques cas pas gérés. Le numéro d'appareil était alors toujours mis à 0, ce qui avait pour effet d'afficher plus de 100 points de mesure par appareil. Il est possible de rétablir ce comportement en ajoutant dans la configuration en section [Settings] l'entrée ImportParseDevNum=0.

Bon à savoir !

Comment trouver la configuration et ce qu'il faut alors observer, se trouve au chapitre trouver la configuration.

Sélection des données :

Si vous ne voulez récupérer que les moyennes dans les mémoires des appareils, sélectionnez l'option indiquée. Pour ce faire, cliquez avec le bouton gauche de la souris sur la case à cocher à gauche du texte.

Si vous avez sélectionné l'option "Uniquement les mesures avec numéro", vous pouvez sélectionner un numéro de la liste attribué préalablement lors de l'enregistrement sur l'appareil, de manière à ce que seules les valeurs de mesure enregistrées sous ce numéro soient récupérées sur l'ordinateur.

Attention !

Si vous avez sélectionné plusieurs modules en lecture de mémoire, la liste affiche les numéros du premier appareil.

Si vous avez sélectionné l'option "Valeurs d'alarme uniquement", seules les valeurs d'alarme / de défaut enregistrées seront lues.

L'entrée de la date et de l'heure pour "Début" et "Fin" permet de lire uniquement les valeurs de mesure enregistrées dans l'intervalle choisi.

Attention !

Si les fonctions "Valeurs d'alarme uniquement" et la lecture sélective d'un intervalle de temps ne sont pas gérées par le micrologiciel de l'appareil raccordé, vous ne pouvez pas sélectionner ces options.

Bon à savoir !

Il est également possible de lire des contenus de mémoire avec une résolution de 1/100ème de seconde. Aucun paramétrage supplémentaire n'est pour cela nécessaire. Pour le seul affichage des données de mesure sous forme de tableau, activez l'option "Temps en 100ième de seconde" dans la boîte de dialogue "Propriétés du tableau".

Naturellement on peut aussi traiter des contenus de mémoire avec les deux résolutions (c.-à-d. 1 seconde ainsi que 100ième de seconde).

Lorsque vous avez récupéré les valeurs de mesure sur votre ordinateur, une fenêtre de vue d'ensemble de fichier comportant le commentaire, le début et la fin de la mesure ainsi que les points de mesure s'affiche. Vous pouvez maintenant enregistrer les valeurs de mesure dans un fichier, les représenter à l'aide des commandes Représentation en graphique en courbe ou XY ou Représentation en tableau ou les transmettre à un programme de valorisation (par ex. Excel) à l'aide de Fichier/Exporter par DDE pour un traitement ultérieur.

APPEL !

Voici d'autres possibilités pour exécuter cette commande :

· Clic simple de la souris sur le bouton "Lecture mémoire appareil" dans la barre d'outils.

· Touche fonction <F9>


Calcul de valeur moyenne

Dans le mode "Calcul de la valeur moyenne", ce ne sont pas les valeurs de mesure lues qui sont validées directement, mais la moyenne arithmétique de n valeurs. Le nombre n peut être déterminé par l'utilisateur pour tous les graphiques ensemble dans la plage de 1 à 100.

Pour ceci, appelez la commande Mesures/Calcul de moyenne (le graphique en courbe / XY ou le tableau étant activé). Dans la boîte de dialogue "Calcul de valeur moyenne" définissez dans le champ de saisie correspondant le nombre de valeurs de mesure sur lesquelles vous voulez établir la moyenne.

Dans la liste des points de mesure vous pouvez sélectionner ceux pour lesquels vous voulez n'enregistrer que les valeurs moyennes. Pour ce faire, cliquez avec le bouton gauche de la souris sur la case à cocher à gauche du point de mesure désiré.


Effacer les valeurs de mesure

Cette fonction permet de supprimer les mesures d'un graphique ou d'un tableau sans que les paramètres de la boîte de dialogue des propriétés ne soient perdus. Il est ainsi possible d'utiliser simplement et rapidement pour une nouvelle mesure les caractéristiques déjà paramétrées pour une fenêtre.

Attention !

Si cette fonction est appliquée à un jeu de données enregistré et que vous exécutez ensuite la fonction Fichier/Enregistrer, les données enregistrées seront perdues. Après avoir effacé les valeurs de mesure, activez la commande Fichier/Enregistrer sous et créez un nouveau fichier. Les données du fichier d'origine seront ainsi conservées.


Le menu "Programmation"

voir également :

Programmation des points de mesure

Programmation des appareils de mesure

Voies de calcul

Programmation globale

Enregistrer programmation d'appareil

Charger programmation d'appareil

Centrale d'acquisition

Verrouillage

Activer la sortie relais

Définition des constantes

Fenêtre terminal

Programmer avec AMR Control


Programmation des points de mesure

Vous disposez avec la commande Programmation/Programmation des points de mesure, d'une autre possibilité de programmer les points de mesure. Vous ouvrez ainsi la boîte de dialogue "Propriétés des points de mesure et de la liste des points" à l'aide de l'onglet "Points de mesure" en haut et procédez aux paramétrages et programmations désirés. Vous trouverez une description détaillée de cette boîte de dialogue sous la rubrique Propriétés des appareils de mesure et de la liste des appareils.

Attention !

Si vous voulez reprogrammer une propriété d'un point de mesure à l'aide du logiciel, le système vérifie si vous êtes autorisé à le faire avec le verrouillage paramétré. Si tel n'est pas le cas, un message s'affiche et vous signale que pour réaliser la programmation prévue, vous devez d'abord modifier le mode de verrouillage (voir également : Verrouillage).


Programmation des appareils de mesure

Vous disposez avec la commande Programmation/Programmation des appareils de mesure, d'une autre possibilité de programmer les appareils de mesure. Vous ouvrez ainsi la boîte de dialogue "Propriétés des appareils de mesure et de la liste des appareils" et procédez aux paramétrages et programmations désirés. Vous trouverez une description détaillée de cette boîte de dialogue sous la rubrique Propriétés des appareils de mesure et de la liste des appareils.


Voies de calcul

Les fonctions mathématiques du programme vous permettent de calculer des grandeurs physiques à l’aide des valeurs mesurées. Les grandeurs désirées se définissent à l’aide d’un éditeur de formule et sont considérées comme un canal de calcul (point de mesure virtuel).

Voies de calcul globales

Si un canal de calcul doit être disponible dans tout le système, définissez-le à l'aide de la commande Programmation/Voies de calcul. Dans la boîte de dialogue Propriétés de la liste des points de mesure sur l'onglet "Voies de calcul", procédez à tous les paramétrages et à la définition de formule nécessaires (voir également : Propriétés des voies de calcul).

APPEL !

Voici d'autres possibilités pour exécuter cette commande :

· Double clic avec le bouton gauche de la souris dans la fenêtre active des points de mesure et sélection de l'onglet "Voies de calcul".

· en cliquant une fois avec le bouton droit de la souris dans la fenêtre des points de mesure active et en sélectionnant la fonction "Voies de calcul" dans le menu contextuel.

· avec <ENTREE> et en sélectionnant l’onglet "Voies de calcul".

· si la fenêtre des points de mesure est active, choisissez la commande Vue/Propriétés et sélectionnez l’onglet "Voies de calcul".


Programmation globale

Dans AMR WinControl, les limites de plusieurs points de mesure peuvent être programmées et / ou effacées ensemble. Vous disposez à cet effet de la commande Programmation/Programmation globale, laquelle permet d'ouvrir une boîte de dialogue.

La boîte de dialogue est partagée en deux sections : La partie supérieure permet de définir le choix des points de mesure à programmer, tandis que la partie inférieure sert à saisir les limites.

A l'ouverture de la boîte de dialogue, l'interface affiche automatiquement la "Sélection graphique". La fenêtre de gauche liste tous les appareils de mesure, celle de droite les points de mesure de l'appareil actuellement sélectionné. En cliquant sur le libellé d'un appareil ou d'un point de mesure, l'entrée de liste correspondante est sélectionnée. Un clic dans la case situé devant un appareil de mesure sélectionne ou désélectionne tous les points de mesure de l'appareil. En cliquant sur la case située devant un point de mesure, vous sélectionnez ou désélectionnez celui-ci.

De plus, en maintenant la touche <CTRL> enfoncée, vous pouvez sélectionner simultanément plusieurs points de mesure dans la liste située en page de droite. Enfin, d'un clic droit dans la liste vous pouvez ouvrir le menu contextuel et désélectionner d'un seul coup tous les points de mesure sélectionnés.

L'onglet "Sélection par texte" permet de passer à une saisie à base de texte. Les points de mesure se saisissent ici séparés par une virgule. On peut alors définir aussi bien des points de mesure individuels que des étendues (par ex. : 0.1-0.3). Si l'on bascule entre la "Sélection graphique" et la "Sélection par texte", les sélections respectives actuelles sont reprises dans la vue cible.

Bon à savoir !

Le raccourci <CTRL> + C permet de copier dans le presse-papiers le contenu sélectionné de la "Sélection par texte". En appuyant sur <CTRL> + V, vous pouvez insérer le contenu du presse-papiers dans la sélection de texte.

Pour programmer une limite, il faut d'abord cocher la case située devant le champ de saisie respectif. Cette activation est nécessaire afin de distinguer entre les trois cas possibles :

1. la case n'est pas cochée à la limite respective n'est modifiée sur aucun point de mesure.

2. la case est cochée, mais aucune limite n'est saisie à la limite correspondante est supprimée sur tous les points de mesure.

3. la case est cochée, une valeur est saisie à la valeur saisie est programmée pour tous les points de mesure comme limite.

A partir de ces trois cas, il est possible de n'activer ou d'effacer qu'une seule limite ou les deux.

Un clic sur le bouton de commande "Programmer" lance la programmation des limites indiquées sur les points de mesure sélectionnées. Ce bouton n'est actif que lorsqu'au moins une limite a été réglée en programmation ou en suppression. Lors de la programmation, une barre de progression s'affiche pour permettre d'estimer le temps restant.

En cliquant sur le bouton "Annuler", vous pouvez annuler à tout instant la programmation. Les limites déjà reprogrammées à cet instant sont conservées.

Lorsque tous les points de mesure indiqués ont été traités, la boîte de dialogue de programmation globale se referme automatiquement. Toute fenêtre de message d'erreur éventuellement affichée reste ouverte.


Enregistrer programmation d'appareil

Si vous voulez archiver des programmations de points de mesure déjà effectuées, vous disposez de la commande Programmation/Enregistrer programmation d'appareil. Dans la boîte de dialogue de fichier standard sélectionnez le répertoire et le nom du fichier dans lequel vous voulez sauvegarder les paramètres.


Charger programmation d'appareil

La commande Programmation/Charger programmation d'appareil vous permet de programmer les points de mesure des appareils avec les paramètres sauvegardés dans un fichier. Une boîte de dialogue standard de fichier apparaît dans laquelle vous sélectionnez le répertoire et le fichier comportant la programmation désirée.

Ensuite, un tableau comportant toutes les programmations contenues dans le fichier s'affiche. Ce tableau s'édite comme un tableau EXCEL. Vous disposez ainsi des fonctions Copier <Ctrl+C> et Coller <Ctrl +V>, vous pouvez supprimer des lignes (sélectionner la ligne et appuyer sur <Suppr>) ou en ajouter (sélectionner la ligne et appuyer sur <Inser>) ou insérer un tableau que vous avez créé sous EXCEL ou autre comportant les valeurs de programmation.

La sélection des plages de mesure, des unités et du mode "Valeur moyenne" pour le fonctionnement en centrale d'acquisition est gérée par listes de sélection.

A la fin de l'édition vous pouvez enregistrer le tableau sous le même nom ou sous un autre.

Choisissez Programmation pour commencer à programmer les points de mesure. Une fenêtre de texte vous informe du déroulement et du succès de la programmation.

Bon à savoir !

Si vous voulez éditer un fichier de programmation sans avoir branché un appareil, vous pouvez le charger à l'aide de la fonction Fichier/Ouvrir en sélectionnant le type de données "Programmation *.prg".


Centrale d'acquisition

AMR WinControl - Les menus > Le menu "Programmation"

Centrale d’acquisition

Vous ouvrez ainsi la boîte de dialogue "Propriétés des appareils et de la liste des appareils" sur l'onglet "Centrale d'acquisition (voir aussi : Onglet "Centrale d’acquisition").


Verrouillage

La commande de menu Programmation/Verrouillage permet de lire le verrouillage existant des capteurs et de le modifier dans la boîte de dialogue "Verrouillage de la programmation des points de mesure".

Pour modifier le verrouillage d'un ou de plusieurs points de mesure, saisissez la valeur désirée dans la ligne correspondante de la colonne "Niveau de verrouillage" et cliquez sur le bouton Programmer.

Attention !

Un capteur peut être programmé en usine pour ne permettre aucune modification du verrouillage.

Attention !

Avant de modifier le verrouillage, il est vivement conseillé de consulter votre manuel ou la documentation du capteur ! La levée d'un niveau de verrouillage supérieur peut, en cas de programmation ultérieure du capteur, engendrer la perte d'importantes données d'étalonnage !


Activer la sortie relais

Pour exciter de manière ciblée les relais raccordés sur un système ALMEMO, vous pouvez utiliser la fonction de menu Programmation/Commutation sortie relais.

"Appareil" offre une liste de tous les appareils de mesure du système sur lesquels sont raccordés des relais de sortie avec la programmation "EA8 Démarrage-Arrêt, Relais Rx à commande externe". Pour sélectionner un appareil de mesure, un simple clic sur l'entrée correspondante de la liste suffit.

Après avoir sélectionné un appareil de mesure, l'état de commutation du relais raccordé à l'appareil s'affiche. D'un simple clic du bouton gauche de la souris sur le bouton "Commuter", vous pouvez modifier cet état.

Bon à savoir !

Si le système ne comporte aucun adaptateur à relais programmé en "EA8 Démarrage-Arrêt, relais Rx à commande externe", il n'est pas possible d'appeler cette fonction.


Définition des constantes

Il est possible de définir des constantes auxquelles on peut accéder dans les voies de calcul. La définition s'effectue dans la boîte de dialogue "Définition des constantes" que l'on obtient par la ligne de commande Programmation/Définition des constantes….

voir également :

Dialogue "Définition des constantes"


Dialogue "Définition des constantes"

Cette boîte de dialogue affiche toutes les constantes momentanément déclarées dans l'ordre alphabétique.

Pour ajouter une nouvelle constante, cliquez sur le bouton Ajouter constante… Une nouvelle ligne est alors créée dans laquelle vous pouvez inscrire les données désirées. Alternativement vous pouvez marquer une ligne en cliquant sur le champ portant le numéro de ligne, puis en appuyant sur la touche <Insérer> (<Inser>).

Pour effacer une ou plusieurs constantes, marquez les lignes comme décrit ci-dessus et appuyez sur les touches <Supprimer> (<Suppr>).

Veuillez noter que la boîte de dialogue ne peut être fermée que lorsque toutes les lignes contiennent un couple valide nom de constante et valeur et qu'aucun nom n'a été attribué en double. Les lignes entièrement vides sont également valides et sont toujours ignorées.

Conventions de nom

Les associations de chiffres et de lettres sont permises pour les noms, le premier caractère devant être obligatoirement une lettre. Les caractères spéciaux et accents ne doivent pas être utilisés. La longueur maximale d'un nom est de 20 caractères. Les noms de constantes doivent être uniques, c.-à-d. que chaque libellé de constante ne doit être utilisé qu'une seule fois par configuration.

Notez que la différence est faite entre majuscules et minuscules, il est ainsi possible par ex. d'utiliser les caractères habituels de formule comme noms de constante (p à pression, P à puissance).

Valeurs

La valeur attendue est un nombre en virgule flottante à point décimal, l'utilisation de nombres entiers restant cependant autorisée. La plage des valeurs s'étend de –1.7E308 à +1.7E308, avec toutefois une précision maximale de 15 chiffres.

Gestion des constantes

Les valeurs des constantes sont enregistrées dans le fichier amr32.ini ainsi que, lors de la sauvegarde de la configuration, dans le fichier défini par l'utilisateur. Après avoir chargé la configuration, les constantes sont également rétablies. Les constantes déclarées au chargement d'une configuration sont écrasées par les constantes à charger.

Référencement des voies de calcul

Pour utiliser les constantes dans les voies de calcul, vous disposez de la fonction const. La syntaxe est la suivante :

const("nom de la constante")

Lors du calcul de la valeur, la valeur actuelle de la constante est respectivement retournée. Si la constante "nom de la constante" n'est pas définie, toute l'expression contenant la formule const("nom de la constante") est invalide, ce qui a pour conséquence que le canal de calcul s'y rapportant adopte l'état "rupture de ligne".

Exemple

Soit le tableau de constantes suivant :

Nom de la constante | Valeur de la constante
p | 1200
U | 0.5

On définit respectivement la formule pour la voie de calcul 80.0 :

const("p") donne 1200

const("P") donne une rupture de ligne car P n'a pas été défini

const("U") * const ("I") donne 6

Bon à savoir !

Si les valeurs des constantes sont modifiées au cours d'une mesure, cette modification n'est effective que sur le calcul à partir de cet instant, les valeurs calculées jusque là restent inchangées. Cela est particulièrement intéressant pour les mesures à long terme, car ainsi il est possible de tenir compte dans l'acquisition des données de conditions générales changeant irrégulièrement.


Fenêtre terminal

La fonction de menu Programmation/Fenêtre terminal vous permet de communiquer avec les appareils de mesure à l'aide de commandes ASCII. L'exécution de cette fonction interrompt la communication du programme avec les serveurs de données WinControl et vous pouvez saisir les différentes commandes à l'aide du clavier.

A côté de la fenêtre de texte, vous disposez de boutons pour exécuter les commandes les plus fréquentes. En cliquant simplement du bouton gauche de la souris sur ces boutons, vous émettez la commande correspondante.

Attention !

La fenêtre n'affiche que les caractères renvoyés par l'appareil de mesure interrogé. Ceci signifie que si malgré la saisie à l'aide du clavier ou du bouton, la fenêtre n'affiche aucun caractère, l'appareil ne répond pas.

Vous pouvez sélectionner le texte affiché à la fenêtre, le copier dans le presse-papiers à l'aide de la commande de clavier <CTRL+C>, puis l'éditer ultérieurement à partir du presse-papiers. Vous avez également la possibilité de sauvegarder le contenu de la fenêtre dans un fichier de texte à l'aide du bouton Enregistrer. D'un simple clic du bouton gauche de la souris sur ce bouton, une boîte de dialogue standard de fichier apparaît dans laquelle vous pouvez définir le lecteur, le répertoire et le nom du fichier.

La fenêtre du terminal possède en plus 10 boutons de commande à programmer librement. L'affectation peut être effectuée sur quatre niveaux, de sorte que chaque bouton de commande peut être affecté quatre fois. Un commutateur est situé à droite à côté des touches de fonction, à l'aide duquel vous pouvez choisir le niveau désiré.

Cliquez sur le bouton "Touches de fonction…" pour affecter les touches. Une boîte de dialogue de configuration suivante s'ouvre.

voir également :

Boîte de dialogue "Affectation des touches"


Boîte de dialogue "Affectation des touches"

AMR WinControl - Les menus > Le menu "Programmation" > Fenêtre terminal

Boîte de dialogue "Affectation des touches"

Les boutons d'option de la partie "Niveau des touches" permet de régler le niveau dont vous voulez modifier les affectations.

Dans le tableau, les touches sont ordonnées de haut en bas comme affichée dans la fenêtre du terminal de gauche à droite. Dans la colonne "Libellé" doit être porté le texte que doivent afficher les boutons de commande dans la fenêtre du terminal. Dans la colonne "Ligne de commande" se trouvent les commandes devant être envoyées par l'interface aux appareils connectés lorsque la touche de fonction est activée.

Si dans le libellé d'une touche le signe "&" est placé devant une lettre ou un chiffre, ce caractère apparaîtra en souligné dans la touche, laquelle sera activée par la combinaison de touches <ALT> + [caractère] comme si on avait cliqué dessus avec la souris.

Attention !

Il faut veiller à ce que par niveau de touches, chaque caractère ne soit sélectionné qu'une seule fois comme raccourci clavier. Sinon la fonctionnalité n'est pas assurée. En outre, il ne faut attribuer le & qu'une seule fois par bouton de commande. De même il ne faut pas utiliser les caractères "B", "L", "S", "F" et "H" car ceux-ci sont déjà affectés à d'autres boutons de commande dans la fenêtre du terminal.

Bon à savoir !

Si à un bouton de commande n'est affecté qu'un libellé mais par de ligne de commande, ce bouton indiquera le libellé mais sera sans action. Ci par contre seule une ligne de commande est affectée mais sans libellé, le bouton restera vide mais en appuyant dessus, la ligne de commande sera envoyée aux appareils.


Programmer avec AMR Control

Outre les nombreuses fonctions d'acquisition de mesure, de représentation et de traitement, AMR WinControl contient également des fonctions fondamentales et souvent utilisées de programmation des appareils et des capteurs. Pour effectuer toute la programmation de tous les paramètres de capteur et des appareils, il existe le logiciel AMR Control.

Afin en cas de besoin de ne pas basculer de façon peu commode entre les deux programmes, AMR WinControl offre la possibilité par la fonction Programmation/Programmer avec AMR Control…, de démarrer directement le programme AMR Control et de transférer provisoirement à celui-ci le contrôle sur les appareils de mesure raccordés. A cet effet, toute mesure éventuellement en cours dans AMR WinControl est arrêtée et AMR Control se lance automatiquement.

AMR WinControl transmet maintenant les données entre AMR Control et les appareils, de sorte à ce qu'aucun aucun paramétrage pour l'interface ne doive être effectué dans AMR Control. Toutes les fonctions de programme dans AMR WinControl sont provisoirement désactivées et la saisie par boîte de dialogue bloquée, et ce jusqu'à ce que le bouton "Quitter" soit appuyé dans cette boîte de dialogue ou que AMR Control soit quitté.

Au préalable, il faut que AMR Control 5.0.0.82 ou supérieur soit installé sur l'ordinateur d'acquisition, à défaut la ligne de commande "Programmer par AMR Control..." n'est pas disponible.

Attention !

Tous les paramétrages effectués avec AMR Control sur les appareils et capteurs sont conserver lorsque l'on rebascule vers AMR WinControl. De ce fait, le comportement d'AMR WinControl peut changer, en particulier lorsque :

· des commentaires ou unités ont été modifiés

· des limites reprogrammées

· des cycles de mesure et/ou d'impression changés

· la vitesse de commutation modifiée

· des modules de sortie reconfigurés.

par exemple. L'affichage, les fonctions d'alarme, le cycle de mesure effectif, l'enregistrement automatique, le traitement des alarmes, la commande et la régulation et autres fonctions sont éventuellement affectés par ces paramétrages.


Le menu "Paramètres"

voir également :

Ajouter une connexion

Gestion des connexions...

Cycle de mesure

Les barres d'outils

Ligne d'état

Alarme

Courriel

Commande et régulation

Protection par mot de passe

Taille du tampon des valeurs de mesure

Couleurs

Répertoires

Divers


Ajouter une connexion

Les boutons Propriétés et Ajouter de la fenêtre "Gestion des connexions" et le menu Paramètres/Ajouter une connexion ouvrent la boîte de dialogue Paramètres de la connexion. Ce dialogue permet de définir une nouvelle connexion ou de visualiser et/ou modifier les propriétés d'une connexion existante.

En font partie l'attribution en option d'un libellé pour la connexion, le protocole désiré, le type d'interface à utiliser (série, réseau ou modem) ainsi que ses paramètres spécifiques.

Vous trouverez une description complète de cette boîte de dialogue en section Paramètres de la connexion.


Gestion des connexions...

D'un double clic sur la liste des connexions existantes dans la fenêtre "Points de mesure, appareils et connexions" ou en ouvrant le menu Paramètres/Gestion des connexions…, vous obtenez la fenêtre Gestion des connexions. Après avoir sélectionné une connexion dans la liste affichée, vous pouvez activer ou désactiver celle-ci, supprimer ou ajouter des connexions et ouvrir la boîte de dialogue des propriétés associée.

On peut créer autant de connexions que désiré, dont on peut activer un nombre quelconque (selon la version de logiciel achetée). Cependant, afin d'effectuer une acquisition de mesures, il faut au moins une connexion active et par cette connexion, il faut que l'appareil soit avec au moins un point de mesure.

Vous trouverez une description complète de cette boîte de dialogue en section Gestion des connexions.


Cycle de mesure

La commande Paramètres/Cycle de mesure permet d'ouvrir la boîte de dialogue "Cycle de mesure" et vous pouvez y définir la vitesse de scrutation désirée ainsi que le cycle de mesure. De plus, vous pouvez définir ici pour chaque connexion s'il faut passer outre des cycles de mesure et combien.

voir également :

Boîte de dialogue "Cycle de mesure"


Boîte de dialogue "Cycle de mesure"

La boîte de dialogue "Cycle de mesure" possède les deux onglets "Cycles de mesure" et "Passer des cycles de mesure".

Onglet "Cycle de mesure"

On peut ici définir le cycle de mesure, lequel permet de fixer toutes les combien de secondes il faut lire de nouvelles valeurs de mesure sur les appareils . De plus, en fin de chaque cycle de mesure, les valeurs des points de mesure virtuels (voies de calcul) sont recalculées.

L'indication s'effectue soit sous la forme traditionnelle mm:ss (minutes:secondes) ou seulement en indiquant les secondes, les positions après la virgules étant acceptées comme millisecondes.

Toutes les connexions sont systématiquement lues selon ce cycle de mesure.

Attention !

L'indication du cycle de mesure est une valeur cible qui (en particulier pour les cycles courts et/ou de nombreux points de mesure) ne peut être atteinte dans tous les cas, puisque c'est le matériel (appareil, interface, éléments actifs de conducteurs, ...) qui détermine la transmission maximum des données.

Dans ce cas, le programme lancera le cycle suivant dès que le matériel aura traité le précédent.

Onglet "Passer des cycles de mesure"

Une valeur n'est pas attendue dans tous les cas de chaque point de mesure à chaque cycle. C'est pourquoi vous pouvez définir ici pour chaque connexion s'il faut passer outre des cycles de mesure et combien. Ces réglages s'effectuent sur l'onglet "Passer des cycles de mesure".

Les indications autorisées sont les suivantes :

· 0 = ne passer aucun cycle = acquérir les mesures dans tous les cycles

· 1 = passer 1 cycle de mesure = acquérir les mesures un cycle sur deux

· 2 = passer 2 cycles de mesure = acquérir les mesures un cycle sur trois

· …

· 99 = passer 99 cycles de mesure = acquérir les mesures un cycle sur cent

Avec cette façon de procéder, il est par exemple possible d'effectuer l'acquisition de 20, 30 ou encore plus de données depuis un appareil V6 raccordé série, tandis que d'autres appareils (le cas échéant reliés de plus par réseau), qui peuvent fournir moins de 10 mesures/seconde, ne peuvent être scrutés qu'un cycle sur deux ou sur trois et n'ont pas d'incidence sur la rapidité d'acquisition sur l'appareil V6.

Normalement, au moins une connexion doit lire des données à chaque cycle de mesure. Cependant, il est également possible d'affecter à chaque connexion un nombre de cycles de mesure à passer. Le logiciel émet alors un avertissement, mais convertit les saisies après confirmation. On peut ainsi réaliser par ex. l'acquisition de valeurs de mesure sur différents appareils de mesure dans un rapport au choix (par ex. 2:3 ou 5:7 etc...).

Les valeurs des voies de calcul sont toujours déterminées dans tous les cycles de mesure.


Les barres d'outils

La commande de menu Paramètres/Barres d'outils permet d'afficher ou de masquer les différentes barres d'outils. On peut de plus définir si les infobulles doivent s'afficher ou non.

voir également :

Barre d'outils standard

Barre d'outils d'image de projet

Barre d'outils KwikScript

Grands symboles d'outils

Remarques sur les outils


Barre d'outils standard

La barre d'outils standard est une ligne positionnée en-dessous des menus avec des boutons de commande, pour exécuter facilement les commandes AMR WinControl. D'un clic simple de souris sur l'icône correspondant, vous déclenchez l'action désirée. Les icônes ont la signification suivante :

Départ/Arrêt de la scrutation des points de mesure

Ouverture d'un nouveau graphique en courbe (voir également : Nouveau graphique en courbe)

Ouverture d'un nouveau graphique à barres (voir également : Nouveau graphique à barres)

Ouverture d'un nouvel affichage de valeur de mesure (voir également : Nouvel affichage des valeurs de mesure)

Ouverture d'un nouvel affichage analogique (voir également : Nouvel affichage analogique)

Ouverture d'un nouveau tableau (voir également : Nouveau tableau)

Ouverture d'un nouveau graphique XY (voir également : Nouveau graphique XY)

Ouverture d'une nouvelle image de projet (voir également : Nouvelle image de projet)

Ouverture d'un nouveau lien Excel (voir également : Nouveau lien Excel)

Ouverture d'une nouvelle exportation OPC (voir également : Nouvelle exportation OPC)

Ouverture de la boite de dialogue de lecture de la mémoire de l'appareil (voir également : /Lecture mémoire appareil)

Ouvrir un fichier de mesures

Enregistrer un fichier de mesures

Enregistrer automatiquement les valeurs de mesure sur le disque dur (voir également : Enregistrement automatique).

Fonctionnement : Appliquer le modèle

Copie d'un graphique en courbe ou d'une liste de points de mesure dans le presse-papiers

Exportation des données de mesure (voir également : Exporter)

Activation ou désactivation de la fonction d'alarme de AMR WinControl (voir également : Onglet "Alarme activer/désactiver")

Ouvrir la boîte de dialogue des propriétés de la fenêtre actuellement active

Ouverture de la boîte de dialogue du cycle de mesure (voir également : Cycle de mesure)

Ouverture de la boîte de dialogue d'interface (voir également : Gestion des connexions).

Affichage de l'aperçu avant impression de la fenêtre actuelle

Impression du contenu de la fenêtre actuelle

Impression du contenu de l'écran actuel

Transformation du pointeur de la souris en curseur d'aide


Barre d'outils d'image de projet

La barre d'outils d'image de projet s'affiche automatiquement dès qu'une image de projet est active, c.-à-d. au premier plan. (voir également : Barre d'outils d'image de projet)


Barre d'outils KwikScript

AMR WinControl - Les menus > Le menu "Paramètres" > Les barres d'outils

Barre d’outils KwikScript

La barre d'outils KwikScript est masquée par défaut. Si la barre d'outils KwikScript est activée pour la première fois, elle est d'abord vide. Sur le bord droit, une flèche apparaît et permet d'appeler le menu de configuration.

Adapter permet d'ouvrir une boîte de dialogue pour ajouter, supprimer ou éditer des boutons de commande.

Le bord supérieur comporte cinq symboles dont les fonctions de gauche à droite sont les suivantes :

· Créer un nouveau bouton de commande

· Editer les caractéristiques du bouton de commande sélectionné

· Supprimer le bouton de commande sélectionné

· Déplacer le bouton de commande sélectionné vers le haut

· Déplacer le bouton de commande sélectionné vers le bas

Créer un nouveau bouton de commande

En cliquant sur ce symbole, vous ajoutez une nouvelle entrée à la fin de la liste, et pour l'édition, l'accent est mis sur le nom de l'entrée.

Ici, vous devez saisir un nom quelconque. Terminer la saisie par la touche ENTREE ou en cliquant avec la souris en-dehors de l'entrée de liste. La boîte de dialogue s'ouvre immédiatement, permettant d'éditer les réglages du bouton de commande.

Éditer bouton de commande

En créant un nouveau bouton de commande ou en cliquant sur le symbole Propriétés, une boîte de dialogue s'ouvre dans laquelle vous pouvez déterminer les détails de l'élément de commande.

Les propriétés disponibles pour les éléments logiques sont les suivantes :

Type de commutateur :

· Bouton-poussoir : s'active dès que vous appuyez sur la touche gauche de la souris sur l'élément. Désactivation en relâchant le bouton de la souris

· Commutateur : si vous cliquez sur l'élément avec le bouton gauche de la souris (appuyer brièvement du bouton de la souris sur l'élément, puis le relâcher), le commutateur change d'état, c.-à-d. s'il était activé il est désactivé et inversement.

Commande à l’activation :

ici, le système indique une ou plusieurs commandes KwikScript (séparées par des points-virgules) qui seront exécutées dès que l'élément de commande adopte l'état "actif".

Commande à la désactivation :

ici, le système indique une ou plusieurs commandes KwikScript (séparées par des points-virgules) qui seront exécutées dès que l'élément de commande adopte l'état "actif".

Vous trouverez une description des commandes KwikScript au chapitre KwikScript.

Supprimer des boutons de commande

L'entrée sélectionnée dans la liste peut être supprimée à l'aide du symbole Supprimer de la boîte de dialogue de configuration ou de la touche <Suppr>.

Déplacer des boutons de commande

L'ordre des entrées de haut en bas dans la liste correspond à l'ordre des boutons de commande dans la barre d'outils de gauche à droite. Les deux flèches de la boîte de dialogue de configuration ou de la combinaison de touches <Alt+Flèche vers le haut> ou <Alt+Flèche vers le bas> permettent de déplacer l'entrée de liste sélectionnée.

Importation et exportation

Le bouton de commande Exportation sur le bord inférieur de la boîte de dialogue permet d'enregistrer le réglage des boutons de commande dans un fichier pour utiliser différentes configurations pour la barre d'outils KwikScript ou pour échanger les réglages entre différents PC.

Le bouton de commande "Importation" permet de réimporter un fichier ainsi créé.

Terminer l'édition

Lorsque tous les boutons de commande ont été configurés comme désiré, le bouton "OK" permet de fermer la boîte de dialogue. Toutes les entrées de la barre d'outils KwikScript sont remplacées par les entrées définies dans la boîte de dialogue.

En cliquant sur "Annuler", vous interrompez l'édition et fermez la boîte de dialogue, la barre d'outils KwikScript reste dans l'état dans laquelle elle était à l'ouverture de la boîte de dialogue.

Bon à savoir !

Vous pouvez positionner la barre d'outils KwikScript en-dessous ou à côté de la barre d'outils standard, la laisser flotter librement ou l'accrocher sur un autre bord (à gauche, à droite, en-dessous). Vous pouvez déplacer la barre d'outils en cliquant sur le bord gauche de celle-ci, en maintenant enfoncée la touche de la souris.

Grâce au menu de configuration de la barre d'outils qui s'ouvre lorsque vous cliquez sur la flèche, il est également possible d'influencer la visibilité des boutons de commande. Les boutons de commande invisibles s'affichent dans la boîte de dialogue et peuvent être édités. La commande de menu "Réinitialiser la barre d'outils" affiche tous les boutons de la barre d'outils KwikScript. Lors de l'exportation et de l'importation des paramétrages pour le bouton de commande, la visibilité est également prise en compte.

Attention !

Tant qu'un bouton de commande est enfoncé dans la barre d'outils (ne concerne que le type "commutateur"), il n'est pas possible d'ouvrir la boîte de dialogue de configuration.


Grands symboles d'outils

Lorsque l'option est activée, de grands symboles d'outils s'affichent. Désactiver l'option si la résolution est faible, pour gagner plus de place. Les grandes icônes peuvent augmenter la facilité d'utilisation, avec une résolution élevée.


Remarques sur les outils

Si vous avez sélectionné la fonction "info-bulles", un petit texte d'information s'affiche pour chaque bouton de la barre d'outils lorsque vous placez le pointeur de la souris sur le bouton respectif.


Ligne d'état

En fonction de l'état du programme, la ligne d'état contient cinq ou six champs qui vous informent de l'état actuel du programme ou qui affiche des informations utiles pour la manipulation. De gauche à droite, ces champs ont le contenu suivant :

· Brève description d'aide sur la commande de menu ou le bouton sélectionné, mais pas encore exécuté. Si vous n'avez rien sélectionné, l'info "F1 pour Aide" s'affiche pour le démarrage de l'aide en ligne.

· Si vous vous servez de la fonction Mesures/Enregistrement automatique pour créer un fichier de valeurs de mesure, le champ suivant affiche le répertoire et le nom du fichier. Ce champ n'est pas visible si aucun fichier n'a été enregistré.

· Le champ suivant affiche le port COM sélectionné et la vitesse de transmission.

· Lorsqu'une acquisition de mesure a été lancée, le champ suivant affiche le temps restant jusqu'au prochain cycle de mesure. Si aucune mesure n'est en cours, ce champs contient l'intitulé "dt:mm:ss" (mm:ss étant le cycle de mesure réglé).

· Les deux champs qui suivent contiennent la date et l'heure actuelles. A l'extrême droite, une "LED" rouge et une verte vous renseignent sur l'état de communication avec les appareils . Lorsque la LED rouge clignote, cela signifie que AMR WinControl envoie une commande, lorsque la LED verte clignote, c'est l'appareil qui répond.


Alarme

Il est possible de configurer individuellement la réaction du programme à un défaut. Sur appel de la fonction de menu Paramètres/Alarme, la boîte de dialogue "Paramètres d'alarme" s'affiche.

Les défauts possibles sont les suivants :

· Dépassement de la limite par valeur inférieure ou supérieure

· Rupture de ligne (de capteur)

· Perte de points de mesure (par ex. panne d'un appareil)

voir également :

Boîte de dialogue "Paramètres d'alarme"

Onglet "Alarme activer/désactiver"

Onglet "Réactions d'alarme"

Onglet "Points de mesure"

Onglet "Retard"

Onglet "Rappel"

Onglet "Commuter la sortie relais"

Onglet "Courriel"

Onglet "Préalarme"

Onglet "Retard préalarme"

Boîte de dialogue "Alarme"

Boîte de dialogue "Préalarme"


Boîte de dialogue "Paramètres d'alarme"

Dans la boîte de dialogue "Paramètres d'alarme" il est possible de définir, outre les réactions d'alarme internes au programme, qu'en cas d'alarme il est possible de lancer également d'autres applications. Pour réaliser les différents paramétrages, vous disposez de huit onglets.


Onglet "Alarme activer/désactiver"

Cet onglet vous permet de définir si une alarme doit être déclenchée ou non. Activez ou désactivez la réaction du programme en cas d'alarme d'un simple clic du bouton gauche de la souris dans la case à cocher à gauche du texte "Déclencher une alarme".


Onglet "Réactions d'alarme"

Cet onglet vous permet de sélectionner les fonctions d'alarme désirées internes au programme à l'aide des options suivantes :

Inscrire dans liste d'événements :

Sélectionner cette option si l'ordinateur d'acquisition doit gérer une liste des événements reprenant toutes les alarmes survenues.

Ouvrir un graphique en courbe :

Si vous avez sélectionné cette fonction, en cas d'alarme le système ouvre pour le point de mesure considéré un graphique en courbe dans lequel toutes les autres valeurs de ce point sont enregistrées.

Enregistrer l'historique :

Si en cas d'alarme vous voulez représenter les données de mesure non seulement à partir du début du défaut, mais également avant cet incident, sélectionner cette option. Dans le champ de saisie correspondant, saisir la durée désirée pendant laquelle vous voulez enregistrer l'historique.

Sauvegarde automatique :

Sélectionner cette option si vous voulez sauvegarder les valeurs de mesure du graphique en courbe également sur le disque dur en cas d'alarme. Si vous ne cochez pas cette option, les données sont gérées dans la mémoire vive de l'ordinateur.

Lire un son :

Pour la signalisation acoustique d'une alarme, saisir dans ce champ le chemin et le nom d'un fichier.wav. Dans Windows, ces fichiers .wav sont utilisés en standard pour différents signaux acoustiques et sont sauvegardés dans les configurations standard dans le répertoire Windows. Le bouton "Parcourir" permet d'ouvrir une boîte de dialogue de fichier qui vous permet de trouver rapidement le fichier désiré et de le valider dans le champ de saisie. Bien entendu, vous pouvez également utiliser d'autres fichiers que les fichiers de signalisation sonore Windows. En cliquant sur le bouton d'option qui convient, vous déterminez si le signal acoustique doit être répété.

Lancement d'un programme :

Si vous voulez exécuter un autre programme en cas d'alarme, indiquer le chemin d'accès et le nom de fichier de cette application dans le champ de saisie. Le bouton Parcourir permet d'ouvrir une boîte de dialogue de fichier qui vous permet de trouver rapidement le fichier désiré et de le valider dans le champ de saisie.

Dans le champ correspondant "Paramètres d'appel", vous pouvez saisir les paramètres d'appel du programme que vous voulez appeler en cas d'alarme. Par exemple, le paramètre d'appel C:\Alarm.txt signifie au programme C:\Windows\notepad.exe que le fichier C:\Alarm.txt va être ouvert et affiché par Notepad en cas d'alarme.

Vous pouvez en outre saisir des macros dans les paramètres d'appel. En cas d'alarme, celles-ci sont développées comme suit :

Macro | Développement en | Exemple
%1 | Pt mes. | 0.2
%2 | Commentaire | Température intérieure
%3 | Evénement | Dépassement de limite
%4 | Heure de l'alarme | 24/09/1999, 14:32:00

En cas d'alarme (par ex. dépassement de limite du point de mesure 0.2), les paramètres d'appel "%1 %2 %3 %4“ seraient transmis au programme à appeler sous la forme de "0.2 dépassement de limite température intérieure 24.9.1999, 14:32:00".

Cycle de mesure :

En cas d'alarme, vous pouvez définir ici la prise en charge de la mesure par un cycle de mesure différent de celui défini dans Paramètres/Cycle de mesure. Pour cela, activer cette fonction en cliquant avec le bouton gauche de la souris dans la case à cocher en section "Cycle de mesure" et saisir la valeur désirée dans le champ de saisie. En cas d'alarme (jusqu'à la confirmation d'une alarme), la mesure est effectuée dans ce cycle, sinon avec celui défini dans Paramètres/Cycle de mesure.


Onglet "Points de mesure"

Le traitement des alarmes peut être activé et désactivé de manière globale pour tous les points de mesure. Il est de plus possible dans la boîte de dialogue d'alarme ("Paramètres/Alarme") en page "Points de mesure", de basculer dans un mode dans lequel le traitement d'alarme ne sera effectué que pour le point de mesure qui y sera sélectionné.

Dans la liste des points de mesure, le symbole [image] s'affiche pour tous les points actuellement pris en compte dans le traitement des alarmes.

Attention !

La prise en compte et le retrait de points de mesure dans le traitement des alarmes ne doit être effectué que lorsqu'aucune mesure n'est en cours, de façon à permettre de rapporter en continu l'état de l'alarme.

Bon à savoir !

Dans la version "V / surveillance" il est possible d'activer et de désactiver le traitement des alarmes par commande selon calendrier, pour des points de mesure individuels. En outre, il est possible d'exclure du traitement des alarmes certains points de mesure, sur une période de temps donnée. (voir également : Calendriers de traitement des alarmes)


Onglet "Retard"

Pour chaque point de mesure, vous pouvez définir un retard d'alarme séparé. Ceci signifie qu'une alarme n'est déclenchée que lorsqu'une situation d'alarme s'arrête au bout du temps défini dans le retard. Le retard a une influence sur toutes les réactions définies dans l'onglet "Réactions d'alarme" ainsi que sur la commutation du relais de sortie.

Pour paramétrer les temps de retard, exécuter la fonction de menu Paramètres/Alarme. Dans la boîte de dialogue "Paramètres d'alarme" qui s'affiche, vous trouvez l'onglet "Retard". Pour activer/désactiver en bloc le retard d'alarme, cliquer avec le bouton gauche de la souris dans le bouton d'option à gauche du texte "Activer le retard d'alarme". Le tableau qui s'affiche comporte tous les points de mesure du système (y compris les voies de calcul globales). La colonne "Retard" permet de définir un retard spécifique pour chaque point de mesure. L'indication s'effectue en secondes.

Bon à savoir !

Dans la colonne "Retard", il est possible de marquer une zone contigüe et à l'aide de la combinaison de touches "Ctrl+V" de récupérer le contenu du presse-papiers dans toutes les cellules marquées, si le presse-papiers contient du texte.


Onglet "Rappel"

On peut à l'aide du rappel éviter que l'acquittement d'une alarme fasse cesser toute signalement optique ou acoustique indépendamment du fait que la situation ayant engendré l'alarme existe encore ou non.

En l'absence de cette entrée ou si la durée saisie est zéro seconde, alors l'alarme est immédiatement redéclenchée après son acquittement si la situation d'alarme perdure.

Si sur l'onglet "Rappel" est réglé une durée différente de zéro, toute alarme se redéclenche après cette durée si sa cause n'a pas disparu.


Onglet "Commuter la sortie relais"

Sur cet onglet vous pouvez définir sur quel appareil (le module de sortie étant branché) vous voulez exciter quels relais en cas d'alarme.

Les sorties relais disponibles s'affichent dans le champ "Sortie relais standard" en gras et peuvent être sélectionnées par clic. Les relais sélectionnés sont alors mis en évidence en bleu et peuvent à nouveau être désélectionnés en cliquant encore une fois.

Si l'option "Préalarme" est autorisée, la zone "Sortie relais préalarme standard" vous offre la possibilité de sélectionner la sortie relais devant commuter lorsqu'une valeur se trouve à proximité de la limite. (voir également : Onglet "Préalarme")

Le libellé des sorties relais affichées est toujours constitué du numéro de l'appareil et du numéro du relais commençant par 0.

Exemple :

G01: R00 désigne le 1er relais sur l'appareil de mesure, dont le numéro est 1.

Bon à savoir !

Les sorties relais sélectionnées sur les appareils de mesure momentanément indisponibles s'affichent en police mince.

Attention !

Le programme ne peut commuter les relais d'un module de sortie que lorsque le mode 8 (commande externe) a été programmé dans ce module. Vous pouvez reprogrammer les modules de sortie dans la boîte de dialogue "Propriétés des appareils de mesure / Divers". Si le système comporte un appareil de mesure sans module de sortie (valide), il n'est pas possible de le sélectionner.

Il est également possible de définir si le signal de sortie doit être appliqué aux relais de manière statique ou transmis sous forme d'impulsion. Sélectionner le mode de service désiré d'un simple clic avec le bouton gauche de la souris dans le bouton d'option à gauche du texte respectif. Si vous avez sélectionné le mode "impulsion", vous pouvez indiquer une période de temps pour la répétition des impulsions. En outre, la duré de l'impulsion peut être indiquée en secondes. En confirmant un message d'alarme, le signal de sortie est remis à zéro (aucune autre impulsion n'est transmise).

Affectation individuelle de relais

Outre la possibilité d'éditer une alarme de somme sur un relais quelconque du réseau ALMEMO, vous pouvez affecter à chaque point de mesure individuel un relais de votre choix parmi ceux existants sur le réseau ALMEMO.

Le bouton Affectation individuelle de relais permet d'ouvrir la boîte de dialogue "Affectation individuelle de relais". Ici, vous pouvez définir individuellement pour chaque point de mesure quel relais vous voulez utiliser en cas de dépassement de limite par valeur inférieure ou supérieure ou en cas d'autres défauts.

D'un simple clic du bouton gauche de la souris dans un élément du tableau, vous obtenez le bouton pour ouvrir une liste de sélection. Cette liste comporte tous les relais disponibles dans le réseau ALMEMO . Une entrée de liste se compose des éléments numéro d'appareil et numéro de relais (n:Rxy). "Standard" désigne le relais sélectionné pour l'alarme de somme.

D'un simple clic avec le bouton gauche de la souris sur le relais désiré, vous l'insérez dans le tableau et l'alarme respective sortira sur celui-ci.

Si l'option "Préalarme" est autorisée, vous avez de plus la possibilité de sélectionner la sortie relais devant commuter lorsqu'une valeur se trouve à proximité de la limite3 (voir également : Onglet "Préalarme")


Onglet "Courriel"

Si en cas d'alarme AMR WinControl doit envoyer automatiquement des courriels, il faut activer cette option sur l'onglet.

La génération de courriels s'effectue sur la base de règles qui doivent être définies au préalable. L'onglet affiche une liste de toutes les règles définies.

Les boutons Nouvelle règle, Nouvelle règle système et Editer règle ouvrent la boîte de dialogue "Edition de règle de courriel" dans laquelle vous pouvez définir une nouvelle règle ou en modifier une existante.

Le bouton Supprimer règle vous permet de retirer définitivement la règle sélectionnée dans la liste. Vous pouvez définir autant de règles que vous voulez.

Attention !

Si vous utilisez MS Outlook Express comme programme de messagerie compatible Simple MAPI, le logiciel AMR WinControl peut se bloquer en raison d'une erreur de MS Outlook Express lorsqu'il faut envoyer un fichier comme courriel et que des courriels d'alarme sont envoyés en même temps. Afin de se prémunir contre cette erreur, il ne faut pas changer MailAutoLogOff (voir également : Paramètres spéciaux pour l'envoi de messages d'alarme par courriel) dans la configuration, et il ne faut envoyer des fichiers de mesures que lorsque la mesure est arrêtée et que le traitement des alarmes est désactivé.

Veuillez respecter les Conditions d'envoi de messages électroniques par Simple MAPI.

Boîte de dialogue "Edition de règle de courriel"

Définir dans le champ "Nom de règle" un nom unique et clair pour la règle. AMR WinControl inscrit ici automatiquement une proposition, qui peut cependant être changée tant que le nom reste clair. Tous les caractères sont autorisés.

Vous pouvez choisir dans la liste "Evénements" sur quel événement doit être généré un courriel. Il faut sélectionner au moins un événement.

Bon à savoir !

"Dépassement de limite proche" et "Soupassement de limite proche" se rapportent aux paramètres de longlet "Préalarme".

Dans la liste "Points de mesure" vous devez sélectionner les points de mesure devant être contrôlés sur l'événement sélectionné et sur déclenchement duquel le courriel doit être généré. Pour les alarmes par courriel, il faut au moins avoir sélectionné un point de mesure. Avec les règles système, cela n'est pas nécessaire.

Pour sélectionner plusieurs entrées, il est possible d'utiliser les touches CTRL et MAJ.

Vous pouvez saisir dans le champ "Objet" n'importe quel texte ne dépassant pas 255 caractères. Ce texte sera repris en objet pour le message électronique. Si aucun texte n'est saisit, AMR WinControl vous alerte afin de s'assurer que ce champ n'est pas resté vide par erreur.

Le corps du message électronique doit être écrit dans le champ "Texte". Vous pouvez utiliser jusqu'à 3000 caractères.

Le champ "Destinataire" enregistre tous les destinataires souhaités pour le message électronique. Vous pouvez y porter l'adresse électronique complète ou le pseudonyme enregistré dans l'annuaire interne de AMR WinControl. Les destinataires sont séparés par un point-virgule (";"). Le bouton "V" en fin de ligne ouvre la liste des destinataires mémorisés dans l'annuaire et les insère automatiquement dans la liste des destinataires par un clic de souris sur l'entrée. Il faut indiquer au moins un destinataire.

Pour ne pas envoyer de courriels en permanence pour des événements se répétant sans cesse, vous pouvez indiquer dans le champ "intervalle de carence" une durée de la forme "heure:minute:seconde" qui doit s'écouler au moins entre deux mails générés du fait de la règle choisie.

En outre, vous pouvez activer l'envoi global avec l'option "Collecter tous les messages et…" à la dernière ligne de la boîte de dialogue. Vous pouvez à cet effet indiquer une heure dans le champ correspondant de cette ligne. Dès que cette option est activée, les messages électroniques générés du fait de la règle choisie sont collectés et regroupés à l'heure dite en un courriel qui sera alors expédié.

Afin de pouvoir intégrer au message électronique les informations sur l'alarme déclenchée, il est possible d'utiliser des substituts dans les champs "Objet" et "Texte". Ces caractères de remplacement seront remplacés par les bonnes indications lorsque le courriel sera généré. Les substituts autorisés sont les suivants :

%1 est remplacé par le numéro du point de mesure
(ne vaut pas pour les règles système).

%2 est remplacé par le commentaire du point de mesure
(ne vaut pas pour les règles système).

%3 est remplacé par l'événement déclencheur.

%4 est remplacé par la date et l'heure de l'alarme.

Le texte d'une règle de courriel d'alarme

L'incident "%3" est survenu le %4 sur le point de mesure %1 %2. Veuillez contacter sans délai le technicien de service. (Tél. : 0172/0815 0815)

deviendrait alors

L'incident "franchissement de seuil" est survenu le 26.03.2009 16:56:35 sur le point de mesure 0.1. Veuillez contacter sans délai le technicien de service. (Tél. : 0172/0815 0815)

si le point de mesure 0.1 test a fait l'objet d'un dépassement de limite le 28/01/2002 à 16 h 56:35.

En cliquant sur OK la règle est intégrée à la liste des règles, avec Annuler vous interrompez l'édition/la création de la règle et toutes les modifications sont rejetées. En cliquant sur le bouton Annuaire… vous ouvrez l'annuaire et vous pouvez y visualiser, éditer et effacer des entrées.

Bon à savoir !

Si le curseur est placé sur le champ "Texte", l'appui sur la touche <Entrée> ne sera pas interprété comme commande de fermeture de la boîte de dialogue mais provoquera un saut de ligne dans le texte du message.

Boîte de dialogue "Edition de règle système"

La boîte de dialogue d'ajout ou d'édition des règles système diffère juste par quelques points de la boîte de dialogue "Edition de règle de courriel". Ces différences sont les suivantes :

Il n'existe pas de liste "Points de mesure", les règles système étant définies pour des événements qui ne sont pas dépendants des points de mesure. La liste "Evénements" s'étend donc sur le côté gauche de la boîte de dialogue, sur toute la hauteur.

Les événements pouvant être sélectionnés sont les suivants :

· Erreur établissement de connexion autom. : Survient lorsque l'activation automatique d'une connexion par calendrier a échoué sur une durée de cinq minutes.

· Erreur lecture autom. mémoire : Survient lorsqu'une erreur a été constatée lors de la lecture automatique ou de la poursuite de la mémorisation interne cyclique d'un appareil de mesure ALMEMO (voir : Lecture automatique de la mémoire ALMEMO). Cette règle système n'est disponible que lorsque la lecture automatique de la mémoire, en option, a été débridée dans AMR WinControl.

Pour valider les informations via le message système déclenché, il est possible d'utiliser des substituts dans les champs "Objet" et "Texte". Ces caractères de remplacement seront remplacés par les bonnes indications lorsque le courriel sera généré. Les substituts autorisés sont les suivants :

%3 est remplacé par l'événement déclencheur.

%4 est remplacé par la date et l'heure de l'alarme.

Attention !

Contrairement aux règles pour les alarmes par courriel, les substituts %1 et %2 ne sont pas gérés ici car les messages système ne dépendent d'aucun point de mesure.


Onglet "Préalarme"

Pour certaines applications il peut être intéressant de recevoir un message dès que les mesures s'approchent des limites. A cette fin, des préalarmes ont été introduites. Pour chaque point de mesure, vous pouvez indiquer une différence par rapport aux seuils dont le dépassement déclenche une préalarme.

Attention !

La fonction "Préalarme" est optionnelle et pas disponible dans chaque version du programme. Les onglets "Préalarme" et "Retard préalarme" ne sont affichés que si l'option a été débridée par le logiciel.

Pour activer/désactiver d'une manière générale le retard d'alarme, cliquer dans le bouton d'option à gauche du texte "Activer la préalarme". Le tableau qui s'affiche comporte tous les points de mesure du système (y compris les voies de calcul globales). Dans la colonne "Ecart limite", vous pouvez déterminer une différence spécifique par rapport aux limites pour chaque point de mesure. La saisie s'effectue dans l'unité du point de mesure respectif.

Le déclenchement d'une préalarme peut en plus être signalé par un son ou par le lancement d'un programme. Les entrées nécessaires sont effectuées de manière analogue au paramétrage d'une alarme (voir également : onglet "Réactions d'alarme").


Onglet "Retard préalarme"

Pour chaque préalarme il est possible de régler une temporisation distincte. Ceci signifie qu'une préalarme n'est déclenchée que lorsqu'une situation de préalarme s'arrête au bout du temps défini dans le retard. Le retard agit sur le message de préalarme et toutes les réactions définies sur l'onglet "Préalarme".

Pour paramétrer les temps de retard, exécuter la fonction de menu Paramètres/Alarme. Dans la boîte de dialogue "Paramètres d'alarme" qui s'affiche, vous trouvez l'onglet "Retard préalarme". Pour activer ou désactiver d'une manière générale le retard de préalarme, cliquer dans le bouton d'option à gauche du texte "Activer le retard de préalarme". Le tableau qui s'affiche comporte tous les points de mesure du système (y compris les voies de calcul globales). La colonne "Retard" permet de définir un retard spécifique pour chaque point de mesure. L'indication s'effectue en secondes.

Attention !

La fonction "Préalarme" est optionnelle et pas disponible dans chaque version du programme. Les onglets "Préalarme" et "Retard préalarme" ne sont affichés que si l'option a été débridée par le logiciel.


Boîte de dialogue "Alarme"

Si un cas d'alarme survient en cours de mesure et à alarme activée, un message apparaît à l'écran dans tous les cas.

Ce message contient l'instant de l'alarme, le point de mesure déclencheur et l'événement. Il est possible d'acquitter uniquement l'alarme qui s'affiche ou toutes les alarmes survenues jusqu'à cet instant.

Acquittement individuel d’alarme

L'acquittement individuel d'une alarme s'effectue toujours dans l'ordre d'apparition des alarmes. S'affichent également les messages relatifs à des situations d'alarme qui sont survenues après la première alarme, mais disparues au moment de l'acquittement.

Acquittement collectif d’alarmes

Toutes les alarmes survenues jusqu'à l'instant de l'acquittement sont acquittées.

Attention !

Le message d'alarme réapparaît immédiatement après l'acquittement si la situation déclenchante existe toujours et que dans les paramètres d'alarme, une temporisation de réactivation est réglée à 0 secondes.

Attention !

Si une temporisation de réactivation a été réglée, en cas de situation d'alarme persistante, l'alarme ne sera à nouveau signalée que lorsque la durée de rappel sera écoulée.

Bon à savoir !

Si la protection par mot de passe est activée, lors de l'acquittement le nom d'utilisateur et le mot de passe sont demandés si aucun utilisateur n'est déclaré. Il est de plus possible de saisir un commentaire qui sera porté dans la liste des événements. (voir également : La protection par mot de passe)

Il est possible d'acquitter des alarmes via le serveur Web intégré si la protection par mot de passe est activée. (voir également : Le serveur Web)

Les fonctions "Protection par mot de passe" et "Serveur Web" sont en option et ne sont pas disponibles dans toutes les versions du programme.


Boîte de dialogue "Préalarme"

Si un cas de préalarme survient en cours de mesure et à préalarme activée, un message apparaît à l'écran dans tous les cas.

Ce message contient l'instant de la préalarme, le point de mesure déclencheur et l'événement. Il est possible d'acquitter uniquement l'alarme qui s'affiche ou toutes les alarmes survenues jusqu'à cet instant.

Acquittement individuel d’alarme

L'acquittement individuel d'une alarme s'effectue toujours dans l'ordre d'apparition des alarmes. S'affichent également les messages relatifs à des situations d'alarme qui sont survenues après la première alarme, mais disparues au moment de l'acquittement.

Acquittement collectif d’alarmes

Toutes les alarmes survenues jusqu'à l'instant de l'acquittement sont acquittées.

Attention !

Le message de préalarme réapparaît immédiatement après l'acquittement si la situation déclenchante existe toujours et que dans les paramètres d'alarme, une temporisation de réactivation est réglée à 0 secondes.

Attention !

Si une temporisation de réactivation a été réglée, en cas de situation d'alarme persistante, la préalarme ne sera à nouveau signalée que lorsque la durée de rappel sera écoulée.

Attention !

La fonction "Préalarme" est optionnelle et pas disponible dans chaque version du programme. Les onglets "Préalarme" et "Retard préalarme" ne sont affichés que si l'option a été débridée par le logiciel.

Bon à savoir !

Si la protection par mot de passe est activée, lors de l'acquittement le nom d'utilisateur et le mot de passe sont demandés si aucun utilisateur n'est déclaré. Il est de plus possible de saisir un commentaire qui sera porté dans la liste des événements. (voir également : La protection par mot de passe)

La fonction "Protection par mot de passe" est optionnelle et pas disponible dans chaque version du programme.


Courriel

L'envoi de courriels depuis le logiciel s'effectue au choix depuis un programme de messagerie électronique installé localement (Simple MAPI) ou directement par SMTP.

La plupart des programmes de messagerie compatibles Simple MAPI ne nécessitent aucune donnée explicite sur l'expéditeur, mais utilisent automatiquement lors de l'appel depuis AMR WinControl, l'expéditeur défini dans le logiciel de messagerie électronique. Il est malgré tout possible sous AMR WinControl de convenir d'un expéditeur pour les e-mails qui sera toujours utilisé si le logiciel de messagerie ne dispose d'aucun paramètre par défaut ou qu'il ne peut utiliser ceux-ci.

A l'aide de la fonction Paramètres/courriel vous pouvez saisir les indications indispensables à l'envoi automatique des messages d'alarme au destinataire et les données d'accès à SMTP.

voir également :

Boîte de dialogue "Paramètres généraux d'envoi de courriel"

Boîte de dialogue "Annuaire de courriel"

Conditions d'envoi de messages électroniques par Simple MAPI


Boîte de dialogue "Paramètres généraux d'envoi de courriel"

Expéditeur :

L'expéditeur doit avoir un nom valide ainsi qu'une adresse de courriel valide. Saisir ceux-ci dans les champs correspondants. Les noms valides sont constitués de tout caractère sauf "@". Les adresses valides doivent comporter exactement un "@" situé ni en première, ni en dernière position. Les espaces sont interdits. Si vous convenez de caractères spéciaux dans les noms ou l'adresse, cela dépend du programme de messagerie si ceux-ci seront correctement convertis. C'est pourquoi nous vous conseillons de ne pas utiliser de caractères spéciaux.

Mode d'envoi :

Choisir "utiliser programme de messagerie installé localement (Simple MAPI)" si un programme de messagerie électronique a été installé sur l'ordinateur, avec lequel les messages sont généralement envoyés.

"Connexion directe avec serveur de courrier sortant (SMTP)" est recommandé si vous disposez de données d'accès à un serveur de messagerie électronique et si aucun programme de messagerie électronique n'a été installé sur l'ordinateur ou si ce programme ne satisfait pas aux conditions d'envoi de message électronique par Simple MAPI.

Nom du serveur :

Indiquer ici le nom ou l'adresse IP du serveur à partir des données d'accès.

Port :

Indiquer ici le port TCP du serveur de messagerie électronique. Conserver la valeur standard 25 si rien d'autre n'a été indiqué dans les données d'accès.

Méthode d'authentification :

choix de la manière dont le logiciel transmet le nom d'utilisateur et le mot de passe au serveur de messagerie. "Automatique" est recommandé si le serveur de messagerie attend le nom d'utilisateur et le mot de passe, mais qu'aucune méthode d'authentification n'a été indiquée ni exigée dans les données d'accès.

Bon à savoir !

Une liaison SSL codée n'est pas gérée.

Identifiant :

Le nom de l'utilisateur, issu des données d'accès, attendu par le serveur de messagerie pour authentification.

Mot de passe :

Le mot de passe associé à l'utilisateur, issu des données d'accès et que le serveur de messagerie nécessite pour authentification.

Gestion d'annuaire :

Vous pouvez créer un annuaire des destinataires les plus fréquemment utilisés. Cliquer à cet effet sur le bouton Gestion d'annuaire afin d'ouvrir la boîte de dialogue "Annuaire de courriels".


Boîte de dialogue "Annuaire de courriel"

AMR WinControl utilise son propre annuaire de destinataires de courriels pour être indépendant du logiciel de messagerie installé. Dans l'annuaire, on affecte un nom univoque par adresse de destinataire (souvent utilisée) Ce nom peut servir dans AMR WinControl lorsqu'il faut saisir l'adresse du destinataire.

Toutes les entrées de la liste s'affichent avec le nom et l'adresse électronique. En cliquant avec le bouton gauche de la souris sur une entrée, celle-ci apparaît dans la partie "entrée en cours" et elle peut y être éditée.

Entrée actuelle :

Vous pouvez changer les indications en cours situées dans les champs de saisie "Nom " et "Courriel". Le nom et l'adresse de l'entrée actuellement sélectionnée s'affichent. Pour éditer une entrée, la sélectionner avec la souris dans la liste en partie haute de la boîte de dialogue.

Pour saisir une nouvelle entrée dans la liste, cliquer sur le bouton Nouveau puis saisir le nom et l'adresse électronique dans les champs respectifs. En cliquant sur le bouton Valider les modifications ou les nouvelles entrées de la liste seront enregistrées. Si le nom n'est pas unique, AMR WinControl signale une erreur et permet de rectifier. Le bouton Supprimer permet de retirer de la liste l'entrée en cours.


Conditions d'envoi de messages électroniques par Simple MAPI

Pour que AMR WinControl puisse envoyer des courriels en cas d'alarme, il faut qu'un logiciel de messagerie compatible Simple MAPI soit installé sur l'ordinateur où est installé AMR WinControl (par ex. MS Outlook, MS Outlook Express, Windows Live Mail, Eudora, ...). L'envoi de messages depuis le programme de messagerie doit fonctionner sans erreur.

Programme de messagerie par défaut

Le programme de messagerie électronique par lequel les courriels doivent être envoyés doit être déclaré comme programme de messagerie électronique par défaut. Dans de nombreux cas, les programmes demandent lors du premier démarrage si vous voulez les enregistrer comme programme de messagerie électronique par défaut. Il est en outre possible d'effectuer cet enregistrement dans les options du programme de messagerie. Ce réglage peut également s'effectuer dans le panneau de configuration sous Options internet/programmes (Windows XP, 2003) ou sous Programmes par défaut (Windows Vista, 7, 2008).

Envoi immédiat des messages

Pour envoyer des messages électroniques également lorsque le programme de messagerie n'est pas lancé, celui-ci doit être configuré de sorte que les messages soient envoyés immédiatement et ne soient pas collectés dans la boîte d'envoi. Consulter les options et l'aide du programme de messagerie électronique pour effectuer ce réglage.

Afficher l'avertissement

Certains programmes de messagerie affichent un avertissement lorsque d'autres programmes essaient d'envoyer un message électronique par Simple MAPI. Cet avertissement doit être acquitté manuellement, ce qui rend l'envoi de courriels automatiques impossible. La plupart des programmes permettent de désactiver cet avertissement dans les options ou les paramètres de sécurité. Le cas échéant, le programme de courrier électronique doit être exécuté explicitement en tant qu'administrateur pour être autorisé de modifier ce réglage.

Dans MS Outlook, ce réglage est systématiquement ignoré. Pour MS Outlook 2007 et 2010, Microsoft met à disposition les informations suivantes :

MS Outlook 2007 :
http://support.microsoft.com/kb/953806/

MS Outlook 2010 :
http://support.microsoft.com/kb/2723336

Nous n'assumons aucune responsabilité ni garantie pour les informations fournies par Microsoft et ne pouvons pas non plus assurer une assistance dans ce domaine. Veuillez vous adresser à votre administrateur pour effectuer ces réglages puisque ceci constitue une intervention dans la sécurité du système.

Profils

MS Outlook permet de créer plusieurs profils sur un même système et de les protéger par un mot de passe. AMR WinControl essaie d'envoyer ses courriels par le profil par défaut. Si aucun profil n'a été configuré par défaut, un message correspondant s'affiche dans AMR WinControl. Il est possible d'indiquer le profil et le mot de passe dans la configuration de AMR WinControl. (voir également : Paramètres spéciaux pour l'envoi de messages d'alarme par courriel) De plus, il est possible de consulter les profils dans le panneau de configuration sous E-mail.

Autres paramétrages

Afin de pouvoir envoyer des courriels en cas d'alarme, il faut convenir de certaines règles. Vous pouvez définir autant de règles que désiré, dans lesquelles sera défini quand, comment et à qui doit être envoyé un courriel. Les réglages nécessaires à cet effet s'effectuent dans la boîte de dialogue "Paramètres d'alarme" dans l'onglet "Courriel".


Commande et régulation

Pour permettre de configurer aisément les paramètres de commande et de régulation, vous disposez de la fonction Paramètres/Commande et régulation pour définir et gérer des régulateurs tout ou rien, des régulateurs proportionnels et des commandes horaires. Pour convertir des régulateurs PID (voir également : Fonction de calcul "pid"), une fonction adéquate a été mise en œuvre pour les voies de calcul.

voir également :

Régulateur tout ou rien

Boîte de dialogue "Régulateur tout ou rien"

Commande temporisée

Boîte de dialogue "Commande temporelle"

Régulateurs proportionnel

Boîte de dialogue "Régulateur proportionnel"


Régulateur tout ou rien

Une sortie relais est activée sur dépassement d'une valeur définie d'un point de mesure (d'une voie de calcul) et désactivée sur soupassement d'une valeur de mesure de ce point. Vous pouvez définir autant de régulateurs tout ou rien que vous voulez.

La boîte de dialogue de création d'un régulateur tout ou rien s'obtient dans l'onglet "Régulateur tout ou rien" dans la boîte de dialogue "Commande et régulation" par le bouton Nouveau régulateur ou bien pour ceux déjà définis, par Editer régulateur. Vous pouvez supprimer les régulateurs sélectionnés dans la liste à l'aide du bouton Supprimer régulateur.

On peut en outre activer/désactiver rapidement les régulateurs existants en les activant ou désactivant par la case à cocher à côté du nom. Ce paramétrage correspond au point "Activer ce contrôle" dans les boîtes de dialogue de propriétés des régulateurs.

Attention !

Sur une sortie du même relais peuvent agir autant de régulateur que vous voulez. L'utilisateur doit lui-même s'assurer que les recoupements indésirables ne se produisent pas.


Boîte de dialogue "Régulateur tout ou rien"

Pour activer une sortie relais sur dépassement d'une valeur définie d'un point de mesure (d'une voie de calcul) et la désactiver sur soupassement d'une valeur de mesure de ce point, vous pouvez procéder aux entrées suivantes :

Activez ou désactivez un régulateur tout ou rien d'un simple clic avec le bouton gauche de la souris dans le bouton d'option à gauche du texte "Activer ce régulateur".

Attribuez dans le champ de saisie "Nom" un nom unique et clair à l'élément défini.

Attention !

Dans chaque catégorie de règle le nom doit être unique. En cas d'essai d'affecter plusieurs règles au même nom, vous obtiendrez un avertissement et la boîte de dialogue ne pourra être quittée avec OK. Si vous changez le nom d'un régulateur alors que celui-ci est déjà actif, son bon fonctionnement ne peut être garantit.

Sélectionnez dans "Point de mesure" le point de mesure à surveiller parmi la liste.

Dans "Relais", sélectionnez dans les listes les relais à commuter sur les appareils voulus.

Saisissez dans les champs de saisie correspondant les valeurs qui doivent servir de seuil d'activation et de désactivation.


Commande temporisée

Une sortie relais est activée ou désactivée en début ou en fin de mesure après écoulement d'un temps réglable. Vous pouvez définir autant de commandes que vous voulez.

La boîte de dialogue de création d'une commande temporelle s'obtient dans l'onglet "Commande temporelle" dans la boîte de dialogue "Commande et régulation" par le bouton Nouveau régulateur ou bien pour les commandes temporisées déjà définies, par Editer régulateur. Vous pouvez supprimer les commandes temporisées sélectionnées dans la liste à l'aide du bouton Supprimer régulateur.

On peut en outre ici activer/désactiver rapidement les commandes temporelles existantes en les activant ou désactivant par la case à cocher à côté du nom. Ce paramétrage correspond au point "Activer ce contrôle" dans la boîte de dialogue de propriétés des commandes temporelles.

Attention !

Sur une sortie du même relais peuvent agir autant de commandes que vous voulez. L'utilisateur doit lui-même s'assurer que les recoupements indésirables ne se produisent pas.


Boîte de dialogue "Commande temporelle"

Pour activer ou désactiver une sortie relais en début ou en fin de mesure après écoulement d'un temps réglable, vous pouvez saisir les éléments suivants :

Activez ou désactivez une commande temporisée d'un simple clic avec le bouton gauche de la souris dans le bouton d'option à gauche du texte "Activer ce contrôle"..

Attribuez dans le champ de saisie "Nom" un nom unique et clair à l'élément défini i.

Attention !

Dans chaque catégorie de régulateur le nom doit être unique. En cas de tentative d'affecter le même nom à plusieurs régulateurs, vous obtiendrez un avertissement et la boîte de dialogue ne pourra être quittée avec OK. Si vous changez le nom d'un régulateur alors que celui-ci est déjà actif, son bon fonctionnement ne peut être garanti.

Définissez dans "instant de commutation" la durée devant s'écouler jusqu'à la commutation et choisissez si le calcul de l'instant de commutation doit commencer avec le début de la mesure ou avec la fin de la mesure.

Dans "Relais", sélectionnez dans les listes les relais à àctiver ou à désactiver sur les appareils voulus.


Régulateurs proportionnel

Avec le logiciel AMR WinControl, il est possible de délivrer un signal sur les sorties analogiques (câble de sortie A2 ou sortie fixe intégrée) des appareils ALMEMO.

La sortie s'effectue par un régulateur proportionnel logiciel qui délivre la valeur de mesure d'un point de mesure quelconque (voie de calcul) sous forme de signal.

La boîte de dialogue de création d'un régulateur proportionnel s'obtient dans l'onglet "Régulateur proportionnel" dans la boîte de dialogue "Commande et régulation" par le bouton Nouveau régulateur ou bien pour ceux déjà définis, par Editer régulateur. Vous pouvez supprimer les régulateurs sélectionnés dans la liste à l'aide du bouton Supprimer régulateur.

On peut en outre activer/désactiver rapidement les régulateurs existants en les activant ou désactivant par la case à cocher à côté du nom. Ce paramétrage correspond au point "Activer ce contrôle" dans les boîtes de dialogue de propriétés des régulateurs.

Attention !

Un nombre quelconque de régulateurs peut accéder à une même sortie analogique. L'utilisateur doit lui-même s'assurer que les recoupements indésirables ne se produisent pas.


Boîte de dialogue "Régulateur proportionnel"

Pour éditer la valeur d'un point de mesure défini (voie de calcul) sur un canal de sortie, on peut procéder aux saisies suivantes :

Activez ou désactivez un régulateur proportionnel d'un simple clic avec le bouton gauche de la souris dans le bouton d'option à gauche du texte "Activer ce régulateur".

Attribuez dans le champ de saisie "Nom" un nom unique et clair à l'élément défini.

Attention !

Dans chaque catégorie de régulateur le nom doit être unique. En cas de tentative d'affecter le même nom à plusieurs régulateurs, vous obtiendrez un avertissement et la boîte de dialogue ne pourra être quittée avec OK. Si vous changez le nom d'un régulateur alors que celui-ci est déjà actif, son bon fonctionnement ne peut être garanti.

Dans la zone de liste "Point de mesure" vous devez sélectionner exactement le point (ou la voie de calcul) dont vous voulez éditer la valeur. Dans la liste "Appareil" sélectionnez l'appareil dont la sortie analogique doit être utilisée. Ce qui compte c'est de bien régler le type de câble, car il n'est pas possible par logiciel de définir automatiquement le type. Un mauvais choix conduit à des sorties inattendues et erronées.

Bon à savoir !

La valeur éditée sur la voie de sortie est toujours la valeur actuelle du point de mesure. L'échelle interne utilisée lors de l'édition directe des mesures sur une voie de sortie, sans logiciel, n'est pas prise en compte. Une mise à l'échelle peut toujours être effectuée par les voies de calcul.

Attention !

La présence de modules de sortie intégrés en fixe dans les appareils ne pouvant être lue dans tous les cas par logiciel, on obtient le cas échéant un message d'erreur lors de l'appel de la boîte de dialogue des propriétés. Celui-ci indique qu'aucun module de sortie n'a été trouvé. Dans ce cas vous devez quitter le programme et ouvrir la configuration : inscrivez dans celui-ci à la section [Settings] la ligne IgnoreA2RK=1. Au prochain lancement du programme, tous les appareils pour sélectionner la sortie analogique sont proposés dans le dialogue ci-dessus ; à l'utilisateur de choisir celui qui convient.

Bon à savoir !

Comment trouver la configuration et ce qu'il faut alors observer, se trouve au chapitre trouver la configuration.

En utilisant plusieurs appareils, il est judicieux de n'éditer sur les modules de sortie que les voies de calcul afin d'éviter tout problème de communication à la commutation lors de la scrutation des points de mesure.


Protection par mot de passe

AMR WinControl contient une protection par mot de passe pouvant réguler l'accès aux éléments et fonctions du logiciel. Il peut alors pour chaque utilisateur être défini individuellement quelles actions peuvent être effectuées dans AMR WinControl.

Attention !

La fonction "Protection par mot de passe" est optionnelle et pas disponible dans chaque version du programme. (voir également : La protection par mot de passe).


Taille du tampon des valeurs de mesure

La fonction d'un tampon de valeurs de mesure à définition individuelle est disponible pour les affichages du graphique en courbe, XY et tableau.

Pour définir la taille du tampon des valeurs de mesure, servez-vous de la commande de menu Paramètres / Taille du tampon des mesures. Dans la boîte de dialogue "Taille maximale du tampon des valeurs de mesure", vous pouvez saisir la valeur désirée dans le champ de saisie. La valeur par défaut est de deux mégaoctets.

Après confirmation et fermeture de la boîte de dialogue, la valeur saisie dans le champ est validée pour tous les types d'affichage (graphique en courbe, XY et tableau). Le tampon défini est disponible sur chaque graphique en courbe / XY ou chaque tableau existant. Cette limitation n'a aucune incidence sur "l'enregistrement automatique".

Lorsqu'un tampon de valeurs de mesure est plein, la valeur la plus ancienne dans le tampon est rejetée sur chaque arrivée d'une nouvelle valeur de mesure.

Attention !

Vous ne pouvez diminuer la taille définie d'un tampon qu'après :

· Lancement du programme.

· Arrêt de la mesure et validation des valeurs de mesure.

Une taille de tampon définie est automatiquement mise à nouveau à disposition à chaque démarrage du programme et vous pouvez continuer de l'utiliser ou la modifier selon les nécessités.


Couleurs

La commande de menu "Paramétres/Couleurs" ouvre une boîte de dialogue par laquelle on peut régler les couleurs que doit utiliser AMR WinControl pour afficher certains états de signaux. Ces paramètres de couleur sont ensuite utilisés globalement pour tous les graphiques d'un type donné.

Il est alors possible de définir selon les options disponibles trois ou cinq couleurs :

· Normal

· Dépassement de limite

· Soupassement de limite

· Valeur proche de limite supérieure (en option)

· Valeur proche de limite inférieure (en option)

Attention !

Les couleurs "Valeur proche de limite supérieure" et "Valeur proche de limite inférieure" ne sont disponibles que si l'option "Préalarme" a été débridée.

voir également :

Onglet "Graphique à barres"


Onglet "Graphique à barres"

Sur l'onglet "Graphique à barres" vous pouvez définir les couleurs de tous les graphiques à barres dans AMR WinControl.


Répertoires

La commande de menu "Paramètres/Répertoires" ouvre une boîte de dialogue par laquelle on peut régler les répertoires que doit utiliser AMR WinControl pour enregistrer et charger certains types de fichiers. Ces paramètres de répertoire sont ensuite utilisés globalement pour tous les fichiers d'un type donné.

Il est alors possible d'indiquer des répertoires pour les types de fichier suivants :

Fichiers de valeurs de mesure

Donne le répertoire devant être proposé par défaut lors de l'enregistrement de fichiers de mesures par l'utilisateur (voir également : Fichier/Enregistrer et Fichier/Enregistrer intervalle). Le répertoire est utilisé avec les commandes de menu Fichier/Enregistrer intervalle, Fichier/Enregistrer, Fichier/Enregistrer sous ou bien le bouton de commande correspondant dans la barre d'outils.

Attention !

Ce réglage ne concerne pas l'ouverture et l'importation de fichiers de mesures mais uniquement l'enregistrement manuel par les menus ou la barre d'outils.

Enregistrement automatique

Indique le répertoire devant être proposé par défaut lors de la configuration de l'enregistrement automatique (voir également : Enregistrement automatique).

Modèles de graphique

Indique le répertoire devant être proposé par défaut par AMR WinControl lors de l'enregistrement et de l'utilisation de modèles AMR WinControl. Ce répertoire est également utilisé pour les fonctions créer un nouveau graphique en courbe ayant les propriétés d'un modèle donné et le bouton de la fonction Appliquer le modèle dans la barre d'outils.

Modèles de rapports

Ce répertoire indique dans quel répertoire doivent être utilisés les modèles pour l'impression de graphiques en courbe dans les rapports. Tous les fichiers RTF dans ce répertoire sont automatiquement proposés en sélection dans la commande de menu "Fichier/Imprimer rapport" et peuvent être utilisés pour cette fonction (voir également : Impression du rapport).

Fichiers de configuration

Indique le répertoire devant être proposé par défaut par AMR WinControl lors de l'enregistrement et du chargement de configurations d'interfaces graphiques (voir également : Enregistrer la configuration et Charger la configuration).

Attention !

Le répertoire indiqué n'est pas utilisé pour la configuration central d'AMR WinControl. Il est exclusivement utilisé lors de l'enregistrement et de l'ouverture de configurations d'interface.

Profils de calcul de confort thermique

Indique le répertoire devant utiliser AMR WinControl pour les calculs de confort thermique (voir également : Mesure de bien-être selon DIN EN ISO 7730). Il est proposé comme répertoire par défaut pour enregistrer les profils de calcul (extension de fichier : .akrppd) et les fichiers de profil issus de ce répertoire sont proposés à la sélection dans le menu "Mesures/Calcul de confort thermique" pour charger un calcul enregistré.

Attention !

Le calcul de confort thermique (voir également : Mesure de bien-être selon DIN EN ISO 7730) dans AMR WinControl est en option et non disponible dans chacune des versions du programme.


Divers

La commande Paramètres/Divers vous permet d'adapter le déroulement du programme et l'affichage de celui-ci selon vos désirs. Le paramétrage désiré s'effectue dans la boîte de dialogue qui s'ouvre et il devient immédiatement actif en cliquant sur OK.

voir également :

Boîte de dialogue "Paramètres divers"


Boîte de dialogue "Paramètres divers"

La boîte de dialogue "Paramètres divers" propose les options suivantes d'adaptation du programme : Activez ou désactivez l'option désirée d'un simple clic de souris dans le bouton d'option à gauche du texte respectif.

"Toujours écrire dans un fichier au démarrage de la mesure"

Lorsque vous sélectionnez cette fonction, le système vous demande automatiquement à chaque démarrage d'une mesure quels points de mesure vous voulez enregistrer et quel nom de fichier utiliser.

"A l'ouverture, afficher si possible le fichier de mesures sous forme de courbe"

En sélectionnant cette fonction, tous les fichiers sauvegardés sous forme de graphique en courbe s'ouvriront en graphique en courbe. Tous les fichiers créés avec la fonction Mesures/Enregistrement automatique s'ouvrent dans une fenêtre de vue d'ensemble du fichier. Si cette fonction n'est pas sélectionnée, tous les graphiques en courbe s'ouvriront également sous forme de fenêtre de vue d'ensemble du fichier. Les fichiers enregistrés sous forme de tableau s'ouvrent toujours sous forme de tableau.

"Avertissement sur fermeture d'un graphique non enregistré"

Lorsque vous sélectionnez cette fonction, le système vous demande lors de la fermeture d'un jeu de données (graphique en courbe, tableau ou vue d'ensemble de fichier) si vous voulez enregistrer les modifications. Si vous n'avez pas sélectionné cette fonction, les modifications ne sont pas enregistrées lorsque vous fermez les fenêtres.

"Poursuivre automatiquement la mesure après coupure de courant"

Si vous avez sélectionné cette fonction, le programme continue automatiquement la mesure avec tous les paramètres antérieurs après avoir redémarré.

Pour permettre le redémarrage automatique du programme au lancement de Windows, le démarrage de l'application doit être défini dans le groupe de programmes "Démarrage". A cet effet, copiez l'icône du programme d'AMR WinControl depuis le groupe de programme "AMR WinControl" dans le groupe de programme "Démarrage" (cliquez sur l'icône à l'aide du bouton gauche de la souris, maintenez le bouton enfoncé, appuyez également sur la touche <CTRL> et tirez-le dans le groupe de programmes "Démarrage").

"Fond gris pour les graphiques"

Lorsque vous sélectionnez cette fonction, le fond des graphiques est représenté en gris, sinon le fond de tous les graphiques est représenté dans la couleur de fond du système. Ceci peut être particulièrement utile pour travailler avec des affichages à cristaux liquides LCD.

"Ne pas imprimer le nom de fichier des graphiques"

L'impression des graphiques en courbe ou XY est également possible sans nom de fichier. Selon votre souhait, activez ou désactivez cette option.

"Correction de la représentation verticale des légendes à l'impression"

Lors de l'impression de graphiques en courbe ou XY, des défauts peuvent survenir lors de l'impression des libellés d'axe verticaux selon le gestionnaire d'impression utilisé. Activez ou désactivez cette option afin de corriger une impression défectueuse.

"Commencer l'affichage relatif du graphique en courbe par le jour 0"

Pour satisfaire à certaines normes DIN, l'affichage relatif des graphiques en courbe a été étendu de manière à ce que le libellé de l'axe des temps puisse également débuter par le jour "zéro". Pour ceci, activez l'option "Commencer représ. relative du graphique en courbe par le jour 0".".

"En affichage relatif dans graphique en courbes, afficher &temps en minutes"

L'affichage relatif de l'axe des temps dans le graphique en courbe a été étendu de façon à ce que la graduation de l'axe des temps puisse s'effectuer en minutes. Les inscriptions sont alors données en minutes et en secondes et commence par 0. Activer ou désactiver cette option en fonction des besoins.

"Bouton Démarrage clignotant"

Vous pouvez définir si le bouton Marche/Arrêt de la barre d'outils doit clignoter (ou pas) lors du démarrage/arrêt d'une mesure. Pour activer/désactiver cette fonction, cliquez sur la case à cocher à gauche du texte "Bouton démarrage clignotant pendant la mesure".

"Impression couleur des tableaux de mesures"

L'activation de cette option a pour effet que le document imprimé sera représenté exactement comme à l'écran :

· En-têtes et titres de colonne : gris

· Mesures : noir

· Mesures sur dépassement de limite : rouge

· Mesures sur soupassement de limite : bleu

Si vous n'utilisez pas d'imprimante couleur, cette option peut tout de même être activée. Le pilote d'imprimante convertit les informations de couleur en trame ou en niveaux de gris.


Le menu Zones de travail

Par le menu « Zones de travail », il est possible de créer, renommer et effacer des zones de travail. De plus, il est possible de passer d'une zone de travail à l'autre et de changer leur ordre.

Attention !

Les zones de travail ne sont pas disponibles dans toutes les versions du programme. La condition préalable à l'utilisation des zones de travail est de disposer d'une variante « Pro » ou supérieure.

voir également :

Généralités

Affectation des fenêtres

Zones de travail dans le serveur Web

Créer un nouvel espace de travail

Fermer la zone de travail

Renommer la zone de travail

Changer l'ordre


Généralités

AMR WinControl permet alors de créer jusqu'à 100 zones de travail, entre lesquelles il est possible de commuter à l'aide des onglets situés en bordure inférieure de l'écran.

Chaque zone de travail possède un nom unique. Les zones de travail sont sauvegardées lors de l'enregistrement de la configuration, puis rétablies lors du chargement.

Les fenêtres de programme peuvent être distribuées sur les zones de travail, et il est possible de régler pour chaque fenêtre si celle-ci doit être contenue dans une zone de travail définie ou dans toutes.

Afin d'activer des zones de travail, le nom de la zone de travail concernée peut se sélectionner directement dans le menu "zones de travail". En alternative, pour les activer, il est possible d'utiliser l'onglet du nom de la zone de travail, situé dans la barre de zones de travail sur le bord inférieur de l'écran.

Bon à savoir !

Selon le nombre de zones de travail, la taille de police et la résolution d'écran réglés, il se peut que tous les onglets ne puissent s'afficher. Dans ce cas, il est possible de parcourir la barre de défilement à l'aide des deux boutons-flèche, sur le bord gauche ou droit.

Attention !

Les zones de travail ne sont pas disponibles dans toutes les versions du programme. La condition préalable à l'utilisation des zones de travail est de disposer d'une variante « Pro » ou supérieure.


Affectation des fenêtres

Lors de la création de la première zone de travail, les fenêtres existantes ont été affectées selon les consignes. Ensuite, les nouvelles fenêtres sont automatiquement affectées à la zone de travail active lorsque la fenêtre est ouverte.

Afin de modifier l'affectation des fenêtres, la fenêtre désirée doit être sélectionnée puis par le menu Fenêtres/Affecter zones de travail il est possible de sélectionner la zone de travail à laquelle doit être affectée la fenêtre. Le premier point de ce menu appelé « Toutes zones de travail » permet d'affecter une fenêtre à toutes les zones de travail.

Remarque : la position et la taille d'une fenêtre sont toujours identiques sur toutes les zones de travail, c.-à-d. que lorsqu'une fenêtre affectée à toutes les zones de travail est réduite sur l'une d'elles, elle est minimisée sur toutes les zones de travail.


Zones de travail dans le serveur Web

Le serveur Web de AMR WinControl peut refléter la structure définie par les zones de travail lorsque derrière l'adresse est indiqué le répertoire /workspaces/.

Exemple : vous ouvrez sur l'ordinateur WinControl dans le navigateur l'adresse http://localhost/workspaces/

Dans ce cas s'affiche un tableau dont la colonne gauche affiche les noms des zones de travail et dont la colonne droite affiche les liens vers les graphiques.

Bon à savoir !

Le serveur Web en option de AMR WinControl n'est pas contenu dans toutes les versions du programme


Créer un nouvel espace de travail

Pour créer une nouvelle zone de travail, il faut sélectionner la commande Zones de travail/Nouvelle zone de travail.... Au premier appel s'affiche une boîte de dialogue par laquelle peut être défini ce qu'il faut prévoir pour les fenêtres existantes.

Ces fenêtres peuvent être déplacées automatiquement sur la zone de travail « Démarrer », qui est créée parallèlement à la nouvelle zone de travail. Alternativement, ces fenêtres peuvent s'afficher sur la nouvelle zone de travail ou sur toutes les zones de travail.

Si lors de la création d'une nouvelle zone de travail, d'autres zones sont déjà disponibles, un dialogue s'affiche pour saisir un libellé pour la nouvelle zone de travail.

La saisie d'un libellé univoque pour la zone de travail est dans tous les cas nécessaire.


Fermer la zone de travail

Pour fermer une zone de travail qui n'est plus nécessitée, il faut d'abord activer celle-ci. A cet effet, l'onglet correspondant situé en bordure inférieure de l'écran peut être utilisé, mais il est aussi possible de choisir le nom de la zone de travail dans le menu « Zones de travail ».

Par le menu Zones de travail/Fermer zones de travail, la zone peut maintenant être supprimée. Autre solution : utiliser le bouton (X) dans la barre d'outils des zones de travail.

La zone de travail proprement dite est fermée sans confirmation. Les fenêtres se trouvant sur la zone de travail sont également fermées si elles n'étaient affectées qu'à cette seule zone de travail.

Selon la nature de la fenêtre respective, lors de la clôture d'une zone de travail une confirmation peut être demandée si le contenu doit être enregistré (tableau, graphique en courbe ou XY, images de projet, etc.). Si cette question est répondue par Non, les données sont rejetées et la fenêtre est close. S'il est répondu par Oui à la question, le programme tente d'enregistrer les données et il faut le cas échéant saisir ou sélectionner un nom de fichier. Ensuite la fenêtre se ferme. En choisissant Annuler lors de la confirmation ou en sélectionnant le nom du fichier (si le fichier doit être enregistré), la fenêtre n'est pas fermée. Comme la zone de travail est fermée dans tous les cas, la fenêtre est maintenant affectée automatiquement à toutes les zones de travail.


Renommer la zone de travail

Le libellé de la zone de travail active peut se modifier par le menu Zone de travail/Renommer zone de travail....

Le nouveau libellé ne doit alors pas être vierge ni avoir déjà été attribué à d'autres zones de travail.


Changer l'ordre

AMR WinControl - Les menus > Le menu Zones de travail

Changer l’ordre

Le menu Zones de travail/Changer l’ordre... permet d'ouvrir une boîte de dialogue par laquelle il est possible d'ajuster l'ordre des zones de travail.

A cet effet, il faut marquer la zone de travail dont la position doit être changée, puis la zone peut être déplacée dans la liste des zones de travail à l'aide des deux boutons-flèche sur le côté droit de la boîte de dialogue.

Bon à savoir !

Il est également possible de modifier l'ordre des zones de travail directement par la barre d'outils des zones de travail, en déplaçant les onglets aux positions désirées, à l'aide de la souris (par glisser/déposer).


Le menu "Fenêtre"

Les commandes Fenêtres/Mosaïque et Fenêtres/Cascade permettent d'afficher en conséquence à l'écran toutes les fenêtres ouvertes. Utilisez ces commandes pour consulter les fenêtres auparavant masquées ou pour réorganiser les fenêtres à l'écran.

La commande Fenêtres/Réorganiser les icônes aligne toutes les fenêtres réduites à la taille d'icône sur le bord inférieur de la fenêtre principale.

Par le sous-menu « Affecter zones de travail », la fenêtre active peut être affectée soit à une zone de travail spéciale, soit à toutes (voir également : « Le menu Zones de travail »).

Dans la partie inférieure du menu Fenêtre s'affiche une liste alphabétique de toutes les fenêtres ouvertes. La fenêtre que vous avez choisie devient un document actif.


Le menu "Aide"

voir également :

Index

Utiliser l'aide

Premiers pas

A propos de


Index

La commande Aide/Index indique le contenu de l'aide en ligne AMR WinControl, propose des méthodes d'exploitation d'AMR WinControl, fournit des informations de référence et des exemples de fonctions AMR WinControl ainsi que des informations relatives au support technique.

Vous pouvez à tout moment retourner à l'écran "Index de l'aide AMR WinControl" en sélectionnant le bouton "Index" dans la fenêtre d'aide.


Utiliser l'aide

L'option Aide/Utiliser l'aide vous permet d'obtenir l'aide standard Windows pour utiliser un système d'aide.


Premiers pas

Pour appeler l'assistant Premiers pas, servez-vous de la fonction Aide/Premiers pas. L'assistant explique en ligne les premiers pas à suivre pour travailler avec AMR WinControl. Il est également possible de lancer l'appel à l'aide de la touche fonction <F2>.


A propos de

Dans la boîte de dialogue d'information de la fonction Aide/A propos sont affichés les détails de la version de programme ainsi que les différents contacts possibles avec les développeurs du programme. Le système d'exploitation et les versions de différentes DLL sont également affichés. Le bouton de commande Détails de licence offre l'affichage précis des fonctions débridées dans votre version actuelle.

En outre, vous disposez du bouton de commande Mise à niveau . Ce bouton vous permet d'ouvrir la boîte de dialogue "Informations sur la licence AMR WinControl", par laquelle il est possible de débrider d'autres fonctions.


Mode serveur

voir également :

Fonctionnement

Affichage des clients connectés dans le serveur

Journal des connexions

Protocole

Historique des mesures


Fonctionnement

En fonctionnement serveur de AMR WinControl, il est possible de transmettre jusqu'à 200 clients les données acquises. L'accès à un serveur AMR WinControl s'effectue à volonté, par le réseau (réseau d'entreprise ou Internet).

Cela autorise ainsi l'accès simultané de plusieurs utilisateurs ou applications aux mesures d'un système de mesure. Les données sont alors en ligne mises à disposition des différentes applications sans que celles-ci ne s'influencent mutuellement.

L'interface par laquelle on peut accéder au serveur est décrite sous "Interface serveur".

Attention !

Le mode de fonctionnement Serveur n'est pas compris dans toute version du programme. Le cas échéant, l'option "serveur de données" correspondante doit avoir été souscrite. Le nombre maximal de clients utilisables (simultanément) est limité par le nombre de licences client achetées. Les licences client sont comprises dans l'achat de RMT / REMOTE WinControl, du protocole de serveur de données en option et du client OCX, et sont débridées respectivement sur le serveur AMR WinControl.


Affichage des clients connectés dans le serveur

Lorsque le premier client s'est connecté au serveur AMR WinControl, un petit graphique avec un chiffre apparaît à gauche dans la barre d'état :

Le chiffre indique le nombre de clients actuellement connectés. En double-cliquant sur la miniature ou sur le chiffre, vous ouvrez une boîte de dialogue qui liste les clients actuellement connectés.


Journal des connexions

Si dans la configuration, l'entrée ServerLog=1 existe dans la section [Settings], le serveur écrira un fichier ASCII Server.log dans le répertoire d'installation de AMR WinControl dans lequel sont consignées les connexions et déconnexions de tous les clients avec horodatage.

Bon à savoir !

Comment trouver le fichier de configuration et ce qu'il faut alors observer se trouve dans le chapitre Trouver la configuration.


Protocole

Le protocole avec lequel le client communique avec le serveur est un protocole ASCII. La syntaxe est décrite sous Commandes.


Historique des mesures

Le serveur AMR WinControl dispose d'un tampon des valeurs mesurées reposant sur un fichier (tampon circulaire). A cet effet, un fichier temporaire est créé dans le répertoire Temp du système d'exploitation pour chaque point de mesure, chaque fichier étant préréglé pour enregistrer 3600 mesures.

Il est possible d'adapter ce préréglage dans la configuration, en configurant dans la section [Settings] l'entrée SampleDiskBufferSize = nombre de valeurs à tamponner.

Bon à savoir !

Comment trouver le fichier de configuration et ce qu'il faut alors observer se trouve dans le chapitre Trouver la configuration.

Exemple :

Dans la zone [Settings] il faut saisir :

SampleDiskBufferSize = 7200

Pour un cycle de mesure d'une seconde, on peut ainsi tamponner les données pendant deux heures.

La mémoire tampon est conservé si le programme n'est pas correctement quitté, par exemple suite à un blocage de l'ordinateur ou à une panne de courant. Lorsque le programme est quitté normalement, les fichiers temporaires du tampon de mesure sont effacés.

Attention !

La mise en tampon des mesures n'est activée que si le programme peut fonctionner en serveur de mesure (au moins un client est autorisé).

voir également :

Mise à jour de l'historique

Effacement de l'historique

Utilisation globale

Utilisation locale


Mise à jour de l'historique

Les fichiers temporaires de l'historique des mesures sont régulièrement mis à jour par AMR WinControl. Par préréglage, une mise à jour de l'historique s'effectue tous les 360 cycles de mesure du logiciel.

Il est possible d'adapter ce préréglage dans la configuration, en effectuant dans la section [Settings] l'entrée SampleDiskBufferFlushCount = nombre de cycles de mesure.

Bon à savoir !

Comment trouver le fichier de configuration et ce qu'il faut alors observer se trouve dans le chapitre Trouver la configuration.

Attention !

Si le nombre de cycles de mesure est choisit trop petit, cela a pour conséquence un grand nombre d'activités d'écriture sur le disque dur de l'ordinateur. Si le cycle de mesure réglé pour le logiciel est de plus choisi très petit (< 1 seconde), cela peut engendrer sur les ordinateurs moins performants un ralentissement du système.


Effacement de l'historique

Par préréglage, l'historique des valeurs de mesure est automatiquement supprimé lorsque l'on quitte normalement AMR WinControl. Si le logiciel est fermé de façon imprévisible, par exemple par une panne de courant, l'historique est alors conservé et peut être à nouveau chargé au démarrage suivant.

Dans la configuration des versions de programme 6.7.5.0 et suivantes, il est possible d'adapter l'effacement de l'historique en réglant dans la section [Settings] l'entrée DeleteSampleDiskBufferOnExit = 0 / 1. Avec la valeur 0, l'historique n'est plus effacé à la fermeture du programme.

Bon à savoir !

Comment trouver le fichier de configuration et ce qu'il faut alors observer se trouve dans le chapitre Trouver la configuration.


Utilisation globale

Si AMR WinControl fonctionne comme serveur, vous pouvez consulter l'historique à tout moment sur les points de mesure avec GetSampleHistory(pt de mesure[,pt de mesure][,..]). A la différence de NotifySamples p. ex., l'historique n'est pas abonné, mais transmis une seule fois. Pour tout accès ultérieur, il faut à nouveau appeler la commande GetSampleHistory.


Utilisation locale

Il est possible d'insérer les données tamponnées dans de nouveaux graphiques en courbe ou XY ainsi que dans des tableaux. A cet effet, toutes les boîtes de dialogue de propriétés du type d'affichage cité possèdent un onglet supplémentaire "Historique" disponible lors de la création d'un nouveau graphique ou d'un nouveau tableau.

Dans la configuration, à la section [Settings] vous pouvez définir le préréglage via l'entrée
DefaultLdHistoryMode =0|1|2 :

0 (par défaut) = ne valider aucune donnée de l'historique

1 = reprendre toutes les valeurs de l'historique

2 = reprendre uniquement les valeurs ne dépassant pas un certain âge

L'entrée DefaultLdHistorySeconds = temps en secondes détermine quel temps doit s'appliquer au mode 2. La valeur par défaut est 3600s = 1h, la valeur maximale = 604800s = une semaine.

Remarque : Si DefaultLdHistoryMode ne possède pas la valeur 2,
DefaultLdHistorySeconds est ignoré.

Ces réglages sont également efficaces si lors de la création de nouveaux tableaux ainsi que de graphiques en courbe et XY vous n'avez pas ouvert l'onglet "Historique".

Les réglages de l'historique sont efficaces lors de la création de nouveaux tableaux et de graphiques, lors du démarrage du programme et du chargement de configurations.


Interface du serveur

voir également :

Fonctionnement

Paramétrage

Commandes


Fonctionnement

Le serveur AMR WinControl reçoit par un port TCP des instructions qu'il interprète et exécute dans l'ordre de la réception. A l'aide des commandes actuellement disponibles, un autre programme peut :

· trouver les voies de mesures existantes

· être informé des modifications apportées aux voies de mesure existantes

· être informé sur les voies de mesure ajoutées ou supprimées

· recevoir des valeurs de mesure

voir également :

Instructions

Caractères non imprimables

Majuscules / minuscules

Réponses du serveur

Listes des voies

Chaînes de caractères

Format heure


Instructions

Une instruction est constituée d'une commande, d'une parenthèse ouvrante "(", d'une liste optionnelle de paramètres ainsi que d'une parenthèse fermante ")". Les instructions individuelles sont séparées par un point-virgule ";".


Caractères non imprimables

Les caractères non imprimables sont les espaces, les tabulations et les caractères de fin de ligne. Les caractères non imprimables peuvent être situés entre chaque élément syntaxique et seront ignorés.


AMR WinControl - Le serveur de données > Interface du serveur > Fonctionnement

Majuscules / minuscules

Il faut respecter la casse.


Réponses du serveur

Le serveur répond à chaque instruction tout d'abord par une séquence CR/LF. S'ensuit le nom de la commande traitée puis deux points ":" et un espace. Vient ensuite éventuellement une liste de paramètres. Le tout se termine par un point virgule et une autre séquence CR/LF.


Listes des voies

Une voie de mesure est complètement identifiée par le numéro d'appareil et le numéro de voie, les deux nombres étant reliés par un point décimal dans WinControl, par ex. "1.15" pour la voie de mesure 15 de l'appareil 1. Les listes de voies sont des listes de 0 ou plusieurs voies de mesure séparées par des virgules, par ex. "1.15", "1.0,1.1,1.2" ou "" pour la liste vide de voie.


Chaînes de caractères

Les chaînes de caractères sont une suite de caractères mise entre guillemets. Une barre oblique inverse "\" introduit un caractère spécial. Les caractères spéciaux définis sont les suivants :

Chaîne de caractères | Signification
\\ | \
\; | ;
\" | "


Format heure

L'horodatage des valeurs de mesure transmises se compose de la date et de l'heure. Il correspond à l'heure locale du serveur de données au format 24h, y compris les millisecondes. Si le serveur de données et le client se trouvent dans des fuseaux horaires différents, il faut en tenir compte lors de l'évaluation. Le format est le suivant :

JJ.MM.AAAA HH:MM:SS.mmm


Paramétrage

Dans la configuration, vous pouvez effectuer dans la section [Settings] l'entrée ServerTCPPort= numéro de port désiré. Si cette entrée n'existe pas, le numéro de port utilisé est le 10013. Si le réseau utilise des coupe-feux, il faut éventuellement, après avoir consulté l'administrateur compétent, libérer un port Tcp.

Bon à savoir !

Comment trouver le fichier de configuration et ce qu'il faut alors observer, se trouve au chapitre Trouver la configuration.


Commandes

Afin de permettre l'accès par tout client au serveur de données AMR , vous disposez des commandes suivantes :

GetChannelList | Les voies de mesure présentes dans le serveur sont envoyées au client
NotifyChannelList | Si dans le serveur, des points de mesure sont ajoutés ou retirés, toute la liste des voies de mesure sera envoyée au client
NotifyChannels | Les modifications apportées aux voies de mesure transmises sont transmises au client
NotifySamples | Les valeurs de mesure des voies de mesure transmises sont transmises au client
GetSampleHistory | Possibilité d'appeler à tout instant l'historique des mesures pour tout point de mesure.

Il faut respecter la casse dans tous les cas. Chaque commande se termine par un point-virgule. La réponse à toutes les commandes est constituée de :

· l'écho de la commande

· deux points

· un caractère espace

· une parenthèse ouvrante

· les réponses éventuelles

· une parenthèse fermante

· un point virgule

voir également :

GetChannelList

NotifyChannelList

NotifyChannels

NotifySamples

GetSampleHistory


GetChannelList

AMR WinControl - Le serveur de données > Interface du serveur > Commandes

GetChannelList

Syntaxe : GetChannelList();

Paramètre : aucun

Réponse : GetChannelList : (Liste des points de mesure) ;

La liste des points de mesure est constituée des informations sur les points de mesure séparées par des virgules. Une information de point de mesure est constituée de :

· parenthèse ouvrante

· numéro d'appareil

· point

· numéro de voie

· virgule

· guillemet

· commentaire sur le point de mesure

· guillemet

· virgule

· guillemet

· unité du point de mesure

· guillemet

· parenthèse fermante

Exemple d'information de point de mesure : (0.0,"Problème 01","°C")

Exemple de réponse complète : GetChannelList : ((0.0,"Problème 01","°C"),(0.1,"Avance","°C"));

Description : Pour tous les points de mesure existants dans le système serveur, y compris les voies de calcul globales, on obtient le numéro de point de mesure, le commentaire et l'unité.

Application : La valorisation de la réponse peut p. ex. servir à appliquer les bons paramètres nécessaires (numéro du point de mesure) à d'autres commandes (p. ex. scrutation de point de mesure).


NotifyChannelList

AMR WinControl - Le serveur de données > Interface du serveur > Commandes

NotifyChannelList

Syntaxe : NotifyChannelList(AbonnementStatus) ;

Paramètres : AbonnementStatus est true ou false

Exemple d'abonnement de la liste des canaux : NotifyChannelList(true);

Réponse : NotifyChannelList : (Liste des points de mesure) ;

La liste des points de mesure est constituée des informations sur les points de mesure séparées par des virgules. Une information de point de mesure est constituée de :

· parenthèse ouvrante

· numéro d'appareil

· point

· numéro de voie

· virgule

· guillemet

· commentaire sur le point de mesure

· guillemet

· virgule

· guillemet

· unité du point de mesure

· guillemet

· parenthèse fermante

Exemple d'information de point de mesure : (0.0,"Problème 01","°C")

Exemple de réponse complète : NotifyChannelList: ((0.0,"Problème 01","°C"),(0.1,"Avance","°C"));

Description : Si le paramètre true est indiqué, toute la liste des points de mesure sera transmise dans la réponse (comme pour GetChannels();). En outre le client s'abonne à la liste des points de mesure, ce qui signifie qu'à chaque modification apportée à cette liste, la réponse sera envoyée au client avec les données mises à jour.

Si le paramètre indiqué est false, le client se désabonne à la liste des points de mesure c.-à-d. que les modifications ultérieures ne seront plus transmises. Dans ce cas, aucune réponse ne sera envoyée !

Application : par ex. acquisition de points de mesure disparus et/ou nouveaux et autres


NotifyChannels

AMR WinControl - Le serveur de données > Interface du serveur > Commandes

NotifyChannels

Syntaxe : NotifyChannels(Points de mesure);

Paramètre : un nombre quelconque de points de mesure (ou aucun), séparés par des virgules.

Un point de mesure est constitué de :

· numéro d'appareil

· point

· numéro de voie

Réponse : NotifyChannels : (Liste des points de mesure) ;

La liste des points de mesure est constituée des informations sur les points de mesure séparées par des virgules. Une information de point de mesure est constituée de :

· parenthèse ouvrante

· numéro d'appareil

· point

· numéro de voie

· virgule

· guillemet

· commentaire sur le point de mesure

· guillemet

· virgule

· guillemet

· unité du point de mesure

· guillemet

· parenthèse fermante

Exemple d'information de point de mesure : (0.0,"Problème 01","°C")

Exemple de réponse complète : NotifyChannels : ((0.0,"Problème 01","°C"),(0.1,"Avance","°C"));

Description : Une liste des points de mesure est générée (à GetChannelList). Celle-ci donne les informations actualisées contenant les points de mesure à transmettre en paramètres. Pour les points de mesure inexistants, le commentaire et l'unité sont vides (""). De plus, le client s'abonne pour les points de mesure transmis à une notification sur tout changement sur le commentaire ou l'unité. A chaque modification, les données de tous les points de mesure abonnés sont transmises !

A chaque commande NotifyChannels, tous les abonnements précédents sont effacés. Si NotifyChannels est envoyé sans paramètres, tous les abonnements seront effacés. Dans ce cas, aucune réponse ne sera envoyée par le serveur.

Il n'est pas tenu compte du retrait ou de l'ajout de points de mesure, on peut cependant obtenir des abonnements pour des points de mesure n'existant pas (encore) et qui, lorsque le point est disponible sur le serveur, notifiera le client en cas de changement.

Possibilités d'application : La mise à jour d'informations par les points de mesure.


NotifySamples

AMR WinControl - Le serveur de données > Interface du serveur > Commandes

NotifySamples

Syntaxe : NotifySamples(points de mesure);

Paramètre : un nombre quelconque de points de mesure (ou aucun), séparés par des virgules.

Un point de mesure est constitué de :

· numéro d'appareil

· point

· numéro de voie

Réponse : NotifySamples: (liste des valeurs de mesure);

Une liste de valeurs de mesure est constituée de :

· la date

· un caractère espace

· l'heure

· virgule

· les valeurs de mesure séparées par une virgule (utilisation du point décimal au sein des valeurs de mesure)

La date est représentée dans le format suivant :

· jour sur 2 chiffres (sans 0 de tête)

· point

· mois sur 2 chiffres (sans 0 de tête)

· point

· année sur quatre chiffres

L'heure est représentée dans le format suivant (à 24 heures) :

· heure sur 2 chiffres (avec 0 de tête)

· deux points

· minutes sur 2 chiffres (avec 0 de tête)

· deux points

· secondes sur 2 chiffres (avec 0 de tête)

· point

· millisecondes sur trois chiffres

Les mesures sont sorties dans l'ordre dans lequel le point de mesure correspondant a été transmis comme paramètre, c.-à-d. que si les paramètres 0.0, 0.1, 80.0 ont été transmis, la première valeur dans la réponse est celle du point de mesure 0.0, la deuxième celle du point 0.1 et la dernière celle du point 80.0. Si les paramètres 0.1, 80.0, 0.0 sont transmis, la première valeur sera alors celle du point de mesure 0.1, la deuxième celle du point 80.0 et la dernière celle de 0.0.

Description : Les valeurs de mesure sont abonnées aux points de mesure transmis. La réponse s'effectue toujours lorsqu'un cycle de mesure s'achève sur le serveur. Les valeurs du cycle de mesure terminé sont alors envoyées dans la réponse. Chaque nouvel appel de NotifySamples efface tous les abonnements précédents.

Si aucune valeur n'est disponible pour un point de mesure donné, rien ne sera transmis pour celui-ci mais la virgule de séparation sera insérée, de sorte que l'ordre soit conservé.

Exemple :

Commande : NotifySamples(0.0, 0.1, 80.0);

Réponse : NotifySamples: (19.12.2001 15:00:56.023,12.2,,8);

Signification : Le 19/12/2001 à 15:00:56 et 23 millisecondes la valeur 12.2 a été mesurée sur le point de mesure 0.0, aucune valeur n'a été mesurée sur le point 0.1 et sur le point 80.0 (voie de calcul), la valeur calculée est 8.

Application : Acquisition de mesure


GetSampleHistory

AMR WinControl - Le serveur de données > Interface du serveur > Commandes

GetSampleHistory

Syntaxe : GetSampleHistory(points de mesure);

Paramètre : un nombre quelconque de points de mesure (ou aucun), séparés par des virgules.

Un point de mesure est constitué de :

· numéro d'appareil

· point

· numéro de voie

Réponse :

GetSampleHistory : (

[liste des valeurs de mesure]

[liste des valeurs de mesure]

[,...]

);

La réponse envoyée est toujours l'écho de la commande, deux points suivis d'une parenthèse ouverte. Si aucune donnée n'est disponible, la réponse se termine par une parenthèse fermée et un point virgule. Dans le cas contraire, il s'en suit un nombre variable de listes de valeurs mise chacune entre parenthèse et séparées l'une de l'autre par CR/LF, le tout fermé par une parenthèse fermée et un point virgule.

Une liste de valeurs de mesure est constituée de :

· la date

· un caractère espace

· l'heure

· virgule

· les valeurs de mesure séparées par une virgule (utilisation du point décimal au sein des valeurs de mesure)

Exemple :

Commande : GetSampleHistory(0.0, 0.1, 80.0);

Réponse :

GetSampleHistory : (

(19.12.2001 15:00:56.023,12.2,3.24,8)

(19.12.2001 15:05:56.023,12.1,,8.5)

(19.12.2001 15:10:56.024,12.3,3.21,9)

);

Signification :

Le 19 décembre 2001, les valeurs suivantes ont été acquises :

Heure | Pt mes.
 | 0.0 | 0.1 | 80.0
15:00:56 et 23 millisecondes | 12.2 | 3.24 | 8
15:05:56 et 23 millisecondes | 12.1 | aucune valeur | 8.5
15:10:56 et 24 millisecondes | 12.3 | 3.21 | 9

Description : Possibilité d'appeler à tout instant l'historique des mesures pour tout point de mesure. A la différence de NotifySamples par ex., l'historique n'est pas abonné, mais transmis une seule fois. Les accès ultérieurs doivent faire l'objet d'un nouvel appel.

Fonctionnement : Les données tamponnées sont rendues aux points de mesure indiqués dans la liste des voies de la manière suivante : A chaque horodatage disponible dans le tampon est créée une liste de valeurs des points de mesure transmis, laquelle est envoyée au client.


Exemples d'application

voir également :

Accès multiple à un appareil de mesure

Intégration dans d'autres applications

Accès distant

Exportation étendue des données

Enregistrement et valorisation séparées

Valorisation externe en ligne

Afficher l'intervalle fixe


Accès multiple à un appareil de mesure

Un laboratoire de recherche se trouve au centre du dispositif. AMR WinControl est utilisé pour lire les mesures actualisées et pour les archiver. Sur un serveur Web de la société, on élabore une page Web à l'aide du client OCX WinControl sur laquelle tous les collaborateurs de la société ont accès et sur laquelle sont affichées les données à jour.


Intégration dans d'autres applications

On adjoint à un système d'acquisition de mesure existant et spécifique à un client, un appareil de mesure. AMR WinControl sert à enregistrer et archiver les données de la concentration. Le système d'acquisition est étendu de sorte à récupérer les valeurs de concentration directement du serveur AMR WinControl.


Accès distant

On observe un procédé de production à l'aide d'AMR WinControl. Sur franchissement de limite, AMR WinControl envoie automatiquement un courriel au responsable d'usine, lequel dispose sans délai des mesures actuelles avec l'accès à distance REMOTE WinControl.


Exportation étendue des données

A l'aide de Microsoft Access et du WinControl Client OCX, il est aisé d'écrire en ligne toutes les mesures arrivantes dans une base de données quelconque gérée par Access.


Enregistrement et valorisation séparées

AMR WinControl - Le serveur de données > Exemples d'application

Enregistrement et valorisation séparées

Un système de mesure complexe est réparti sur la totalité du terrain de l'entreprise. AMR WinControl et com2ips sont utilisés pour concentrer toutes les mesures en un seul système et pour les archiver. REMOTE WinControl est utilisé sur trois autres postes de travail afin d'exploiter une partie chacun de l'ensemble des données en fonction de l'application.


Valorisation externe en ligne

Si l'exploitation des données doit être complexe et spéciale, il faut développer un logiciel d'évaluation spécifique. Les valeurs de mesure sont enregistrées avec AMR WinControl et transmises en ligne par l'interface serveur de WinControl au logiciel de valorisation.


Afficher l'intervalle fixe

Les tableaux de mesure et graphiques peuvent être renseignés de manière optimale à l'ouverture avec des données de mesure issues de l'historique de mesure du serveur de données WinControl (partir de la version du programme 6.7.5.0 ou plus).

On peut alors limiter l'affichage à un intervalle temporel fixe du passé en synchronisant les paramètres de l'historique des mesures avec le tampon interne des mesures (menu : Paramètres/Taille du tampon des mesures). Il est ainsi possible par exemple de n'afficher toujours que les mesures des 3 derniers jours à l'écran.


Etendue des fonctions

Le logiciel AMR WinControl intègre désormais un serveur Web permettant de transmettre des fenêtres de programme par protocole de transfert hypertexte (http) via Internet et de les afficher dans tout type de navigateur. Naturellement, AMR WinControl gère également toutes les fonctions offertes par les serveurs Web standard, de sorte qu'il soit possible de prendre en charge les pages HTML, les images statiques, les applets Java, les scripts etc… bref tous les éléments des documents Internet habituels.


Configuration minimale

voir également :

Système d'exploitation

Matériel

Divers


Système d'exploitation

Pour pouvoir exploiter ce logiciel en tant que serveur Web, le système d'exploitation installé doit être Windows XP ou plus récent. Nous recommandons d'installer le ServicePack le plus récent.


Matériel

Un PC avec au moins 512 Moctets de mémoire vive et un processeur d'au moins 1 GHz est nécessaire pour pouvoir exploiter le serveur Web. Pour une exploitation optimale, un processeur à partir de 2 GHz avec 2 Goctets de RAM (ou plus) est conseillé.


Divers

Il faut de plus que le protocole TCP/IP soit correctement configuré sur le PC, un accès réseau (par carte réseau ou modem/RNIS) est nécessaire pour pouvoir utiliser correctement le serveur Web. Il est nécessaire que tous les clients du réseau puissent établir une liaison vers le serveur Web sur le port 80 TCP. Un pare-feu existant le cas échéant doit être configuré en conséquence.

En autorisant le serveur Web à accéder à internet, des paramétrages réseau supplémentaires de sécurité sont nécessaires. A cet effet, veuillez contacter votre administrateur réseau.


Fonctionnement de serveur Web

voir également :

Notions fondamentales

Lancement du serveur Web

Premiers pas

Types de fenêtres gérés

Attribution de nom

Transmission du répertoire virtuel d'images

Transmission du répertoire virtuel des zones de travail

Acquittement des alarmes par serveur Web

Transmission ciblée d'images individuelles


Notions fondamentales

Un serveur Web met à la disposition d'un client (navigateur) des fichiers HTML sur demande, lesquels peuvent contenir des objets imbriqués (images, sons, vidéos,…). Le serveur Web AMR WinControl passe à l'étape suivante et offre en plus un répertoire virtuel d'images par lequel il est possible d'accéder à des données image générées en dynamique, lesquelles sont générées à partir des contenus actuels des fenêtres programme d'AMR WinControl.

Ces images peuvent aussi bien être affichées individuellement dans le navigateur (à chapitre Transmission du répertoire virtuel d'images) qu'être intégrées dans des pages HTML individuellement ou associées à d'autres éléments (à chapitre Transmission ciblée d'images individuelles).


Lancement du serveur Web

Dans la boîte de dialogue de la licence qui peut être appelée au démarrage ou par la boîte de dialogue A propos de, il faut inscrire un code de débridage pour le serveur Web. Si la boîte de dialogue de la licence ne s'est pas ouverte au démarrage, il faudra ensuite relancer AMR WinControl. A tout nouveau lancement d'AMR WinControl, le serveur Web sera également lancé automatiquement.

Tant que le programme est actif, il est possible d'accéder à des données texte et image par le port TCP 80 (port http par défaut). D'autres paramétrages ne sont pas nécessaires, mais peuvent être effectués par des utilisateurs avisés (àParamètres étendus).

L'adresse du serveur Web est l'adresse IP de l'ordinateur sur lequel fonctionne AMR WinControl, par ex.:

http://156.127.001.003

ou bien

http://localhost

ou bien

http://mywebserver

etc.

Remarque: AMR WinControl peut être lancé plusieurs fois sur un même ordinateur (plusieurs instances). Le serveur Web ne peut être lancé pour le moment qu'en première instance. Pour toutes les instances suivantes est émise une remarque indiquant l'impossibilité de démarrer le serveur Web.


Premiers pas

Après avoir lancé AMR WinControl avec serveur Web débridé, vous disposez d'un petit Web auquel vous pouvez accéder avec n'importe quel navigateur. Un test local est effectué dans lequel est lancé un navigateur sur le même ordinateur que AMR WinControl et pour lequel l'adresse saisie est http://localhost. Le navigateur affiche les pages HTML fournies avec AMR WinControl, lesquelles donnent une première impression des possibilités du serveur Web. Naturellement vous pouvez adapter et modifier ces pages et il est évidemment possible de publier vos pages Web existantes à l'aide du serveur Web d'AMR WinControl. Vous trouverez de plus amples détails à ce sujet au chapitre Répertoires.

Pour pouvoir accéder depuis d'autres PC du réseau aux données mises à disposition par le serveur Web AMR WinControl, il faut que le protocole Internet TCP/IP soit installé sur ce PC ainsi qu'un navigateur quelconque. Il faut indiquer comme adresse dans ce navigateur http:// suivie soit de l'adresse IP, soit du nom symbolique de l'ordinateur sur lequel fonctionne le serveur Web AMR WinControl. Vous trouverez d'autres informations au sujet des adresses et des noms ainsi que sur les possibilités d'adapter ceux-ci au chapitre Répertoires.


Types de fenêtres gérés

Les données image dynamiques sont élaborées à partir des fenêtres actuellement affichées dans le logiciel. Les types de fenêtre suivants sont alors gérés:

· Graphique en courbe

· Diagramme XY

· Affichage de valeur de mesure (numérique)

· Affichage de valeur de mesure (analogique)

· Graphique à barres

· Image de projet


Attribution de nom

Afin de générer et de transmettre des données d'image depuis des fenêtres, il faut s'entendre sur un nom univoque de l'image afin que le logiciel puisse envoyer la bonne image au navigateur. Dans AMR WinControl, on utilise le titre de la fenêtre comme nom de l'image.

Le titre de fenêtre à son tour, peut être paramétré dans la boîte de dialogue de tout type de fenêtre, le règles s'appliquant étant les suivantes:

· les nouvelles fenêtres se voient automatiquement attribuer un titre correspondant au type de fenêtre et à un numéro courant (p. ex. graphecourbe3).

· les affichages momentanés simples, sans tampon propre de données (affichage des mesures analogique et numérique ainsi que les graphiques à barres) utilisent comme titre de fenêtre le numéro de point de mesure et le commentaire du point de mesure lorsqu'un seul point de mesure s'affiche dans la fenêtre. Pour ces fenêtres, le titre se déclare dans la boîte de dialogue des propriétés sous "Titre de la fenêtre".

· les types de fenêtre disposant d'un tampon de données propre et qui peuvent être également enregistrés comme fichier utilisent comme titre de fenêtre le commentaire, pour autant qu'un ait été paramétré. Si aucun commentaire n'a été défini, c'est le nom du fichier qui sert de titre. Si le fichier n'est pas encore enregistré, comme cela a été décrit c'est un nom généré automatiquement à partir du type de fenêtre et du numéro qui est utilisé. Le commentaire se paramètre dans la boîte de dialogue des propriétés, sur les graphiques en courbe et en XY ce paramétrage se trouve sur l'onglet "Présentation".

Il est conseillé de définir soi-même de façon univoque le titre de fenêtre à l'aide des fonctions décrites afin que les noms attribués puissent être sauvegardés dans la configuration actuelle et soient à nouveau disponible après un nouveau démarrage.

Les noms peuvent comporter des lettres, des chiffres, des espaces, des traits d'union "-" et des sous-tirets "_" ainsi que des parenthèses diverses "(){}[]<>". Les autres caractères spéciaux ne doivent pas être utilisés.


Transmission du répertoire virtuel d'images

Dans le cas le plus simple il peut être suffisant de transmettre sur appel le contenu de la fenêtre de programme comme image et en conséquence de l'actualiser, la sauvegarder, l'imprimer ou de la traiter manuellement.

A cet effet, il faut dans la barre d'adresse du navigateur sur n'importe quel ordinateur dans le réseau, saisir juste l'adresse du serveur Web (à Lancement du serveur Web) suivie du sous répertoire virtuel /diagrams/ (par ex.: http://mywebserver/diagrams/). Le navigateur affiche ensuite une liste de toutes les fenêtres disponibles sous forme de liste de liens (raccourcis) et lorsque l'on sélectionne l'un de ces liens (en l'occurrence par un clic de souris), l'image correspondante apparaît dans le navigateur. En sélectionnant la fonction "Actualiser" du navigateur, on peut transmettre manuellement à tout moment une version plus actuelle de l'image.

"/diagrams/" représente un répertoire virtuel, dont vous aurez de plus amples détails au chapitre Répertoires virtuels.

Un répertoire virtuel signifie qu'aucun répertoire physique sur le support de données n'est associé à ce répertoire mais que les données sont générées puis mises à disposition en dynamique dans AMR WinControl selon les exigences actuelles du navigateur.


Transmission du répertoire virtuel des zones de travail

De manière analogue à la transmission du répertoire des images, vous pouvez, à partir de AMR WinControl version 7.1 (et supérieure) accéder à un répertoire virtuel supplémentaire permettant la visualisation des zones de travail.

A cet effet, il faut dans la barre d'adresse du navigateur sur n'importe quel ordinateur dans le réseau, saisir juste l'adresse du serveur Web (à Lancement du serveur Web) suivie du sous-répertoire virtuel /workspaces/ (par ex. : http://mywebserver/workspaces/).

Le navigateur affiche ensuite un tableau, dont la colonne gauche affiche les noms des zones de travail et dont la colonne droite affiche les liens vers les graphiques.

Bon à savoir !

Si aucune zone de travail n'est définie dans WinControl, aucun tableau n'est affiché. Les images de tous les graphiques ouverts peuvent toujours être lus par "/diagrams/".

Attention !

Si la fonction des zones de travail n'est pas disponible dans votre version du programme, le navigateur affiche l'erreur 404 ("Pas trouvé").


Acquittement des alarmes par serveur Web

La condition préalable pour ces fonctions sont les options "alarme", "protection par mot de passe" et "serveur Web" ou une variante qui comporte ces options.

En saisissant l'URL http://<server>/alarms/currentalarm.html, vous pouvez appeler une page avec des infos sur l'alarme actuelle si la protection par mot de passe est activée.

Si WinControl comporte une situation d'alarme, le système affiche une page avec des informations sur l'alarme actuelle :

Sinon, le message "Aucune alarme en cours pour acquittement" s'affiche.

S'il s'agit de la variante "V / Monitoring" de WinControl et que le traitement des alarmes au niveau des points de mesure a été activé, une ligne supplémentaire s'affiche pour désactiver l'alarme d'un point de mesure temporairement :

Les trois premières lignes affichent les informations concernant l'alarme : heure de son apparition, point de mesure déclenchant et le résultat. Selon le paramétrage du programme, le commentaire est en option ou il faut saisir un commentaire. Le nom de l'utilisateur et le mot de passe doivent correspondre à un utilisateur enregistré sous WinControl. L'utilisateur doit avoir le droit d'effectuer l'action souhaitée (acquittement individuel / groupé, désactivation temporaire du traitement des alarmes pour certains points de mesure) sous WinControl. Si l'option "Confirmer tous les alarmes" a été sélectionnée, tous les alarmes supplémentaires en cours sont acquittés en plus de l'alarme affichée. Le bouton "Acquitter alarme" permet d'envoyer toutes les données indiquées au serveur qui acquitte la ou les alarme(s) après vérification des données. Un message de réussite ou d'erreur correspondant apparaît. Le bouton "Suivant" permet d'appeler de nouveau la page currentalarm.html.

Nous recommandons d'établir un certificat et d'exploiter le serveur Web par liaison SSL pour empêcher le cassage des mots de passe (à chapitre Liaison SSL).


Transmission ciblée d'images individuelles

voir également :

Format des données

Options supplémentaires


Format des données

Vous avez naturellement la possibilité d'intégrer directement les images dans une page HTML.

L'URL des images est toujours constituée de l'adresse du serveur Web suivie du nom du répertoire /diagrams/ et du nom de l'image. On peut en outre adjoindre une extension au nom de l'image pour définir le type de données de celle-ci, p. ex.:

http://mywebserver/diagrams/GraphiqueCourbe1

http://mywebserver/diagrams/GraphiqueCourbe2.png

http://mywebserver/diagrams/GraphiqueCourbe2.jpg

Sans extension ou avec l'extension .png, l'image est transmise au format PNG (Portable Network Graphic), un type de données gérant la transparence et une compression sans pertes. Tous les navigateurs modernes peuvent afficher les images de ce type.

Le deuxième type géré est le JPEG, lequel est forcé avec l'extension .jpg. La compression effectuée ici est avec pertes et la transparence est impossible. Les algorithmes de compression utilisés peuvent faire apparaître des stries et des bords flous. L'emploi de ce format de données n'est conseillé que lorsque les pages doivent être affichées à l'aide de navigateurs ne gérant pas encore le format PNG, ce qui n'est plus que l'exception.

L'intégration d'images dans les pages HTML s'effectue avec la balise IMG:

<IMG src="/diagrams/GraphiqueCourbe">

<IMG src="/diagrams/GraphiqueCourbe.png">

<IMG src="http://mywebserver/xyGraphique1.jpg">


Options supplémentaires

AMR WinControl - Le Serveur Web > Fonctionnement de serveur Web > Transmission ciblée d'images individuelles

Options supplémentaires

Les images s'affichent par défaut dans la taille à laquelle elles s'affichent sous AMR WinControl en fenêtre en position normale et ce, même si la fenêtre associée est momentanément réduite, agrandie ou masquée.

La seule exception est ici l'image du projet, de laquelle la surface de dessin s'affiche en entier par défaut. L'affichage par défaut est donc fonction des paramètres actuels dans AMR WinControl: si un utilisateur modifie la taille de la fenêtre, cela a des effets directs sur la page Web.

Il est possible que cela soit souhaité dans certains cas, mais plus souvent le concepteur HTML projettera une page dans laquelle les images nécessitent une place bien définie. Pour y parvenir, différentes possibilités s'offrent à vous:

En HTML, l'image peut certes être mise à l'échelle dans la balise IMG (<IMG src="/diagrams/image.jpg" width="100" height="100">) mais on perd des détails lors de la réduction et à l'agrandissement, on obtient des effets d'escalier peu esthétiques.

Le serveur Web AMR WinControl permet d'indiquer des options pour définir l'aspect des images lors de la mise en page, quel que soit l'affichage actuel de la fenêtre d'AMR WinControl depuis laquelle le serveur Web génère les images. Les options sont séparées des noms d'image par un point d'interrogation ("?"). Si plusieurs options se suivent, celles-ci sont séparées l'une de l'autre par un "&". Les options gérées sont les suivantes:

Largeur et hauteur

A l'aide des options Width et Height, lesquelles doivent toujours être utilisées ensemble, la taille de l'image est indiquée en pixels, par ex.:
<IMG src="/diagrams/Graphique.png?Width=200&Height=100">
demande au serveur une image dont les dimensions sont de 200 x 100 pixels.

A la différence de la mise à l'échelle HTML dans le navigateur, l'image est créée directement à la bonne taille dans AMR WinControl. De ce fait, même pour les petites images tous les détails sont conservés tandis que les grandes images apparaissent avec la même netteté que dans AMR WinControl.

Il n'existe qu'une seule limitation en termes de taille minimale: Si les dimensions sont trop petites, seule une partie de l'image s'affichera. Les dimensions minimales sont dépendantes des types de fenêtre et des points de mesure/volume de données qu'elles contiennent et doivent être estimées au cas par cas.
En règle générale, les dimensions minimales valables sont les suivantes (largeur x hauteur):

· Instrument à cadran et aiguille env. 150 x 120

· Rose des vents env. 120 x 120

· Affichage de mesure: env. 50 x 20 par point de mesure, à noter que le logiciel optimise alors l'arrangement en lignes et en colonnes pour les affichages multiples

· Graphique à barres: 50 pixels en largeur / point de mesure, 70 pixels en hauteur

· Graphique en courbe et en XY: 150 x 150 pixels

Les images de projet ne peuvent être mises à l'échelle. Le serveur Web génère une image à partir de la fenêtre d'image de projet désirée. Cette image correspond à un extrait de la fenêtre, commençant dans l'angle en haut à gauche et dont la hauteur et la largeur proviennent des dimensions transmises. Si les dimensions sont inférieures à la fenêtre de programme, l'image ne contient qu'un extrait de l'image du projet. Si elles sont supérieures, l'excédent de surface est rempli de la couleur d'arrière plan.

Les indications de largeur et de hauteur admissibles sont des nombres entiers entre 0 et 1500 en largeur et 1200 en hauteur. Les valeurs inférieures sont ignorées, les valeurs supérieures sont mises à la valeur maximale admissible.

Transparence

L'option Transparency indique au serveur Web de définir la couleur du fond d'image en transparent (Transparency=1) ou non transparent (Transparency=0). Le serveur Web tire l'information de la "couleur du fond" à partir des paramètres du logiciel. Dans WinControl, le fond des graphiques est réglé par défaut sur gris (menu Paramètres/Divers). Si cette option est désactivée, AMR WinControl va chercher l'information de couleur du fond dans les paramètres du système d'exploitation.

Les effets de transparence ne peuvent être utilisés que sur les images demandées au format .png, JPEG ne gère pas cette propriété. Les valeurs transmises admissibles sont 0 et 1.

Exemples:
Activation de la transparence:

<IMG src="/diagrams/GraphCourbe2?Transparency=1">

<IMG src"=/diagrams/GraphCourbe2.png?Transparency=1">

Désactiver la transparence (par défaut):

<IMG src"=/diagrams/GraphCourbe2?Transparency=0">

<IMG src"=/diagrams/GraphCourbe2.png?Transparency=0">

La transparence est impossible en JPEG:

<IMG src"=/diagrams/GraphCourbe3.jpg?Transparency=1">

Combinaison de différentes options:

<IMG src"=/diagrams/GCourbe2?Transparency=1&Width=100&Height=100">

Mise à jour automatique

Si la page HTML dans laquelle sont intégrées des images comporte des fonctions JavaScript, on peut ainsi aisément exécuter des mises à jour automatiques des images.

L'inconvénient est que de nombreux utilisateur désactivent JavaScript pour des raisons de sécurité. Afin d'actualiser alors les images à intervalles réguliers, il faut recharger la page entière.

Le serveur Web AMR WinControl offre ici une étape supplémentaire: Si une image est reliée à un élément HTML actualisable (FRAME ou IFRAME), on peut sur la plupart des navigateurs ne demander la mise à jour automatique que de ce seul élément à l'aide de l'option Refresh, p. ex.:

<IFRAME src="/diagrams/graphique_à_barres?Refresh=10">

On place ainsi sur la page HTML un IFRAME ne contenant que l'image désirée (ici un graphique à barre), laquelle sera mise à jour toutes les 10 secondes.

On peut transmettre comme valeur un nombre entier entre 0 et 65535, lequel est interprété comme intervalle de temps en secondes s'écoulant entre deux mises à jour automatiques.


Le Serveur Web - Paramètres étendus

Le serveur Web intégré dans AMR WinControl est configurable individuellement. A cet effet il existe dans le répertoire Programmes le fichier webserver.ini, dans lequel les utilisateurs avisés peuvent adapter les paramètres.

voir également :

Paramètres généraux

Répertoires de serveur Web

Répertoires virtuels

Liaison SSL


Paramètres généraux

Les paramètres de base s'effectuent dans la section [General]. Si le serveur AMR WinControl fonctionne sur l'intranet et qu'il faut utiliser un autre port que le port 80 standard HTTP, il faut que l'entrée

Port = numéro de port désiré (par ex. 85)

soit adapté en conséquence.

La compression des images générées par AMR WinControl étant très intense en calcul, celles-ci sont temporairement enregistrées puis recalculées uniquement lorsqu'elles ont changé entre deux demandes. La taille maximale de cette mémoire tampon se règle à l'aide de l'entrée

MaxCacheSize = taille en ko

La commande

Directories = nombre de répertoires

permet d'indiquer au serveur Web le nombre de sections qui existent avec indication de répertoire (voir ci-dessous).

La création d'un fichier Log s'active par l'entrée Logfile=1 et se désactive avec l'entrée Logfile=0. Les fichiers Log sont mémorisés dans le sous-répertoire Weblogs qui est créé dans le répertoire programme d'AMR WinControl.

La section [Mime] contient les affectations d'extension de fichier (à Format des données), par laquelle le serveur Web peut communiquer au navigateur le format des données transmises. Les extensions peuvent être nécessaires si le serveur Web AMR WinControl n'administre pas seulement les images mais également toutes les pages HTML qui elles-mêmes utilisent des types de données dépassant les standards habituels.


Répertoires de serveur Web

Les sections [Dir0] à [DirN] permettent d'effectuer les affectations des répertoires demandés par le navigateur aux répertoires physiques ou virtuels correspondants sur l'ordinateur local. Il existe pour chaque indication de répertoire une section propre. Le nombre de sections est indiqué dans la section [General], entrée Directories= (voir ci-dessus).

L'entrée la plus importante est celle relative au répertoire racine, défini par défaut en section [Dir0]. Les deux commandes Alias=/ et Path=web définissent que le serveur Web fournit par défaut des fichiers issus du sous-répertoire web. Si le navigateur demande un répertoire au lieu d'un fichier, alors le paramètre DirectoryListing=0 définit que le serveur Web ne délivre pas de table des matières du répertoire. Il le ferait avec le paramétrage DirectoryListing=1. Enfin avec DefaultFile=index.htm le serveur Web est configuré pour qu'il fournisse le contenu d'un fichier donné (en l'occurrence index.htm) au lieu du répertoire.

Tout comme le répertoire racine, il est également possible d'affecter d'autres répertoires aux répertoires locaux du serveur.

Les commandes Username=NAME et Password=PASSWORD permettent d'autoriser l'accès à chacun des répertoires à un nombre limité de personnes. Chaque répertoire peut posséder un autre mot de passe (ou aucun).

Attention!

Mot de passe et nom d'utilisateur sont en clair dans webserver.ini. L'accès à ce fichier doit être protégé pour que le mot de passe fonctionne de manière fiable.

Avant d'accéder à des domaines protégés, dans la fenêtre du navigateur de l'utilisateur s'ouvre une boîte de dialogue dans laquelle il faut saisir nom et mot de passe. Ce n'est que si ces indications concordent avec les entrées de webserver.ini que l'accès est assuré.


Répertoires virtuels

Comme il est décrit au chapitre Transmission du répertoire virtuel d'images on peut accéder aux images générées à partir des fenêtres AMR WinControl via l'indication "http://mywebserver/diagrams/".

"diagrams" représente un répertoire virtuel défini en section [Dir1]. Un répertoire virtuel signifie qu'aucun répertoire physique sur le support de données n'est associé à ce répertoire mais que les données sont générées puis mises à disposition en dynamique dans AMR WinControl selon les exigences actuelles du navigateur.

Le seul répertoire virtuel actuellement géré porte le nom ~Views. Par ce répertoire, on peut accéder aux contenus des graphiques affichés sous AMR WinControl. Les deux commandes Alias=/diagrams et Path=~Views dans la définition par défaut de [Dir1] signifient que l'on accède depuis le navigateur par le répertoire diagrams au répertoire virtuel du serveur Web. On peut également définir pour le répertoire virtuel si le navigateur a accès à la vue d'ensemble des répertoires (DirectoryListing=1) ou non.

Le répertoire virtuel ~workspaces permet d'accéder aux contenus selon les zones de travail. Les entrées Alias=/workspaces et Path=~workspaces de webserver.ini sous [Dir2] indiquent que ce répertoire virtuel s'ouvre dans le navigateur via le répertoire workspaces.

Le répertoire virtuel ~alarms permet d'afficher la page currentalarm.html de confirmation des alarmes. Il faut créer une section [Dir3] avec les entrées Alias=/alarms et Path=~alarms dans webserver.ini pour afficher les alarmes dans le navigateur par l'URL http://<server>/alarms/currentalarm.html.

Attention !

Lors de l'ajout de répertoires virtuels, l'entrée Directories= dans la section [General] doit être adaptée en conséquence.


Liaison SSL

Pour sécuriser l'accès au serveur Web et pour empêcher des manipulations ou la détection du nom d'utilisateur et du mot de passe, le serveur Web doit être configuré tel que l'accès ne soit possible que par une connexion SSL.

Dans webserver.ini, créer une section supplémentaire [SSL] et rajouter les entrées suivantes :

Protocol=3

ServerCertificateFile=akr-ca.pem

PrivateKeyFile=akr-key.pem

Les noms akr-ca.pem et akr.key.pem sont des exemples et doivent être remplacés par les noms correspondants. Si le logiciel ne trouve aucun chemin, il cherche les fichiers dans le répertoire des programmes. Le fichier akr-key.pem comporte la clé privée PGP et le fichier akr-ca.pem le certificat correspondant avec la clé publique.

Bon à savoir !

Les fichiers PEM avec la clé PGP privée et son propre certificat signé peuvent être créés à l'aide du logiciel OpenSSL. La clé publique ainsi auto-signée est considérée par la plupart des navigateurs comme non fiable puisqu'ils n'acceptent que des certificats signés par un organisme de certification publique. Vous pouvez considérer manuellement le certificat comme fiable dans la plupart des navigateurs.

Attention !

L'accès au fichier avec la clé privée PGP doit être limité tel que des personnes non autorisées n'y aient pas accès, mais que l'utilisateur pour lequel AMR WinControl a été activé puisse le lire.

De plus, l'entrée Port=80 dans la section [General] de webserver.ini doit être mise à Port=443 puisque le port TCP 443 est l'entrée par défaut pour les liaisons HTTPS codées SSL.


modifier les propriétés de la fenêtre actuelle

Pour chaque fenêtre de programme sous AMR WinControl vous pouvez ouvrir une boîte de dialogue qui vous permet de définir les propriétés. A l'exception de la fenêtre Points de mesure, la boîte de dialogue respective apparaît lorsque vous ouvrez une nouvelle fenêtre. Tout en travaillant, vous pouvez à tout instant faire varier les propriétés.

Appel

· Automatiquement à l'ouverture de la fenêtre (sauf fenêtre des points de mesure).

· Menu Mesures/Propriétés

· à l'aide du bouton "Propriétés" de la barre d'outils.

· en double-cliquant avec le bouton gauche de la souris dans la fenêtre actuelle.

· en cliquant avec le bouton droit de la souris dans la fenêtre en cours et en sélectionnant la fonction Propriétés dans le menu contextuel.

· en appuyant sur <ENTRÉE>.


établir la liaison avec l'appareil de mesure

Dans la boîte de dialogue "Paramétrage de la connexion" vous pouvez définir que vous voulez travailler en ligne, donc avec l'appareil de mesure . Sélectionnez l'interface sur laquelle l'appareil de mesure est raccordé à l'ordinateur et définissez la vitesse de transmission pour le transfert de données. Choisissez OK pour valider les paramètres. AMR WinControl établit alors la liaison avec l'appareil de mesure (voir également : Gestion des connexions ou Ajouter une connexion).

Appel

· automatiquement au démarrage du programme

· Menu Paramètres/Interface

· à l'aide du bouton d'interface de la barre d'outils


établir une liaison par modem

· Sélectionnez la fonction Paramètres/Ajouter une connexion et dans la boîte de dialogue qui s'affiche s'affiche Paramètres de la connexion choisir "Modem" comme connexion (voir également : Paramètres de la connexion/Modem).

· Définissez ensuite le numéro d'appel, le port COM et la vitesse de transfert pour le modem installé dans le système.

· Bien entendu, il est nécessaire de brancher préalablement un modem configuré en conséquence côté appareil.


commander un réseau ALMEMO avec le logiciel

· Assurez-vous que tous les appareils possèdent leur propre adresse.

· Le mieux est de commencer par l'adresse d'appareil "00" et d'utiliser des numéros consécutifs.

· Réglez le nombre d'appareils de mesure dans la boîte de dialogue Paramètres de la connexion.

· Utilisez l'émission retardée (à définir également dans la boîte de dialogue "Paramètres de la connexion") si une liaison stable avec tous les appareils n'est pas possible.


définir la vitesse de scrutation

Vous pouvez définir la vitesse de scrutation ou le cycle de mesure à l'aide de la boîte de dialogue Cycle de mesure.

Appel

· Menu Paramètres/Cycle de mesure

· Combinaison de touches <CTRL+Z>

Attention !

Il est possible de définir un cycle de mesure plus court que celui que peut réaliser le matériel. Dans ce cas, le programme lancera le cycle suivant dès que le matériel aura traité le précédent.


générer un nouvel affichage des valeurs de mesure

· à partir de la commande de menu Mesures/Nouvel affichage de valeur de mesure

· Touche fonction <F5>

· Clic simple de la souris sur l'icône "Nouvel affichage de valeur de mesure" dans la barre d'outils


créer un nouveau graphique à barres

· à partir de la commande de menu Mesures/Nouveau graphique à barres

· touche de fonction <F6>

· Clic avec le bouton gauche de la souris sur l'icône "Nouveau graphique à barres" dans la barre d'outils


imprimer un graphique à barres

· activer le graphique à imprimer

· exécuter la commande Fichier/Imprimer

· ou clic de souris sur l'icône imprimante de la barre d'outils


créer un nouveau tableau

· par la commande de menu Mesures/Nouveau tableau

· Touche de fonction <F10>

· Clic simple de la souris sur l'icône "Nouveau tableau" dans la barre d'outils


imprimer un tableau

· activez le tableau que vous voulez imprimer

· activez la commande Fichier/Imprimer

· ou clic de souris sur l'icône imprimante de la barre d'outils


créer une image de projet

Pour réaliser une image de projet, exécutez la commande Mesures/Nouvelle image de projet.

Afin de pouvoir définir les propriétés de l'image de projet, sélectionnez dans le menu Vue/Propriétés du graphique, la commande Propriétés du graphique dans le menu contextuel ou par <Entrée>, ouvrez la boîte de dialogue des propriétés associée.

Dans la boîte de dialogue "Propriétés de l’image de projet", vous déterminez d'abord la taille de l’image et décidez ensuite si vous voulez vous servir d’une grille comme support au dessin. Vous pouvez appeler à nouveau cette boîte de dialogue à tout moment et y modifier les caractéristiques de l’image de projet.

Pour insérer les objets désirés dans une image de projet, il existe la fonction Edition/Insérer objet. Avec la commande Edition/Dessin, vous pouvez insérer des objets de dessin (courbes, polygones etc…).

Vous pouvez avec la fonction Insérer objet/champ de mesure du menu Edition ou du menu contextuel, insérer un nouveau champ de mesure dans une image de projet. Vous pouvez tout d'abord définir la position dans l'image de projet à l'aide du pointeur de souris. D'un clic simple du bouton gauche de la souris vous ouvrez ensuite la boîte de dialogue "Propriétés : Affichage de mesure". Cette boîte de dialogue vous offre les différents éléments (onglets) pour sélectionner le point de mesure désiré, le lien pour appeler un fichier ainsi que la mise en forme (par ex. police, couleur) du champ de mesure.

De façon équivalente, la définition d'une zone de texte est établie par la fonction Nouvelle zone de texte. Au lieu de sélectionner un point de mesure, saisissez dans la boîte de dialogue "Propriétés de la zone de texte" le texte désiré.

Vous pouvez avec la fonction Insérer objet/Bitmap et Insérer objet/Métafichier étendu du menu Edition ou du menu contextuel, insérer un nouveau graphique dans une image de projet. A l'exécution de la fonction apparaît une boîte de dialogue de fichier standard dans laquelle vous pouvez sélectionner le graphique désiré sous forme de fichier bmp ou emf et le charger après confirmation par OK. Vous pouvez modifier la taille de l'image en tirant le pointeur de la souris en maintenant le bouton gauche de la souris enfoncé

Pour procéder au positionnement des trois types d'objet, sélectionnez l'objet désiré p. ex. en cliquant une fois avec le bouton gauche de la souris sur celui-ci et déplacez le pointeur de la souris en maintenant la touche de la souris enfoncée.


créer un nouveau graphique en courbe

· par la commande Mesures/Nouveau graphique en courbe

· touche fonction <F7>

· Clic avec le bouton gauche de la souris sur l'icône "Nouveau graphique en courbe" dans la barre d'outils


imprimer un graphique en courbe

· activer le graphique en courbe à imprimer

· exécuter la commande Fichier/Imprimer

· ou clic de souris sur l'icône imprimante de la barre d'outils

ou bien:

· activer le graphique en courbe à imprimer

· exécuter la commande Edition/Copier

· dans un traitement de texte exécuter la commande Edition/Insérer

· imprimer le document texte


imprimer les graphiques en courbes sur plusieurs pages

Pour ceci, sélectionnez dans le graphique en courbe l'intervalle de temps que vous voulez représenter sur chaque page (propriétés du graphique en courbe). Sur appel de la fonction Fichier/Imprimer, une boîte de dialogue d'impression s'ouvre, dans laquelle vous pouvez sélectionner dans la section "Zone d'impression" l'option "Tout" ou "Pages de à". Sur confirmation par OK et en fonction de votre choix, soit le fichier entier des valeurs de mesure est imprimé sur plusieurs pages, soit uniquement les pages sélectionnées. La taille de l'intervalle temporel de chaque page correspond à la taille de l'intervalle de temps du graphique en courbe sélectionné au moment de l'appel.


imprimer la liste des points de mesure

· activer la fenêtre des points de mesure

· exécuter la commande Fichier/Imprimer

· ou clic de souris sur l'icône imprimante de la barre d'outils


définir des voies de calcul globales

· Sélectionnez la fonction Programmer/Voies de calcul.

· Dans l'onglet "Voies de calcul" de la boîte de dialogue qui s'affiche, sélectionnez le bouton Ajouter et définissez un nouveau canal de calcul par le numéro de voie.

· Définissez ensuite tous les paramètres nécessaires ainsi que la formule mathématique (voir également : Propriétés des voies de calcul).

· Valider permet de valider le nouveau canal de calcul dans le système.


définir des voies de calcul locales

· Activez le jeu de données désiré (graphique en courbe, XY ou tableau).

· Sélectionnez la fonction Edition/Ajouter voie de calcul.

· La boîte de dialogue "Ajouter voie de calcul" vous permet de définir toutes les caractéristiques nécessaires ainsi que la formule mathématique (voir également : Ajouter voie de calcul).


définir les compteurs, les sommes et les valeurs moyennes sur toute la mesure

Effectuez les étapes nécessaires pour définir une voie de calcul globale ou locale.

Si dans la formule il est fait appel à la valeur de cette voie de calcul, le système livre la valeur que la voie de calcul avait en dernier.

Il est donc possible d'additionner les valeurs d'un point de mesure acquises à chaque cycle.

Il est important d'indiquer une valeur de démarrage. A cet effet, la boîte de dialogue "Propriétés de la voie de calcul" vous propose un champ de saisie adéquat. Au départ de la mesure, la valeur de la voie de calcul est réglée à cette valeur initiale pour atteindre un état défini.

Pour procéder au test, nous vous proposons la configuration suivante :

m(80,0) +1 | Définition de la voie de calcul 80.0 en compteur simple (incrément de 1 à chaque cycle).
m(80,1)+m(80,0) | Définition de la voie 80.1 comme somme de la valeur précédente et de la nouvelle valeur de la voie 80.0
max(m(1, 0), m(80, 0)) | Maximum de toutes les valeurs du point de mesure 1.0 pendant toute la durée de la mesure (définition de la formule de la voie de calcul 80.0).


établir des valeurs moyennes quotidiennes ou horaires pour des intervalles de temps à définir

Pour l'évaluation et la réduction de données déjà enregistrés (par ex. des valeurs lues depuis les mémoires des appareils), vous pouvez vous servir de la fonction Fichier/Réduction de données.

Sur appel de la fonction, la boîte de dialogue "Réduction de données" s'affiche. Elle vous permet de saisir une durée de cycle sur laquelle les moyennes sont calculées cycliquement. Un nouveau fichier est créé contenant tous les points de mesure du fichier source et dont les données correspondent aux valeurs moyennes cycliques préalablement calculées.

Bien entendu, cette fonction n'est disponible qu'en cas de présence dans la fenêtre active d'un jeu de données sur lequel elle peut être appliquée (voir : Réduction de données).


analyser l'évolution d'une courbe

· Ouvrez un fichier de valeurs de mesure et passez dans la vue "Graphique en courbe".

· Le menu Vue et le menu contextuel vous offrent la fonction "Curseurs", à l’aide de laquelle vous pouvez activer et désactiver deux curseurs de mesure.

· Lorsque les curseurs sont activés, ceux-ci sont représentés dans le graphique sous forme de deux lignes verticales et dans la partie inférieure du graphique en courbe s’affiche un tableau donnant les valeurs de mesure de toutes les courbes en dessous des curseurs.

· De plus, pour chaque courbe que contient le graphique, la fonction de statistique intégrée calcule les valeurs suivantes : Différence des deux valeurs de mesure en-dessous des curseurs ; minimum, maximum et valeur moyenne de la plage délimitée par les curseurs. Ces valeurs sont également affichées dans le tableau.

La proportion entre le graphique en courbe et le tableau de statistiques peut être définie individuellement. Si vous déplacez le pointeur de la souris sur la ligne de séparation entre le graphique et le tableau, il change d’aspect et vous pouvez déplacer cette ligne de séparation en maintenant le bouton gauche de la souris enfoncé.

Pour procéder à l’impression, voici les différentes possibilités :

· impression directe du graphique et du tableau des statistiques.

· impression directe du tableau des statistiques.

· copie du graphique ou du tableau des statistiques à l’aide du presse-papiers, p. ex. dans les documents texte ou les tableurs.


représenter les courbes en superposé

Sélectionnez ce type de représentation dans la boîte de dialogue Propriétés du graphique en courbe dans la zone "Représentation" en choisissant l'option "Superposée".

Dans ce mode, les données de mesure issues d'une fusion de fichiers sont représentées avec la même origine temporelle. Cette fonction permet la comparaison directe dans un même graphique entre deux courbes enregistrées à des moments différents.


enregistrer et appliquer les propriétés de représentation

Vous pouvez enregistrer les propriétés d'affichage des fichiers de valeurs de mesure de WinControl dans un format de fichier individuel. Ce type de fichier est appelé "modèle de format".

Pour cela, lorsque le fichier des valeurs de mesure est activé, exécutez la commande de menu Fichier/Enregistrer comme modèle. Une boîte de dialogue standard de fichier s'affiche alors. Lorsque vous avez défini le répertoire et saisi le nom du fichier, les propriétés d'affichage du fichier de mesure sélectionné sont sauvegardées comme modèle dans un fichier à l'extension "amv" (voir également : Enregistrer comme modèle).

De plus, vous pouvez appliquer à un fichier de valeurs de mesure AMR WinControl existant les caractéristiques d'affichage sauvegardées dans un tel modèle de format. Dans ce cas, le fichier de mesures existant s'affiche avec les propriétés issues du modèle.

Pour cela, lorsque le fichier des valeurs de mesure est activé, exécutez la commande de menu Fichier/Appliquer modèle. Une boîte de dialogue standard de fichier s'affiche alors, dans laquelle vous pouvez sélectionner le fichier modèle désiré. Lorsque vous avez confirmé par OK, les propriétés de représentation du fichier modèle sélectionné sont validées pour le fichier de valeurs de mesure existant et les valeurs de mesure sont représentées en fonction de ces caractéristiques (voir également : Appliquer le modèle).


créer un nouveau graphique en courbe ayant les propriétés d'un modèle donné

La barre d'outils offre un bouton de commande divisé permettant de créer de nouveaux graphiques en courbe.

La partie gauche avec le graphique stylisé permet d'ouvrir (comme d'habitude) une boîte de dialogue de création d'un nouveau graphique en courbe.

La partie droite du bouton de commande (triangle) ouvre un menu reprenant tous les modèles listés dans le répertoire de programmes ou dans un répertoire défini (voir ci-dessous). En choisissant l'une des entrées avec la souris, le programme crée un nouveau graphique en courbe reprenant toutes les propriétés du modèle, y-compris les points de mesure réglés. La boîte de dialogue des propriétés des graphiques en courbe ne s'affichera dans cette procédure que si aucun modèle n'a pu être trouvé dans le répertoire correspondant.

Pour paramétrer un autre répertoire que celui du programme comme source pour les modèles à lister, il est possible de changer le répertoire sous "Paramètres/Répertoires". Il faut créer dans la configuration en section [Settings] l'entrée TemplatePath = répertoire cible. Le répertoire cible doit être indiqué comme chemin d'accès absolu, y-compris l'indication du lecteur.

Exemple :

Dans la section [Settings]

TemplatePath = C:\WinControl Données\Modèles\

Bon à savoir !

Comment trouver la configuration et ce qu'il faut alors observer, se trouve au chapitre trouver la configuration.


fusionner les fichiers avec un modèle par défaut automatiquement à l'ouverture

On peut optimiser l'ouverture des fichiers avec un certain modèle s'il faut utiliser le même modèle pour tous les fichiers (même nombreux). Pour des fichiers isolés, l'utilisateur peut ouvrir le fichier, puis dans le menu choisir la commande "Utiliser modèle…" et choisir le modèle dans la boîte de dialogue qui s'affiche. Afin de contourner ces étapes répétitives, vous disposez dans le menu "Fichier" de la commande "Ouvrir avec modèle standard…". Cette fonction va appliquer dès l'ouverture du fichier de mesures un modèle préalablement défini (modèle standard).

Afin que cette commande soit accessible dans le menu, il faut que le modèle standard soit défini comme suit dans la configuration en section : [Settings]

StandardTemplate= chemin du fichier

Exemple :

Dans la section [Settings]

StandardTemplate = C:\Mes documents\stdtemplate.amv

Bon à savoir !

Comment trouver la configuration et ce qu'il faut alors observer, se trouve au chapitre trouver la configuration.


attribuer ou modifier ultérieurement des commentaires aux points de mesure

· Activez le jeu de données désiré.

· Sélectionnez la fonction "Commentaires pt de mesure" dans le menu "Vue" ou à l'aide du menu contextuel.

· La boîte de dialogue Commentaires des points de mesure contient un tableau comportant tous les points de mesure du graphique ainsi que son commentaire (le cas échéant pas d'entrée).

· Dans ce tableau, vous pouvez effectuer toutes les modifications désirées et en terminant par OK, celles-ci sont prises en compte.

Attention !

Comme en mode en ligne cette modification serait écrasée par le nouveau commentaire saisi sur l'appareil, cette fonction n'est disponible que hors ligne ou pour les fichiers lus dans la mémoire de l'appareil.


saisir des remarques concernant un fichier de valeurs de mesure

Pour saisir des remarques sur un fichier de valeurs de mesure, exécutez la commande Vue/Remarques. Elle vous ouvre une boîte de dialogue dans laquelle vous pouvez saisir les remarques désirées. Vous pouvez également appeler cette boîte de dialogue à l'aide du menu contextuel de la vue correspondante du fichier des valeurs de mesure.


intégrer un objet WinControl dans un document texte

L'exemple de MS-Word décrit brièvement comment vous pouvez créer un document avec graphique AMR WinControl. On suppose qu'un graphique en courbe a été copié dans le presse-papiers à l'aide d'AMR WinControl.

Les étapes à exécuter dans le traitement de texte sont les suivantes :

· Ouvrir le nouveau fichier ou le fichier comportant le texte d'un rapport, positionner le curseur.

· Exécuter la commande Edition/Insérer les contenus.

· Sélectionner dans la liste des objets disponibles le graphique en courbe AMR WinControl.

· Dans le document texte apparaît un graphique en courbe ayant les propriétés définies dans AMR WinControl.

Si vous voulez affecter d'autres propriétés à ce graphique, vous pouvez procéder de la manière suivante :

· Activez la liaison avec AMR WinControl d'un double-clic de la souris sur le graphique

· Le graphique se comporte comme si AMR WinControl était exécuté au premier plan (et non pas le programme de texte) et par conséquent il peut être édité

· Vous disposez des commandes nécessaires d'AMR WinControl et des éléments de la barre d'outils.

D'un clic de souris sur la zone de texte, vous annulez la liaison et l'état actuel du graphique est "gelé" dans le texte.


créer un fichier de valeurs de mesures

Avant de commencer la mesure, lancez la commande Mesures/Enregistrement automatique. Dans la boîte de dialogue qui s'affiche, tous les points de mesure pour l'enregistrement sont sélectionnés. Si vous ne voulez enregistrer les mesures que de certains points de mesure, désélectionnez les autres. En appuyant sur Démarrer cette sélection sera validée, dans la boîte de dialogue indiquez le répertoire et le nom du fichier puis confirmez par OK. En exécutant à nouveau la commande Mesures/Enregistrement automatique, la boîte de dialogue affiche le bouton Arrêter. Pendant toute la durée qui s'écoule jusqu'à l'arrêt, les données acquises sont écrites dans le fichier indiqué. En raison de la méthode d'enregistrement, presque toutes les données sont sauvegardées, même en cas de blocage de l'ordinateur (voir aussi : Enregistrement automatique).

A partir de chaque graphique en courbe et de chaque tableau vous pouvez en outre générer un fichier de valeurs de mesure à l'aide de la commande Fichier/Enregistrer (voir également : Fichier/Enregistrer).


sauvegarder une plage d'un jeu de données

La commande Fichier/Enregistrer intervalle vous permet d'enregistrer l'intervalle de temps désiré d'un jeu de données dans un nouveau fichier. En lançant cette fonction, vous ouvrez la boîte de dialogue "Enregistrer intervalle".

Choisissez les points de mesure désirés pour l'enregistrement dans la liste et définissez l'intervalle temporel en saisissant les indications respectives de la date et de l'heure de début et de fin (voir également : Enregistrer intervalle).


charger des valeurs de mesure depuis un fichier

La commande Fichier/Ouvrir vous permet d'ouvrir dans une nouvelle fenêtre un fichier de valeurs de mesure existant. Selon que ce fichier a été mémorisé comme graphique en courbe ou en tableau ou bien avec la fonction Mesures/Enregistrement automatique ou Mesures/Lecture mémoire appareil, la fenêtre s'ouvre comme graphique en courbe, comme tableau ou comme vue d'ensemble de fichier (voir également : Fichier/Ouvrir).


fusionner des fichiers de mesure entre eux

· Ouvrez d'abord l'un des fichiers que vous voulez fusionner. Vous pouvez ouvrir ce fichier dans n'importe quelle vue.

· Sélectionnez ensuite la commande Fichier/Fusionner ou bien choisissez la fonction Fusionner dans le menu contextuel (clic avec le bouton droit de la souris dans la fenêtre actuelle).

· Une boîte de dialogue de fichier standard s'affiche dans laquelle vous pouvez sélectionner les fichiers désirés. Fermez-la avec OK.


générer automatiquement des fichiers quotidiens

· Démarrez la commande Mesures/Enregistrement automatique (<F12>).

· Sélectionnez "commande temporelle", les champs de saisie auparavant grisés, c.-à-d. Date, Heure, Jours et Temps (hh:mm) s'affichent en noir et sont ainsi activables.

· Sous "Date de début", saisissez la date à laquelle vous voulez lancer la mesure. Si vous ne saisissez aucune date de départ, seule l'heure sera retenue. Ceci a pour conséquence que l'enregistrement des données recommence dès que l'heure de départ est à nouveau atteinte (à condition que l'enregistrement ait été auparavant arrêté préalablement soit par l'utilisateur, soit après écoulement de la durée).

· Lorsque l'heure définie sous Heure de début est atteinte, l'enregistrement des données de mesure commence automatiquement. Selon qu'une date de début a été saisie ou non, l'enregistrement automatique commence à l'heure de début ou seulement le jour de la date de début.

· Sous "Durée" définissez la durée de l'enregistrement des données de mesure dans un fichier. Le nombre de jours doit être indiqué en jours entiers. Vous pouvez combiner des jours avec des heures et des minutes. Vous pouvez également indiquer plus de vingt-quatre heures.


sauvegarder automatiquement plusieurs fichiers par jour sur le disque dur

Pour sauvegarder automatiquement plusieurs fichiers par jour sur le disque dur, appelez la fonction Mesures/Enregistrement automatique dans la boîte de dialogue "Enregistrement automatique" et exécutez les étapes suivantes :

· Sélection de l'option de démarrage "commande temporelle"

· Choix de l'heure de démarrage (ne pas remplir la date!)

· Définir la durée

· Activer l'option "Redémarrer après temps écoulé"

Une foie la mesure lancée, les fichiers de valeurs de mesure sont générés automatiquement sur la durée définie. Les noms des fichiers sont attribués automatiquement. Ils sont attribués en fonction de la date et de l'heure de création du fichier respectif selon le principe suivant : aammjj-hhmmxx. L'indice "xx" est prévu comme compteur pour le cas (plutôt théorique) où plusieurs fichiers sont créés en même temps (voir également : Enregistrement automatique).


enregistrer automatiquement une liste d'événements

Si la fonction "Enregistrement automatique" est activée, la liste des événements peut également être sauvegardée automatiquement. Pour ceci, l'option "Enregistrement automatique de la liste des événements" dans la boîte de dialogue "Enregistrement automatique" doit être activée. A l'aide du bouton gauche de la souris, cliquez sur le bouton d'option à gauche du texte de sorte qu'une petite croix s'affiche (voir également : Enregistrement automatique).

La liste des événements est alors enregistrée dans le même répertoire et sous le même nom (mais avec l'extension.amrevt) que le fichier des mesures.


exporter une liste d'événements

Afin d'exporter en cas d'alarme une liste des événements sous forme de fichier ASCII, lancez la fonction de menu Fichier/Exporter lorsque la liste des événements est activée. Sur appel de cette fonction une boîte de dialogue de fichier standard s'affiche dans laquelle vous pouvez saisir le nom et le répertoire dans lequel le fichier doit être enregistré.


poursuivre la mesure automatiquement après panne de courant

· Dans la boîte de dialogue "Paramètres divers", sélectionnez l'option Poursuivre automatiquement la mesure après coupure de courant. Pour ce faire, cliquez sur la case à cocher à gauche de ce texte.

· Copiez l'icône du programme d'AMR WinControl depuis le groupe de programme "AMR WinControl" dans le groupe de programme "Démarrage" (cliquez sur l'icône à l'aide du bouton gauche de la souris, maintenez le bouton enfoncé, appuyez également sur la touche <CTRL> et tirez-le dans le groupe de programmes "Démarrage").

· Changez l'appel dans la ligne de commande de l'icône de programme de manière à ce que le paramètre -autostart soit transmis. Pour ceci, activez l'icône du programme et exécutez la fonction de menu Fichier/Propriétés. Dans la boîte de dialogue qui s'affiche, allez à la ligne de commande et saisissez après AMR32.exe -autostart. Terminez par OK

· A l'aide de Mesures/Enregistrement automatique définissez un fichier de valeurs de mesure dans lequel vous voulez sauvegarder les valeurs désirées.

· Lorsque vous démarrez le programme à nouveau, l'enregistrement des données continue automatiquement dans ce fichier.


représenter des valeurs de mesure dans une feuille de calcul

Lorsque vous voulez représenter les valeurs de mesure d'un graphique en courbe ou d'un fichier enregistré (fenêtre actuelle : vue d'ensemble du fichier) sous forme de tableau, lancez la commande Fichier/Exporter. Dans la boîte de dialogue qui s'affiche, choisissez l'onglet DDE. Les données de mesure peuvent maintenant être directement transmises à un tableur et y être travaillées (voir également : Fichier/Exporter).


transmettre en ligne les données vers Excel

Pour la transmission des données en ligne vers Excel, vous pouvez vous servir de la fonction Mesures/Nouveau lien Excel. En appelant cette fonction, le système vous demande (par défaut) de saisir les caractéristiques de l'objet "Nouveau lien Excel". Procédez à l'entrée correspondante. Le système ouvre maintenant une fenêtre vous informant de l'état du lien avec Excel (voir également: Nouveau lien Excel).


effectuer un DDE par Excel

· Lancez MS-EXCEL en parallèle avec AMR WinControl.

· Activez le jeu de données désiré dans AMR WinControl (graphique en courbe, tableau ou fenêtre de vue d'ensemble d'un fichier de valeurs de mesure).

· Exécutez la commande Fichier/Exporter et sélectionnez l'onglet "DDE".

· Sélectionnez d'abord les points de mesure dont vous voulez exporter les données.

· Dans le champ "Service": saisissez "Excel".

· dans le champ "Rubrique": saisissez feuil1 (pour Excel 4.0)

· ou pour Excel 5.0: [Classeur1]feuil1

· dans le champ de saisie "Elément" saisissez: l1c1:l100c3 (pour 100 valeurs et un point de mesure, 1ère et 2ème colonne pour la date et l'heure).

· Cliquez ensuite sur le bouton "Envoyer".

· Passez maintenant dans le tableur (p. ex. à l'aide de la combinaison de touches <ALT+TAB>


obtenir des informations sur les appareils raccordés

Outre la liste des points de mesure déjà connue, dès l'activation de la connexion on obtient une liste des appareils de mesure. La liste fait partie de la fenêtre "Points de mesure, appareils et connexions". L'onglet "Appareils" permet d'appeler au premier plan le tableau correspondant. A l'instar des entrées des points de mesure, les entrées pour les appareils de mesure sont actualisées automatiquement par le logiciel.


lire la mémoire des mesures de l'appareil

A l'aide de la boîte de dialogue Paramètres de la connexion, établissez la liaison avec l'appareil de mesure et sélectionnez la commande Mesures/Lecture mémoire appareil. Dans la boîte de dialogue qui s'affiche maintenant, vous pouvez saisir un commentaire relatif aux valeurs de mesure et qui sera ultérieurement disponible lors de la création d'un fichier de valeurs de mesure. Saisissez OK pour activer la lecture des valeurs de mesure. Une fenêtre de vue d'ensemble du fichier est maintenant affichée et comporte le commentaire, le début et la fin de la mesure ainsi que les points de mesure existants (voir également : Lecture mémoire appareil).


lire une sélection de la mémoire de l'appareil

A l'aide de la fonction de menu Mesures/Lecture mémoire appareil ouvrez la boîte de dialogue "Lecture de la mémoire de l'appareil ".

Dans la section "Sélection des données" vous pouvez définir comme vous voulez la sélection des valeurs de mesure à récupérer.


lire la mémoire des systèmes 5590-3

Si le système de mesure ne peut être détecté automatiquement, il est nécessaire avant le démarrage de l'application, dans la configuration à la section [Settings] de procéder à la saisie suivante :

AnlagenSupport = 1

Dans la boîte de dialogue "Lecture de la mémoire de l'appareil ", l'option "Mémoire de système" est alors disponible sous la rubrique "Provenance des données". Si vous avez sélectionné cette option, les données de mesure seront lues dans la mémoire du système et non dans les mémoires de modules.

Si vous voulez lire un intervalle d'une mémoire de système, les systèmes peuvent engendrer des temps de réaction assez longs.

Dans ce cas, il est nécessaire de procéder avant le démarrage de l'application, dans la configuration à la section [Settings], à l'inscription de prolongement du temps d'attente. L'indication s'effectue en millisecondes. Ahlborn Meß- und Regelungstechnik recommande à cet effet une valeur de 4 minutes pour une mémoire de 2 Mo. La saisie correspondante est donc

DLTimeout = 240000

Bon à savoir !

Comment trouver la configuration et ce qu'il faut alors observer, se trouve au chapitre trouver la configuration.


mettre à l'échelle automatiquement une plage de capteur

· Exécutez la commande Programmation/Programmation des pts de mes.

· Dans la boîte de dialogue "Propriétés des points de mesure" qui s'affiche, sélectionnez le point de mesure dont vous voulez adapter la plage au capteur utilisé.

· Le cas échéant, changez l'unité de la grandeur à mesurer dans le champ de saisie "Unité".

· Cliquez sur le bouton Echelle pour ouvrir la boîte de dialogue Mise à l'échelle.

· Dans les champs de saisie "Plage de mesure" et "Sortie correspondante sur le capteur" saisissez les valeurs du début et de fin du capteur utilisé et confirmez par OK.

· Dans les champs de saisie "Facteur" et "Exposant" de la boîte de dialogue "Propriétés des points de mesure" apparaissent les valeurs de correction calculées

· Cliquez sur le bouton Programmer pour transmettre les modifications au point de mesure.


effectuer un zéro temporaire

L'onglet "Réglage du zéro" de la boîte de dialogue "Propriétés des points de mesure et de la liste des points" vous permet d'effectuer un zéro temporaire.

Pour ceci, sélectionnez le point de mesure désiré dans la liste et cliquez avec le bouton gauche de la souris sur le bouton Compensation du zéro pour lancer la compensation temporaire.

Appel

· Menu Mesures/Propriétés.

· à l'aide du bouton "Propriétés" de la barre d'outils.

· en double-cliquant avec le bouton gauche de la souris dans la fenêtre actuelle.

· en cliquant avec le bouton droit de la souris dans la fenêtre en cours et en sélectionnant la fonction Propriétés dans le menu contextuel.

· en appuyant sur <ENTRÉE>.


enregistrer une nouvelle plage de mesure

Dans le fichier sensors.dat toutes les plages des capteurs ainsi que les définitions correspondantes, par ex. nombre de décimales, numéro de commande etc… on été enregistrés sous forme de tableau ASCII.

Si vous voulez programmer une plage inconnue au moment de la création du programme, vous pouvez ajouter cette entrée dans le tableau.

Lors de l'édition de ce fichier veillez à ne pas modifier le format des entrées existantes. Saisissez chaque nouvelle plage dans une ligne nouvelle. Vous trouverez les caractéristiques de la plage à enregistrer dans le descriptif du matériel.

Le contenu des colonnes est défini dans l'en-tête du texte. La plage NiCr nous sert ici d'exemple :

;capteur | Plage capteur | Plage de représentation | Plag.aff.déf | Libellé | Unité. | id
; | min max | min max | min max | axes | id déc |
"NiCr", | -200.0,1370.0, | -200.0,1500.0, | 0.0, 40.0, | "°C", | 0, 1, | 4

La signification des trois dernières colonnes est décrite en détail par la suite :

"Unité id" est l'affectation d'un nombre à l'unité préalablement citée. Vous trouverez l'affectation respective dans le tableau. Si la nouvelle unité n'existe pas encore dans le tableau, saisissez un espace au lieu de l'unité ainsi que le nombre correspondant 21.

"Nb déc" désigne le nombre de décimales de la plage.

A la dernière colonne "id" saisissez le numéro de la commande de la nouvelle plage.

Les modifications dans ce fichier ne sont efficaces qu'après redémarrage du programme.


éditer les fichiers de programmation

· Lancez la fonction Programmation/Charger programmation d'appareil.

· Une boîte de dialogue de fichier standard permet d'ouvrir un fichier de programmation déjà enregistré. Un tableau comportant tous les paramétrages s'affiche.

· Ce tableau s'édite comme un tableau EXCEL. Vous disposez ainsi des fonctions Copier <Ctrl+C> et Coller <Ctrl +V>, vous pouvez supprimer des lignes (sélectionner la ligne et appuyer sur <Suppr>), en ajouter (sélectionner la ligne et appuyer sur <Inser>) ou insérer un tableau que vous avez créé par ex. sous EXCEL ou autre comportant les valeurs de programmation.

· La sélection des plages de mesure, des unités et du mode "Valeur moyenne" pour le fonctionnement en centrale d'acquisition est gérée par listes de sélection.

· A la fin de l'édition vous pouvez enregistrer le tableau sous le même nom ou sous un autre. Vous pouvez le valider immédiatement ou plus tard dans l'appareil de mesure.


utiliser les fonctions de calcul de moyenne des centrales d'acquisition

Programmation pour le calcul de la valeur moyenne :

· Ouvrez la boîte de dialogue "Programmer la centrale d'acquisition" à l'aide de la fonction de menu Programmation/Centrale d'acquisition.

· Saisissez les valeurs désirées dans les champs "Cycle de mesure" et "Cycle d'impression".

· Cliquez sur le bouton Programmer pour saisir ces valeurs dans votre appareil.

La définition du calcul de valeur moyenne pouvant se faire individuellement pour chaque point de mesure, cette définition s'effectue par programmation des points de mesure :

· Ouvrez la boîte de dialogue "Propriétés des points de mesure" (par ex. par double clic du bouton gauche de la souris dans la liste des points).

· Dans la liste Mode moy. vous pouvez choisir entre "en continu" ou "cyclique".

· Cliquez sur le bouton Programmer pour valider dans votre appareil le mode de moyenne sélectionné.

· Vous pouvez afficher cette définition dans la liste des points de mesure.

Ne récupérer que les valeurs moyennes de la mémoire de l'appareil :

· Dans la boîte de dialogue "Lecture de la mémoire de l'appareil ", vous pouvez définir que vous ne voulez récupérer que les valeurs moyennes de la mémoire d'appareil.

· Pour ceci, cliquez sur la case à cocher à gauche du texte.


trouver la configuration

AMR WinControl enregistre tous les réglages que vous effectuez dans le programme dans la base de données d'enregistrement Windows (dénommée : base de registres). Vous pouvez trouver ceux-ci à l'aide du programme "Regedit" intégré à Windows, sous la clé / le chemin suivant(e) de la base de registres :

HKEY_CURRENT_USER\Software\akrobit\AMR WinControl

Tout utilisateur Windows lançant AMR WinControl obtient ainsi son propre fichier de configuration.

Bon à savoir !

Si AMR WinControl est démarré plusieurs fois en parallèle sur un même ordinateur, alors plusieurs fichiers de configuration sont également créés (voir aussi : travailler avec plusieurs instances de WinControl).

Bon à savoir !

Si vous désirez lancer AMR WinControl avec toujours le même fichier de configuration, indépendamment de l'utilisateur Windows employé, alors copiez ce fichier dans un répertoire local dans lequel tous les utilisateurs Windows disposent des droits d'accès. Ensuite, modifiez le raccourci de démarrage d'AMR WinControl pour tous les utilisateurs Windows (voir également : charger automatiquement une configuration donnée au démarrage du programme).

voir également :

Compatibilité avec les versions antérieures

Compatibilité avec les versions plus anciennes

Compatibilité avec les versions antérieures


Compatibilité avec les versions antérieures

Sur AMR WinControl avant la version 7.1.1.0, la configuration a toujours été enregistrée dans un fichier.Ce fichier de configuration s'appelle amr32.ini et et il est enregistré dans le répertoire "AppData" de l'utilisateur Windows employé. Il se trouve à l'adresse suivante (saisissez celle-ci dans la ligne d'adresse de l'explorateur Windows):

%AppData%\akrobit\

Tout utilisateur Windows lançant AMR WinControl obtient ainsi son propre fichier de configuration.

Bon à savoir !

Si AMR WinControl est démarré plusieurs fois en parallèle sur un même ordinateur, alors plusieurs fichiers de configuration sont également créés (voir aussi : travailler avec plusieurs instances de WinControl).

Bon à savoir !

Si vous désirez lancer AMR WinControl avec toujours le même fichier de configuration, indépendamment de l'utilisateur Windows employé, alors copiez ce fichier dans un répertoire local dans lequel tous les utilisateurs Windows disposent des droits d'accès. Ensuite, modifiez le raccourci de démarrage d'AMR WinControl pour tous les utilisateurs Windows (voir également : charger automatiquement une configuration donnée au démarrage du programme).


Compatibilité avec les versions plus anciennes


Compatibilité avec les versions antérieures

Sur AMR WinControl d'avant la version 6.7.5.0, le fichier de configuration était toujours enregistré dans le répertoire Windows (adresse : %WinDir%). Si un AMR WinControl plus récent (avant la version 7.1.x) ne trouve au lancement du programme aucun fichier de configuration dans le répertoire %AppData%\akrobit\, alors il adopte pour des raisons de compatibilité les réglages issus du fichier correspondant dans le répertoire Windows (s'il existe).

Remarque sur la configuration

Sur AMR WinControl d'avant la version 6.7.5.0, le fichier de configuration amr32.ini était toujours enregistré dans le répertoire Windows (adresse : %WinDir%).

Attention !

Si sur votre ordinateur vous exécutez le logiciel sous un utilisateur Windows ne disposant que de droits limités, cela peut conduire aux effets suivants :

· AMR WinControl ne peut pas créer ou modifier le fichier de configuration amr32.ini.

· AMR WinControl ne rétablit pas à chaque nouveau démarrage de l'ordinateur ou du programme, ses derniers paramétrages.

· Les modifications sur les réglages du mot de passe d'AMR WinControl ne sont plus disponibles après un redémarrage.

Ces effets sont souvent dus au fait que votre utilisateur Windows (et donc AMR WinControl) ne possède pas les droits d'écriture sur le répertoire local Windows. Afin de contourner ces effets, vous pouvez procéder aux modifications suivantes :

· Prenez contact avec votre administrateur système et laissez-vous attribuer les droits d'écriture sur le répertoire Windows local de votre ordinateur.

· Copiez le fichier amr32.ini dans un répertoire dans lequel votre utilisateur Windows possède les droits d'écriture et changez le lien de démarrage d'AMR WinControl (voir également : charger automatiquement une configuration donnée au démarrage du programme).

Attention !

Sur les nouveaux systèmes d'exploitation tels que "MS Windows Server 2008" et "MS Windows Vista", certains fichiers peuvent être automatiquement redirigés dans d'autres répertoires afin de protéger les répertoires système important contre toute modification et/ou dommage.

Par cette fonction, le fichier de configuration amr32.ini ne peut être enregistré que dans le répertoire Windows si le logiciel est exécuté sur le compte administrateur local. Dans le cas contraire, le ficher amr32.ini est dévié vers un répertoire au sein de votre répertoire utilisateur.

Le répertoire cible de la déviation peut différer selon le réglage de votre système d'exploitation. Sur "MS Windows Server 2008" et "MS Windows Vista", le fichier amr32.ini se trouve pour une configuration standard du système d'exploitation au répertoire suivant :

%LocalAppData%\VirtualStore\Windows\

Bon à savoir !

A partir du système d'exploitation "MS Windows Vista", les programmes sont par préréglage toujours démarrés avec droits d'accès limités, même si vous ouvrez une session utilisateur avec des droits administrateur locaux. Afin d'éviter ceci, laissez votre administrateur système désactiver la "Commande des comptes utilisateur".

Bon à savoir !

La déviation de certains répertoires est également possible sur de nombreux systèmes d'exploitation plus anciens, mais pas activée par préréglage. Veuillez vous informer auprès de votre administrateur système sur les propriétés de votre système.


gérer plusieurs configurations de programme

Si vous avez configuré une interface spéciale pour une tâche de mesure spécifique, elle est enregistrée automatiquement lorsque vous quittez le programme. Au lancement du programme elle sera à nouveau disponible. Si vous modifiez ensuite cette interface utilisateur, vous perdrez le paramétrage de la précédente.

Si vous voulez utiliser ultérieurement une configuration d'environnement existante, vous pouvez la saisir dans un fichier d'initialisation séparé.

Pour ceci, exécutez la fonction Fichier/Enregistrer configuration. Dans la boîte de dialogue standard de fichier qui apparaît, sélectionnez le nom et le type de fichier ainsi que le lecteur et le répertoire.

La fonction Fichier/Charger configuration vous permet de rétablir à tout instant les configurations d'environnement sauvegardées.


charger automatiquement une configuration donnée au démarrage du programme

Nous vous conseillons de créer dans le groupe de programmes une icône propre à chaque configuration. Vous pouvez pour chaque icône lier l'appel du programme à un fichier d'initialisation particulier.

Le programme d'installation a déjà créé deux icônes de programme avec leur fichier d'initialisation correspondant, de manière à ce que vous disposiez de trois configurations différentes que vous pouvez adapter à chaque cas.

Pour créer d'autres icônes, procédez de la manière suivante :

· Copiez l'icône existante du programme dans le groupe de programme. Pour ce faire, cliquez avec le bouton gauche de la souris sur l'icône du programme et maintenez la touche de la souris enfoncée, appuyez en même temps sur la touche <Ctrl> et tirez le pointeur de la souris sur un espace libre du groupe de programmes.

· Changez l'appel dans la ligne de commande de l'icône de programme de manière à ce que le nom du fichier d'initialisation soit également indiqué lors de l'appel. Pour ceci, activez l'icône du programme et exécutez la fonction de menu Fichier/Propriétés. Dans la boîte de dialogue qui s'affiche, allez à la ligne de commande et saisissez après AMR32.exe
-Ini=NOM.ini
-Profile=NOM

· Terminez par OK.

A l'appel, le système démarre le logiciel avec le fichier d'initialisation nom.ini.configuration sous le chemin:

HKEY_CURRENT_USER\Software\akrobit\AMR WinControl [NAME]

dans la base de registres Windows.

Si ca configuration n'existe pas encore, il est créé automatiquement. En quittant le programme, la configuration de l'environnement est sauvegardée dans ce fichier.

Il est en outre possible de démarrer le programme avec des fichiers d'initialisation différents.


travailler avec plusieurs instances d'AMR WinControl

Afin de gérer plusieurs systèmes de mesure (indépendants les uns des autres), il est possible de lancer plusieurs fois AMR WinControl sur un même PC. Pour rendre une meilleure vue d'ensemble permettant de travailler avec plusieurs instances d'AMR WinControl, vous disposez des fonctions suivantes :

voir également :

Numérotation automatique du programme

Gestion automatique des fichiers d'initialisation

Titre de fenêtre principale défini par l'utilisateur


Numérotation automatique du programme

La première instance d'AMR WinControl fonctionne comme toujours, pour la deuxième "AMR WinControl (2)" est automatiquement utilisé comme titre, pour la troisième "AMR WinControl (3)" etc… La numérotation continue jusqu'à ce que la dernière instance d'AMR WinControl soit à nouveau quittée.


Gestion automatique des fichiers d'initialisation

De façon analogue à la génération automatique des titres, le fichier d'initialisation est défini automatiquement si rien d'autre n'a été déterminé au démarrage du programme. La deuxième instance utilise le fichier amr32_2.ini, la troisième le fichier amr32_3.ini du chemin:
HKEY_CURRENT_USER\Software\akrobit\AMR WinControl (2)

La troisième instance du chemin:
HKEY_CURRENT_USER\Software\akrobit\AMR WinControl (3)
etc.


Titre de fenêtre principale défini par l'utilisateur

Sur le chemin respectif de la base de registres Windows Dans le fichier d'initialisation respectif amr32.ini ou amr32_n.ini vous pouvez définir quel titre afficher dans la fenêtre principale d'AMR WinControl et donc dans la barre de tâches. Il faut pour cela que l'entrée MainTitle="Nom_désiré" soit inscrite en section [Settings]. Les noms vides sont interdits. La longueur ne doit pas dépasser 256 caractères.

Bon à savoir !

Comment trouver la configuration et ce qu'il faut alors observer, se trouve au chapitre trouver la configuration.


transmettre les paramètres d'appel à un programme à lancer en cas d'alarme

En cas d'alarme, WinControl permet d'appeler automatiquement un programme. Saisissez le chemin vers le fichier de programme désiré dans la boîte de dialogue "Configuration des alarmes", onglet "Réactions d'alarme" dans le champ "Lancement d'un programme".

Dans le champ correspondant "Paramètres d'appel", vous pouvez saisir les paramètres d'appel du programme que vous voulez appeler en cas d'alarme. Par exemple, le paramètre d'appel C:\Alarm.txt signifie au programme "C:\Windows\notepad.exe" que le fichier C:\Alarm.txt va être ouvert et affiché par Notepad en cas d'alarme.

Vous pouvez en outre saisir des macros dans les paramètres d'appel. En cas d'alarme, celles-ci sont développées comme suit:

Macro | Développement en | Exemple
%1 | Point de mesure | 0.2
%2 | Commentaire | Température intérieure
%3 | Evénement | Dépassement de limite
%4 | Heure de l'alarme | 24.9.1999, 14:32:00

En cas d'alarme (par ex. dépassement de limite du point de mesure 0.2), les paramètres d'appel "%1 %2 %3 %4“ seraient transmis au programme à appeler sous la forme de "0.2 dépassement de limite température intérieure 24.9.1999, 14:32:00".

Exemple:

Le logiciel de base de données DatBank, à l'aide de la ligne de commande

C:\DatBank\DatBank.exe append <pt_mesure> <commentaire> <événement> <heure>

enregistre de nouvelles entrées d'alarme dans votre base de données. Pour accéder à ces entrées par AMR WinControl, procédez au paramétrage suivant:

dans le champ "Programme": c:\Datbank\Datbank.exe

dans le champ "Paramètres d'appel": append %1 %2 %3 %4


envoyer automatiquement un courriel en cas d'alarme

· Il est possible d'envoyer des courriels à un nombre quelconque de destinataires en cas d'alarme. Il faut pour cela avoir installé un client MAPI sur le PC (Outlook, Outlook Express, Eudora, ...) ou un serveur SMTP doit être disponible et le PC doit être connecté à Internet.

· Il est possible de définir un expéditeur sous Paramètres/Courriel. L'expéditeur doit avoir un nom valide ainsi qu'une adresse de courriel valide. (voir également : Boîte de dialogue "Paramètres généraux d'envoi de courriel")

· Afin d'envoyer des e-mails en cas d'alarme, il faut convenir de certaines règles. Vous pouvez définir autant de règles que désiré, dans lesquelles sera défini quand, comment et à qui doit être envoyé un courriel. Les règles définies pour les situations d'alarme se déclarent sous "Paramètres\Alarme\Courriel" (voir également : Onglet "Courrier électronique").

· Il faut définir : un nom unique pour la règle, au moins un expéditeur, au moins un déclencheur par sélection des événements correspondants et au moins un point de mesure.


définir un répertoire par défaut pour les fichiers de mesures

Si les données doivent être enregistrées toujours au même endroit dans l'arborescence du support de données, vous pouvez dans la configuration ou celui d'un autre fichier de configuration, paramétrer l'entrée DefaultSavePath=répertoire_cible dans la section [Settings].

Le répertoire cible doit exister et le chemin indiqué doit être complet.

Bon à savoir !

Comment trouver la configuration et ce qu'il faut alors observer, se trouve au chapitre trouver la configuration.

Exemple:

Dans la section [Settings]

DefaultSavePath = C:\My Files\mydatafiles

Si maintenant vous appelez la fonction du menu Fichier/Enregistrer sous... ou bien si les fichiers ne sont pas encore enregistrés, vous appelez Fichier/Enregistrer, une boîte de dialogue standard de fichier s'ouvre comme d'habitude, dans laquelle cependant le répertoire cible est préréglé comme lieu d'enregistrement, de sorte que l'utilisateur ne doit plus indiquer que le nom du fichier.


gérer l'enregistrement du serveur OLE sous Windows 2000

Sous Windows XP, de plus fortes restrictions ont été introduites pour l'utilisateur disposant de droits d'utilisation simples. En conséquence, il est possible qu'au démarrage de AMR WinControl un message d'erreur soit émis lorsque l'enregistrement du serveur OLE AMR WinControl interne est actualisé.

Afin d'éviter ce message, on peut bloquer la procédure d'enregistrement. Il faut pour cela ajouter dans la configuration en section [Settings] la commande RegisterOLEServer=0. En passant à RegisterOLEServer=1 ou en effaçant cette commande, la procédure d'enregistrement est à nouveau déclenchée.

Bon à savoir !

Comment trouver le fichier de configuration et ce qu'il faut alors observer, se trouve au chapitre Trouver la configuration.


démarrer automatiquement des programmes externes au lancement de l'application

Afin de lancer un programme externe au démarrage d'AMR WinControl, il faut porter l'instruction AutoExec=<chemin_du_programme> dans la section [Settings] de la configuration. Si le <chemin_du_programme> contient des caractères espace, le chemin d'accès doit être mis entre guillemets. Il est possible d'indiquer des options, celles-ci doivent cependant être placées hors d'éventuels caractères espace.

Exemples :

Au démarrage du logiciel, il faut lancer le programme TCP_Serv.exe dans le répertoire C:\Applications\Serveur. L'entrée dans la configuration est la suivante à la section : [Settings]
AutoExec="C:\Applications\Serveur\TCP_Serv.exe"

Au démarrage du programme il faut lancer le programme Logbuch.exe depuis le répertoire D:\ LogBuch avec les options –Name="WinControl" –f –s –w :

L'entrée dans la configuration est la suivante à la section :

[Settings]

AutoExec="D:\Log\Log.exe" -Name="WinControl" –f –s –w

AMR WinControl ne gère au démarrage que le lancement d'un seul programme. S'il faut lancer plusieurs programmes externes, il faut alors créer un fichier batch dans lequel on inscrit les lancements des programmes désirés. Ce fichier batch doit alors être inscrit dans l'instruction d'AutoExec dans le fichier de configuration.

Bon à savoir !

Comment trouver la configuration et ce qu'il faut alors observer, se trouve au chapitre trouver la configuration.


démarrer le logiciel sur plusieurs processeurs

AMR WinControl peut être utilisé sans limitation sur les ordinateurs multiprocesseurs ou sur les processeurs multi-noyaux. AMR WinControl n'est cependant exécuté dans ce cas que sur un seul processeur / noyau.

Bon à savoir!

Si AMR WinControl n'est effectué que sur un processeur / noyau, alors toujours sur le premier. Celui-ci s'appelle normalement "CPU0".

Il peut être souhaité que AMR WinControl soit exécuté sur un ou sur tous les processeurs / noyaux disponibles. Il faut à cet effet ajouter dans la section [Settings] de la configuration l'entrée:

RunOnSingleCore=1 / 0

. La valeur 1 a pour effet de limiter à un processeur / noyau. La valeur par défaut est : 1. Ensuite il faut redémarrer AMR WinControl pour que la modification soit opérationnelle.

Bon à savoir !

Comment trouver la configuration et ce qu'il faut alors observer, se trouve au chapitre trouver la configuration.


changer la taille de l'historique des mesures

La source de donnée utilisée pour le calcul en ligne est l'historique des mesures paramétré, dont la taille est réglée sur 100 mesures par point. La limitation doit être respectée pour les calculs et fonctions de voie de calcul qui nécessitent des données de mesure issues de l'historique (par ex. : intégrales, écarts types, valeurs moyennes).

Afin de pouvoir utiliser de plus grandes plages, il faut avant de démarrer le logiciel, adapter l'historique dans la configuration à la section [Settings] avec l'entrée HistorySize=nombre_de_mesures.

Exemple :

HistorySize=500

définit la taille de l'historique des mesures à 500 valeurs par point de mesure.

Bon à savoir !

Comment trouver la configuration et ce qu'il faut alors observer, se trouve au chapitre trouver la configuration.


Conventions pour la saisie de formule

voir également :

Valeurs numériques

Opérateurs

Fonctions

Valeurs des autres points de mesure

Fonctions externes

Exemples

Nombre maximum de canaux de calcul

Séparateur décimal et libellé de point de mesure


Valeurs numériques

Sont admis les nombres entiers et les nombres à virgule flottante. Les nombres à virgule flottante contiennent un point décimal (pas de virgule décimale). Le nombre Pi est également disponible en tant que constante numérique.

Exemples :

1 1.5 -0.567 4.578e-3


Opérateurs

Outre les opérateurs pour les quatre opérations de base (+ - * /), il est possible d'élever des nombres à la puissance avec l'opérateur ^.

Exemples :

3 * 9 -5 2 ^ 16 17.5 / (12.5 - 7)


Fonctions

Tous les noms de fonctions doivent être écrits en minuscules. Les fonctions suivantes sont mises en œuvre :

abs(x)

Valeur absolue

sqrt(x)

Racine carrée

sin(x)

Sinus

cos(x)

Cosinus

tan(x)

Tangente

cot(x)

Cotangente

arcsin(x)

Arc sinus

arccos(x)

Arc cosinus

arctan(x)

Arc tangente

arccot(x)

Arc cotangente

exp(x)

Fonction exponentielle

ln(x)

Logarithme base e

lg(x)

Logarithme base 10

sinh(x)

Sinus hyperbolique

cosh(x)

Cosinus hyperbolique

tanh(x)

Tangente hyperbolique

int(x)

Partie entière de x

bin(x)

1 si x > 0, sinon 0

rad(x)

Conversion d'un angle en degré (°) en angle en radian (rad)

min(x, y)

Minimum de x et y. Si l'un des deux paramètres de fonction n'a pas été défini, l'autre est édité comme résultat de la fonction.

max(x, y)

Maximum de x et y. Si l'un des deux paramètres de fonction n'a pas été défini, l'autre est édité comme résultat de la fonction.

if(Condition; alors; sinon)

Si la condition est remplie (vraie), la valeur "alors" est renvoyée. Dans le cas contraire, la valeur "sinon" est renvoyée (voir également "Valeurs conditionnelles")

Condition1 and Condition2

Donne "vrai", si la condition1 et la condition2 sont "vraies", sinon "faux"

Condition1 or Condition2

Donne "vraie", si la condition1 ou la condition2 ou les deux sont "vraies", sinon "faux"

not Condition1

Donne l'inverse de la condition1 : si la condition1 est "vraie", "faux" est retourné et inversement.

m(a, b)

m("Commentaire")

La valeur du point de mesure au numéro d'appareil a (ou 0) et du numéro de point de mesure b. En alternative, il est également possible d'indiquer le commentaire de point de mesure entre guillemets, en veillant à distinguer entre majuscules et minuscules (voir également : Valeurs des autres points de mesure).

h(a, b, n)

Historique, nième dernière valeur du point de mesure a.b. n=0 donne la dernière, n=1 l'avant dernière valeur etc.

(Veuillez noter : changer la taille de l'historique des mesures)

ht(a, b, n)

Fournit l'instant de la nième dernière valeur du point de mesure a.b. n=0 renvoie l'instant de la dernière mesure, n=1 l'avant dernier instant etc.

L'instant est affiché en secondes depuis le 01.01.2000, 0 heure. Si l'instant est antérieur au 01.01.2000, la valeur de la fonction est négative.

(Veuillez noter : changer la taille de l'historique des mesures)

const("constante")

Renvoie la valeur d'une constante ayant été indiquée dans le menu "Programmation/Définition des constantes" (voir également : Définition des constantes). Respecter la casse pour les noms des constantes.

valid(Expression)

Renvoie "faux" si l'expression a une valeur invalide, sinon la fonction renvoie "vrai". L'expression peut être ici une partie quelconque d'une formule de voie de calcul valide.

Exemple :

valid(m(0,2)) renvoie "vrai" si le point de mesure 0.2 est connecté et fournit une valeur de mesure valable.

dt(a, b)

Dérivation numérique (∆x/∆t) des deux dernières valeurs du point de mesure a.b

fmod(a, b)

Renvoie comme mise en œuvre de la fonction mathématique "modulo" le reste de la division des nombre a et b. Le dividende (a) et le diviseur (b) ne doit pas nécessairement être entier ici.

mean_n(a, b, n)

Donne la valeur moyenne mobile du point de mesure a.b sur les n dernières valeurs

(Veuillez noter : changer la taille de l'historique des mesures)

mean_t(a, b, t)

Donne la valeur moyenne mobile sur les t dernières secondes du point de mesure a.b

(Veuillez noter : changer la taille de l'historique des mesures)

s(a, b, t)

Donne l'intégrale sur les t dernières secondes du point de mesure a.b. (Veuillez noter : changer la taille de l'historique des mesures)

extnear("Nom-fichier", x)

Une fonction externe (voir ci-dessous) est lue depuis le fichier "Nomfichier". Celle-ci est constituée de couples de valeurs (a,b), auxquels s'applique la formule suivante : b = f(a). Parmi ces couples de valeurs est sélectionné celui pour lequel la distance |a-x| est minimale et la valeur f(a) est retournée.

extinter("Nomfichier", x)

Une fonction externe (voir ci-dessous) est lue depuis le fichier "Nomfichier". Celle-ci est constituée de couples de valeurs (a,b), auxquels s'applique la formule suivante : b = f(a). La valeur y = f'(x) est retournée, f' résultant de f par interpolation linéaire entre les couples de valeurs.

extfile_count("Nom_fichier", a, b)

A partir du fichier de mesures "Nom_fichier", le nombre de mesures du point de mesure a.b est renvoyé. (voir également : Utiliser les fichiers de mesures dans les voies de calcul)

extfile_value( "Nom_fichier", a, b, n)

A partir du fichier de mesures "Nom_fichier", la nième mesure du point de mesure a.b est renvoyée. La valeur de n peut ici être comprise entre 0 et extfile_count() moins 1. (voir également : Utiliser les fichiers de mesures dans les voies de calcul)

pid(a, b, VP, Vi, VD, t)

calcule pour le point de mesure a.b la grandeur Y à l'aide des paramètres transmis Vp, Vi et Vd sur la base du temps écoulé t.

(Veuillez noter : changer la taille de l'historique des mesures)

sec(hh:mm:ss)

Convertit les heures, minutes et secondes en secondes

time()

fournit une valeur qui correspond au nombre de secondes écoulées depuis minuit. Le calcul se base sur l'heure actuelle du PC, de sorte qu'une nouvelle valeur soit renvoyée à chaque seconde. Les manipulations sur les réglages de l'heure ont une incidence directe sur la valeur délivrée par time() qui utilise l'heure d'acquisition de la valeur de mesure actuelle. La fonction time() peut également être utilisée dans des voies de calcul locales (voir: Date et heure).

date()

fournit une valeur qui correspond au nombre de jours écoulés depuis le 01.01.2000. La valeur de départ du calcul est la date réglée sur le PC. Toute modification des réglages de la date sur le PC ont une incidence directe sur le résultat de date() la date de la valeur actuelle de mesure. Si la fonction date() est utilisée sur des voies de calcul locales, alors le nombre se rapporte toujours à la date d'acquisition du jeu de données respectif (voir: Date et heure).

days(AAA/MM/JJ)

fournit le nombre de jours séparant le 01/01/2000 de la date définie par AAAA/MM/JJ.

AAAA = nombre des années, sur 4 chiffres, dans la plage 2000 <= AAAA < 2037

MM = mois, sur un ou deux chiffres, dans la plage 1 <= MM <= 12

JJ = jour, sur un ou deux chiffres, dans la plage 1 <= JJ <= 31

Si les indications de l'année, du mois ou du jour sont en dehors de la plage de valeurs indiquée, la voie de calcul dans laquelle la fonction est utilisée sera marquée comme invalide ("rupture de ligne").

alarmactive()

renvoi la valeur VRAI si présence d'une situation d'alarme et que la temporisation réglée soit écoulée, indépendamment du fait qu'un utilisateur ai acquitté l'alarme. FAUX est renvoyé en l'absence d'une situation d'alarme ou si la temporisation de l'alarme n'est pas encore écoulée.

Si la fonction alarme n'est pas débridée, une valeur incorrecte sera toujours générée (à rupture de ligne) pour signaler à l'utilisateur que cette fonction ne peut fournir de résultat sensé.

alarmsuppressed()

Si l'utilisateur a acquitté une alarme mais que la cause de l'alarme perdure, l'alarme continue d'être active mais elle est momentanément éliminée, c.-à-d. jusqu'à ce que la cause de l'alarme soit supprimée. Cette suppression d'alarme peut être lue sur les canaux de calcul par cette fonction. La valeur VRAI est renvoyée si justement une alarme est contenue, sinon on obtient FAUX.

Si la fonction alarme n'est pas débridée, une valeur incorrecte sera toujours générée (à rupture de ligne) pour signaler à l'utilisateur que cette fonction ne peut fournir de résultat sensé.

alarmpending()

renvoi la valeur VRAI si présence d'une situation d'alarme, indépendamment du fait qu'un utilisateur ai acquitté l'alarme ou que la temporisation réglée soit écoulée. FAUX est renvoyé en l'absence d'alarme.

Si la fonction alarme n'est pas débridée, une valeur incorrecte sera toujours générée (à rupture de ligne) pour signaler à l'utilisateur que cette fonction ne peut fournir de résultat sensé.

stddeviation_n()

Calcule l'écart type des n dernières mesures. Le calcul de l'écart type s'effectue de manière mobile. Dès qu'au moins deux valeurs mesurées sont présentes dans le domaine indiqué, l'écart type est déterminé.

Syntaxe pour les appareils ALMEMO :

stddeviation_n(numéro d'appareil, numéro de voie, nombre de mesures)

(Veuillez noter : changer la taille de l'historique des mesures)

stddeviation_t()

Calcule l'écart type des mesures sur les t dernières secondes. Le calcul de l'écart type s'effectue de manière mobile. Dès qu'au moins deux valeurs mesurées sont présentes dans le domaine indiqué, l'écart type est déterminé.

(Veuillez noter : changer la taille de l'historique des mesures)

Syntaxe pour les appareils ALMEMO :

stddeviation_t(numéro d'appareil, numéro de voie, temps en secondes)

samplingcycle()

Renvoie le cycle de mesure actuel du logiciel, en secondes comme valeur numérique. Le résultat permet par ex. de générer des compteurs dont l'incrément s'adapte au cycle de mesure.

Remarque : La fonction existe également pour les calculs hors ligne, cependant aucune application pertinente n'est connue car même pour les calculs hors ligne, le résultat est le cycle de mesure actuel du logiciel et non le cycle de mesure utilisé pour les données à traiter.

pollingperiod()

renvoie la durée depuis le début de la mesure. Le résultat est un nombre à virgule flottante dont la partie entière indique les secondes complètes et dont les décimales contiennent les millisecondes.

Le résultat est constitué par l'horodatage du cycle de mesure actuel et celui du départ de la mesure. C'est pourquoi il est constant pour tous les appels au cours d'un même cycle de mesure.

Remarque: si la fonction est utilisée sur une voie de calcul locale, alors l' instant de départ de la mesure utilisé est l'horodatage de la première valeur de mesure dans le fichier (tableau, graphique en courbe ou en XY).

pmv()

ppd()

pmv2()

ppd2()

Les fonctions PMV et PPD servent à calculer le confort thermique.

(voir Mesure de bien-être selon DIN EN ISO 7730)

Remarque : Ces fonctions ne sont disponibles que lorsque l'option "assistant de confort thermique" est activée.

pulse(t)

Délivre au bout du temps t d'un cycle de mesure la valeur 1, sinon 0. Si le cycle de mesure réglé est supérieur à l'intervalle t, la fonction retourne alors la valeur constante 1. L'intervalle t est indiqué en secondes.


Valeurs des autres points de mesure

Pour accéder aux valeurs des autres points de mesure, vous pouvez vous servir de la pseudo-fonction m(y) ou m(x, y). x est alors le numéro de l'appareil de mesure et y le numéro du point de mesure. Si le numéro de l'appareil n'est pas indiqué, il est réglé à 0. Le numéro d'appareil et le numéro de point de mesure peuvent être n'importe quelles expressions dont on utilise la valeur entière : m(4/3) est par ex. équivalent à m(1) ou m(0,1).

En alternative à la saisie des numéros d'appareil et de points de mesure, il est possible d'utiliser le commentaire sur le point de mesure, si celui-ci est univoque. Respecter alors la casse utilisée pour le commentaire. De plus, le commentaire du point de mesure doit être écrit entre guillemets. Si le point de mesure 1 sur l'appareil 0 a le commentaire Canal, alors la valeur de ce point de mesure peut être référencée par m(1), m(0,1) et m("Canal").

Les voies de calcul peuvent également à leur tour accéder aux données de voies de calcul. Mais ceci ne fonctionne que dans le sens des numéros de point de mesure inférieurs. Une voie de calcul qui a été saisie comme point de mesure 110, peut de ce fait accéder aux données de la voie de calcul avec le numéro 100, mais pas l'inverse.

Des récursions sont possibles : Si vous appelez la valeur d'une voie de calcul dans la formule, le système affiche la dernière valeur que celle-ci a adoptée. Ainsi vous pouvez définir par ex. des compteurs, des sommes et des valeurs moyennes sur toute la mesure. Il est important d'indiquer pour les formules récursives une valeur de départ. Au départ de la mesure, la valeur de la voie de calcul est réglée à cette valeur initiale pour atteindre un état défini.

Lorsque vous référencez des points de mesure non existants, aucune erreur n'est signalée. Mais évidemment il n'est pas possible non plus de calculer une valeur.


Fonctions externes

Les fonctions externes sont des fonctions de la forme y = f(x). Dans les fichiers ASCII, elles sont sauvegardées sous forme de couples de valeurs. Les règles suivantes s'appliquent au format de fichier :

· Chaque ligne comporte un couple de valeurs.

· Les règles de présentation des chiffres dans le fichier sont les mêmes que celles valables pour les voies de calcul. Pour améliorer la visibilité, il est possible d'insérer des lignes vides et des lignes de commentaire. Les lignes de commentaire commencent par un point virgule (;). Elles peuvent contenir un maximum de 200 caractères.

· En dehors de la plage de définition de la fonction, la valeur "non valide" est retournée.

Pour des raisons de performance, chaque fichier n'est chargé en mémoire qu'une fois par mesure. Ceci signifie que les modifications dans les fichiers ASCII ne sont opérationnelles que lorsque la mesure a été arrêtée puis reprise.


Exemples

voir également :

Exploitation de un et de deux points de mesure

Condition1

Condition2

Différence de temps entre deux valeurs de mesure

Dérivation

Intégrale

Valeur moyenne sur une minute (lissage)

Fonctions externes

Utiliser les fichiers de mesures dans les voies de calcul

Fonction de calcul "pid"

Date et heure

L'écart type


Exploitation de un et de deux points de mesure

Valeur moyenne des points de mesure 1 et 2 :

(m(1) + m(2)) / 2

Mise à l'échelle d'une valeur de mesure :

(m(2,6) - 30.5) * 19.7

Minimum de deux points de mesure :

min( m(0, 10), m(1, 10) )

Compteur :

m(80, 0) + 1

... Augmentation de 1 d'une valeur à chaque cycle (c'est la définition de la formule du canal de calcul 80.0)

Addition :

m(80,1)+m(80,0)

... Définition pour la voie de calcul 80.1 comme somme de la valeur précédente et de la nouvelle valeur du canal 80

Maximum de toutes les valeurs d'un point de mesure :

max(m(1, 0), m(80, 0))

... Maximum de toutes les valeurs du point de mesure 1.0 pendant toute la durée de la mesure (définition de la formule de la voie de calcul 80.0 ; il faut définir une valeur de départ).


Condition1

if (valid(m(0,0)); m(0,0); 12)

... renvoie la valeur du point de mesure 0.0 tant que celui-ci possède une valeur valable, sinon la valeur 12.

if (valid(m(0,1)) and valid(m(0,2)); if (m(0,2) > 0 or m(0,2) < 0; m(0,1) / m(0,2); 0); -1)

... Si les points de mesure m(0,1) et m(0,2) renvoient des valeurs valables, un test établit si la valeur de m(0,2) est différente de 0. Si tel est le cas, le résultat m(0,1)/m(0,2) est renvoyé, sinon 0. Dans le cas où seulement un des deux points de mesure n'est pas valide, le résultat retourné est -1. Cet exemple doit démontrer que la fonction if garantit toujours qu'elle contient une valeur valable (ici : la division par 0 est évitée) et que cette valeur peut signaler certains états : -1 en cas d'accès à des points de mesure non valides, 0 si la division par 0 a pu être évitée.


Condition2

if (valid(m(0,1)); if (m(0,1) >= 0; sqrt(m(0,1)); -1); -2)

... Si m(0,1) fournit une valeur non valide, -2 est renvoyé, si m(0,1) est négatif, -1 est renvoyé et si m(0,1) est valide et positif, c'est la racine carrée qui est retournée. Il est également possible d'inverser la formule : sqrt(if(valid(m(0,1)); if(m(0,1) >= 0; m(0,1);0);0)

Ceci évite également d'extraire la racine carrée à partir d'un nombre négatif ou d'un point de mesure non valide. Cependant, il n'est pas possible de renvoyer un état : si m(0,1) ne renvoie pas un nombre positif valide, le choix est 0.


Différence de temps entre deux valeurs de mesure

Problème : calculer la différence de temps entre la valeur de mesure actuelle et la précédente.

Solution : On ajoute une voie de calcul avec la formule suivante :

ht(a, b, 0) - ht(a, b, 1)

c.-à-d. que l'on soustrait de l'horodatage de la valeur de mesure actuelle du point de mesure a.b en secondes depuis le 01/01/2000, 0 heure, l'horodatage de la précédente valeur de mesure du point de mesure a.b.

Attention !

Comme lors du premier cycle de mesure il n'existe aucune valeur de mesure, cette formule délivre au démarrage de la mesure ou (dans des voies de calcul locales) au démarrage du fichier de mesure, une « rupture de ligne » (erreur). De même, la formule fournit une « rupture de ligne » si le point de mesure a.b n'existe pas.

Si cela n'est pas souhaité, la formule ci-dessus doit être étendue d'une condition. La formule suivante délivre la valeur 0 à la place d'une erreur, en cas de « rupture de ligne » :

if( valid(ht(a, b, 1)); ht(a, b, 0) - ht(a, b, 1); 0)


Dérivation

La formule dt(1,0) fournit une valeur numérique d'approche pour la première dérivation en fonction du temps de la valeur du point de mesure 1.0.

Exemple :

La mesure du point de mesure 1.0 à l'instant t0 = 10:00:00 est 3,0

La mesure du point de mesure 1.0 à l'instant t1 = 10:00:01 est 6,0

La voie de calcul avec la formule dt(1,0) renvoie à l'instant t1 la valeur :


Intégrale

Exemple 1: Intégrale generalement

Permet de calculer la valeur approximative numérique de l'intégrale sur les 3 dernières secondes du point de mesure 1.0 :

s(1,0,3)

Lorsque la dernière valeur du point de mesure 1.0 adopte la valeur 20 à l'instant t0 et que la valeur de mesure possède la valeur 10 trois secondes auparavant, la voie de calcul possédant la formule s(1,0,3) fournit à l'instant t0 la valeur [image] .

Attention !

Pour le calcul, il n'est possible de prendre en compte que les valeurs de mesure effectivement relevées pendant l'intervalle de temps. Ceci signifie qu'une valeur de mesure même légèrement en dehors de l'intervalle de temps et donc la surface en dessous de la courbe entre cette valeur et la dernière valeur utilisée, ne sera pas prise en compte lors du calcul !

Exemple 2 : Intégrale depuis le début de la mesure

Permet de calculer la valeur approximative numérique de l'intégrale sur les valeurs de mesure du point de mesure 2.3 depuis le départ de la mesure : s(2,3,pollingperiod())

Bon à savoir !

S'il s'agit d'une voie de calcul globale, « t0 » est l'instant de départ de la scrutation de valeur de mesure dans AMR WinControl et le cas échéant il faut adapter la taille de l'historique des mesures voir également : « changer la taille de l'historique des mesures »

Attention !

Si cette formule est utilisée dans une voie de calcul locale, alors « t0 » est toujours l'instant de la première valeur de mesure dans le fichier (tableau, graphique en courbe ou en XY). A noter que le calcul devient vite gourmand en opérations, à nombre croissant de valeurs de mesure.

Si depuis le départ de la mesure sur le point de mesure 2.3, au total 3 valeurs de mesure ont été acquises en l'espace de 60 secondes, les calculs exécutés sont les suivants :

à l'instant t0 : avec période de scrutation = 0.0

à l'instant t1 : avec période de scrutation = 30.01 s

à l'instant t3 : avec période de scrutation = 60.02 s

Attention !

Veuillez noter lors de l'utilisation de la fonction Intégrale sur les voies de calcul globales le chapitre : « changer la taille de l'historique des mesures ».


Valeur moyenne sur une minute (lissage)

mean_t(1, 1, 60) oder mean_t(1, 1, sec(00:01:00))

... Dans ce cas, toutes les valeurs arrivant les 60 dernières secondes du point de mesure 1.1 à partir de l'instant de la valeur de mesure actuelle sont moyennées.

Conversion d'indications temporelles importantes en secondes :

Cette fonction est une fonction utilitaire pour les fonctions nécessitant une indication en secondes. Afin d'éviter une conversion "manuelle", vous pouvez utiliser la fonction sec(..).

Heures en secondes : sec(01:00:00) renvoie 3600

Minutes en secondes : sec(00:10:00) renvoie 600

il est naturellement possible de combiner :

sec(01:10:10) renvoie 4210

sec(00:01:10) renvoie 70 etc.

Valeur moyenne de 7 valeurs (lissage) :

mean_n(1, 1, 7)

... En partant de la valeur de mesure actuelle, les sept dernières valeurs mesurées provenant du point de mesure 1.1 sont moyennées.

Mise à disposition des valeurs de mesure provenant des cycles de mesure précédents :

Cette fonction est prévue comme fonction d'aide pour les formules dans lesquelles il faut accéder à des valeurs venant des cycles de mesure précédents.

h(2,1,4)

… Pour le point de mesure 2.1 avec les valeurs 1, 2, 3, 4, 5, 6, cette fonction donne la valeur 2.

Attention !

Tenez compte du chapitre : changer la taille de l'historique des mesures.


Fonctions externes

Format de fichier :

Un fichier comportant des couples de valeurs de fonctions externes se présente de la manière suivante :

; ceci est un commentaire d'une longueur de 200 caractères maximum

; dans les lignes suivantes se trouvent les valeurs effectives

0.1, 2.3

2.0000, 79098.8888

2.0001, -34.9

5, 5

7, 7

; Fin du fichier

Fonction voie de calcul :

extnear("F:\Données\extern.dat", 2)

... renvoie pour le fichier exemple ci-dessus la valeur 79098.8888. La constante 2 peut être remplacée par une expression qui délivre une valeur, p.ex. : extnear("F:\Données\extern.dat", m(1))

extinter("F:\Données\extern.dat", 6)

... renvoie pour le fichier exemple ci-dessus la valeur 6.0. Vous pouvez ici également remplacer la constante 6 par des expressions quelconques qui renvoient une valeur, par ex. : extinter("F:\Données\extern.dat", m(1,2) * m(2,4) / m(3,1))


Utiliser les fichiers de mesures dans les voies de calcul

AMR WinControl permet d'utiliser des valeurs mesurées déjà enregistrées, pour des calculs en ligne et hors ligne. Les mesures doivent être disponibles sous forme de fichiers .amr.

Fonctions d'accès

Deux fonctions de voie de calcul ont été définies :

extfile_value("NomFichier", NuméroAppareil, NuméroVoie, Index)

extfile_count("NomFichier", NuméroAppareil, NuméroVoie)

Le NomFichier indiqué doit contenir le chemin complet vers un fichier de mesures (.amr). Les paramètres NuméroAppareil et NuméroVoie servent à référencer un point de mesure (dans le fichier).

La fonction extfile_count("NomFichier", NuméroAppareil, NuméroVoie) fournit le nombre de mesures pour le point de mesure indiqué dans le fichier ou une rupture de ligne si le fichier n'existe pas ou que celui-ci ne contient pas le point de mesure indiqué.

La fonction extfile_value("NomFichier", NuméroAppareil, NuméroVoie, Index) renvoie la nième mesure du point de mesure "NuméroAppareil, NuméroVoie" dans le fichier indiqué, la nième valeur de mesure correspondant à l'index transmis. L'index peut varier dans la plage 0 (= première mesure du fichier) jusqu'à X, avec X = le résultat de la fonction extfile_count (pour le même fichier et le même point de mesure) moins un.

Fonctionnement

Au premier accès à un fichier, celui-ci est complètement chargé en mémoire, ce qui peut prendre quelque temps selon la taille du fichier. Tout accès aux données d'un point de mesure est consigné et si aucun accès n'a lieu pendant 20 cycles de mesure, les données non utilisées sont supprimées de la mémoire.

Exemple

Le point de mesure 80.0 met en œuvre un compteur qui compte de 0 jusqu'au nombre -1 des données du point de mesure 0.0 dans le fichier "D:\Data\test.amr". A chaque cycle de mesure, le compteur augmente de un. La valeur de départ de la voie de calcul doit être 0 !

if(m(80,0)<extfile_count("D:\Data\test.amr",0,0)–1;m(80,0)+1;0)

Le point de mesure 80.1 délivre les données du point de mesure 0.0 dans le fichier "D:\Data\test.amr" pour l'index formé à l'aide de la voie de calcul 80.0 :

extfile_value("D:\Data\test.amr", 0, 0, m(80,0))

Remarques

Le nombre de mesures de différents points de mesure dans un fichier peut tout à fait varier. C'est pourquoi il est conseillé de déterminer séparément le nombre pour chaque point de mesure utilisé ou de s'assurer que le fichier des mesures servant de source de données, contient une valeur pour chaque horodatage contenu pour chaque point de mesure.


Fonction de calcul "pid"

La fonction "pid" qui représente un régulateur PID a été mise en œuvre pour utilisation dans les formules des voies de calcul.

La formule utilisée est la suivante :

La syntaxe de la fonction pid des voies de calcul donne : pid(appareil, voie de mesure, VP, VI, VD, t). La relation entre la formule et la fonction pid est la suivante :

Fonction pid | Formule | Signification
appareil = numéro de l'appareil de mesure | x | Grandeur réglée
voie de mesure = numéro de la voie de mesure |  |
VP | VP | Facteur de la composante proportionnelle
V I | VI | Facteur de la composante intégrale
V D | VD | Facteur de la composante dérivée
t (en secondes) | t | durée sur laquelle doit être intégré ou dérivé.
Résultat | y | Grandeur réglante

Exemple :

pid(80,0, 0.12, 0.5, 4.2, 30)

... calcule pour le point de mesure 80.0 avec VP=0,12, VI = 0,5 et VD = 4,2 sur la base des 30 dernières secondes la grandeur réglante y.

La fonction pid s'utilise seule dans une voie de calcul ou peut immédiatement être intégrée à une formule avec d'autres valeurs.

Attention !

Tenez compte du chapitre : changer la taille de l'historique des mesures.


Date et heure

Problème : Lors d'une mesure sur le long terme, il faut commuter un relais à une certaine date (31/07/2002), il n'est pas prévu de déclenchement automatique.

Solution : On crée une voie de calcul avec la formule suivante :

if(date() >= days(2002/7/31); 1; -1)

c.-à-d. : si la date actuelle est postérieure ou égale au 31/07/2002, la voie de calcul délivre la valeur 1, sinon (donc tous les jours situés avant le 31/07/2002) la valeur –1.

Problème : Un relais de sortie doit basculer quotidiennement à une certaine heure (9:00:00) et revenir au bout d'une durée définie (2 heures).

Solution :
On définit une voie de calcul avec la formule suivante :

if(time() >= sec(9:00:00) and time() < sec(11:00:00); 1; -1)

c.-à-d. : tant que l'heure actuelle est supérieure à 9:00:00 et inférieure à 11:00:00 (=9:00 heures + 2 heures), le relais est excité; avant et après cet intervalle de temps le relais est relâché.

Attention !

Si on saisit une date invalide (p. ex. 31/02/2001), le calcul se base sur la date qui correspondrait au nombre de jours de l'année indiquée.

à 31/02/2001 = 03/03/2001

à 31/04/2002 = 01/05/2002

etc.

Bon à savoir !

Les fonctions de date et heure peuvent être associées à volonté entre elles et avec d'autres fonctions, par ex. date() + 1, pour obtenir une valeur pour "après-demain", ou par exemple sin(time()) est aussi possible, même si c'est probablement inutile.

Il n'est cependant pas possible de remplacer les indications chiffrées dans les fonctions days et sec par des appels de fonction. Par exemple, sec(m(80,0):m(80,1):m(80,2)) engendre une erreur de syntaxe dès la saisie.


L'écart type

L'écart type des n dernières mesures peut être déterminé à l'aide de la fonction stddeviation_n. Si vous voulez obtenir l'écart type des mesures sur les t dernières secondes, vous disposez de la fonction stddeviation_t.

Syntaxe pour les appareils :

stddeviation_n(numéro d'appareil, numéro de voie, nombre de mesures)

ou bien

stddeviation_t(numéro d'appareil, numéro de voie, temps en secondes)

Le calcul de l'écart type s'effectue de manière mobile. Dès qu'au moins deux valeurs mesurées sont présentes dans le domaine indiqué, l'écart type est déterminé.

Attention !

Tenez compte du chapitre : changer la taille de l'historique des mesures.

Exemples :

· Détermination de l'écart type sur les 25 dernières mesures du point 0.0 : stddeviation_n(0, 0, 25)

· Détermination de l'écart type de toutes les mesures sur les 5 dernières minutes du point 0.1 : stddeviation_t(0, 1, 5 * 60)


Nombre maximum de canaux de calcul

Afin de définir plus de 100 voies de calcul, il est possible d'attribuer les numéros d'appareil 80 à 85 pour ajouter une voie de calcul. Ainsi, il est possible de définir jusqu'à 500 voies de calcul.


Séparateur décimal et libellé de point de mesure

Veillez à ce que la séparation du numéro d'appareil et du numéro de point de mesure se fasse par une virgule dans les formules. Les séparateurs décimaux sont à indiquer dans les formules par un point.


KwikScript

voir également :

Introduction

Commandes KwikScript

La configuration KwikScript


Introduction

KwikScript est un recueil de commandes qui déclenchent des actions dans AMR WinControl. Celles-ci peuvent par ex. être utilisées pour des éléments logiques des images de projet, de la barre d'outils KwikScript ou dans la configuration KwikScript.


Commandes KwikScript

Tous les noms de fonctions doivent être saisis tels qu'indiqués. Respecter également les majuscules et les minuscules. Les fonctions suivantes sont mises en œuvre :

SwitchRelais(appareil, relais, valeur) | Le relais indiqué sur l'appareil indiqué est mis à la valeur indiquée, sachant que la valeur peut être 0 (=arrêt) ou 1 (=marche).
AnalogOutputRaw(appareil, sortie, digits) | La sortie analogique de l'appareil indiqué est mise aux digits indiqués.
StopAutoSave() | L'enregistrement automatique (sur tous les postes d'essai, s'il existe) est arrêté.
EnablePolling() | La scrutation des valeurs de mesure est lancée.
DisablePolling() | La scrutation des valeurs de mesure est arrêtée.
SetConst(nom, valeur) | Une constante avec le nom indiqué est définie, et mise à la valeur indiquée. Si la constante existe déjà, la valeur est validée.
RemoveConst(nom, valeur) | La constante portant le nom indiqué est supprimée.
AnalogOutput(appareil, numéro de canal, valeur) | Une valeur est enregistrée dans un registre d'entrée d'un équipement Modbus. Le numéro de canal est défini dans *.modbus.dat, dans la section [… analog outputs]. La valeur indiquée en tant que nombre à virgule flottante est convertie au format cible adapté à l'aide des définitions du canal.

Remarque : Les fonctions SwitchRelais, AnalogOutputRaw, AnalogOutput ne sont disponibles que si l'option "Alarme" est autorisée.


La configuration KwikScript

Le fichier Kwikscript.ini du répertoire de programmes permet de déclencher des commandes KwikScript en cas de franchissements de seuil. Si ce fichier n'existe pas, il peut être créé à l'aide d'un éditeur de texte ordinaire.

Remarque : La configuration KwikScript n'est prise en compte que si l'option "Alarme" est validée.

L'affectation des franchissements de seuil aux commandes s'effectue en section [Limit Violations]. Celle-ci doit éventuellement être créée.

Cette section attend des entrées sous la forme suivante :

x.y[+|-] = [commande1] [| commande2]

La signification est la suivante :

x.y correspond au point de mesure dont le franchissement de seuil doit déclencher une action. Avec le suffixe "+", la définition ne s'applique qu'aux dépassements de seuil, avec le suffixe "-" uniquement aux soupassements de seuil.

commande1 est appelée si le franchissement de seuil survient, commande2 est appelée si le franchissement de seuil se termine. commande1 et commande2 sont séparées l'une de l'autre par un trait vertical.

Pour commande1 et commande2, une ou plusieurs commandes KwikScript peuvent être inscrites, les commandes étant séparées par point-virgule.

Attention !

La commande EnablePolling() ne peut être déclenchée par un franchissement de seuil puisqu'une lecture de mesure en cours est déjà la condition préalable pour la détection du franchissement du seuil.

voir également :

Exemples :

Rapport d'évènements


Exemples :

[Limit Violations]

0.0 = SwitchRelais(0, 21, 1) | SwitchRelais(0, 21, 0)

En cas de franchissement de seuil sur le point de mesure 0.0, le relais 21 de l'appareil 0 est activé. A la fin du franchissement de seuil, il est de nouveau désactivé.

2.0+=SetConst("lim20_dép", 1) | SetConst("lim20_dép", 0)

Lors d'un franchissement de seuil au point de mesure 2.0, la constante lim20_dép est créée (si elle n'a pas encore été créée) et la valeur 1 lui est affectée. A la fin du franchissement de seuil, la constante est mise à la valeur 0.

1.5 = SwitchRelais(0, 21, 1); SwitchRelais(0, 22, 1)

Lors d'un franchissement de seuil du point de mesure 1.5, les relais 21 et 22 de l'appareil 0 sont activés. A la fin du franchissement du seuil, aucune action n'est effectuée.

1.1+= | SwitchRelais(0, 21, 0);

A la fin du dépassement de seuil au point de mesure 1.1, le relais 21 de l'appareil 0 est désactivé. A la fin du dépassement de seuil, aucune action n'est effectuée.

2.0+=DisablePolling();StopAutoSave();RemoveConst("Test")

Si un dépassement de seuil survient au point de mesure 2.0, la lecture de la valeur de mesure se termine, l'enregistrement automatique s'arrête et la constante nommée Test est supprimée.


Rapport d'évènements

Dans le fichier KwikScript.ini du répertoire des programmes, vous pouvez en section [Settings], avec l'entrée Logging=1 définir que les actions soient enregistrées dans un fichier journal. Le fichier journal se trouve dans le répertoire %AppData%\akrobit\NomProgramme et s'appelle KwikScript.log.


Horodatage

voir également :

Introduction


Introduction

Lors de l'acquisition de valeurs de mesure par AMR WinControl, l'heure de la mesure est enregistrée sous forme d'horodatage pour chaque valeur. L'horodatage est déterminé à partir de l'horloge système, laquelle doit être configurée correctement.

voir également :

Remarques sur les horodatages


Remarques sur les horodatages

L'heure est enregistrée en secondes depuis minuit (00:00:00) 01.01.1970. L'horodatage utilisé peut indiquer sans erreur l'heure jusqu'au 18/01/2038.

L'horodatage est unique pour le monde entier et correspond au temps universel coordonné (UTC).

L'affichage dépend des réglages (fuseau horaire et heure d'été/d'hiver) de l'ordinateur utilisé pour l'affichage. Elle correspond à l'heure locale affichée à l'ordinateur utilisé pour l'affichage, au moment de l'enregistrement. Si par ex. des mesures ont été enregistrées sur un système au temps universel coordonné UTC+1 à 13:00h et qu'on les visualise plus tard sur un système UTC+2, l'horodatage 14:00h est affiché.

Sur le système d'enregistrement, le fuseau horaire et l'heure d'été/d'hiver doivent être ajustés correctement pour que l'horodatage UTC soit calculé correctement. Un écart de l'horloge système affichée par rapport à l'heure locale, après synchronisation avec un serveur de temps internet, peut signifier des réglages erronés.

Les tableaux nécessaires au changement correct de l'heure d'été et de l'heure d'hiver sont gérés et actualisés par le système. Pour les versions Windows plus anciennes, les mises à jour ne sont éventuellement plus proposées. (Windows XP SP3 jusqu'à 2014 max.) Un affichage sans erreur de l'heure d'été et de l'heure d'hiver n'est ensuite plus garantie.

Le logiciel enregistre également les millisecondes, lesquelles peuvent être affichées sur demande.

Lors de l'importation de données non disponibles en UTC (p.ex. mémoire d'appareil, importation TXT / CSV), les horodatages compris sont interprétés comme heure locale et enregistrés en UTC (uniquement fichiers AMR).

Lors de l'exportation des données de mesure dans un format ne gérant pas l'UTC, les horodatages sont enregistrés ou transmis en heure locale.


Gestion de l'affichage exponentiel des valeurs mesurées

Dans AMR WinControl vous pouvez également saisir les nombres sous forme exponentielle (base dix) au format "Facteur e exposant" (par ex. "23e-5"). L'affichage des nombres en notation exponentielle s'effectue par AMR WinControl automatiquement lorsque la place nécessitée pour l'affichage serait insuffisante.


Connexion d'un modem à l'appareil

Après que l'ordinateur soit relié à un modem, l'appareil de mesure doit également être connecté à un modem. Pour établir la liaison entre l'appareil de mesure et le modem, il vous faut un câble de simulateur de modem sur lequel certains signaux sont inversés par rapport à un câble 1:1.

Comme l'appareil de mesure n'est pas à même de configurer le modem, cette configuration doit être effectuée au préalable par ordinateur, puis être sauvegardée à demeure dans le modem.


Formats de données de la fonction exportation

voir également :

Texte

Format Famos

Lotus WK1 (Excel)

Binaire

QS-STAT

Format DIAdem

Format MS Excel


Texte

La structure du fichier ASCII à exporter se configure individuellement. Le bouton Format de texte vous permet d'ouvrir la boîte de dialogue "Format de texte" dans laquelle vous définissez les paramètres concrets (ordre des valeurs de mesure, séparateur de champ, point décimal, commentaire, date/heure, différentes informations sur le point de mesure) du fichier ASCII.


Format Famos

Si vous sélectionnez le format "Famos", les données sont exportées au format Famos version 3.

Vous pouvez choisir aussi le format Famos version 2. Il faut pour cela procéder dans la configuration, en section [Settings], à l'entrée FamosFormat=0. Au démarrage du programme, l'ancien format peut alors être utilisé pour l'exportation.

Bon à savoir !

Comment trouver le fichier de configuration et ce qu'il faut alors observer, se trouve au chapitre Trouver la configuration.


Lotus WK1 (Excel)

Pour exporter les données dans un tableur, vous pouvez utiliser le format WK1. Ce format peut être lu par tous les tableurs connus (par ex. Excel, Quattro Pro, Lotus 123).


Binaire

Sélectionner ce format pour exporter les valeurs de mesure sous forme de données binaires pures.


QS-STAT

En sélectionnant le format "QS-STAT", les données sont exportées dans un format souvent utilisé par l'industrie automobile, le logiciel QS-STAT édité par la société Q-DAS GmbH.


Format DIAdem

Si vous sélectionnez le format "DIAdem", les données sont exportées dans un format correspondant au logiciel DIAdem de la société GfS à Aix-la-Chapelle.


Format MS Excel

Pour exporter les fichiers dans un programme tableur comme Microsoft Excel, il existe les formats de fichiers xls et xlsx. Il n'est pas nécessaire que MS Excel soit installé sur l'ordinateur enregistreur pour pouvoir exporter les données.


Paramètres spéciaux pour l'envoi de messages d'alarme par e-mail

Dans la configuration vous pouvez effectuer les entrées suivantes dans la section [MAIL]. Ces entrées ne sont intéressantes que pour l'envoi de messages d'alarme par e-mail.

Bon à savoir !

Comment trouver la configuration et ce qu'il faut alors observer, se trouve au chapitre trouver la configuration ".

MailAutoLogoff

· = 1 par défaut): la session de messagerie électronique est fermée après chaque message d'alarme envoyé.

· = 0: le premier courriel d'alarme crée une session de courrier électronique qui reste active jusqu'à la fin du programme (non recommandé pour Outlook Express).

MailUserName

Si sur un PC plusieurs profils ont été créés pour l'envoi de courriel, on peut définir le profil à utiliser à l'aide de l'entrée MailUserName="NomProfil".

MailPassWord

Si le profil utilisé nécessite un mot de passe, celui-ci peut être indiqué en texte clair par l'entrée.


Particularités lors de l'utilisation de commentaires et d'unités spécifiques à l'utilisateur

voir également :

Gestion des données

Limitations


Gestion des données

L'affectation d'un commentaire défini par l'utilisateur s'effectue sur la base du numéro du point de mesure et du commentaire dans le capteur, tandis que l'unité utilisateur est gérée par rapport au numéro du point de mesure et à l'unité dans le capteur. Cette affectation est placée dans la configuration dans les sections [UserComments] et [UserUnits].

Bon à savoir !

Comment trouver la configuration et ce qu'il faut alors observer, se trouve au chapitre trouver la configuration.


Limitations

Les indications définies par l'utilisateur ne pouvant être placées dans le capteur, certaines restrictions s'appliquent à l'utilisation:

· Lorsque la programmation de l'appareil est mémorisée dans son ensemble, alors les commentaires et unités définis par l'utilisateur ne sont pas mémorisés en même temps, c.-à-d. qu'ils ne peuvent de cette manière être transmis d'un PC au suivant.

· Si l'on déplace un capteur sur une autre prise de l'appareil de mesure, l'affectation des commentaires et unités définis par l'utilisateur n'est pas récupérée, il faut la reprendre à nouveau. Si maintenant le capteur est déplacé entre ces deux emplacements, les commentaires et unités définis par l'utilisateur restent disponibles.

· Si la programmation d'un capteur est changée sur l'appareil même (commentaire ou unité), l'affectation dans la configuration ne peut être mise à jour. Le commentaire ou l'unité utilisateur ne sont à nouveau disponibles que lorsque le commentaire d'origine (ou l'unité d'origine) est rétabli dans le capteur.

· Si une affectation a déjà été effectuée pour un point de mesure et un commentaire et que l'on branche à la même place un autre capteur ayant le même commentaire programmé (attention: même les commentaires "vides" sont des commentaires!), alors l'affectation ayant été effectuée pour le premier capteur est valable et le commentaire utilisateur mémorisé s'affiche à nouveau. Cela vaut également pour les unités.

· Les commentaires et unités utilisateur ne peuvent être effacés, sauf si la configuration est modifié manuellement. On peut cependant annuler la différence entre le commentaire défini par l'utilisateur et le commentaire du capteur en saisissant dans les deux champs le même texte dans la boîte de dialogue "Points de mesure".


Mesure en ligne à 50/100 Hz

voir également :

Configuration minimale

Horodatage

Paramétrage


Configuration minimale

· Appareils de mesure dont le matériel gère une vitesse de commutation de 50 ou 100 Hz.

· Connexion directe de l'appareil de mesure sur l'interface série du PC.

· Pentium III ou processeur comparable.


Horodatage

Dans les système d'exploitation Windows antérieurs, en mesure en ligne à 50 ou 100 Hz, plusieurs mesures sont enregistrées avec le même horodatage. Dans le tableau des mesures, des données semblent alors manquer.

Sur demande, AMR WinControl peut effectuer l'acquisition du temps avec une plus grande précision. Il faut pour cela ajouter dans la configuration en section [Settings] l'entrée HighTimeRes=1. Ensuite, un redémarrage d'AMR WinControl est nécessaire.

Bon à savoir !

Comment trouver la configuration et ce qu'il faut alors observer, se trouve au chapitre trouver la configuration.

Chaque valeur de mesure reçoit maintenant un horodatage unique. Dans ce mode de fonctionnement cependant, l'horodatage peut différer de l'horloge système. Cet écart est en soi minimum, mais sur une assez longue période ces différences s'additionnent (env. 10 min./semaine, fonction entre autres de la charge du PC).

Il est recommandé de n'activer la haute précision que si la mesure en ligne à 50 ou 100 Hz est vraiment nécessaire.


Paramétrage

· La vitesse de transfert devrait être réglée à 115200 Baud.

· Afin d'éviter tout défaut lors de la transmission de données, il est recommandé d'employer des câbles à fibre optique.

· Les appareils de mesure doivent être réglés à une vitesse de commutation de 100 Hz, et il faut en outre activer les options "Scrutation continue" et "Mémorisation continue".

· Le cycle de mesure dans AMR WinControl doit être réglé sur 0 secondes.

· Lorsque l'enregistrement automatique est activé, aucune autre fenêtre ne devrait être ouverte dans AMR WinControl. Si l'enregistrement n'est pas actif, seule une fenêtre de programme (tableau, graphique) devrait être ouverte pour accueillir les données. Cette fenêtre devrait être minimisée.

Attention !

L'acquisition théorique de 100 mesures/seconde ne vaut que pour un point de mesure dans les conditions optimales. Pour tout point de mesure supplémentaire, il faut compter sur un léger recul de la vitesse de transmission.

Bon à savoir !

La fréquence de scrutation du logiciel et la fréquence de commutation des appareils ne pouvant être synchronisée, un "battement" c.-à-d. une rencontre entre scrutation et commutation interne à l'appareil n'est pas exclue. Dans ce cas la réponse à la scrutation est retardée.


Travailler sans appareil de mesure

AMR WinControl permet de lancer une scrutation des mesures sans appareils de mesure connectés, uniquement avec des voies de calcul, et d'ouvrir de nouvelles fenêtres de programme (graphiques et affichages de mesures).

Cette fonction peut être employée dans les applications suivantes:

· Simulation d'appareil de mesure:
les utilisateurs ayant téléchargé la version de démonstration du logiciel sur Internet peuvent également se faire une idée du fonctionnement du logiciel, même sans appareil de mesure.

· Présentation:
les fichiers de mesures déjà enregistrés peuvent être intégrés dans des voies de calcul à l'aide des fonctions extfile_value et extfile_count comme source de données, de sorte à répéter la mesure avec les mêmes données. Comme présentation, il est de plus possible d'agir sur la visualisation désirée en sélectionnant le cycle de mesure : les fichiers enregistrés sur de longues périodes avec de grands cycles de mesure peuvent être affichés comme en accéléré en choisissant un petit cycle de mesure pour la lecture, tandis que les fichiers ayant été enregistrés avec des cycles de mesure très courts peuvent être affichés à la lecture comme au ralenti en choisissant un plus grand cycle de mesure.

· Simulation/analyse:
la lecture des fichiers de mesure enregistrés (comme décrit au tiret 2) peut également servir pour l'analyse et la simulation, en traitant les valeurs mesurées avec d'autres voies de calcul et en valorisant leurs résultats. Ainsi, il est possible par exemple pour des données enregistrées sur le terrain, d'optimiser ultérieurement en laboratoire des paramètres de régulation.


Les fonctions de valorisation

AMR WinControl offre avec le module "Fonctions de valorisation" en option, différentes possibilités supplémentaires rendant faciles et aisés le traitement et la valorisation des données de mesure.

Les "fonctions de valorisation" en option comportent :

· l'assemblage aisé de plusieurs fichiers de mesure dans un même répertoire à l'aide de la ligne de commande Fichier/Fusionner/Assembler (voir documentation : "Assemblage aisé de fichiers de mesures").

· Valorisation visuelle à l'aide de minima et maxima locaux (voir Manuel l'utilisateur: Boîte de dialogue "Propriétés du graphique en courbe" - Onglet Min / Max

· Valorisation visuelle à l'aide de caractéristiques de comparaison (voir documentation : "Valorisation avec caractéristiques de comparaison").

Attention !

Ces fonctions ne sont pas disponibles dans chaque version du programme. Lors de l'achat des fonctions de valorisation, une description détaillée est également mise à disposition. Si celle-ci vous intéresse, vous pouvez aussi la demander séparément.

voir également :

Assemblage aisé de fichiers de mesures

Valorisation avec caractéristiques de comparaison


Assemblage aisé de fichiers de mesures

Avec les fonctions de valorisation d'AMR WinControl le menu Fichiers/Fusionner/Assembler comporte une fonction permettant d'intégrer automatiquement des valeurs de mesure et des informations supplémentaires issues de plusieurs fichiers de valeurs de mesure dans un nouveau fichier de valeurs de mesure. Pour ceci, les fichiers à assembler doivent figurer dans le même répertoire. Le choix des fichiers à utiliser s'effectue dans une boîte de dialogue dans laquelle vous pouvez choisir un échantillon pour le nom de fichier, une plage temporelle et les points de mesure.

Le résultat s'affiche comme fichier de valeurs de mesure non enregistré dans une nouvelle fenêtre de programme. La représentation (aperçu, tableau, graphique en courbe ou en XY) se base sur les informations issues des fichiers source. Lors de l'affichage graphique, le système ouvre le cas échéant automatiquement la boîte de dialogue des caractéristiques si les informations de représentation ne sont pas suffisantes pour tous les points de mesure (axe, courbes, plages etc.).

Tous les réglages s'effectuent de manière confortable dans une boîte de dialogue :

Répertoire source :

Le répertoire source est le répertoire dans lequel se trouvent les fichiers à fusionner. Il faut toujours indiquer le chemin complet. Le bouton de commande "..." ouvre une boîte de dialogue permettant de sélectionner facilement le répertoire souhaité dans l'arborescence du PC à l'aide de la souris.

La petite flèche sur le bord droit du champ de saisie permet d'incruster une liste intégrant les derniers répertoires utilisés et dans laquelle vous pouvez choisir à nouveau le répertoire souhaité.

Bien entendu, le chemin peut également être tapé directement dans le champ de saisie.

Remarque : Le répertoire source est la seule donnée obligatoire. Si aucun autre réglage n'est modifié, tous les fichiers *.AMR sont assemblés dans le répertoire source.

Modèle de noms de fichiers :

Dans ce champ, vous pouvez saisir les noms de fichiers qui doivent être utilisés. L'indication de sous-répertoires n'est pas autorisée. L'extension .AMR est ajoutée automatiquement.

Vous pouvez utiliser tous les caractères admis pour les noms de fichiers, de plus, vous pouvez utiliser les jokers * et ?.

Le joker ? représente exactement un caractère, le joker * représente un nombre quelconque (y compris des espaces !) de caractères.

Exemples :

Modèle

Sélection de fichiers

*

Tous les fichiers de valeurs de mesure du répertoire source

???

Tous les fichiers de valeurs de mesure du répertoire source dont le nom se compose de trois caractères quelconques.

2008*

Tous les fichiers de valeurs de mesure du répertoire source commençant par 2008.

2008.05.??-*

Tous les fichiers de valeurs de mesure dont le nom commence par "2008.05." suivis de deux caractères quelconques et qui comportent un nombre quelconque d'autres caractères après le "-".

Pour les fichiers journaliers aux noms attribués automatiquement, cet exemple se rapporte à tous les fichiers de mai 2008.

*autosave*

Tous les fichiers de valeurs de mesure dont le nom comporte la chaîne de caractères "autosave".

Déterminer la plage temporelle :

En activant les options "Valider seulement les mesures depuis" et/ou "Valider seulement les mesures jusqu'à", vous permettez l'accès aux champs de saisie de la date et de l'heure.

Si une de ces options est activée, saisissez une date valide dans le champ de données correspondant, l'indication de l'heure est optionnelle : sans indication de l'heure, l'heure "00 :00 :00" est utilisée pour les "mesures depuis", tandis que l'heure "23 :59 :59" est utilisée pour les "mesures jusqu'à".

Si le début et la fin de l'intervalle temporel ont été indiqués, le début doit être inférieur à la fin. Toutes les valeurs de mesure de l'intervalle indiqué sont récupérées dans le nouveau fichier de mesures, toutes les autres valeurs de mesure ne sont pas prises en compte.

Si seule la fin de l'intervalle de temps est indiquée, seules les valeurs de mesure antérieures à l'horodatage seront récupérées.

Si seul le début de l'intervalle de temps est défini, seules les valeurs de mesure plus récentes que l'horodatage seront validées.

Exemples :

Début | Fin | Mesures
Non indiqué | Non indiqué | Toutes
01.01.2008 | Non indiqué | Toutes les valeurs de mesure enregistrées le 01/01/2008, 00 :00 :00 et ultérieurement.
01.01.2008 | 31.01.2008 | Toutes les mesures enregistrées du 01/01/2008 au 31/01/2008 (y compris les données du 01/01/ et du 31/01).
01.01.2008 12:00:00 | 01.01.2008 18:00:00 | Toutes les valeurs de mesure enregistrées le 01/01/2008 entre 12:00:00 et 18:00:00 heures.
Non indiqué | 31.05.2008 | Toutes les valeurs de mesure enregistrées jusqu'au 31/05/2008 (date comprise).
Sélection des points de mesure :

En activant l'option "Valider seulement les mesures des points de mesure suivants", vous pouvez choisir dans le champ de sélection du point de mesure les points à prendre en compte. Si l'option n'a pas été activée ou que le champ de saisie est vide, tous les points de mesure sont pris en compte.

L'indication des points de mesure se fait sous la forme Numéro d'appareil.Numéro de voie. Plusieurs points de mesure doivent être séparés les uns des autres par une virgule, par ex. :

0.0, 0.1, 0.2, 1.0, 1.1, 2.3

Les plages contiguës de points de mesure d'un même appareil peuvent être indiquées de manière abrégée sous forme de liste Point de mesure a - Point de mesure b, de sorte que l'exemple ci dessus :

0.0-0.2, 1.0-1.1, 2.3

peut être écrit. L'indication de la liste peut également comporter des points de mesure qui n'existent pas obligatoirement. Il est donc possible de saisir 3.0-3.99 pour sélectionner tous les points de mesure de l'appareil 3.

Si vous confirmez le dialogue "Fusion des fichiers" par OK, le système affiche une boîte de dialogue énumérant tous les fichiers ajoutés. WinControl traite cette liste, marque la progression actuelle par des symboles et des textes et affiche le cas échéant des avertissements et des remarques dans la liste (voir également : Boîte de dialogue "Fusionner fichiers").


Valorisation avec caractéristiques de comparaison

Dans AMR WinControl, il est possible d'associer des fichiers de mesures existant comme caractéristiques de comparaison dans des graphiques en courbe nouveaux ou existants.

Les numéros de points de mesure des caractéristiques de comparaison sont modifiés automatiquement au chargement, de sorte qu'aucun conflit ne puisse surgir avec les points de mesure dans le graphique : la première caractéristique de comparaison est fusionnée comme point de mesure 90.0, la suivante comme 90.1 etc.

Si un point de mesure portant déjà ce numéro existe, la caractéristique de comparaison adoptera le prochain numéro libre. En atteignant le numéro de point de mesure 99.99, l'insertion de caractéristiques est interrompu.

Les propriétés d'origine des caractéristiques de comparaison (commentaire, unité, couleur, etc.) sont conservées.

Après l'ajout des caractéristiques de comparaison, le type d'affichage est automatiquement adapté :

· L'axe des temps est réglé sur "Affichage imbriqué".

· Toutes les données sont affichées (correspond à l'appel de la fonction "Afficher tout").

· En ajoutant d'autres données de mesure (mesure en ligne), l'échelle du graphique s'adapte automatiquement (correspond à la fonction " Toujours afficher tout").

voir également :

Ajouter courbes de comparaison

Adaptation des caractéristiques de comparaison

Suppression des caractéristiques de comparaison

Remarques sur les courbes de comparaison


Ajouter courbes de comparaison

Afin d'ajouter des courbes de comparaison à un graphique en courbe existant, on peut choisir la ligne de commande Charger caractéristique de comparaison... dans le menu contextuel du graphique en courbe ou dans le menu "Edition".

Une boîte de dialogue "Ouvrir fichier" s'ouvre, dans laquelle on peut sélectionner le fichier avec les caractéristiques de comparaison. Les caractéristiques sont chargées puis automatiquement intégrées au graphique. L'affectation des caractéristiques aux axes du graphique s'effectue alors selon le schéma suivant :

· Si dans le graphique il existe un axe correspondant exactement à l'axe d'origine d'une caractéristique de comparaison, la caractéristique lui est affectée.

· S'il existe un axe dont l'unité et le réglage log. correspond à l'axe d'origine de la caractéristique de comparaison et si les limites des deux axes diffèrent de moins de 10 pour cent l'une de l'autre, alors la caractéristique lui est affectée.

· Si dans le graphique des axes non utilisés sont encore disponibles, la caractéristique de comparaison est affectée à l'un de ces axes et les réglages de l'axe sont récupérés dans le fichier des caractéristiques de comparaison.

· La caractéristique de comparaison est affectée à un axe dont l'unité et le réglage log. correspond à l'axe d'origine de la caractéristique et don les limites diffèrent de moins de 50 pour cent l'une de l'autre.

· Si aucune affectation automatique n'a pu avoir lieu, la boîte de dialogue des propriétés s'ouvre afin de permettre une affectation manuelle.


Adaptation des caractéristiques de comparaison

Annexe > Les fonctions de valorisation > Valorisation avec caractéristiques de comparaison

Adaptation des caractéristiques de comparaison

Les caractéristiques de comparaison peuvent être adaptées à l'aide de la boîte de dialogue du graphique en courbe (voir également : Boîte de dialogue "Propriétés du graphique en courbe"). Vous pouvez y modifier les propriétés d'affichage (couleur, type de trait, visibilité, ...) et l'affectation des axes.

Lorsque les fichiers sont fermés, la ligne de commande Vue/Commentaires de point de mesure permet de changer le commentaire des caractéristiques de comparaison.


Suppression des caractéristiques de comparaison

Annexe > Les fonctions de valorisation > Valorisation avec caractéristiques de comparaison

Suppression des caractéristiques de comparaison

En désélectionnant une caractéristique de comparaison dans la boîte de dialogue des propriétés, vous pouvez supprimer du graphique et de façon ciblée, des caractéristiques individuelles.

La fonction Effacer les courbes de comparaison du menu contextuel ou du menu "Edition" permet de supprimer toutes les courbes de comparaison.


Remarques sur les courbes de comparaison

Les graphiques avec courbes de comparaison peuvent s'utiliser à la base comme tous les graphiques en courbe, les caractéristiques de comparaison se comportant alors comme des points de mesure. Il faut cependant tenir compte des limitations suivantes:

· Il n'est possible d'accéder aux données des caractéristiques de comparaison dans les voies de calcul que pour évaluation (à postériori).

· Les caractéristiques de comparaison créées à l'origine comme voies de calcul sont automatiquement converties en points de mesure de données.

· La fonction "Effacer toutes les valeurs de mesure" n'efface pas les caractéristiques de comparaison.


Mesure de bien-être selon DIN EN ISO 7730

AMR WinControl comporte un assistant de calcul du confort thermique (bien-être thermique). Celui-ci autorise de calculer les valeurs PMV et PPD selon la norme DIN EN ISO 7730.

Le calcul peut s'effectuer aussi bien en ligne, c.-à-d. au cours de la mesure, que déconnecté, c.-à-d. en s'appuyant sur des données déjà mémorisées.

Les paramètres des différentes bases de calcul peuvent être mémorisés puis réutilisés ultérieurement et éventuellement adaptés.

Outre l'assistant, vous disposez de quatre fonctions à utiliser dans des canaux de calcul, qui déterminent le PMV et le PPD à partir des paramètres transmis, de sorte que les utilisateurs avisés peuvent immédiatement traiter en ligne ou hors ligne les résultats dans leurs propres calculs.

Attention !

Cet assistant n'est pas disponible dans chaque version du programme. Avec l'acquisition de cet assistant, une description détaillée est également mise à disposition. Si celle-ci vous intéresse, vous pouvez aussi la demander séparément.

voir également :

Lancement du calcul en ligne

Lancement du calcul hors ligne

L'assistant confort thermique

Fonctions de canal de calcul

Degré de turbulence


Lancement du calcul en ligne

La ligne de commande "Calcul du confort thermique" du menu "Mesures" appelle l'assistant qui vous guidera à travers toutes les étapes nécessaires (voir : Lancement de l'assistant). Pour lancer un calcul en ligne, la fenêtre actuelle ne doit pas être un fichiers de mesures (graphique, tableau, etc…). Il est conseillé d'activer la fenêtre ("Points de mesure, appareils et connexions").

Il faut au moins que les points de mesure de la température ambiante et de l'humidité de l'air (ou de la pression partielle de vapeur d'eau) soient disponibles. Dans l'assistant, vous disposez lors de la sélection des points de mesure, des points de mesure actuellement connectés ainsi que des canaux de calcul globaux.


Lancement du calcul hors ligne

L'appel de l'assistant qui vous guidera à travers toutes les étapes nécessaires, s'effectue par la ligne de commande "Calcul du confort thermique" du menu "Mesure" (voir : Lancement de l'assistant). Si la fenêtre active affiche un fichier de mesures (tableau, graphique XY ou en courbe), alors ce fichier servira de base pour le calcul, c.-à-d. que l'assistant ne proposera que les points de mesure présents dans le fichier de mesures.

On peut ainsi effectuer des calculs d'ambiance thermique à l'aide de mesures précédemment enregistrées ou sur la base de valeurs enregistrées d'abord en mémoire de l'appareil. Il faut au moins que les points de mesure de la température ambiante et de l'humidité de l'air (ou de la pression partielle de vapeur d'eau) soient disponibles dans le fichier des mesures.


L'assistant confort thermique

voir également :

Lancement de l'assistant

Etape 1 - Introduction

Etape 2 - Températures

Etape 3 - Vitesse d'air

Etape 4 - Humidité de l'air

Etape 5 - Activité et habillement

Etape 6 - Grandeurs à calculer

Etape 7 - Conclusion


Lancement de l'assistant

Par le menu "Mesures/Calcul du confort thermique" on ouvre un sous-menu dans lequel vous trouverez la commande "Nouveau…" en première position. En sélectionnant celle-ci, l'assistant de calcul du confort thermique est lancé avec les paramètres par défaut.

Si vous avez enregistré des paramètres antérieurs en fichiers (*.akrppd), ceux-ci s'affichent également sous leur nom comme entrée du menu.

Bon à savoir !

Le répertoire dans lequel AMR WinControl doit rechercher des fichiers (*.akrppd) peut être défini par le menu "Paramètres/Répertoires" (voir également : Répertoires).

Après avoir sélectionné l'un d'eux, l'assistant est lancé, les paramètres sont rétablis et la conclusion s'affiche. Le bouton "Précédent" permet de parcourir à nouveau chacune des étapes afin d'adapter éventuellement les paramètres individuels. Vous pouvez également lancer le calcul tout de suite avec le bouton "Terminer".


Etape 1 - Introduction

La première page de l'assistant comporte des remarques sur les prescriptions servant de base aux calculs. Le bouton "suivant" ouvre la première page de saisie.


Etape 2 - Températures

On effectue sur cette page tous les paramètres des températures. Choisissez un point de mesure de la température ambiante. Si la mesure de température est effectuée sur plusieurs capteurs, il faut créer un canal de calcul regroupant toutes les températures (valeur moyenne, moyenne pondérée ou autre).

La température radiante peut intégrer le calcul en tant que grandeur de mesure. Pour cela l'option "mesurer" doit être activée et un point de mesure sélectionné. Si la mesure de la température radiante utilise plusieurs capteurs, il en va de même que pour la mesure de température ambiante. Il est interdit de sélectionner le même point de mesure pour les deux grandeurs !

On peut, en alternative, utiliser une valeur constante estimée pour la température radiante. Il faut pour cela activer l'option "estimer" et inscrire la valeur désirée dans le champ situé à côté.

Vous avez en outre la possibilité d'exploiter la relation expérimentée entre la température ambiante et radiante et de coupler la température radiante à la température ambiante. Il faut pour cela activer l'option "coupler" et indiquer une valeur de couplage (en K). La température radiante en résultant est la somme de la température ambiante et de la valeur de couplage. Habituellement, la température radiante est inférieure de 1 à 2 K à la température ambiante : il faut donc indiquer –1 (ou –2) comme valeur de couplage.

Dans le cas particulier "couplage à valeur nulle", la valeur de la température radiante est la même que celle utilisée pour la température ambiante. Cela est utile lorsque la température ambiante opérationnelle est déjà déterminée par le montage de mesure et est disponible sur un point de mesure.


Etape 3 - Vitesse d'air

La vitesse d'air peut être mesurée ou estimée par une valeur constante. Dans le premier cas il est possible de forcer une moyenne comme dans la norme DIN 1946. La période de moyenne peut varier de 1 à 3600.

Il ne faut dans l'assistant attribuer aucune autre grandeur au point de mesure de la vitesse d'air.

Attention !

Si une moyenne est effectuée, les valeurs ne sont correctes selon la norme DIN 1946 qu'après écoulement de la période de calcul de moyenne !


Etape 4 - Humidité de l'air

Il faut dans cette étape, sélectionner s'il faut mesurer l'humidité relative ou la pression partielle de vapeur d'eau. Le point de mesure devant en outre être déterminé sera ensuite interprété au moyen de ce choix.

Conseil: S'il faut indiquer une valeur constante, estimée ou déterminée en externe pour l'humidité, on peut créer un canal de calcul comportant la valeur directement ou par la fonction "const()" (Pour plus de détails, voir : Définition des constantes).


Etape 5 - Activité et habillement

On saisit ici les constantes reflétant l'activité et l'habillement. On dispose pour le transfert d'énergie et les vêtements, de listes à partir desquelles on peut choisir des valeurs prédéterminées (selon la norme DIN EN ISO 7730) ou bien donner des valeurs propres. On peut en outre indiquer la puissance mécanique séparément lorsque celle-ci (p. ex. dans des cas particuliers) ne peut être couverte par les coefficients de transfert d'énergie et d'habillement.


Etape 6 - Grandeurs à calculer

Cette étape est destinée à choisir s'il faut calculer le PPD ou le PMV. Les possibilités de représentation du graphique en courbe étant limitées sur 4 axes (températures, humidité/pression de vapeur d'eau, vitesse d'air, PPD ou PMV) et l'assistant devant permettre une utilisation facile, il a été décidé d'introduire ici cette limitation.

Il est cependant aisé de calculer la grandeur manquante:

a.) Solution simple :

· Enregistrez les paramètres à l'étape 7, avant de cliquer sur le bouton "Terminer".

· Après avoir généré le premier graphique, lancez à nouveau l'assistant en sélectionnant dans le menu "Calcul du confort thermique" le nom du fichier venant d'être enregistré. L'assistant ouvre immédiatement la page "Conclusion".

· Revenez une étape en arrière, sélectionnez l'autre mode de représentation et passez à nouveau à l'étape 7.

· Cliquez sur "Terminer" pour afficher la deuxième grandeur dans un autre graphique. Si vous enregistrez également ce paramétrage, vous pourrez exécuter ce calcul ultérieurement en deux clics de souris.

b.) Pour les utilisateurs avisés :

· Après avoir terminé le graphique, ouvrez la boîte de dialogue des propriétés pour les canaux de calcul du graphique.

· Copiez maintenant la formule du dernier canal de calcul (selon le réglage choisi, il s'agit de PPD ou de PMV).

· Ajoutez maintenant au graphique un canal de calcul supplémentaire et inscrivez-y la formule copiée dans la boîte de dialogue des propriétés. Changez à cette occasion les noms de fonction de ppd2 en pmv2 (ou inversement).

· Adaptez les propriétés du graphique de sorte à identifier une autre grandeur par ex. humidité de l'air ou vitesse d'air) comme "point de mesure invisible".

Attention ! Ne retirez en aucun cas le point de mesure du graphique !

· Affectez au canal de calcul ajouté l'axe ainsi libéré et changez l'étendue, le libellé et l'unité selon vos so.


Etape 7 - Conclusion

Vous voyez ici les réglages effectués. Si vous voulez les changer à nouveau, vous pouvez revenir dans les étapes précédentes et adapter votre sélection. Avec le bouton "Enregistrer" vous créez un fichier dans lequel vous sauvegardez les paramètres, afin de pouvoir les recharger ultérieurement dans l'assistant par un clic de souris.

Bon à savoir !

Le répertoire proposé par défaut par AMR WinControl pour enregistrer les fichiers peut être défini par le menu "Paramètres/Répertoires" (voir également : Répertoires). Les fichiers de ce répertoire sont également affichés ultérieurement par AMR WinControl dans le menu d'ouverture de l'assistant.

Pour que le logiciel puisse trouver rapidement plus tard ces fichiers et les afficher dans le menu, les fichiers doivent être sauvegardés dans le même répertoire que celui où se trouvent les fichiers de programme AMR WinControl!

Le bouton "Terminer" a pour effet de fermer l'assistant et de créer un nouveau graphique en courbe :

· Si vous travaillez en ligne, les points de mesure connectés ajoutés sont ceux que vous avez sélectionnés dans l'assistant. De plus, l'assistant ajoute au graphique des canaux de calcul locaux. Si la mesure est déjà lancée, vous pouvez suivre pas à pas dans le cycle de mesure le calcul de PMV ou de PPD. Sinon, le calcul commence au démarrage de la mesure.

· Si vous avez entrepris les calculs sur la base d'un fichier de mesures existant, les informations significatives de ce fichier sont copiées dans le nouveau graphique en courbe et le calcul sera lancé. Selon la capacité de calcul du PC et le nombre des données présentes, ce calcul peut durer quelques minutes. Vous pouvez ensuite lire le PPD ou le PMV tout de suite dans le graphique.

Vous disposez pour le graphique en courbe généré par l'assistant, de toutes les fonctions de traitement des graphiques, c.-à-d. que vous pouvez changer les propriétés d'affichage, adapter le type d'affichage (par ex. en graphique XY ou en tableau), vous pouvez imprimer les données qui y sont contenues, les exporter ou enregistrer, ajouter d'autres canaux de calcul avec d'autres formules etc…


Fonctions de canal de calcul

Vous disposez de quatre fonctions à l'aide desquelles vous pouvez effectuer des calculs de confort thermique indépendamment de l'assistant. C'est utile par ex. pour les utilisateurs tirant leurs grandeurs d'entrée par des calculs propres ou qui veulent avec le résultat, effectuer d'autres calculs et/ou l'intégrer à la commande/régulation.

Ces fonctions sont les suivantes :

pmv(1, 2, 3, 4, 5, 6, 7)

ppd(1, 2, 3, 4, 5, 6, 7)

où

(1) Isolation du vêtement en W/m²

(2) Transfert d'énergie par surface corporelle en W/m²

(3) Puissance mécanique en W/m²

(4) Température atmosphérique en °C

(5) Température moyenne de rayonnement en °C

(6) Vitesse d'air relative en m/s

(7) Hygrométrie relative en %

pmv2(1, 2, 3, 4, 5, 6, 7)

ppd2(1, 2, 3, 4, 5, 6, 7)

où

(1) Isolation du vêtement en clo

(2) Transfert d'énergie par surface corporelle en met

(3) Puissance mécanique en met

(4) Température atmosphérique en °C

(5) Température moyenne de rayonnement en °C

(6) Vitesse d'air relative en m/s

(7) Hygrométrie relative en %

Tous les paramètres peuvent être soit des constantes (par ex. 1.9 ou 2), des références à des points de mesure (par ex. m(1.0) ou m(80.2)) ou bien des appels de fonction (par ex. const("pression")) ou des combinaisons (par ex. (const("pression") + m(80,2)) * 2).


Degré de turbulence

Afin de calculer le degré de turbulence, il faut créer une voie de calcul dans laquelle le quotient entre l'écart type et la valeur moyenne est multiplié par 100.

Exemple (nombre de valeurs de mesure) :

La formule de la voie de calcul du degré de turbulence du point de mesure 0.10 sur la base des 100 dernières mesures est la suivante :

100 * stddeviation_n(0,10,100) / mean_n(0,10,100)

Exemple (durée) :

La formule de détermination du degré de turbulence du point de mesure 1.25 sur les 10 dernières minutes est :

100 * stddeviation_t(1,25,600) / mean_t(1,25,600)

Attention !

Tenez compte du chapitre : changer la taille de l'historique des mesures ".


La protection par mot de passe

Vous pouvez utiliser AMR WinControl avec une protection d'accès pour plusieurs utilisateurs, laquelle permet de définir des utilisateurs avec des droits d'accès différents et de protéger le logiciel contre toute modification ou toute utilisation non autorisée.

Le lancement de l'application a toujours lieu avec protection par mot de passe activée, de sorte qu'aucun utilisateur ne soit déclaré et ainsi qu'aucune action ne soit possible par des personnes non autorisées. Indépendamment de cela, les applications de mesure indiquées sont exécutées lorsque les paramétrages correspondants (par ex. "Lancement automatique de la mesure", "Poursuivre la mesure après coupure de courant", "Activation auto des paramètres d'interface après redémarrage" etc..) ont été effectués.

Attention !

Ces fonctions ne sont pas disponibles dans chaque version du programme. Avec l'acquisition du mot de passe, une description détaillée est également mise à disposition. Si celle-ci vous intéresse, vous pouvez aussi la demander séparément.

Au premier lancement de AMR WinControl, seul l'opérateur système prédéfini est inscrit comme utilisateur. Vous pouvez ôter le verrouillage en saisissant le nom d'utilisateur "SysOp" et le mot de passe "SysOp".

Remarque : Si AMR WinControl a déjà été installé sur un système et que les paramètres du mot de passe ont été adaptés, ces adaptations restent valables, c.-à-d. que le mot de passe de l'opérateur système peut être différent !

Attention !

La différence majuscule/minuscule est faite aussi bien pour le nom que pour le mot de passe !

voir également :

Ouverture de session par un utilisateur

Boîte de dialogue "Protection par mot de passe / gestion utilisateur"

Boîte de dialogue "Ajouter un utilisateur"

Boîte de dialogue "Changer le mot de passe utilisateur et les droits d'accès"

Boîte de dialogue "Droits d'accès"


Ouverture de session par un utilisateur

Lors du démarrage du logiciel par mot de passe activé ou lorsqu'un utilisateur AMR WinControl a quitté une session, le système affiche un dialogue permettant de saisir un nom d'utilisateur et un mot de passe.

AMR WinControl continue à fonctionner dans cet état, sans changement. Vous ne pouvez cependant procéder à aucune modification tant qu'aucun utilisateur n'a ouvert une session. Vous ne pouvez pas non plus quitter AMR WinControl si aucun utilisateur ayant un droit d'accès correspondant n'a préalablement ouvert une session.


Boîte de dialogue "Protection par mot de passe / gestion utilisateur"

Le menu "Paramétres/Protection par mot de passe" permet d'ouvrir une boîte de dialogue :

Cette boîte de dialogue permet d'afficher, d'éditer et de supprimer des utilisateurs. Les réglages de fin de session automatique se gèrent également ici.

Lors du premier démarrage, seul l'utilisateur SysOp est enregistré. Celui-ci ne peut être supprimé et ce n'est que lorsqu'un utilisateur a ouvert une session en tant que SysOp dans AMR WinControl qu'il peut en changer son mot de passe.

Par le bouton Ajouter… on peut créer autant de nouveaux utilisateurs de AMR WinControl que désiré. Le bouton Changer… ouvre une boîte de dialogue relative à l'utilisateur AMR WinControl sélectionné dans la liste.

Conseil :

La première chose à faire après l'installation est d'enregistrer un nouveau mot de passe pour l'opérateur système SysOp.

Le bouton Supprimer a pour effet de supprimer l'utilisateur sélectionné sans confirmation. Toutes les modifications entreprises, y compris l'ajout et la suppression d'utilisateurs, ne deviennent effectives que lorsque ce dialogue a été confirmé par OK.

L'option "Activer protection mot de passe" permet d'activer et de désactiver la protection par mot de passe. A l'activation de la protection, l'utilisateur actuel est déconnecté automatiquement de sa session dès la fermeture de cette boîte de dialogue. Pour continuer de travailler, l'utilisateur doit ouvrir la session avec nom et mot de passe.

La sélection "Fin de session automatique" permet de définir si au bout d'un certain temps sans activité de l'utilisateur, l'utilisateur actuel doit automatiquement quitter la session et ainsi verrouiller le programme. Si cette option est activée, il faut régler une durée comprise entre 1 et 60 minutes, qui doit s'écouler avant que la fin de session automatique n'intervienne. Indépendamment de la fin de session automatique, tout utilisateur peut mettre fin à la session (et donc verrouiller le programme) en sélectionnant la commande Ficher / Fin de session utilisateur.


Boîte de dialogue "Ajouter un utilisateur"

Par le bouton Ajouter… on peut créer autant de nouveaux utilisateurs de AMR WinControl que désiré :

Le nom d'utilisateur peut alors être choisi librement, il peut être constitué de lettres et de chiffres et doit comporter au moins 2 caractères. Le mot de passe doit comporter au moins 4 caractères, il peut être constitué de lettres, de chiffres et de caractères spéciaux. La distinction est faite entre majuscules et minuscules, tant pour les noms que pour le mot de passe.

Les administrateurs peuvent définir pour les utilisateurs aux droits limités, les fonctions qui leurs sont permises. Cette attribution des droits est configurable individuellement pour chaque utilisateur.


Boîte de dialogue "Changer le mot de passe utilisateur et les droits d'accès"

Le bouton Changer… ouvre une boîte de dialogue relative à l'utilisateur AMR WinControl sélectionné dans la liste :

Ici, vous pouvez changer le mot de passe et les droits d'accès d'un utilisateur déclaré. Pour adapter avec précision les droits d'accès, sélectionnez Droits d'accès limités et cliquez sur le bouton Droits.


Boîte de dialogue "Droits d'accès"

Pour adapter les droits d'accès il faut, dans la boîte de dialogue s'affichant lors de la création de nouveaux utilisateurs ou celle pour modifier les paramètres d'un utilisateur, cliquer sur le bouton de commande Droits.

La première branche de l'arborescence ("entrées communes") contient les entrées disponibles dans tous les types de fenêtre et qui appellent également les mêmes fonctions. Toutes les autres branches sont respectivement affectées à un type de fenêtre et contiennent des fonctions qui n'agissent que sur les fenêtres du type correspondant. On peut ainsi définir par exemple que seuls les graphiques en courbe peuvent être imprimés ou seuls les affichages de valeurs de mesure peuvent être fermés. Chaque branche contient pour chaque menu une sous-ramification contenant chacune des entrées de menu, les sous-menus étant à leur tour représentés par une sous-ramification. La case de sélection située devant le nom des branches et entrées peut être cochée pour permettre l'accès ou décochée pour interdire l'accès. Si la case d'une branche est activée, alors toutes les entrées et sous-ramifications qu'elle contient sont automatiquement sélectionnées en même temps. Il en va de même pour la désactivation de cette case.

Si au sein d'une branche, seules quelques entrées sont activées, cela est signalé par une barre oblique (/) à la place d'un crochet dans la case de sélection de la branche. Les branches se distinguent des entrées simples par une case [+] ou [-] qui les précède. Un clic sur [+] étend l'affichage de la branche au premier niveau d'entrées et de sous-ramifications qu'elle contient, tandis qu'un clic sur [-] masque toutes les entrées et sous-ramifications contenues. Le bouton OK permet de valider les réglages et de retourner à la boîte de dialogue principale. Celle-ci affiche le nouvel utilisateur dans la liste des utilisateurs.

Remarques relatives à l'attribution des droits :

· La commande de menu "Fin de session utilisateur" s'affiche également dans la boîte de dialogue pour compléter le tout, mais AMR WinControl ignore ce paramétrage. Même si ce droit est retiré à un utilisateur, il peut toujours fermer sa session!

· Dans la branche "Entrées communes", on peut définir dans "Fenêtre" si un utilisateur a le droit de modifier les fenêtres (décaler, ajuster la taille, basculement entre les fenêtres etc…). Cela n'a cependant aucune incidence sur la possibilité d'activer d'un clic de souris une fenêtre et de la mettre ainsi éventuellement devant d'autres fenêtres!

· On peut assurer à chaque utilisateur le droit d'accès à "Paramètres/Protection par mot de passe". Cet utilisateur peut ainsi en principe non seulement étendre à volonté ses propres droits, mais également modifier les paramètres des droits d'autres utilisateurs et administrateurs (excepté SysOp !). C'est pourquoi il est conseillé de ne pas attribuer ce droit!

· Lorsque le droit est accordé à un utilisateur de fermer des fenêtres prévues pour des fichiers de valeurs de mesure (tableau, vue d'ensemble, graphiques en courbe et XY) mais qu'il n'a pas le droit d'enregistrer les données, ces fenêtres sont alors fermées sans confirmation, et sans enregistrer les données qu'elles contiennent. C'est pourquoi il est conseillé de n'autoriser la fermeture des fenêtres du type désigné que lorsque l'utilisateur possède également le droit d'enregistrer ces données.

Remarque : La fermeture d'une fenêtre sans enregistrer les données qu'elle contient n'a aucune incidence sur les fichiers créés par la sauvegarde automatique.

La protection par mot de passe dans AMR WinControl utilise la capacité des systèmes s'appuyant sur Windows NT d'attribuer des droits d'écriture à chaque fichier ou répertoire en fonction de l'utilisateur. Tous les paramètres de protection par mot de passe sont placés dans le répertoire Windows, fichier amr32.access.ini . Pour les données sensibles (par ex. mots de passe), une codification supplémentaire est effectuée. Ce fichier est créé ou modifié par AMR WinControl lorsque les réglages de protection par mot de passe ont été effectués dans le programme.

Attention!

Une fois l'installation de AMR WinControl effectuée par un administrateur, celui-ci doit procéder aux étapes suivantes afin d'assurer l'efficacité de la protection par mot de passe :

· Changer le mot de passe pour l'opérateur système

· Créer des utilisateurs de AMR WinControl

· Quitter AMR WinControl

· Supprimer les droits d'écriture et d'effacement du fichier amr32.access.ini pour tous les utilisateurs sauf l'administrateur.

Remarque : Tous les paramètres décrits ne peuvent être effectués que si l'utilisateur dispose également du droit de modifier le fichier ci-dessus amr32.access.ini , sinon un message apparaît et la boîte de dialogue principale de paramétrage du mot de passe ne s'ouvre pas.

Pour les applications de mesure, il ne faudrait exploiter AMR WinControl que sous un compte utilisateur pur ou utilisateur principal du système d'exploitation et sous un compte administrateur uniquement pour les paramètres spécifiques à la protection par mot de passe.

Attention!

Sur les nouveaux systèmes d'exploitation tels que "MS Windows Server 2008" et "MS Windows Vista", certains fichiers peuvent être automatiquement redirigés dans d'autres répertoires afin de protéger les répertoires système important contre toute modification et/ou dommage.

Par cette fonction, le fichier de configuration amr32.access.ini ne peut être enregistré que dans le répertoire Windows si le logiciel est exécuté sur le compte administrateur local. Dans le cas contraire, le ficher amr32.access.ini est dévié vers un répertoire au sein de votre répertoire utilisateur.

Le répertoire cible de la déviation peut différer selon le réglage de votre système d'exploitation. Sur "MS Windows Server 2008" et "MS Windows Vista", le fichier amr32.access.ini se trouve pour une configuration standard du système d'exploitation au répertoire suivant :

%LocalAppData%\VirtualStore\Windows\

Bon à savoir!

A partir du système d'exploitation "MS Windows Vista", les programmes sont par préréglage toujours démarrés avec droits d'accès limités, même si vous ouvrez une session utilisateur avec des droits administrateur locaux. Afin d'éviter ceci, laissez votre administrateur système désactiver le "Commande des comptes utilisateur".

Bon à savoir!

La déviation de certains répertoires est également possible sur de nombreux systèmes d'exploitation plus anciens, mais pas activée par préréglage. Veuillez vous informer auprès de votre administrateur système sur les propriétés de votre système.


Le gestionnaire de poste d'essais et de mesures

AMR WinControl offre la possibilité d'exécuter et de gérer plusieurs actions d'enregistrement indépendantes et automatiques.

Pour exploiter plusieurs gestionnaires Autosave (actions d'enregistrement automatiques) en même temps, un environnement graphique confortable est à votre disposition vous permettant un aperçu global de tous les états actuels du gestionnaire Autosave.

La modification des caractéristiques et l'ajout de nouveaux gestionnaires Autosave sont possibles en quelques clics de souris. De plus, les différents gestionnaires peuvent être démarrés et arrêtés indépendamment l'un de l'autre. Autosave a les mêmes possibilités de paramétrage que celles déjà décrites sous Enregistrement automatique), des caractéristiques supplémentaires étant disponibles pour le gestionnaire de poste d'essai et de mesures.

Attention !

Ces fonctions ne sont pas disponibles dans chaque version du programme. Avec l'acquisition du gestionnaire de poste d'essai et de mesures, une description détaillée est mise à disposition. Si celle-ci vous intéresse, vous pouvez aussi la demander séparément.

voir également :

Fenêtre: Enregistrement automatique (gestionnaire de poste d'essai et de mesures)


Fenêtre: Enregistrement automatique (gestionnaire de poste d'essai et de mesures)

Si le gestionnaire de poste d'essai et de mesures, en option, a été activé par débridage logiciel, vous pouvez ouvrir la fenêtre du gestionnaire de poste d'essai et de mesures à l'aide de la barre d'outils, la touche F8 ou le menu Mesures/Enregistrement automatique. Cette fenêtre affiche une liste des actions d'enregistrement automatiques paramétrées.

En cliquant sur le bouton de commande Caractéristiques ou en effectuant un double clic sur une ligne de la fenêtre, le système affiche la boîte de dialogue des propriétés du gestionnaire Autosave sélectionné. Les boutons de commande Ajouter et Supprimer permettent de créer de nouveaux gestionnaires Autosave et de supprimer ceux qui ne sont plus nécessaires. Les boutons de commande Démarrer et Arrêter permettent un contrôle ciblé de la durée d'utilisation des gestionnaires Autosave configurés. Le bouton de commande Afficher permet d'ouvrir les valeurs de mesure qui y sont enregistrées jusqu'à présent.

Le tableau "Actions d'enregistrement" permet d'afficher tous les gestionnaires Autosave avec leur état actuel, leur libellé, leur minimum, leur valeur actuelle, leur maximum et leur nom de fichier.

L'état indique si un gestionnaire Autosave est actif ou pas. Les états possibles sont les suivants:

· inactif

· actif, mémorisation en cours ( [image] )

· actif, attente de l'instant de départ ( [image] )

· actif, attente de l'événement de départ ( [image] )

Le nom du fichier n'est affiché que pour les gestionnaires Autosave actifs à l'instant et enregistrant des données dans un fichier.

Le libellé et l'affichage des mesures peuvent être définis pour chaque gestionnaire Autosave dans ses caractéristiques. Pour ceci, deux onglets supplémentaires sont disponibles dans les caractéristiques du gestionnaire Autosave.

Attention!

Si le gestionnaire du poste d'essai et de mesures est activé, les paramétrages des gestionnaires du poste d'essai et de mesures ne comportent pas d'onglet "Conserver les paramètres" puisque les réglages des gestionnaires Autosave sont conservés automatiquement dans le cadre de la gestion du poste d'essai et de mesures.

voir également :

Onglet: "Libellé"

Onglet: "Affichage des mesure"


Onglet: "Libellé"

Si vous ouvrez les caractéristiques d'un gestionnaire Autosave dans l'aperçu du gestionnaire de poste d'essai et de mesures, la boîte de dialogue "Enregistrement automatique" avec l'onglet "Libellé" s'affiche.

Dans cet onglet, vous pouvez saisir un libellé permettant une meilleure identification d'un gestionnaire Autosave dans le tableau d'aperçu.


Onglet: "Affichage des mesure"

L'onglet "Affichage des mesures" permet de paramétrer un minimum, un maximum et la valeur actuelle respective d'un point de mesure disponible.

Si vous cochez la case de cet onglet, vous pouvez paramétrer un point de mesure en cliquant sur le triangle situé à droite de la liste de choix. Si ce gestionnaire Autosave est activé, l'aperçu affiche respectivement dans les colonnes Min, Max et Valeur la valeur actuelle du point de mesure ainsi que le minimum et le maximum atteints jusqu'ici.


L'exportation OPC

AMR WinControl peut fonctionner comme client OPC et transmettre des données de mesure à un serveur OPC.

La communication OPC a lieu via le réseau existant. AMR WinControl peut alors transmettre également des données en parallèle à plusieurs serveurs OPC. Partant d'un serveur OPC, ces données peuvent être transmises à presque tout système compatible.

Attention !

Cette fonction n'est pas disponible dans chaque version logicielle d'AMR WinControl. Avec l'acquisition de cette fonction, une description détaillée est également mise à disposition. Si celle-ci vous intéresse, vous pouvez aussi la demander séparément.

voir également :

Configuration minimale

Fonctionnement

Paramètrages

Exemple : visualiser des données dans LabView™


Configuration minimale

Sur le PC sur lequel fonctionne AMR WinControl ou dans le réseau, il existe un serveur OPC mettant à disposition des variables selon le standard "OPC Data Access Server 2" ou "OPC Data Access Server 3".


Fonctionnement

La transmission de données sur le serveur OPC s'effectue de façon similaire à la transmission de données à MS Excel : Dans AMR WinControl, il est possible d'ouvrir autant de fenêtre que désiré, chacune d'entre elles représentant la transmission vers un serveur. Pour chacune de ces fenêtre, il est possible de régler quels points de mesure doit être transmis vers quelle variable du serveur.

L'état de la transmission est affiché dans la fenêtre même. Les réglages effectués peuvent être enregistrés sous forme de fichier et être rouverts. Si lors de l'enregistrement d'une configuration, des fenêtres sont ouvertes avec des transferts de données vers des serveurs OPC et que ceux-ci ont déjà été enregistrés en fichier, alors ces noms de fichiers sont également enregistrés dans la configuration et au chargement de la configuration, les fenêtres des transferts de données vers les serveurs OPC sont rétablies.


Paramètrages

La fonction de menu Mesures/Nouvelle exportation OPC permet de créer une nouvelle exportation OPC. La fenêtre "Exportation OPC WinControl" apparaît, laquelle affiche différente informations sur l'exportation. Outre le commentaire, le nom de l'ordinateur et le serveur OPC vers lequel l'exportation doit s'effectuer, la fenêtre affiche sous forme de tableau les points de mesure et voies de calcul à exporter.

Début et Arrêt permet de lancer ou d'interrompre la transmission vers Excel. Propriétés permet d'ouvrir la boîte de dialogue des caractéristiques de cette liaison. Notez que la boîte de dialogue des propriétés ne peut être ouverte que si la transmission a été arrêtée. Aide permet d'afficher ce texte.

voir également :

Boîte de dialogue "Propriétés de l'exportation OPC"

Boîte de dialogue "Ajouter exportation OPC"


Boîte de dialogue "Propriétés de l'exportation OPC"

En cliquant sur le bouton Propriétés, vous ouvrez la boîte de dialogue "Propriétés de l'exportation OPC" à l'aide de laquelle vous pouvez procéder aux paramétrages.

Commentaire

Définit une désignation pour cette exportation OPC.

Nom d'ordinateur

Le nom ou l'adresse IP de l'ordinateur sur lequel le serveur OPC désiré est actif. Alternativement, vous pouvez ouvrir la boîte de dialogue "Rechercher ordinateur" à l'aide du bouton Rechercher. Vous pouvez alors sélectionner l'ordinateur dans la liste des ordinateurs disponibles sur le réseau.

Attention !

La boîte de dialogue "Rechercher ordinateur" affiche tous les ordinateurs accessibles sur le réseau. Il n'est alors pas vérifier si sur ces ordinateurs, le serveur OPC est activé.

Serveur OPC

D'un simple clic de souris sur la flèche côté droit de la zone de saisie, tous les serveurs OPC disponibles sur l'ordinateur paramétré s'affichent dans un tableau. Un autre clic sur l'entrée correspondante dans le tableau permet de sélectionner un serveur OPC.

Remarque : Si le serveur OPC passe par le réseau, le remplissage de la liste peut durer quelques secondes !

Valeurs exportées

Le tableau représenté ici affiche toutes les variables OPC du serveur OPC sélectionné, lesquelles doivent être décrites par AMR WinControl à l'aide de valeurs de mesure. En cliquant sur le bouton Supprimer, vous pouvez supprimer l'entrée respective sélectionnée.


Boîte de dialogue "Ajouter exportation OPC"

En cliquant sur le bouton Ajouter il est possible de sélectionner les variables auxquelles les valeurs de mesure doivent être transmises.

Toutes les variables mises à disposition par le serveur sont listées dans "Valeurs OPC disponibles". Cliquer sur la variable désirée, elle sera alors validée dans le champ "Valeur OPC". Dans la liste "Points de mesure", il faut encore sélectionner le point de mesure dont la valeur doit être exportée vers la variable.

En option, il est possible de régler la mise à jour : normalement la valeur est exportée à chaque cycle de mesure. Afin de maintenir aussi faible que possible la charge du serveur et le cas échéant du réseau, l'exportation peut être réglée de sorte qu'une valeur ne puisse être transmise que lorsque la modification par rapport à la dernière valeur transmise dépasse un montant à définir au choix.

Un clic sur Ajouter valide la combinaison "Variable - Point de mesure" dans la boîte de dialogue des propriétés. Le point de mesure suivant peut maintenant être affecté à une autre variable.

Remarque : Si l'on sélectionne une variable à répétition, on écrase de ce fait l'affectation déjà entreprise !

Dès que tous les paramétrages désirés ont été effectués, vous pouvez quitter la boîte de dialogue avec Fermer puis fermer la boîte de dialogue des Propriétés avec OK. Les paramétrages s'affichent maintenant dans la fenêtre "Exportation OPC WinControl".

D'un clic sur le bouton Départ la transmission vers le serveur est lancée et avec Stop vous pouvez à nouveau arrêter la transmission. Pendant la transmission, les colonnes "Mesure actuelle", "Valeur transmise", "Date / Heure transmission", "Etat" et éventuellement "Dernière erreur" sont actualisées en continu :


Exemple : visualiser des données dans LabView™

Le logiciel LabView™ offre à partir de la version 8 un serveur OPC avec lequel il est possible d'intégrer les mesures acquises par AMR WinControl et par exemple les visualiser. A cet effet, les étapes suivantes sont nécessaires :

voir également :

LabView™ : variables OPC

Préparer l'affichage

Préparer la transmission de données


LabView™ : variables OPC

Dans LabView™, créer un nouveau projet ou bien en ouvrir un existant. Ensuite, cliquer dans l'arborescence du projet sur "Mon ordinateur" avec le bouton droit de la souris et dans le menu contextuel, choisir la commande "Nouveau../Variable".

Une boîte de dialogue s'ouvre dans laquelle vous pouvez définir les propriétés de la variable.

L'important c'est ici de donner un nom significatif ainsi que le type de données correct, pour lequel "Double" est conseillé.

Selon le nombre de points de mesure de WinControl devant être affichés dans LabView™, la procédure doit être répétée plusieurs fois, en veillant à ce que chaque variable obtienne un nom unique.


Préparer l'affichage

Pour afficher les données dans LabView™, il faut un VI. On peut ouvrir un VI existant du projet ou en créer un nouveau. Ce dernier s'effectue en cliquant dans l'arborescence du projet avec le bouton droit sur le nœud "Mon ordinateur" et en sélectionnant ensuite "Nouveau.../VI".

Dans la vue des instruments du VI il faut maintenant créer (pour chaque variable créer) un instrument adapté, dans l'exemple on sélectionne par simplicité un affichage analogique numérique.

Ensuite l'affichage commute vers le synoptique (menu "Fenêtre/Afficher synoptique"). La variable créée peut maintenant être déplacée simplement avec la souris, depuis l'arborescence du projet vers le synoptique.

Le synoptique contient maintenant l'affichage et un renvoi vers la variable : les deux peuvent alors être associés avec la souris.

En cliquant sur le bouton [image] les variables OPC sont mises à disposition dans LabView™ pour d'autres applications et l'affichage des valeurs mesurées reçues est activé.

Jusqu'à ce que d'autres applications envoient des données, c'est la valeur par défaut réglée pour l'affichage respectif (normalement 0) qui s'affiche.


Préparer la transmission de données

Il est maintenant possible d'ajouter dans AMR WinControl comme décrit sous "Paramétres", les valeurs de mesure à transmettre en données :

· créer une nouvelle connexion OPC

· choisir le serveur : si plusieurs serveurs OPC sont disponibles, il faut choisir le serveur OPC du LabView™. celui-ci porte par préréglage le nom :
National Instruments.Variable Engine.1

· affecter la variable

· lancer la transmission de données et la scrutation des mesures

Dans LabView™, les mesures acquises et calculées dans AMR WinControl s'affichent.


Exportation de données ODBC

AMR WinControl offre la possibilité de transmettre les contenus de fichiers de valeurs de mesure à des sources de données ODBC.

Il est possible de procéder aux affectations de points de mesure à un tableau cible aisément par simple clic, les utilisateurs expérimentés peuvent saisir leurs propres instructions SQL à l'aide desquelles il est possible de procéder à des prescriptions d'affectation même complexes.

Le paramétrage est mémorisé dans les fichiers de configuration en fonction des points de mesure et de la source de données ODBC, de sorte que lors des opérations d'exportation récurrentes, il ne soit pas nécessaire de paramétrer à nouveau.

Attention !

Ces fonctions ne sont pas disponibles dans chaque version du programme.

Sur l'ordinateur, au moins une source de données ODBC doit être configurée, autoriser l'insertion de données et gérer l'association de données.

voir également :

Paramétrage


Paramétrage

Si AMR WinControl est débridé en version Pro, un nouvel onglet "ODBC" apparaît lors de l'ouverture de la boîte de dialogue "Exporter fichier" par la commande Exporter du menu Fichier :

La zone de liste "Configuration" permet de sélectionner des configurations d'exportation déjà créées pour les réutiliser. La zone "Remarque" affiche alors des informations supplémentaires (pad ex. source de données et tableau ou quels points de mesure du fichier actuel seront exportés et lesquels ne le seront pas etc.)

Après avoir sélectionné ou créé une configuration, un clic sur le bouton "Enregistrer" permet d'effectuer l'exportation.

Une barre de progression s'affiche alors, afin de visualiser l'évolution de l'exportation. De plus, la progression d'affiche dans la barre d'état.

Si des erreurs surviennent, un message correspondant s'affiche, sinon l'exportation s'est terminée avec succès dès que la barre de progression disparaît.

Bon à savoir !

L'exportation peut être interrompue à l'aide de la touche ESC. Lors de l'annulation, le devenir des données déjà transmises dépend de la configuration choisie : si l'utilisation de transaction a été activée et qu'elle est gérée par la base de données, lors de l'annulation, toutes les données déjà transmises à la base de données seront supprimées. Sinon, toutes les données transmises jusqu'au moment de l'annulation sont conservées dans la base de données.

voir également :

Création d'une configuration ODBC

Connexion ODBC

Configuration simple

Configuration SQL


Création d'une configuration ODBC

Le bouton "Nouveau" permet de créer une nouvelle configuration. En cliquant sur la flèche sur le côté droit du bouton, une sélection s'affiche :

"Nouvelle configuration (simple)" ouvre un assistant dans lequel d'utilisateur peut composer en tout confort l'affectation des points de mesure à la source de données, en quelques clics de souris.

"Nouvelle configuration (instruction SQL)" ouvre un assistant permettant de sélectionner les points de mesure à exporter et de saisir une instruction SQL, laquelle définit comment l'affectation de valeurs de mesure doit s'effectuer avec la source de données.

"Nouvelle configuration basée sur la configuration choisie" n'est disponible que si une configuration a déjà été sélectionnée. Cela permet de créer une copie de la configuration sélectionnée, pour laquelle l'assistant s'ouvre immédiatement, en vue du traitement.

Edition

Une boîte de dialogue s'ouvre permettant d'éditer la configuration sélectionnée. Remarque : le type de la configuration sélectionnée, mémorisé dans la configuration, décide de l'assistant qui s'ouvre.

Supprimer

La configuration choisie dans la liste est supprimée après demande de confirmation.


Connexion ODBC

L'assistant de configuration démarre toujours par la page "Connexion ODBC", sur laquelle s’effectue le paramétrage de base de la connexion :

Dans le champ "Nom de la configuration" doit être saisi un libellé unique par lequel la configuration peut être identifiée. Comme ce libellé est également intégré dans le nom du fichier sous lequel le ficher est enregistré ultérieurement, il faut si possible n'utiliser que des lettres, des chiffres ainsi que les signes moins (-) et tiret bas (_).

Attention !

Lors de l'édition d'une configuration déjà existante, le nom ne peut plus être modifié !

Sous Source de données ODBC, saisir le nom de la source de données telle qu'elle a été réglée dans le système. Un clic sur le bord droit de la zone ouvre une liste des sources de données existantes.

Selon le réglage de la source de données, il faut saisir le nom d'utilisateur et le mot de passe dans les champs correspondants.

Bon à savoir !

Le mot de passe est mémorisé codé dans le fichier de configuration.

Le champ "Temporisation" permet de régler pour les opérations ODBC une temporisation ne devant pas être dépassée lors des opérations respectives. Il est possible d'indiquer des valeurs dans la plage allant de cinq secondes à cinq minutes (300 secondes).

Par l'option "Exécuter toute l'exportation en une seule transaction", vous pouvez définir si l'exportation doit être effectuée en une seule transaction ou non.

Le bouton "Essai paramétrage" établit en partie une connexion et affiche un message qui, en cas d'erreur, contient d'autres informations telles que :

"Login failed for user 'XYZ'"

L'utilisateur indiqué n'a pu se connecter à la base de données. Il faut vérifier le nom d'utilisateur et le mot de passe, ainsi que les paramètres de sécurité de la source de données / base de données.


Configuration simple

Sur la page "Tableau base de donnée, sélectionner points de mesure et colonnes" vous pouvez, pour la connexion ODBC sélectionnée, effectuer très simplement l'affectation des points de mesure aux colonnes du tableau de la banque de données :

Dans le champ du haut, il faut indiquer le tableau de base de données dans lequel les données doivent être transmises. Si sur la page précédente a été indiquée une source de données qui est également actuellement disponible sur l'ordinateur, il est possible de sélectionner aisément le tableau, sinon il faut saisir le nom.

Dans le tableau d'affectation sont listés dans la colonne de gauche tous les points de mesure contenus dans le fichier à exporter, dans la première ligne se trouve toujours l'entrée "temps". Dans la colonne de droite, vous pouvez pour les points de mesure à exporter, indiquer le nom de la colonne dans le tableau cible dans la base de données. Si la connexion ODBC est disponible sur l'ordinateur et qu'un tableau valide a été sélectionné, il est possible de sélectionner aisément le nom de la colonne.

Remarques :

· pour l'horodatage, il faut toujours indiquer une colonne dans le tableau cible.

· Pour les points de mesure qui ne doivent pas être exportés, l'entrée dans le champ "colonne tableau" reste vide.

· L'affectation doit être unique, c.-à-d. qu'à une colonne dans le tableau cible ne doit être affecté qu'un seul point de mesure.

· Les noms de colonne contenant des caractères espace, des caractères spéciaux ou des mots réservés, doivent être inclus dans des délimiteurs.
La saisie des délimiteurs peut s'effectuer aussi bien lorsque le nom de colonne est saisi manuellement que lorsqu'il est sélectionné dans la liste !

L'option "transmettre horodatage en résolution milliseconde" permet de régler si les millisecondes doivent être également transmises ou pas.

Attention !

Toutes les bases de données ne gèrent pas la résolution en millisecondes.

Le bouton "Essai paramétrage" vérifie les paramètres indiqués, établit une connexion, essaie l'instruction SQL générée automatiquement d'après le paramétrage (sans transmission de données) et affiche ensuite un message correspondant.


Configuration SQL

Sur la page "SQL", l'affectation des points de mesure aux colonnes du tableau cible dans la base de données s'effectue par une instruction SQL :

Les points de mesure à exporter peuvent être sélectionnés et désélectionnés individuellement ou à l'aide des fonctions du bouton "choix des points de mesure".

L'instruction SQL définit comment les données sont insérées dans la source de données ODBC. De manière standard, il s'agit ici d'une instruction INSERT ou de l'appel de procédures mémorisées. Lors de la création de l'instruction, il faut veiller aux points suivants :

· Les zones dans lesquelles doivent figurer les données à exporter sont pré-renseignées par des points d'interrogation.

· Le premier point d'interrogation est toujours l'horodatage

· Tous les points d'interrogation suivants représentent les points de mesure à exporter

· L'ordre des points d'interrogation (de gauche à droite) correspond toujours à l'ordre des points de mesure associés dans la liste (de haut en bas)

L'option "transmettre horodatage en résolution milliseconde" permet de régler si les millisecondes doivent être également transmises ou pas.

Attention !

Toutes les bases de données ne gèrent pas la résolution en millisecondes.

Le bouton "Essai paramétrage" vérifie les paramètres indiqués, établit une connexion, essaie l'instruction SQL générée automatiquement d'après le paramétrage (sans transmission de données) et affiche ensuite un message correspondant.


Graphique en courbe - Impression du rapport

Annexe

Graphique en courbe – Impression du rapport

voir également :

Description du fonctionnement

Création de modèles de rapports

Paramétrage et remarques


Description du fonctionnement

AMR WinControl peut intégrer des graphiques en courbes par un clic de souris dans des modèles de rapports définis par l'utilisateur et imprimer automatiquement les rapports ainsi créés. Les modèles de rapport doivent être disponibles sous forme de documents RTF. Ils peuvent comporter plusieurs pages, toutes sortes de textes et de graphiques et disposer de substituts pour les graphiques et les textes.

L'impression des rapports s'effectue avec l'application sur PC définie pour les documents RTF.

Afin de commencer l'impression du rapport, il faut ouvrir dans AMR WinControl un graphique en courbes et dans le menu "Fichier" ou dans le menu contextuel, sélectionner le sous-menu "Imprimer rapport" puis y cliquer le modèle désiré.


Création de modèles de rapports

voir également :

Outils

Substitut pour graphiques en courbe

Substitut de textes

Substitut de points de mesure


Outils

Les rapports peuvent être établis au format RTF dans tout programme pouvant intégrer des graphiques sous forme de métafichier étendu (Enhanced Metafile).

Les créations sous Wordpad et Microsoft Word ont été essayées avec succès. Avec OpenOffice 1.1, nous n'avons pu établir de rapport car les graphiques ne sont pas intégrés mais mémorisés en externe puis incorporés comme lien.


Substitut pour graphiques en courbe

Si le rapport contient un métafichier étendu spécial, celui-ci sera interprété comme substitut d'un graphique et remplacé par un métafichier avec le graphique en courbe actuel. Le graphique en courbe sera alors mis à l'échelle du substitut.

Afin de pouvoir utiliser cette fonctionnalité, le fichier protocol.rtf doit être édité dans le répertoire ReportTpl. Ce fichier contient le substitut ainsi qu'un exemple de texte. Pour créer vos propres modèles de rapport, il est conseillé d'adapter les textes à vos besoins personnels et le cas échéant de déplacer et/ou de mettre à l'échelle le substitut. Il faut ensuite enregistrer le fichier sous un autre nom. Alternativement, vous pouvez insérer le substitut dans vos propres modèles de rapport en passant par le presse-papiers, en veillant à ne pas modifier le format du graphique du substitut.


Substitut de textes

Les substituts du type <par:name> sont remplacés par le contenu du paramètre de contrôle name, lequel est contenu dans le graphique en courbe. Il faut respecter la casse des caractères! Si le graphique ne contient pas le paramètre de contrôle name, le substitut est conservé dans le rapport.


Substitut de points de mesure

Afin de permettre dans les rapports l'affichage des dernières valeurs de mesures des points de mesure contenus ainsi que leurs date et heure, les substituts suivants ont été créés:

<lastval:x.y> | Dernière valeur de mesure du point de mesure x.y.
<lastvaldate:x.y> | Date de la dernière mesure du point de mesure x.y.
<lastvaltime:x.y> | Heure de la dernière mesure du point de mesure x.y.
<lastvaltimeh:x.y> | Heure avec millisecondes de la dernière mesure du point de mesure x.y.


Paramétrage et remarques

Le répertoire dans lequel les modèles sont recherchés est le répertoire ReportTpl, prédéfini dans le répertoire programme d'AMR WinControl. On peut définir un autre lieu d'enregistrement dans la configuration. A cet effet, il convient d'ajouter l'entrée ProtocolTemplateDir=chemin_cible dans la section [Settings]. Chemin_cible doit être remplacé par une indication complète de chemin d'accès au répertoire.

Bon à savoir !

Comment trouver la configuration et ce qu'il faut alors observer, se trouve au chapitre trouver la configuration ".

Exemple:

Dans la section [Settings]

ProtocolTemplateDir=C:\Mes fichiers\Rapports WinControl

Si l'on demande l'impression automatique du rapport, AMR WinControl lance alors l'application réglée sur le PC pour les documents RTF et y déclenche l'impression. Une fois l'impression terminée, l'application se referme automatiquement. Si le rapport doit être encore examiné avant l'impression ou que des modifications manuelles sont désirées, il est possible de régler dans la configuration l'opération à effectuer. Il faut pour cela inscrire l'entrée ProtocolOperation en section [Settings]. Les options admises sont print et open, le réglage par défaut étant print et qui sert aussi quand aucune opération explicite n'est indiquée.

Si l'opération indiquée est open, AMR WinControl lance l'application paramétrée sur le PC pour les documents RTF et affiche le rapport. L'impression doit alors être déclenchée manuellement et l'application ne se ferme pas automatiquement.

Les rapports créés, dont le nom se compose de celui du modèle de rapport ainsi que de la date et de l'heure, sont placés dans le répertoire temporaire du système d'exploitation et supprimés au bout d'une heure ou lorsque l'on quitte AMR WinControl. Si à ce moment les rapports sont encore utilisés par d'autres applications, l'effacement est impossible et doit le cas échéant être effectué manuellement ou par les fonctions correspondantes du système d'exploitation.


Clé matérielle serveur - Prise en charge d'une clé matérielle de réseau

AMR WinControl peut être exploité sur un serveur dans un réseau au moyen d'une clé matérielle centrale. Le module de protection (clé matérielle électronique) sur le serveur renferme toutes les informations sur la licence ainsi que le nombre de licences possible.

Lorsque l'on lance AMR WinControl sur tout poste de travail du réseau, le logiciel établit une connexion avec le serveur et occupe une licence. Il est possible de lancer des instances d'AMR WinControl jusqu'à ce que toutes les inscriptions de licence du serveur soient occupées. Ensuite, il faut quitter un AMR WinControl avant de pouvoir en lancer un nouveau ailleurs.


Installation du serveur

Il faut installer les pilotes et services fournis (hlsw32.exe). La clé électronique ci-jointe ensuite doit être connectée sur un port série ou parallèle libre du serveur.

Bon à savoir!

Selon le système d'exploitation, un redémarrage peut ensuite s'avérer nécessaire.


Installation du poste de travail

voir également :

Logiciel AMR WinControl

Pilotes


Logiciel AMR WinControl

Le logiciel AMR WinControl s'installe comme d'habitude. L'installation peut s'effectuer avant ou après la mise en place du pilote de clé matérielle. Il est cependant conseillé de ne lancer le programme la première fois qu'après avoir installé le pilote.

Dans la configuration il faut ajouter dans la section [Settings] la commande HardlockServer=1

Remarque: Même si le logiciel doit être exploité avec d'autres la configuration, la lecture de HardlockServer s'effectue toujours depuis base-configuration!

Bon à savoir !

Comment trouver la configuration et ce qu'il faut alors observer, se trouve au chapitre trouver la configuration ".


Pilotes

Les pilotes sont automatiquement installés en lançant le programme hldrv32.exe. Selon le système d'exploitation, un redémarrage peut ensuite s'avérer nécessaire.

Après avoir terminé l'installation et éventuellement redémarré, vous pouvez lancer le programme AMR WinControl. Si le lancement du programme s'effectue sans affichage de la boîte de dialogue de licence, la clé électronique a été trouvée sur le serveur et reconnue, et une ouverture de session a eu lieu correctement.

Afin de s'assurer que le PC sur lequel AMR WinControl a déjà été activé par un code de débridage, utilise bien la clé électronique du serveur, ouvrez la boîte de dialogue "A propos de" par Aide/A propos de et observez le numéro de série. Si celui-ci commence par AMXX, la clé électronique ne sera pas utilisée.

Si la clé matérielle n'est pas utilisée ou pas trouvée automatiquement, il faut effectuer des paramétrages supplémentaires au niveau système d'exploitation.


Autres paramétrages

Si la clé électronique n'est pas détectée automatiquement dans le réseau, alors il faut paramétrer le serveur manuellement par les variables d'environnement. Il faut pour cela définir une variable d'environnement:

Nom: | HLS_IPADDR
Valeur: | adresse TCP ou nom symbolique du serveur avec la clé électronique.
Exemple: | HLS_IPADDR = 192.168.1.200 ou HLS_IPADDR = myServer Vous pouvez également inscrire plusieurs informations séparées par une virgule: HLS_IPADDR = 192.168.1.200, myServer

Si malgré tout l'accès à la clé électronique sur le serveur n'est pas possible, vous pouvez effectuer d'autres paramétrages par les variables d'environnement suivantes:

Variable: | HL_SEARCH = IPX,NETBIOS,IP
Description: | Ordre de recherche et détermination des protocoles réseau désirés.

Variable: | HLS_RETRIES = n
Description: | (n est un entier compris entre 2 et 30) Nombre de tentatives d'accès au serveur jusqu'au signalement "pas de clé électronique trouvée".

Variable: | HLS_WAIT = n
Description: | (n est un entier compris entre 200 et 30000) Temps d'attente entre deux tentatives d'accès.


Programmes supplémentaires

Le constructeur des modules de protection offre toute une série d'outils gratuits desquels nous vous fournissons les plus importants pour le fonctionnement de la clé électronique réseau.

Moniteur Aladdin

Ce programme peut être installé sur tout poste de travail utilisant également AMR WinControl. Vous pouvez ainsi vérifier facilement s'il est possible d'accéder au serveur de clé électronique et combien d'ouvertures de session sont actuellement disponibles.

Diagnostix

Cet outil vous permet de tester la liaison vers le serveur. Vous pouvez de plus y effectuer tranquillement les paramètres des variables d'environnement (voir aussi: Autres paramétrages).


Remarques

Nous vous fournirons en outre le manuel de l'utilisateur de clés électroniques édité par le constructeur du module de protection, manuel dans lequel plusieurs chapitres traitent de l'installation et de la mise en service.

Pour toute question ou problème relatif à la clé matériel, vous disposez en plus de notre numéro d'urgence, du support technique du fabricant de matériel (http://www.aladdin.de).

voir également :

Calendriers de traitement des alarmes

Sécurité intégrée

La configuration système

Impression automatique du journal

Sauvegarde automatique

La carte chien de garde

Lecture automatique de la mémoire

Connexion pilotée par calendrier

Les protocoles supplémentaires optionnels


Calendriers de traitement des alarmes

Dans AMR WinControl, les points de mesure peuvent être intégrés au traitement des alarmes en fonction d'un calendrier. Ceci permet par ex. de n'activer le traitement des alarmes de certains points de mesure qu'en semaine ou qu'à une heure précise.

De plus, il existe la possibilité d'exclure du traitement des alarmes certains points de mesure, sur une durée définie. Ceci peut s'effectuer à l'aide du paramétrage des alarmes ou à l'acquittement d'une alarme. A la fin de la durée, les points de mesure sont automatiquement réintégrés dans le traitement des alarmes. Ce mécanisme évite que le traitement des alarmes de ces points de mesure, p.ex. après une décongélation, ne soit plus réactivé.

Attention !

Ces fonctions ne sont pas disponibles dans chaque version du programme. Avec l'achat de la version V / surveillance, une description détaillée est également fournie. Si celle-ci vous intéresse, vous pouvez aussi la demander séparément.

voir également :

Paramétrage


Paramétrage

Si AMR WinControl a été débridée comme version V / surveillance, d'autres possibilités de paramétrage apparaissent en ouvrant les réglages d'alarme sur l'onglet "Points de mesure".

Si le traitement des alarmes n'est paramétré que pour des points de mesure choisis, vous pouvez dans la colonne "Calendrier" sélectionner pour chaque point de mesure le paramétrage "Marche", "Arrêt" ou un calendrier préalablement défini.

Pour pouvoir affecter des calendriers, ceux-ci doivent d'abord être élaborés. Pour ceci, vous trouvez le bouton "Calendriers" en-dessous du tableau.

Indépendamment du paramétrage "Calendrier", les points de mesure peuvent être retirés du traitement des alarmes jusqu'à un moment défini. Ce moment est indiqué dans la colonne "Désactivé jusqu'à :". Si seule une heure est indiquée, le logiciel complète automatiquement la date actuelle. Si la date et l'heure sont indiquées, il n'est pas nécessaire d'indiquer l'année, le logiciel insère automatiquement l'année en cours. La saisie doit s'effectuer au format ayant été défini dans les paramétrages régionaux et linguistiques (panneau de configuration) du système d'exploitation. La date et l'heure sont séparées par un espace. Lorsque l'instant indiqué est écoulé, le traitement des alarmes de ce point de mesure est automatiquement réactivé.

Bon à savoir !

La désactivation temporaire du traitement des alarmes des points de mesure peut également s'effectuer lors de l'acquittement de l'alarme.

voir également :

Gestion des calendriers

Boîte de dialogue "Calendrier"

Visualisation


Gestion des calendriers

Dans cette fenêtre, il est possible de créer et de modifier des calendriers.

Sur le côté gauche, la liste des calendriers définis s'affiche, sur le bord droit les boutons suivants sont disponibles.

Ajouter

Une boîte de dialogue s'ouvre dans laquelle vous pouvez créer un nouveau calendrier. (voir également : Boîte de dialogue "Calendrier").

Edition

Une boîte de dialogue s'ouvre permettant d'éditer le calendrier sélectionné dans la liste. Remarque : le nom d'un calendrier ne peut pas être modifié.

Supprimer

Le calendrier sélectionné dans la liste est supprimé. Remarque : vous ne pouvez supprimer que les calendriers qui ne sont plus affectés à aucun point de mesure !

OK

La boîte de dialogue se ferme, toutes les modifications dans les calendriers sont validées.

Annuler

La boîte de dialogue se ferme sans que les modifications soient validées.


Boîte de dialogue "Calendrier"

S'il faut créer un nouveau calendrier, il faut saisir un libellé clair et unique. Si ce champ reste vide ou qu'un nom qui existe déjà est saisi, le logiciel signale une erreur et il n'est pas possible de fermer la boîte de dialogue.

En cas de modification d'un calendrier existant, il n'est plus possible de changer le libellé.

Dans le tableau représenté, vous pouvez marquer les heures auxquelles les alarmes doivent être déclenchées. Les plages marquées s'affichent en vert. Pour changer le marquage de certains champs, cliquer sur ce champ avec la touche gauche de la souris. Pour marquer plusieurs champs en une seule opération, vous pouvez les tirer en maintenant la touche de la souris enfoncée.

Un calendrier peut comporter une combinaison quelconque de champs marqués et non marqués, y compris les états "Aucun champ marqué" et "Tous les champs marqués".

Fermer la boîte de dialogue avec "OK" pour valider le nouveau calendrier, la fermer avec "Annuler" sans valider le nouveau calendrier.


Visualisation

La liste des points de mesure affiche, à l'aide du symbole d'alarme de la colonne gauche, quels points de mesure sont actuellement pris en compte dans le traitement des alarmes.

Le symbole apparaît lorsque le traitement des alarmes du point de mesure concerné est activé et n'est affiché, lors de l'utilisation des calendriers, que pendant la période active.


Sécurité intégrée

La variante V / surveillance offre la possibilité d'empêcher ou de minimiser la perte de données suite à des pannes de courant ou de réseau. La condition préalable à ceci est d'utiliser des appareils V6 avec une mémoire interne et une pile/accumulateur ou une alimentation de secours.

Les appareils ALMEMO à partir du micrologiciel version 6 soutiennent le mode "Failsafe". Dans ce mode, l'appareil de mesure enregistre des mesures de manière autonome si le logiciel ne lance aucune requête dans les limites d'une durée définie.

Attention !

La fonction "Sécurité intégrée" n'est pas disponible dans chaque version du programme. Avec l'achat de la version V / surveillance, une description détaillée est également fournie. Si celle-ci vous intéresse, vous pouvez aussi la demander séparément.

voir également :

Paramétrage


Paramétrage

Si AMR WinControl a été validée en tant que version V / surveillance, un onglet supplémentaire "ALMEMO (3)" apparaît en ouvrant les paramètres de connexion étendus.

Sur cet onglet, la fonction "sécurité intégrée" peut être activée pour cette liaison.

Si la fonction "sécurité intégrée" est active, les appareils raccordés basculent automatiquement leur mode de fonctionnement en "failsafe".

Dès que la liaison entre l'appareil et le logiciel est (r)établie, AMR WinControl vérifie si la mémoire interne contient des mesures. Celles-ci sont lues et enregistrées automatiquement, puis la mémoire est supprimée.

Les données sont enregistrées dans le répertoire par défaut pour l'enregistrement automatique. (voir également : Répertoires)

Le nom du fichier est :

MémoireAppareil_AA.MM.JJ-hh.mm.ss.amr

(année.mois.jour-heure.minute.seconde.amr)

Si le fichier existe déjà, une autre lettre est ajoutée (a-z).

Bon à savoir !

L'intervalle de temps pendant lequel l'appareil de mesure attend de commencer tout seul à enregistrer les données dans la mémoire interne est le "cycle d'impression" de l'appareil ALMEMO. Pour assurer un fonctionnement correct, celui-ci devrait être supérieur au cycle de mesure configuré dans AMR WinControl. 1,5 ou 2,0 fois le cycle de mesure du logiciel sont des valeurs recommandées.


La configuration système

Dans AMR WinControl, il est possible de sauvegarder à tout moment une configuration système. Celle-ci est toujours enregistrée codée dans le fichier system.cfg dans le répertoire programme AMR WinControl.

Dans la configuration système, les appareils de mesure raccordés sont enregistrés avec numéro, type et désignation, ainsi que tous les points de mesure (y-compris voies de calcul) avec numéro de point de mesure, capteur, commentaire et unité.

Tous les paramètres sont effectués dans une boîte de dialogue pouvant être appelée par le menu "Paramétres/configuration système" :

Contrôler la configuration système après démarrage du programme : En activant cette option, le programme est engagé à comparer à chaque démarrage d'AMR WinControl la configuration actuelle (appareils de mesure disponibles, leurs points de mesure y-compris leurs limites programmées) avec la configuration système mémorisée. Les différences notées sont ensuite regroupées dans une boîte de dialogue.

secondes d'attente après démarrage du programme : après écoulement du temps d'attente réglé ici en secondes, la configuration système est vérifiée. En fonction du nombre d'appareils raccordés et du nombre de points de mesure, il peut être nécessaire d'adapter ce temps d'attente car le logiciel nécessite un certain temps pour scruter l'état actuel de tous les appareils de mesure et points de mesure.

Attention!

La configuration système n'est pas disponible dans chaque version du programme.

voir également :

Comparaison des configurations système

Evaluation des configurations système


Comparaison des configurations système

Après démarrage du programme, une comparaison de la configuration système enregistrée avec la configuration actuelle du système peut être effectuée automatiquement. Cette comparaison peut être temporisée (3600 s max.) afin d'offrir au système la possibilité de rechercher des serveurs de données WinControl ou des points de mesure. La temporisation par défaut est de 30 secondes.

La comparaison peut également être effectuée manuellement à tout instant (voir également : "Description").

Lors de la comparaison des configurations systèmes, une boîte de dialogue s'affiche avec des indications détaillées en cas d'écart.

Lors de la comparaison automatique, une entrée est toujours ajoutée dans la liste des événements, aussi bien en cas de comparaison réussie que sur constat de différences. Si la comparaison est effectuée manuellement, aucune entrée n'est effectuée dans la liste des événements : si la comparaison est réussi, un message correspondant s'affiche, sinon la liste des différences.


Evaluation des configurations système

L'état actuel de la comparaison effectuée automatiquement peut être lu dans les voies de calcul à l'aide de la constante "syscfg-cmpres". Cette constante est automatiquement toujours disponible et ne doit (ni ne peut !) être inscrite dans la liste des constantes définies par l'utilisateur.

La constante peut adopter les valeurs suivantes :

-2 à configuration système automatique non activée.

-1 à comparaison automatique pas encore activée (temporisation en cours).

0 à comparaison automatique réussie
(pas de différences).

1 à comparaison automatique a donné des différences.

2 à comparaison automatique n'a pu être effectuée (erreur!)

Dans une voie de calcul, la constante :

const("syscfg-cmpres")

peut être utilisée directement dans la formule. La définition de la limite de ce point de mesure à -1 et 0 garantit qu'une alarme est toujours déclenchée lorsque la configuration système n'a pas été vérifiée avec succès ou que des écarts ont été constatés. En alternative, la valeur de la voie de calcul peut être utilisée via les fonctions "Commande et régulation" pour commuter des relais.

Lorsque la comparaison automatique a donné des différences (valeur = 1), alors une autre comparaison automatique des configurations système est effectué à intervalles réguliers, et le résultat n'est pas inscrit dans la liste des événements mais uniquement dans la constante "syscfg-cmpres". L'intervalle utilisé entre les comparaisons est celui de la temporisation réglée. Une comparaison manuelle peut être forcée par la mise à jour de "syscfg-cmpres".


Impression automatique du journal

Lors de l'acquittement des alarmes et rappels d'alarme, les données de toutes les alarmes survenues depuis le dernier acquittement d'alarme/de rappel sont transmises dans un dossier Excel et imprimées depuis ce dossier.

voir également :

Configuration minimale

Fonctionnement

Paramétrage de l'impression du rapport


Configuration minimale

· Sur le PC sur lequel fonctionne AMR WinControl, Excel 2000 ou version supérieure doit être installé.

· Une imprimante standard doit être raccordée, configurée et mise sous tension.

· Dans AMR WinControl, la protection par mot de passe doit être activée.

· Le modèle de rapport doit être disponible (à Paramétrage de l'impression du rapport) et le fichier ne doit pas être en lecture seule.


Fonctionnement

Toute alarme ou tout rappel qui survient est journalisé dans une liste interne et à la confirmation de la boîte de dialogue, une page de rapport est imprimée pour chaque événement dans la liste.

Les données suivantes sont alors transmises dans le rapport :

· Nom de l'utilisateur

· Commentaire saisi lors de l'acquittement de l'alarme

· Nom et numéro du point de mesure

· Description de l'événement

· Remarque s'il s'agit d'un rappel

· Instant auquel l'alarme est survenue

· Instant de fin de l'alarme, si possible

· Instant de l'acquittement de l'alarme

· Valeur mesurée au moment de l'acquittement, si possible

Ces données sont transmises dans le tableau de données (à Paramétrage de l'impression du rapport) du dossier de travail. La transmission commence systématiquement à la cellule A1. La colonne A contient à chaque fois une description des données effectives contenues dans la colonne B. Chacun des éléments est inscrit dans l'ordre suivant :

· Appareil

· Voie

· Commentaire de point de mesure (= commentaire dans AMR WinControl, pas obligatoirement identique avec le commentaire matériel)

· Alarme (= raison de l'alarme, en texte)

· Début (= moment du début, en texte)

· Fin (= moment de la fin, en texte --> PEUT AUSSI ÊTRE VIDE)

· Valeur de mesure actuelle (= PEUT AUSSI ÊTRE VIDE)

· Nom utilisateur

· Commentaire utilisateur (= PEUT AUSSI ÊTRE VIDE)

· Instant acquittement

· Rappel ( 0 = alarme, 1 = rappel d'alarme)

Pour l'impression, on utilise le tableau de rapport (à Paramétrage de l'impression du rapport) du dossier de travail. Celui-ci contient la mise en page prévue avec références sur les données dans le tableau de données.

Après impression d'une page de rapport, le système attend une période de temps (réglable) avant de commencer l'impression de la suivante afin de s'assurer que le pilote d'imprimante du système n'est pas surchargé.

Pendant l'impression et durant les pauses entre deux impressions successives, Excel est automatiquement réduit afin d'éviter que l'échange de données entre Excel et AMR WinControl ne soit gêné par des entrées utilisateur. Après l'impression de la dernière page, le dossier de travail avec le tableau des données et du rapport est automatiquement fermé, sans enregistrer les modifications.


Paramétrage de l'impression du rapport

Dans la configuration, des utilisateurs expérimentés peuvent effectuer les réglages relatifs à l'impression du rapport. Il est cependant recommandé d'utiliser les paramètres standards.

Bon à savoir !

Comment trouver la configuration et ce qu'il faut alors observer, se trouve au chapitre trouver la configuration ".

Tous les réglages de l'impression du rapport doivent être écrits en section [AlarmProtocol].

Les indications autorisées sont les suivantes :

Nom : | ProtocolWorkbook
Description : | Nom (et le cas échéant chemin) du dossier de travail des données brutes et du rapport. Sans indication du chemin, la recherche est effectuée dans le répertoire dans lequel se trouve le programme ( AMR32.exe).
Plage des valeurs : | Un chemin valide. Par ex. : test.xls (Le fichier "test.xls" sans indication de chemin est recherché dans le répertoire de travail d'AMR WinControl.) ou C:\My Files\Protocols\Protocol1.xls
Valeur par défaut : | protocol.xls

Nom : | DataTable
Description : | Nom du tableau des données brutes.
Plage des valeurs : | Une combinaison de lettres et de chiffres dont la longueur totale ne dépasse pas 32. Ce tableau doit exister dans le dossier de travail indiqué !
Valeur par défaut : | Rawdata

Nom : | PrintTable
Description : | Nom du tableau devant être imprimé.
Plage des valeurs : | Une combinaison de lettres et de chiffres dont la longueur totale ne dépasse pas 32. Ce tableau doit exister dans le dossier de travail indiqué !
Valeur par défaut : | Protocol

Nom : | PrintDelay
Description : | Retard (en secondes) pendant lequel il faut attendre entre deux impressions successives.
Plage des valeurs : | Un nombre entier dans la plage 0 < n < 1000
Valeur par défaut : | 10

Nom : | AutoMinimizeExcel
Description : | Réduction automatique d'Excel pendant l'impression.
Plage des valeurs : | 0 = ne pas réduire 1 = réduire
Valeur par défaut : | 1

Nom : | AutoCloseWorkbook
Description : | Fermer le dossier de travail après impression.
Plage des valeurs : | 0 = ne pa fermer 1 = fermer
Valeur par défaut : | 1

Attention !

Le dossier de travail réglé doit exister, il ne doit pas être en lecture seule. En particulier sous Windows 2000 ou supérieur, les droits d'accès utilisateur sur ce fichier doivent le cas échéant être correctement réglés !

Les tableaux indiqués dans le dossier de travail doivent exister, les cellules ne doivent pas être protégées en écriture !

Pendant l'impression du rapport, il ne faut pas travailler sur MS Excel. En particulier, aucune boîte de dialogue ou assistant ne doit être ouvert : la transmission de données serait de ce fait bloquée et dans AMR WinControl, un message d'erreur est généré.


Sauvegarde automatique

Toujours lorsqu'un fichier ayant été généré par enregistrement automatique est fermé, il est possible de créer pour ce fichier une sauvegarde en un autre emplacement mémoire (lecteur réseau, support de données de rechange ...).

Lors de la sauvegarde, non seulement les fichiers sont copiés dans le répertoire cible, mais toute la structure des dossiers y afférant est récupérée. Il est ainsi garantit que les fichiers créés par différents gestionnaires de sauvegarde automatique sur différents emplacements mais avec un nom identique, ne provoquent pas de conflit lors de la sauvegarde.

voir également :

Configuration minimale

Paramétrage

Exemple d'application


Configuration minimale

· L'emplacement mémoire (répertoire) existe et est accessible.

· A l'emplacement mémoire, la capacité mémoire disponible est suffisante.

· L'utilisateur Windows ayant démarré AMR WinControl possède des droits d'écriture (créer un fichier, effacer un fichier, créer un répertoire) pour cet emplacement mémoire (répertoire).

· AMR WinControl est débridé en version professionnelle ou supérieure.


Paramétrage

Dans la configuration, des utilisateurs expérimentés peuvent effectuer les réglages relatifs à l'enregistrement automatique.

Tous les réglages pour la sauvegarde automatique doivent être écrits en section [Settings]

Les indications autorisées sont les suivantes :

Nom : | BackupDest
Description : | Chemin /répertoire de l'emplacement mémoire où les fichiers doivent être copier.
Plage des valeurs : | Un chemin valide. Par ex. : C:\Backup

Nom : | BackupRetry
Description : | Intervalle en secondes au bout duquel la sauvegarde est à nouveau tentée. Celui-ci est nécessaire si une sauvegarde n'a pu être effectuée avec succès (par ex. : connexion réseau brièvement interrompu).
Plage des valeurs : | Un nombre entier
Valeur par défaut : | 180

Bon à savoir !

Comment trouver la configuration et ce qu'il faut alors observer, se trouve au chapitre trouver la configuration ".

Attention !

Si en enregistrement automatique sur l'onglet "Fichier", la conversion de fichier est configurée de telle sorte que le fichier AMR d'origine est supprimé, alors la sauvegarde ne peut être effectuée. AMR WinControl signale cela par le message d'erreur que l'accès au fichier AMR a été impossible.

Attention !

Après une panne de courant ou un autre arrêt inattendu d'AMR WinControl, la sauvegarde doit être effectuée manuellement.


Exemple d'application

L'enregistrement automatique d'AMR WinControl écrit dans le fichier d:\data\test.amr.

Dans la configuration, les deux lignes suivantes ont été inscrites dans la zone [Settings] :

BackupDest=\\Server\Backup

BackupRetry=900

Lorsque l'enregistrement automatique a maintenant fermé le fichier "test.amr", le fichier est copié. La sauvegarde génère alors sous \\Server\Backup le dossier "data" et dedans "measures". AMR WinControl y copie le fichier "test.amr". Si ceci échoue, la sauvegarde est à nouveau tentée toutes les 15 minutes (900 secondes).


La carte chien de garde

La carte chien de garde de la société Quancom est installée à demeure dans l'ordinateur sur lequel fonctionne AMR WinControl. Si la carte chien de garde a été correctement installée et configurée, AMR WinControl pilote cette carte.

Si AMR WinControl ne devait plus pouvoir fonctionner sur cet ordinateur (par ex. par blocage du système d'exploitation), la carte chien de garde effectue automatiquement un redémarrage de l'ordinateur au bout d'un temps défini.

En association avec les paramétrages adéquats du logiciel ou du système d'exploitation, il est ainsi possible de s'assurer qu'après une panne inopinée, l'ordinateur d'acquisition de mesure repasse de façon autonome en mode de fonctionnement et poursuit l'application de mesure après un temps minimum de défaillance.

Vous trouverez dans la suite comment il faut régler le matériel et le logiciel pour installer correctement la carte chien de garde.

voir également :

Réglage et installation du matériel

Configuration du logiciel


Réglage et installation du matériel

Avant de monter la carte, il faut régler la temporisation par micro-contacts DIP. Le réglage recommandé est de 67 s : DIP4 = ON, DIP5 = ON, DIP6 = OFF.

Les contacts DIP1…DIP3, DIP7 et DIP8 doivent être sur ON.

En outre, il faut configurer la tension d'alimentation (5V / 3.3 V) par le bus PCI. Le réglage usine (2-3 pour les deux cavaliers = 5V du bus, 3.3V production interne) a fonctionné sans problème lors des tests et ne devrait être modifié que dans des cas d'exception.

Conformément à la documentation du constructeur, le bouton-poussoir RESET du PC doit être retiré de la carte mère et relié en lieu et place sur la carte chien de garde. A l'aide du câble bifilaire fourni, établir la connexion entre la prise RESET de la carte-mère et la carte chien de garde de sorte que la carte puisse au besoin redémarrer le système.

Vous trouverez de plus amples détails dans le manuel du constructeur (extrait ci-joint).

Bon à savoir !

Les relais de la carte sont excités pendant env. 500 ms en cas de temporisation. Si cette durée devait être insuffisante pour piloter une installation de signalisation externe, il est possible de régler à l'aide des contacts DIP SW2, SW3, SW7 et SW8 une autre durée (voir notice, chap. 3.9.6.). Il ne faut cependant en aucun cas régler la durée sur "infinie", si la carte chien de garde doit déclencher une réinitialisation du PC !


Configuration du logiciel

voir également :

Installer le pilote et le logiciel de la carte

Configuration d'AMR WinControl


Installer le pilote et le logiciel de la carte

Après avoir monté la carte et démarré le PC, la carte est tout d'abord identifiée par Windows comme équipement inconnu. Les pilotes[1] peuvent être installés manuellement ou automatiquement à l'aide des fonctions Windows. L'éventuel redémarrage exigé du système peut tout d'abord être ignoré, car après l'installation du logiciel Quancom il faut de toute façon redémarrer le système.

Il faut maintenant installer le logiciel Quancom "QLib"[2] :

Installation à l'aide de l'interface utilisateur ou du CD

A la mise du CD dans le lecteur, un programme de sélection est automatiquement démarré si le système d'exploitation gère cette fonction. En alternative, ce programme peut être appelé par l'explorateur Windows en double-cliquant sur "autostart.exe" dans le répertoire racine du CD.

Après avoir sélectionné la langue, la page "Démarrage rapide CD" s'affiche sur laquelle il faut cliquer en section "installation pilotes" sur le point "Bibliothèque des pilotes QLib pour tous les systèmes de mesure QUANCOM". La liste des bibliothèques de pilotes contenues dans le CD apparaît. Selon le système d'exploitation et la carte chien de garde, il faut installer ici celle qui convient[3] en cliquant sur le bouton "Installer". Le programme d'installation qui démarre alors effectue une nouvelle installation si encore aucun pilote n'est disponible ou il offre la possibilité de réparer ou de supprimer des pilotes existants.

Installation directe

Dans le répertoire racine du CD se trouve le fichier "quancom.exe", qui peut être appelé par un double-clic dans l'explorateur Windows. La bibliothèque la plus actuelle est automatiquement installée depuis le CD. Selon que des pilotes sont déjà installés pour la carte chien de garde ou non, le programme offre la possibilité de réinstaller ou de modifier/réparer ou supprimer les pilotes.

Après avoir redémarré l'ordinateur, la carte chien de garde peut être utilisée.

Attention !

Installez exclusivement les pilotes QLIB ! Ne pas installer le logiciel Quancom complet.

Attention !

Si une ancienne version du logiciel est déjà installée, il faut tout d'abord la supprimer !


Configuration d'AMR WinControl

AMR WinControl reconnaît automatiquement si une carte adaptée est installée dans le système et l'utilise. Approximativement une fois par seconde, AMR WinControl réinitialise la temporisation. Au cas où cette réinitialisation est inhibée pendant 67 secondes, il est supposé que AMR WinControl ne fonctionnement plus comme attendu et la carte effectue un RESET et redémarre ainsi complètement le système.

Attention !

Ce redémarrage est effectué sans avertissement préalable ! Toutes les données non sécurisées de tous les programmes en cours seront perdues.

Pour que AMR WinControl reparte après le redémarrage de l'ordinateur, Windows doit être réglé de telle sorte qu'un utilisateur soit automatiquement connecté. En outre, AMR WinControl doit être intégré au groupe "Autostart". Il est de plus recommandé d'étendre le raccourci créé dans le dossier Autostart, du paramètre "-autostart". Dans le champ "Cible du lien" on trouve alors par ex.

"C:\Programme\WinControl\ AMR32.exe" –autostart

De ce fait, le démarrage de la mesure est forcé, indépendamment de l'état de l'enregistrement automatique.

Dans AMR WinControl l'enregistrement automatique doit être activé de sorte qu'aucune perte de données ne survienne si possible en cas d'erreur. En outre, il faut activer l'option "Poursuite automatique de la mesure sur panne de courant" dans "Paramètres/divers".

[1] Les pilotes se trouvent dans un répertoire correspondant au nom du système d'exploitation et qui se trouvent eux-mêmes sous le répertoire racine du CD : Windows 95 à CD :\Win95, Windows 98 à CD :\Win98, Windows ME à CD :\WinME, Windows NT4 à CD :\NT4, Windows 2000 à CD :\Win2000, Windows XP à CD :\WinXP.

[2] La structure du CD pilotes est déterminée par la société Quancom. C'est pourquoi il peut exister des différences par rapport à cette documentation au sujet des noms de programmes ou de leurs chemins. Par la fonction de démarrage auto du CD, vous devriez disposer dans tous les cas d'une interface utilisateur graphique par laquelle il est possible d'installer les pilotes et la bibliothèque "Qlib".

[3] Normalement il faut utiliser la bibliothèque la plus récente, qui apparaît également en premier dans la liste, sauf si le système d'exploitation sur l'ordinateur cible n'est plus géré par le pilote.


Lecture automatique de la mémoire

AMR WinControl offre la possibilité d'ouvrir plusieurs connexions en parallèle et de façon planifiée, et de lire automatiquement les mémoires des appareils de mesure ALMEMO raccordés.

Deux fonctions d'AMR WinControl sont combinées à cet effet :

· Etablissement et déconnexion automatiques et planifiés des connexions (voir: Connexion pilotée par calendrier).

· Le protocole supplémentaire optionnel : Lecture automatique de la mémoire ALMEMO (voir : Lecture automatique de la mémoire ALMEMO).

Une connexion est alors établie entièrement automatiquement dans AMR WinControl à certains moments. Ensuite le contenu de la mémoire des appareils de mesure ALMEMO configurés pour cette connexion est lu et les données de mesure sont mémorisées dans un fichier chacun par appareil de mesure. En option, il est possible d'effacer automatiquement la mémoire et de continuer l'enregistrement interne des données après lecture.

Si les fonctions d'alarme sont activées dans AMR WinControl, il est possible d'inscrire dans la liste des événements les messages de tout le déroulement de la lecture de mémoire. De plus, il est possible d'envoyer des courriels en cas d'erreur via les messages systèmes.

Attention !

Le protocole supplémentaire "Lire la mémoire ALMEMO" et les "Fonctions d'alarme" ne sont pas disponibles dans toutes les versions du programme.


Connexion pilotée par calendrier

Pour toute connexion sur les appareils de mesure , il est possible de créer un calendrier selon lequel celle-ci sera automatiquement activée et désactivée.

Dans la boîte de dialogue de connexion, un symbole correspondant s'affiche derrière la colonne "Etat" pour les connexions activées ou pour lesquelles un calendrier a été défini :

Les symboles possibles sont alors les suivants :

· [image] = connexion activée manuellement

· [image] = connexion activée automatiquement par calendrier

· [image] = connexion désactivée + calendrier existant et activé

· [image] = connexion désactivée + calendrier existant et désactivé

Si aucun symbole ne s'affiche derrière l'état de connexion, il s'agit d'une connexion désactivée pour laquelle aucun calendrier n'a été créé.

En cliquant du bouton droit de la souris sur une connexion, le menu contextuel de cette connexion s'ouvre. Dans le menu contextuel, vous pouvez (dés)activer la connexion concernée ou (si disponible) sont calendrier.

Bon à savoir !

Le calendrier d'une connexion active ne peur pas être activée ni désactivée ! Les modifications sur les entrées du calendrier sont cependant toujours possibles tant que l'état d'activation d'une connexion n'est pas changé automatiquement pendant les modifications, en raison d'un calendrier activé.

Attention !

Cette fonction n'est pas disponible dans toute version du programme. Afin de pouvoir utiliser cette fonction, l'option "Gestion du modem" ou au moins la variante "pro" du programme doit être débridée.

voir également :

Paramétrage

Remarques et règles


Paramétrage

Dans la boîte de dialogue "Paramètres de connexion étendus" se trouve l'onglet "Calendrier".

Cet onglet affiche la liste des entrées du calendrier. A l'aide des boutons "Ajouter", "Editer", vous pouvez ajouter de nouvelles entrées ou modifier des entrées existantes (voir : Création du calendrier). Le bouton "Effacer" supprime du calendrier l'entrée préalablement sélectionnée.

Dans la liste s'affichent pour chaque entrée les jours auxquels l'entrée doit être exécutée. Chaque jour est symbolisé par les premières lettres de son nom, tandis que les jours auxquels aucun instant de départ n'est défini sont représentés par un tiret (-). L'affichage commence le dimanche et se termine le samedi. En outre s'affichent l'instant de départ et la durée des entrées.

Le bouton d'option "Activer calendrier" détermine si le calendrier créé pour la connexion doit être utilisé ou non. Si le bouton d'option est activé, il faut qu'une entrée au moins soit inscrite dans le calendrier.

Le nombre d'entrées est limité par la définition que les entrées ne doivent pas se recouper et que la durée minimum d'une entrée est de deux minutes, indirectement 5040 entrées admissibles maximum.

Attention !

Les modifications du paramétrage de la connexion ne peuvent être validées si pendant l'exécution des modifications, la connexion est automatiquement (dés)activée par le calendrier.

voir également :

Création du calendrier


Création du calendrier

Le bouton "Ajouter" ou "Editer" ouvre une boîte de dialogue définissant l'instant (00:00 … 23:59 heures) auquel la connexion est activée. De plus, il faut indiquer la durée pendant laquelle la connexion doit rester active. Un bouton d'option s'affiche pour chaque jour de la semaine et doit être activé afin d'exécuter le départ pour ce jour.

Pour faciliter la manœuvre, il existe le bouton "Tous les jours" : en cliquant dessus, tous les jours de la semaine sont activés. Si tous les jours de la semaine sont déjà activés, alors un clic sur ce bouton désactivera tous les jours de la semaine.

Avec le bouton "OK" vous pouvez fermer la boîte de dialogue et valider l'entrée. La vérification suivante des saisies est alors automatiquement effectuée :

· L'instant de départ doit être situé entre 00:00 et 23:59 heures.

· La durée doit être d'au moins deux minutes.

· Il faut choisir au moins un jour de la semaine.

· L'entrée créée ne doit pas se recouper avec d'autres entrées de ce calendrier (par ex. pour un départ quotidien, la durée ne doit pas être supérieure à 24 heures).


Remarques et règles

Afin d'offrir une fonctionnalité cohérente, garantie même en cas d'événements inattendus (par ex. panne de courant), les règles suivantes s'appliquent :

· Si une connexion est activée manuellement avec le calendrier activé, alors elle doit également être désactivée manuellement. Il est ainsi assuré que les fonctions appelées (par ex. lecture mémoire, programmation des points de mesure,...) sont exécutées sans être interrompues.

· Une fois par minute les calendriers sont vérifiés pour constater si des connexions doivent être activées ou désactivées. Cette vérification ne doit pas s'effectuer en minute pleine, de sorte qu'une connexion qui doit par exemple être activée à 00:00 ne sera activée effectivement qu'à 00:59.

· Le logiciel commence à vérifier la durée réglée après avoir réussi l'activation de la connexion. Il est ainsi assuré pour les connexions dont l'établissement peut durer plus longtemps (par ex. connexions modem), que les mesures peuvent être acquises sur la durée réglée.

· Pour les connexions dont l'établissement et la coupure (par ex. liaisons modem) dure longtemps, il se peut qu'en cas de redémarrage (par ex. après une panne de courant) des retards se produisent jusqu'à ce que la connexion soit complètement rétablie.

· Le logiciel ne disposant pas, en cas de coupure de courant en raison de la fin inattendue du programme, de l'information sur le temps qu'une connexion pilotée par calendrier a été active avant redémarrage, celle-ci est activée sur toute la durée réglée une fois la connexion rétablie.

· La modification des propriétés d'une connexion n'est pas possible lorsque celle-ci a été activée ou désactivée sur pilotage par calendrier, tandis que la boîte de dialogue des propriétés est ouverte. Dans ce cas un message correspondant est émis et les modifications sur les propriétés doivent être à nouveau entreprises.

· Si une nouvelle connexion avec calendrier actif est créée, alors elle est ajoutée systématiquement comme connexion désactivée.

· Si lors de l'activation d'une connexion par pilotage de calendrier une erreur survient (par ex. si un numéro d'appareil indiqué est déjà utilisé par une autre connexion), alors une fenêtre s'ouvre avec un message adéquat et au bout d'une minute, une nouvelle tentative d'activation est lancée.

· Si la connexion a pu être automatiquement activée mais que lors de l'accès aux ressources de connexion, des problèmes surviennent (par ex. port COM occupé, modem : station partenaire ne répond pas, réseau : tentative de connexion refusée, ...), alors le logiciel tente au cours de l'intervalle de temps réglé pour la "reconnexion" (voir: Onglet "Reconnexion"), d'établir la connexion. Si cela ne réussit pas dans les cinq minutes, la connexion est à nouveau désactivée et un message d'erreur adapté s'affiche.

· Dès qu'une connexion a été activée avec succès par pilotage de calendrier, la scrutation des points de mesure est automatiquement lancée, pour autant que celle-ci n'était pas encore activée.


Les protocoles supplémentaires optionnels

Avec AMR WinControl, vous pouvez utiliser plusieurs connexions en même temps.

Mais outre le protocole primaire, AMR WinControl gère également d'autres protocoles en options, de sorte que même des appareils de mesure de certains fournisseurs sélectionnés peuvent être intégrés à ce système.

Chaque connexion peut alors communiquer par des supports et protocoles différents avec les appareils raccordés.

Dans les réglages de connexion, vous pouvez sélectionner le protocole souhaité (voir également : Paramètres de la connexion).

Les propriétés des points de mesure externes, dont l'acquisition s'effectue par d'autres protocoles, peuvent être définies à l'aide de la boîte de dialogue "Programmation/Programmation des points de mesure" à onglet "externe". Ici, vous pouvez définir le commentaire, l'unité et les valeurs limite.

Les réglages effectués de cette manière sont enregistrés dans la configuration actuelle. Au démarrage suivant du logiciel, ces définitions sont automatiquement disponible à nouveau.

Le traitement des mesures externes par le système est effectué indépendamment de leur origine, de manière à ce que toutes les données puissent être visualisées, enregistrées, exportées et traitées.

voir également :

Le protocole SimpleASCII

Le protocole d'hygromètre à point de rosée 373

Lecture automatique de la mémoire ALMEMO

Le protocole Import OPC

Le protocole serveur de données

Le protocole Modbus


Le protocole SimpleASCII

En plus du protocole ALMEMO , il est possible en acquérant ce module supplémentaire de recevoir des données de mesure sur une autre connexion (ou même sur plusieurs), basée sur un simple protocole ASCII. Les règles qui s'appliquent alors sont les suivantes.

voir également :

Définition du protocole / format de données

Affichage / représentation

Propriétés des points de mesure


Définition du protocole / format de données

Le protocole simple ASCII est un protocole de texte avec lequel les données sont transmises par cycle d'un serveur à un client (dans ce cas AMR WinControl). La connexion peut s'effectuer par port COM, modem ou TCP/IP.

Le format de données est le suivant :

ETX Données STX

avec ETX = 0x02 et STX = 0x03. Les "données" attendues sont des nombres à virgule flottante (à point décimal) séparés par des virgules, par ex. :

ETX 1.2,, 1.3, 1.6, 2.7, 100, 200, 400, 1234.567 STX

ETX 1.2, 2.0, 1.3, 1.6, 2.7, 100, 200, 400, 1234.567 STX

ETX 1.2, 2.0, 1.3, 1.6, 2.7, 100, 200, 400, 1234.567 STX

Deux virgules successives indiquent que pour le point de mesure attendu à cette position, aucune donnée n'est disponible. Les caractères espace sont ignorés s'ils n'apparaissent pas au sein d'un nombre à virgule flottante, cela conduit à une erreur.


Affichage / représentation

Les données sont traitées dans AMR WinControl comme suit : le numéro d'appareil est attribué manuellement dans la boîte de dialogue des propriétés. Le numéro de voie est composé de la position des nombres à virgule flottante valorisés avec succès dans le flux de données : le premier nombre est affecté au point de mesure 0, le deuxième au point de mesure 1 etc.

Si l'adresse d'appareil 70 aurait été attribuée aux données dans l'exemple ci-dessus, on obtiendrait les mesures suivantes dans AMR WinControl :

70.0 | 70.1 | 70.2 | 70.3 | 70.4 | 70.5 | 70.6 | 70.7 | 70.8
1.2 |  | 1.3 | 1.6 | 2.7 | 100 | 200 | 400 | 1234.567
1.2 | 2.0 | 1.3 | 1.6 | 2.7 | 100 | 200 | 400 | 1234.567
1.2 | 2.0 | 1.3 | 1.6 | 2.7 | 100 | 200 | 400 | 1234.567


Propriétés des points de mesure

Les propriétés des points de mesure externes, dont l'acquisition s'effectue par le protocole simple ASCII, peuvent être définies par Programmation/Programmation des points de mesure à onglet "externe". Vous pouvez dans celle-ci définir le commentaire, l'unité ainsi que les valeurs limite :

Les réglages effectués de cette manière sont enregistrés dans la configuration actuelle. Au démarrage suivant du logiciel, ces définitions sont automatiquement disponible à nouveau.

Remarque : La modification ou la définition de ces valeurs n'a aucune incidence sur le protocole. Même la durée de validité peut être changée à tout moment à l'aide de la boîte de dialogue correspondante (comme indiqué ci-dessus). Si cependant l'on change l'adresse d'appareil, cela provoque la réinitialisation du protocole, pour lequel la connexion au serveur est également brièvement interrompue !


Le protocole d'hygromètre à point de rosée 373

En plus du protocole ALMEMO , il est possible en acquérant ce module supplémentaire de recevoir des données de mesure de type hygromètre à point de rosée 373 sur une autre connexion (ou même sur plusieurs).

L'hygromètre à point de rosée 373 doit être raccordé à une interface série du PC. Dans AMR WinControl, le menu "Paramètres/Ajouter une connexion" permet d'ouvrir la boîte de dialogue permettant de créer de nouvelles connexions. Dans le champ Protocole, sélectionnez "Protocole hygromètre à point de rosée 373".

Bon à savoir !

A la place du raccordement à une interface série, l'accès est également possible par modem ou par le réseau, en utilisant un convertisseur d'interfaces. La procédure est en principe la même, seuls les paramétrages spécifiques aux interfaces doivent être pris en compte.

La connexion peut être établie par l'interface série (port COM), le réseau ou le modem. Lors d'une connexion via l'interface série ou le modem, veillez à ce que l'appareil fonctionne à 9600 baud, 8 bits de données, un bit d'arrêt et sans parité et poignée de main (voir également : Onglet "Port COM").

Le numéro d'appareil peut être affecté à volonté dans la plage de 0 à 99, mais veillez à ce que ce numéro d'appareil soit unique et ne soit pas utilisé dans une autre connexion. De même, les plages d'appareil (80 à 85 et 90) prévues pour les voies de calcul ne doivent pas être utilisées.

En cliquant sur le bouton de commande "Etendu...", vous ouvrez la boîte de dialogue "Paramètres étendus" qui comporte l'onglet spécifique au protocole "Hygromètre à point de rosée 373".

voir également :

Onglet "Hygromètre point de rosée 373"

Caractéristiques des points de mesure

Paramétrage étendu


Onglet "Hygromètre point de rosée 373"

Sur l'onglet "Protocole hygromètre à point de rosée 373" vous pouvez paramétrer la durée pendant laquelle le système attend une réponse de l'appareil.


Caractéristiques des points de mesure

Le numéro d'appareil du point de mesure correspond au paramétrage effectué pour la connexion ; le capteur, le numéro de canal et l'unité sont lus dans un fichier externe.

19 points de mesure sont disponibles par préréglage :

Numéro de voie | Points de mesure | Unité
0 | Point de rosée | °C
1 | Point de gel | °C
2 | Humidité relative | %
3 | Humidité relative (WMO) | %
4 | Rapport volumique |
5 | Rapport massique |
6 | Humidité absolue | g/m³
7 | Humidité spécifique | g/kg
8 | Pression de vapeur | Pa
9 | Hauteur de vapeur | Pa
10 | Pression atmosphérique | Pa
11 | Débit | l/min
12 | Température externe | °C
13 | Température préfroidisseur | °C
14 | Température surface refroidie | °C
15 | Température tête | °C
16 | Résistance surface refroidie | Ohm
17 | Résistance externe | Ohm
18 | Stabilité système |

Ces données peuvent être adaptées en modifiant le fichier "DPMSensors.dat". En effectuant un double clic sur une ligne ou en appelant la "Programmation des points de mesure" dans le menu Programmation, une boîte de dialogue apparaît dans laquelle vous pouvez paramétrer les caractéristiques du point de mesure dans l'onglet "Points de mesure".

Ici, vous pouvez déterminer le commentaire et l'unité. Lors de la modification de l'unité, veiller cependant à ce que la mise à l'échelle de la valeur de mesure n'en soit pas influencée !

Attention !

Les valeurs de mesure sont toujours émises par l'appareil avec une mise à l'échelle et une unité définies et ceci indépendamment du paramétrage à l'écran de l'appareil ! Pour ceci, veuillez suivre les instructions données dans le mode d'emploi de l'appareil!

Pour chaque point de mesure, vous pouvez paramétrer une limite inférieure et/ou supérieure. Les franchissements de limite sont indiqués en couleur dans les affichages et les tableaux de mesure. Si l'option d'alarme est activée, d'autres fonctions de signalisation et de traitement (liste des événements, démarrage de programmes externes, envoi de courriels etc.) sont en outre disponibles.


Paramétrage étendu

Dans le fichier "DPMSensors.dat" figurant dans le répertoire programme, vous pouvez définir :

· quelles données sont scrutées par l'appareil de mesure.

· l'affectation des valeurs de mesure aux numéros de voie.

· quelle unité et quel libellé le point de mesure correspondant doit toujours avoir (ce paramétrage est valable pour tout le système et pour toutes les connexions dans toutes les instances d'AMR WinControl).

La structure du fichier est la suivante :

Dans chaque ligne, un point de mesure est défini. Les lignes commençant par un point virgule sont traitées comme lignes de commentaire et elles sont ignorées, comme les interlignes.

Une ligne peut comporter trois ou quatre entrées :

En premier, le nom de la commande de scrutation d'une valeur est indiqué selon la documentation de l'appareil. Le nom doit être mis entre guillemets, le point d'interrogation de fin ne doit pas être indiqué en même temps. La deuxième saisie est l'unité, également à mettre entre guillemets. Si vous ne souhaitez affecter aucune unité à un point de mesure, veuillez marquer deux guillemets successifs. La troisième indication est le numéro de voie. Ce numéro doit être un chiffre naturel dans la plage de 0 à 99. Le numéro de voie doit être unique pour chaque point de mesure !

Après le numéro de voie, vous pouvez indiquer un libellé pour le point de mesure. Le libellé doit être mis entre guillemets et doit comporter au maximum 20 caractères. Les caractères admis sont les suivants :

Les chiffres et les lettres (même avec trémas) ainsi que les espaces, le moins, le plus, le sous-tiret, les parenthèses, l'étoile (*), le caractère égal (=) et le dièse (#).

Bon à savoir !

Si vous avez besoin d'autres caractères spéciaux, choisissez-les spécifiquement pour chaque point de mesure par l'interface du logiciel.

Toutes les indications de la ligne sont séparées par des virgules. Le fichier DPMSensors.dat généré lors de l'installation a par ex. la structure suivante :

; liste des capteurs pour AMR WinControl

; / hygromètre à point de rosée 373 MBW

;nom , unité , numéro de voie, description

"DP" , "°C", 0, "point de rosée"

"FP" , "°C", 1, "point de gel"

"RH" , "%", 2, "Humidité relative"

"RHW" , "%", 3, "humidité relative (WMO)"

"PPMV" , "", 4, "rapport volumique"

"PPMW" , "", 5, "rapport massique"

"AH" , "g/m³", 6, "humidité absolue"

"SH" , "g/kg", 7, "humidité spécifique"

"VP" , "Pa", 8, "pression de vapeur"

"P" , "Pa", 9, "altitude barométrique"

"PA" , "Pa", 10, "pression atmosphérique"

"FLOW" , "l/min", 11, "débit"

"TX" , "°C", 12, "température externe"

"TP" , "°C", 13, "température prérefroidisseur"

"TM" , "°C", 14, "température surface refroidie"

"TH" , "°C", 15, "température tête"

"OM" , "Ohm", 16, "résistance surface refroidie"

"OX" , "Ohm", 17, "résistance externe"

"STABLE", "", 18, "stabilité système"

Une extension valable est par ex. les lignes suivantes:

"AMC.on", "", 19, "Auto. Mirrorcheck"

"AMC.temp", "°C", 20, "temp. à Mirrorchek"

"ForceFrost.On", "", 21

Par contre, les lignes suivantes provoquent une erreur:

"AMC.on?", "", 19, "Auto. Mirrorcheck"

(point d'interrogation dans le nom du capteur!)

"AMC.temp ", "", 0, "temp. à Mirrorchek"

(numéro de voie 0 affecté en double!)

ForceFrost.On, , 21

(nom et unité n'ont pas de guillemets)

"WaterValve.armed", "", 22, "mode vanne, 0/1"

(caractères invalides dans le libellé)

"WaterValve.armed" "" 22; "mode vanne";

(pas de séparateurs / séparateurs incorrects)

Conseil: Pour désactiver rapidement une ligne, il suffit d'insérer un point virgule comme premier signe pour transformer la ligne en ligne commentaire, par ex.:

;"PPMV" , "", 4, "rapport volumique"

;"PPMW" , "", 5, "rapport massique"

Ensuite, la connexion doit être désactivée et réactivée pour que la modification prenne effet !

Nous vous recommandons de faire une copie de sécurité avant toute modification du fichier !

Si le fichier comporte une erreur après avoir effectué des modifications, la fenêtre de la connexion affiche cette erreur et aucune communication n'est établie avec les appareils du miroir à point de rosée 373 ou uniquement une communication limitée !

Attention !

Le protocole ne permet de scruter les différentes valeurs qu'individuellement. C'est pourquoi à chaque point de mesure supplémentaire, la durée nécessaire pour une scrutation complète de toutes les valeurs augmente. Si la scrutation comporte de nombreuses valeurs, ceci peut avoir pour conséquence que le cycle de mesure paramétré sous AMR WinControl peut éventuellement ne pas être respecté.


Lecture automatique de la mémoire ALMEMO

Le protocole "Lire la mémoire ALMEMO" permet d'utiliser les appareils de mesure et centrales d'acquisition de la société Ahlborn avec les autres appareils raccordés au sein d'un système d'acquisition. Pour ceci, le protocole "Lire la mémoire ALMEMO" doit être affecté dans la boîte de dialogue des propriétés de la connexion. Ensuite, les onglets suivants sont disponibles dans les paramétrages étendus :

· L'onglet "Lecture de la mémoire".

· Les onglets "Protocole ALMEMO (1) et ALMEMO (2)" (voir: Le protocole ALMEMO ").

voir également :

Fonctionnement

Entrées dans la liste des événements

Onglet "Lecture de la mémoire"

Aspects importants de la commande sur calendrier


Fonctionnement

Si une connexion AMR WinControl de ce type est activée, les mémoires internes des centrales d'acquisitions ALMEMO raccordées sont lues avec les numéros d'appareil réglés. Au début, tous les appareils de mesure de cette connexion sont arrêtés. Ensuite, les appareils de mesure sont lus séquentiellement, depuis le plus petit jusqu'au plus grand numéro d'équipement. Une fois tous les appareils de mesure lus, la connexion se désactive automatiquement.

Bon à savoir !

Si la mémoire d'au moins un appareil de mesure raccordé n'a pu être lue correctement, la connexion est automatiquement désactivée, rétablie et une deuxième tentative est effectuée. Lors de cette nouvelle tentative, tous les appareils de mesure dont la mémoire a déjà été lue correctement sont évités.

Bon à savoir !

L'effacement, en option, de la mémoire de l'appareil (voir : onglet "lecture de la mémoire") s'effectue alors individuellement par appareil de mesure et à chaque fois après que la mémoire a été lue avec succès.

Bon à savoir !

Le redémarrage, également en option, de l'enregistrement cyclique des appareils (voir : onglet "Lecture de la mémoire") est effectué après lecture du dernier appareil de mesure de la connexion. En commençant par l'appareil dont le numéro est le plus petit, l'enregistrement de chaque appareil est alors poursuivi individuellement.

Les données de mesure lues sont enregistrées séparément par appareil, dans un fichier de mesure respectivement (.amr) dans le répertoire de l'"Enregistrement automatique" (voir: Paramètres/Répertoires "). Le nom du fichier est alors composé du numéro d'appareil, du libellé de la connexion ainsi que de la date et de l'heure au forma "JJ.MM.AA - HH.MM.SS".

Exemple :

Après l'enregistrement automatique, le fichier "G02 mobile-device 10.02.04-16.32.27.amr" existe dans le répertoire correspondant.

Explication :

Ce fichier contient les données de mesure lues automatiquement sur l'appareil de mesure dont le numéro est 2 sur la connexion AMR WinControl avec le libellé "mobile-device" et a été généré le 04.02.2010 à 16:32:27 heures.


Entrées dans la liste des événements

Si dans WinControl l'option "Fonctions d'alarme" a été débridée et configurée en conséquence, alors par la lecture automatique de la mémoire, des entrées sont générées dans la liste des événements.

Outre les entrées d'activation/désactivation de la connexion dans AMR WinControl, les événements suivants sont inscrits :

· Début et fin de la lecture automatique de la mémoire de l'appareil.

· Connexion correctement établie.

· Cycle de mesure / d'impression programmé (par appareil de mesure).

· Message réussis avec nombre des mesures lues et numéros des points de mesure pour lesquels des données sont contenues (par appareil).

· Message d'erreur au cas où lors de la lecture une erreur est survenue, avec tous les numéros d'appareil pour lesquels une erreur est survenue.

· Message lorsque la mémoire interne a été effacée (par appareil).

· Message réussi / d'erreur pour le redémarrage de l'enregistrement cyclique (par appareil).

Bon à savoir !

Par les paramètres d'envoi de courriels en cas d'alarme (voir: L'onglet "Courrier électronique") l'envoi de courriels est possible par une "règle système" lorsque :

· l'enregistrement cyclique n'a pu être démarré dans un appareil de mesure (une fois par appareil de mesure).

· au moins un appareil de mesure n'a pu être lu correctement (une fois par connexion avec tous les numéros d'appareil sur lesquels des erreurs sont survenues).


Onglet "Lecture de la mémoire"

L'onglet est disponible pour toutes les connexions par lesquelles la mémoire interne des appareils de mesure ALMEMO doit être lue automatiquement.

Dans le détail, les réglages ont les incidences suivantes :

Effacer la mémoire de l'appareil après lecture : si cette option est activée, dès que la lecture d'un appareil a réussi, sa mémoire interne est effacée avant de continuer avec la lecture de l'appareil de mesure suivant de la connexion.

Bon à savoir !

Si lors de la lecture de la mémoire d'un appareil une erreur survient, la mémoire interne de l'appareil de mesure n'est pas effacée afin d'éviter la perte de données de mesure.

Après lecture, relancer l'enregistrement cyclique : si cette option est activée, après la lecture de tous les appareils de mesure (qu'elle réussisse ou non), l'enregistrement cyclique des données de mesure en mémoire interne de tous les appareils de mesure est relancé.

Bon à savoir !

Si lors de la tentative de relancer l'enregistrement cyclique interne d'un appareil de mesure, une erreur survient, un message de défaut est inscrit dans la liste des événements d'AMR WinControl et qui, par une règle système adéquate dans les paramètres d'alarme (voir: L'onglet "Courrier électronique"), peut également être envoyée par courriel.


Aspects importants de la commande sur calendrier

Il est possible de lancer une connexion de lecture automatique planifiée de la mémoire (voir: Connexion pilotée par calendrier "). S'appliquent alors les mêmes remarques et règles que celles décrites au chapitre "Connexions pilotées par calendrier".

Bon à savoir !

Une connexion de ce type est automatiquement désactivée après lecture de tous les appareils de mesure configurés, c'est pourquoi il n'est pas possible de mémoriser de durée dans le calendrier.

Bon à savoir !

Si les fonctions d'alarme en option dans AMR WinControl ont été débridées, alors il est possible de définir sous "Paramètres/Alarme" (voir: L'onglet "Courrier électronique") également des règles système permettant l'envoi de courriels d'alarme en cas de défauts (par ex. établissement de connexion, lecture, poursuite de la mesure dans l'appareil).


Le protocole Import OPC

Le protocole Import OPC, disponible en option, sert à lire les valeurs issues de variables d'un serveur OPC dans AMR WinControl.

voir également :

Paramétrage import OPC

Affectation de points de mesure OPC

Propriétés des points de mesure OPC


Paramétrage import OPC

Afin d'établir une connexion vers un serveur OPC, procéder aux étapes suivantes :

Créez une nouvelle connexion et sélectionnez le protocole "Protocole import OPC".

Dans le champ "Nom d'ordinateur", inscrire le nom ou l'adresse IP du PC sur lequel fonctionne le serveur OPC. Si AMR WinControl et le serveur OPC fonctionnent sur un même PC, ce champ peut rester vierge. Par le bouton "Rechercher" vous ouvrez une boîte de dialogue avec laquelle il est possible de rechercher l'ordinateur désiré dans le réseau.

Le champ de sélection "Serveur OPC" liste tous les serveurs OPC installés sur le PC sélectionné ci-dessus lorsque l'on clique avec la souris sur la touche flèche, sur le bord droit de l'élément de commande. Le serveur désiré peut ainsi être facilement sélectionné. En alternative, il est également possible de taper le nom du serveur OPC dans le champ.

Le bouton de commande Valeurs OPC "..." ouvre une boîte de dialogue dans laquelle vous pouvez sélectionner quelles variables OPC importer et sous quel numéro de point de mesure elles peuvent être intégrées au système (voir également : Affectation de points de mesure OPC).

Dans le champ "Numéro(s) d'appareil", inscrire un numéro d'appareil reflétant un appareil virtuel auquel les points de mesure OPC sont affectés. Le numéro d'appareil peut varier de 0 à 99, mais il faut noter que :

· chaque numéro d'appareil doit être unique au sein d'un système de mesure (indépendamment du type de connexion ou protocole utilisé).

· les numéros d'appareil 80 à 85 sont réservés aux voies de calcul globales.

· les numéros d'appareil 90 à 92 sont réservés aux voies de calcul locales et aux fonctions spéciales.


Affectation de points de mesure OPC

La boîte de dialogue "Valeurs OPC en importation" permet de définir quelles variables OPC doivent être affectées à quels points de mesure :

Le champ à gauche liste les affectations déjà existantes. Si l'on sélectionne une entrée, celle-ci peut être supprimée à l'aide du bouton "Supprimer". A droite, le serveur OPC est représenté en arborescence. En cliquant sur les symboles [+] et [-], vous pouvez développer ou réduire les groupes de variables. Lorsqu'une variable est sélectionnée, le logiciel active automatiquement le bouton "Ajouter" et propose un numéro de voie. Un clic sur ce bouton insère la variable dans la liste affichée à gauche. Le numéro de voie est alors automatiquement incrémenté.


Propriétés des points de mesure OPC

Les points de mesure acquis par le protocole import OPC sont listés dans la fenêtre des points de mesure. Un double-clic sur un point de mesure ouvre la boîte de dialogue des points de mesure extérieurs, dans laquelle vous pouvez définir le commentaire s'affichant sur les points de mesure ainsi que les limites.


Le protocole serveur de données

AMR WinControl peut, en tant que serveur de données, distribuer des valeurs de mesure à des clients (voir également : Serveur de données WinControl). AMR WinControl peut alors également fonctionner lui-même comme client et intégrer les données d'un (autre) serveur de données WinControl en ligne. Chaque AMR WinControl peut en principe fonctionner à la fois comme serveur et comme client.

voir également :

Paramétrage de connexion du serveur de données

Onglet "Protocole de serveur WinControl"

Propriétés des points de mesure du serveur de données


Paramétrage de connexion du serveur de données

Afin d'établir une connexion vers un serveur de données WinControl, procéder aux étapes suivantes :

Créez une nouvelle connexion et sélectionnez le protocole "Protocole de serveur WinControl".

Choisir comme type de connexion "Réseau", le serveur mettant à disposition ses données par TCP/IP. Il faut ensuite indiquer l'adresse IP ou le nom symbolique du PC sur lequel AMR WinControl fonctionne comme serveur de données. Le numéro de port est celui qu'utilise également le serveur de données WinControl. Si le serveur de données WinControl fonctionne en configuration standard, indiquer ici la valeur 10013.

AMR WinControl reflète les appareils d'un serveur dans la zone 100-999 car :

· chaque AMR WinControl peut occuper les numéros d'appareil 00 à 99.

· les numéros d'appareil doivent être uniques au sein d'un même système.

· les conflits entre numéros d'appareil locaux et numéros d'appareil des serveurs de données doivent être évités.

Parce que sur chaque serveur de données il est possible de raccorder 100 appareils maximum, les plages suivantes sont disponibles pour 9 serveurs de données maximum :

· 100 - 199

· 200 - 299

· ...

· 800 - 899

· 900 - 999

Remarque : pour les voies de calcul, le calcul est toujours effectué dans l'ordre des numéros de voie. Il est malgré tout possible d'utiliser les valeurs acquises par le serveur de données comme les valeurs acquises localement car dans un cycle de mesure, les données de toutes les liaisons sont d'abord acquises et seulement après les voies de calcul commencent à être traitées.

Lorsque la boîte de dialogue avec les propriétés supplémentaires de protocole est ouverte à l'aide du bouton "Etendu", alors un autre onglet spécifique pour le protocole y est disponible (voir également : Onglet "Protocole de serveur WinControl").


Onglet "Protocole de serveur WinControl"

On indique ici combien de temps les données fournies par le serveur doivent être valables :

Chaque serveur de données fonctionnant avec son propre cycle de mesure et envoyant ses données à la fin de ce cycle de mesure, ces données arrivent sur le client à différents moments et pas nécessairement dans le cycle de mesure du client. Le client garde les données reçues pendant la durée de validité et dans chaque cycle de mesure du client pendant la durée de validité, ces mesures sont traitées comme si elles venaient d'arriver du serveur. Si de nouvelles valeurs arrivent pendant la durée de validité, les valeurs mémorisées temporairement sont alors remplacées par celles-ci.

Recommandation : Afin d'obtenir des données sans pertes, il faut régler la durée de validité au moins à la valeur du cycle de mesure du serveur de données.

Remarque : Selon le type de liaison sélectionné, d'autres onglets sont encore disponibles (voir également : Paramètres de la connexion/Paramètres étendus).

Attention !

Si un AMR WinControl fonctionne comme serveur de données et comme client, les points de mesure acquis comme client ne peuvent être sortis directement à nouveau par l'interface de serveur de données. Pour les données qui doivent être transférées, il faut sélectionner le contournement par des voies de calcul : pour chacun de ces points de mesure, créer une voie de mesure dont la formule est m(x,y), avec x le numéro d'appareil (100 à 999) et y le numéro de voie correspondant.

Exemple :

Le serveur effectue l'acquisition des points de mesure 180.0 et 180.2. Ceux-ci doivent être transmis à d'autres clients via l'interface serveur de données. Il faut maintenant créer deux voies de calcul (par ex. 81.0 et 81.2) dans lesquelles on inscrit la formule m(180,0) ou m(180,2).


Propriétés des points de mesure du serveur de données

Les points de mesure acquis par le protocole serveur de données WinControl sont listés dans la fenêtre des points de mesure. Un double-clic sur un point de mesure ouvre la boîte de dialogue des points de mesure extérieurs, dans laquelle vous pouvez définir le commentaire s'affichant sur les points de mesure ainsi que les limites.


Le protocole Modbus

A l'aide du protocole Modbus, il est possible de faire fonctionner les équipements Modbus avec d'autres appareils connectés, au sein d'un même système d'acquisition. Pour ceci, le protocole Modbus doit être affecté dans la boîte de dialogue des propriétés de la connexion.

Au cours de la scrutation des mesures, des données sont lues dans des registres définis par l'utilisateur, au besoin mises à l'échelle puis intégrées au système AMR WinControl sous forme de valeurs de mesure.

AMR WinControl gère les protocoles de communication "MODBUS RTU" (communication par une interface série) et "MODBUS TCP" (communication par réseau). Le choix de la connexion (port COM ou réseau) est déterminé automatiquement par le protocole de communication.

Attention !

Le numéro d'appareil des équipements Modbus est l'ID esclave réglée sur l'équipement pour la connexion Modbus. Chaque appareil de mesure connecté par un AMR WinControl doit posséder un numéro d'appareil unique.

voir également :

Onglet "Protocole Modbus"

Adaptation des propriétés du point de mesure


Onglet "Protocole Modbus"

Le bouton "Etendu" ouvre une boîte de dialogue contenant entre autres l'onglet "Protocole Modbus", par lequel on peut déterminer dans quels registres sont lues des données et à quels points de mesure ceux-ci doivent être affectés.

Affectation des registres Modbus

Vous disposez ici d'un tableau comportant quatre colonnes : "Appareil", "Voie", "Type d'adresse", "Adresse".

Dans la colonne "Appareil", porter l'ID esclave de l'équipement Modbus et dans la colonne "Voie", le numéro de canal désiré. Le numéro de point de mesure est constitué d'après ces deux indications et doit être unique dans AMR WinControl.

Bon à savoir !

Le contenu du tableau est, à l'ouverture, automatiquement trié selon les numéros d'appareil et de voie.

Dans la colonne "Type d'adresse" il faut sélectionner le type et dans la colonne "Adresse", indiquer l'adresse correspondante.

AMR WinControl gère les types de base "Bit" (1 bit) et "Word" (16 bits), qui peuvent se trouver respectivement dans les tableaux internes à l'appareil "Lecture seule" et "Lecture et écriture", de sorte à disposer de quatre types d'adresse:

· Lire bit

· Lire et écrire bit

· Lire mot

· Lire et écrire mot

Les plages de valeur autorisées sont :

· Appareil : 1 - 247

· Numéro de voie : 0 - 99

· Type d'adresse : sélection dans une liste

· Adresse : 1…65535

Attention !

L'adresse et le type d'adresse sont fonction de l'appareil et du constructeur, vous les trouverez dans la documentation d'appareil respective.

En plus des boutons "Attacher ligne" et "Effacer ligne", vous disposez des aides suivantes pour la saisie :

· La touche tabulation permet de passer à la colonne suivante de la même ligne. Dans la dernière colonne, le saut s'effectue vers la première colonne à la ligne suivante. Si celle-ci n'existe pas, une nouvelle ligne est automatiquement créée.

· En créant une nouvelle ligne, le numéro d'appareil de la ligne précédente est automatiquement récupéré.

· En passant de la colonne "Appareil" à la colonne "Voie", le numéro de voie suivant pour l'appareil est automatiquement déterminé et inscrit, si aucun numéro de voie n'a encore été attribué.

· Avec le raccourci-clavier <CTRL> + <Inser> il est possible d'ajouter une nouvelle ligne avant la ligne actuelle.

· Le raccourci-clavier <CTRL> + <Suppr> permet de supprimer la ligne actuelle.

Temps d'attente Modbus

Sert à définir un temps d'attente en millisecondes, pendant lequel AMR WinControl doit attendre jusqu'à ce qu'une réponse de l'équipement soit arrivée. Seulement après écoulement de cette durée, la commande est répétée le cas échéant ou l'on procède à la commande suivante.

Bon à savoir !

Les temps d'attente ne définissent qu'un scénario le plus défavorable. Si la réponse arrive plus rapidement que définie par le temps d'attente, le logiciel envoie immédiatement après traitement de la réponse la commande suivante, ce qui n'engendre aucun retard en fonctionnement normal si le temps d'attente a été réglé trop grand.


Adaptation des propriétés du point de mesure

Une fois la connexion Modbus établie, les points de mesure définis se retrouvent dans la liste des points de mesure. Un double-clic sur un point de mesure ouvre une boîte de dialogue des propriétés, laquelle permet d'effectuer d'autres réglages :

· Adaptation du commentaire du point de mesure (par défaut : type de donnée @ adresse).

· Adaptation de l'unité (par défaut : aucun).

· Réglage des limites (par défaut : aucun).

· Saisie du facteur, du décalage et de la précision (par défaut : aucune indication).

Par le biais des paramètres Facteur, Décalage et Précision, il est possible de convertir la valeur d'un point de mesure en une valeur de mesure. A cet effet, l'opération utilisée est la suivante:

· Lorsqu'un facteur est indiqué, la valeur est tout d'abord multipliée par celui-ci.

· Si un décalage est indiqué, celui-ci est ensuite ajouté.

· Si un facteur est indiqué, l'arrondi est effectué sur le nombre de décimales indiqué.

Remarque : Sans indication de précision, la valeur est arrondie à 0 décimales

Attention !

Facteur, décalage et précision ne peuvent pas être définis pour tous les types d'appareil de mesure. Ces champs sont désactivés pour tous les points de mesure issus d'appareils de mesure pour lesquels ces réglages ne sont pas pris en charge.


Glossaire

Numéro de série

Période d'essai maximale

Période d'essai restante

Champ de saisie "Code de débridage"

Voie de calcul

Menu contextuel

DDE - Dynamic Data Exchange

Boîte de dialogue des propriétés

Fenêtre des points de mesure

Boîte de dialogue de fichier standard

Barre d'outils


AMR WinControl - Le serveur de données

voir également :

Mode serveur

Interface du serveur

Exemples d'application


AMR WinControl - Le Serveur Web

voir également :

Etendue des fonctions

Configuration minimale

Fonctionnement de serveur Web

Le Serveur Web - Paramètres étendus


AMR WinControl - Les fenêtres de programme

voir également :

La fenêtre principale

La fenêtre "Points de mesure, appareils et connexions"

L'affichage des valeurs de mesure

Le graphique à barres

L'affichage analogique

Le graphique en courbe

Le graphique XY

Le tableau

La fenêtre de vue d'ensemble du fichier

Les images de projet

La liste des événements


AMR WinControl - Les menus

voir également :

Le menu fichier

Le menu "Edition"

Le menu "Vue"

Le menu "Mesures"

Le menu "Programmation"

Le menu "Paramètres"

Le menu Zones de travail

Le menu "Fenêtre"

Le menu "Aide"


AMR WinControl - Vue d'ensemble

AMR WinControl – Vue d'ensemble

voir également :

Installation et démarrage du programme

AMR WinControl en quelques points

Intégration et mise en réseau

Initiation rapide


Annexe

voir également :

Conventions pour la saisie de formule

KwikScript

Horodatage

Gestion de l'affichage exponentiel des valeurs mesurées

Connexion d'un modem à l'appareil

Formats de données de la fonction exportation

Paramètres spéciaux pour l'envoi de messages d'alarme par e-mail

Particularités lors de l'utilisation de commentaires et d'unités spécifiques à l'utilisateur

Mesure en ligne à 50/100 Hz

Travailler sans appareil de mesure

Les fonctions de valorisation

Mesure de bien-être selon DIN EN ISO 7730

La protection par mot de passe

Le gestionnaire de poste d'essais et de mesures

L'exportation OPC

Exportation de données ODBC

Graphique en courbe - Impression du rapport

Clé matérielle serveur - Prise en charge d'une clé matérielle de réseau

Installation du serveur

Installation du poste de travail

Autres paramétrages


Comment...

voir également :

modifier les propriétés de la fenêtre actuelle

établir la liaison avec l'appareil de mesure

établir une liaison par modem

commander un réseau ALMEMO avec le logiciel

définir la vitesse de scrutation

générer un nouvel affichage des valeurs de mesure

créer un nouveau graphique à barres

imprimer un graphique à barres

créer un nouveau tableau

imprimer un tableau

créer une image de projet

créer un nouveau graphique en courbe

imprimer un graphique en courbe

imprimer les graphiques en courbes sur plusieurs pages

imprimer la liste des points de mesure

définir des voies de calcul globales

définir des voies de calcul locales

définir les compteurs, les sommes et les valeurs moyennes sur toute la mesure

établir des valeurs moyennes quotidiennes ou horaires pour des intervalles de temps à définir

analyser l'évolution d'une courbe

représenter les courbes en superposé

enregistrer et appliquer les propriétés de représentation

créer un nouveau graphique en courbe ayant les propriétés d'un modèle donné

fusionner les fichiers avec un modèle par défaut automatiquement à l'ouverture

attribuer ou modifier ultérieurement des commentaires aux points de mesure

saisir des remarques concernant un fichier de valeurs de mesure

intégrer un objet WinControl dans un document texte

créer un fichier de valeurs de mesures

sauvegarder une plage d'un jeu de données

charger des valeurs de mesure depuis un fichier

fusionner des fichiers de mesure entre eux

générer automatiquement des fichiers quotidiens

sauvegarder automatiquement plusieurs fichiers par jour sur le disque dur

enregistrer automatiquement une liste d'événements

exporter une liste d'événements

poursuivre la mesure automatiquement après panne de courant

représenter des valeurs de mesure dans une feuille de calcul

transmettre en ligne les données vers Excel

effectuer un DDE par Excel

obtenir des informations sur les appareils raccordés

lire la mémoire des mesures de l'appareil

lire une sélection de la mémoire de l'appareil

lire la mémoire des systèmes 5590-3

mettre à l'échelle automatiquement une plage de capteur

effectuer un zéro temporaire

enregistrer une nouvelle plage de mesure

éditer les fichiers de programmation

utiliser les fonctions de calcul de moyenne des centrales d'acquisition

trouver la configuration

gérer plusieurs configurations de programme

charger automatiquement une configuration donnée au démarrage du programme

travailler avec plusieurs instances d'AMR WinControl

transmettre les paramètres d'appel à un programme à lancer en cas d'alarme

envoyer automatiquement un courriel en cas d'alarme

définir un répertoire par défaut pour les fichiers de mesures

gérer l'enregistrement du serveur OLE sous Windows 2000

démarrer automatiquement des programmes externes au lancement de l'application

démarrer le logiciel sur plusieurs processeurs

changer la taille de l'historique des mesures


Barre d'outils

La barre d'outils est une ligne située en dessous des menus. Elle comporte des icônes de commande et permet une exécution rapide des commandes AMR WinControl.


Boîte de dialogue de fichier standard

Dans une boîte de dialogue standard de fichier, on choisit ou on définit un fichier désiré à l'aide du nom de fichier, du type de fichier, du lecteur et du répertoire.


Boîte de dialogue des propriétés

Chaque fenêtre utilisée dans AMR WinControl possède une boîte de dialogue des propriétés correspondante. Ce dialogue vous permet de définir tous les paramètres et activités nécessaires pour la fenêtre active donnée.


Champ de saisie "Code de débridage"

Dans la boîte de dialogue "Informations sur la licence AMR WinControl", ce champ permet d'inscrire le code de débridage. Veuillez enregistrer votre logiciel afin d'obtenir le code de débridage.


DDE - Dynamic Data Exchange

Echange dynamique de données : Il est possible de transmettre les données d'une application Windows à une autre application Windows sans passer par le presse-papiers.


Fenêtre des points de mesure

Liste de tous les points de mesure disponibles dans le système. La liste affichée contient les éléments suivants : Commentaire, appareil, point de mesure, unité de mesure, capteur, limites et valeurs de correction ainsi que les symboles pour les dépassements de limite, rupture de ligne et enregistrement automatique.


Menu contextuel

Toutes les fonctions disponibles pour une fenêtre de programme peuvent être appelées à l'aide des menus contextuels. Vous pouvez les ouvrir en cliquant avec le bouton droit de la souris dans la fenêtre momentanément active.


Numéro de série

Dans la boîte de dialogue "Informations sur la licence AMR WinControl", ce champ affiche le numéro de série du logiciel. Veuillez indiquer ce numéro afin d'enregistrer le logiciel.


Période d'essai maximale

Dans la boîte de dialogue "Informations sur la licence AMR WinControl", ce champ affiche le nombre de jours maximum pendant lequel le logiciel est exécutable sans enregistrement.


Période d'essai restante

Dans la boîte de dialogue "Informations sur la licence AMR WinControl", ce champ affiche le nombre de jours pendant lequel le logiciel est encore exécutable sans enregistrement.


Voie de calcul

Un éditeur de formule vous permet de définir vous-même des voies de calcul. Les données acquises peuvent être calculées et représentées aussi bien en ligne que hors ligne. En fonction de la définition, une voie de calcul est disponible sous forme de point de mesure virtuel dans tout le programme (voie de calcul globale) ou uniquement dans un jeu de données (voie de calcul locale).